<?php include_once("sidemenu.php");?>
<div class="user-dashboard">
    <div class="container">
       <div class="row"> 
            <div class="col-6"> 
                <h3>Departments</h3>
            </div>
            <div class="col-6" style="text-align: right;"> 
                <button class="btn-save" onclick="addform()">New</button>&nbsp;
                <button class="btn-save" onclick="list()">Refresh</button>&nbsp;
            </div>
            <div class="col-xl-12 col-lg-12">
                <table id="listTable" class="table" style="width:100%">
                    <thead>
                        <tr>
                            <th>Department Name</th>
                            <th>Start Date</th>
                            <th>End Date</th>
                            <th style="width:80px">Status</th>
                            <th style="width:100px" class="nosort"></th>
                        </tr>
                    </thead>
                    <tbody id="tbl_content">
                        <tr>
                            <td colspan='8'>
                                <?php echo loadingText("Loading Departments");?>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="confirmationtoadd" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered"  style="max-width: 800px !important;">
        <div class="modal-content">
            <div class="modal-header">
                <div class="row" style="width:100%">
               <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">New Deparmtment</h5>
               </div>
                <div class="col-sm-4" style="text-align:right;padding-right:0px">
                        <a href="<?php echo help_url;?>Employees/Departments" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                    </div>
            </div>
            </div>
            <div class="modal-body">
                 <form id="frm_create" name="frm_create" method="post" enctype="multipart/form-data" autocomplete="off">
                 <input type="hidden" value="<?php echo $_GET['ID'];?>" name="EmployeeID " id="EmployeeID ">
                <div class="row">
                    <span id="ErrCommon"></span>
                     <div class="col-4">
                        <label class="form-label">Department</label><span style='color:red'>*</span>
                         <select class="form-select form-select-sm" name="DepartmentID" id="DepartmentID" onchange="clearInput('DepartmentID')">
                            <option value="0">Select Department</option>
                         </select>
                        <span id="ErrDepartmentID" class="error_msg" style="color: red;"></span>
                    </div>
                     
                     <div class="col-md-4">
                        <label class="form-label">Start Date<span style='color:red'>*</span></label>
                            <input class="form-control form-control-sm"  name="StartDate" id="StartDate" placeholder="Start Date" type="date" style="background:#fff" autocomplete="off" onchange="clearInput('StartDate')">
                             <span id="ErrStartDate" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                        <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
                </form>
            </div>
            <div class="modal-footer mb-3">
                 <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="add()" class="btn-save">Add</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>

<div class="modal fade" id="Success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body" style="text-align: center;">
                <div id="sucess">
                    <img id="Sucess" style="width: 150px;" src="assets/sucess.gif" alt=""/>
                </div>
                <h3 class="title">Success.</h3>  
                 <button type="button" onclick="openPage('augl')" class="btn-save">Continue</button>         
            </div>
        </div>
    </div>
</div>

<script>
function list() {
      $('#Success').modal("hide");
         var html = '<tr>'
                + '<td colspan="8" style="text-align: center;background:#fff !important">Loading Designations</td>'
                + '</tr>'
      $('#tbl_content').html(html); 
   $.post(URL+ "webservice.php?action=l&method=etfmci&ID=<?php echo $_GET['ID'];?>","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.DepartmentName + '</td>'
                            + '<td>' + data.StartDate + '</td>' 
                            + '<td>' + data.EndDate + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '<td style="text-align:right">' 
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="8" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}    

setTimeout("list()",2000); 

   
 function addform(){
  $('#confirmationtoadd').modal("show"); 
  listDepartments("0","DepartmentID"); 
  $('#DepartmentID').val("0"); 
  $('#DesignationGroupID').val("0"); 
  $('#StartDate').val(""); 
  
   $('#ErrDepartmentID').html(""); 
   $('#ErrStartDate').html(""); 
   $('#ErrCommon').html(""); 
   
   $("#StartDate").removeClass("highlight_error");  
   $("#DepartmentID").removeClass("highlight_error");  
    
}

function add(){
     var error = 0;
    
     if ($('#DepartmentID').val()=="0"){
            $('#ErrDepartmentID').html("Please select Department");
        $("#DepartmentID").addClass("highlight_error"); 
           error++;
    }  else {
            $("#DepartmentID").removeClass("highlight_error"); 
            $('#ErrDepartmentID').html(""); 
    } 
     if ($('#StartDate').val()=="") {
            $('#ErrStartDate').html("Please select Start Date");
           $("#StartDate").addClass("highlight_error");
           error++;
    }  else {
            $("#StartDate").removeClass("highlight_error");
            $('#ErrStartDate').html("");
            error++;
   
    }
    
     if(error==0){
        var param = $('#frm_create').serialize();
        $.post(URL+"webservice.php?action=a&method=etfmdn",param,function(data){
            alert(param) ;
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmationtoadd').modal("hide"); 
             $('#Success').modal("show");    
        }   else {
            if (obj.div=="") {
                $('#ErrCommon').html(print_inlineError(obj.message));
            } else {
                $('#Err'+obj.div).html(obj.message);   
            }
        }
    });
   }
} 

function editform(ID){
     $('#confirmationtoedit').modal("show");
      listDesignationGroups("frm_create","DesignationGroupID","0"); 
     $('#ErreditCommon').html("");
     $('#ErreditDepartmentID').html("");
     $('#ErreditRemarks').html("");
     $('#ErreditStartDate').html("");
     $('#ErreditEndDate').html("");
     $("#editDepartmentID").removeClass("highlight_error"); 
     $("#editStartDate").removeClass("highlight_error"); 
     $("#editEndDate").removeClass("highlight_error"); 
     $("#editRemarks").removeClass("highlight_error");
      $.post(URL+ "webservice.php?action=g&method=maayl&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            $.each(obj.data, function (index, data) {
                $('#editID').val(data.ID);
                $('#editDepartmentID').val(data.DepartmentID);
                $('#editStartDate').val(data.StartDate);
                $('#editEndToDate').val(data.EndDate);
                $('#editStatus').val(data.Status);
                $('#editRemarks').val(data.Remarks);
                 _DepartmentID=data.DepartmentID;
            }); 
              if (obj.data.length>0)    {
                 listDepartments(_CourseNameID,"editDepartmentID")
            }   
}  
        else {
            if (obj.div=="") {
                $('#ErreditCommon').html(print_inlineError(obj.message));
            } else {
                 
            }
        }
  });
}

function edit(ID){
     var error = 0;
   if ($('#editDepartmentID').val()==""){
            $('#ErreditDepartmentID').html("Please select Department");
            $("#editDepartmentID").addClass("highlight_error");
          error++;
    }  else {
            $("#editDepartmentID").removeClass("highlight_error");
            $('#ErreditDepartmentID').html(""); 
    }
    if ($('#editStartDate').val()==""){
            $('#ErreditStartDate').html("Please select Start Date");
            $("#editStartDate").addClass("highlight_error"); 
          error++;
    }  else {
            $("#editStartDate").removeClass("highlight_error"); 
            $('#ErreditStartDate').html(""); 
    }
    if ($('#editEndDate').val()==""){
            $('#ErreditEndDate').html("Please select End Date");
            $("#editEndDate").addClass("highlight_error"); 
          error++;
    }  else {
            $("#editEndDate").removeClass("highlight_error"); 
            $('#ErreditEndDate').html(""); 
    } 
     if(error==0){
        var param = $('#frm_edit').serialize();
        $.post(URL+"webservice.php?action=u&method=etfmdn",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmationtoedit').modal("hide");
             $('#Success').modal("show");  
        }   else {
            if (obj.div=="") {
                $('#ErreditCommon').html(print_inlineError(obj.message));
            } else {
                 $("#Erredit"+obj.div).html(obj.message);    
            }
        }
    });
   }
}

function viewform(ID){
     $('#confirmationtoview').modal("show");
       $.post(URL+ "webservice.php?action=g&method=etfmdn&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            $.each(obj.data, function (index, data) {
                $('#viewDepartmentID').html(data.Department=="" ? "&nbsp" : data.Department);
                $('#viewStartDate').html(data.StartDate=="" ? "&nbsp;" : data.StartDate);
                $('#viewEndDate').html(data.EndDate=="" ? "&nbsp;" : data.EndDate);
                $('#viewRemarks').html(data.Remarks=="" ? "&nbsp;" : data.Remarks);
                $('#viewCreatedOn').html(data.CreatedOn=="" ? "&nbsp" : data.CreatedOn);
               if(data.Status=="1"){
                $('#viewStatus').html("Active");    
               }
               if(data.Status=="0"){
                $('#viewStatus').html("Deactive");    
               }
            });   
}  
  }) 
}        

function listDepartments(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=lac&method=madl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Department</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.Department+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}
    
 /* Alphnumeric and special characters, not allow !\$"'~  */
var arr = ["Remarks","editRemarks"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
               var notallowkeys = [220,222,49,52,192]
               var allowedkeys  = [9,8,46,32,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,103,104,105,100,101,102,97,98,99,96,48,49,50,51,52,53,54,55,56,57,173,61,110,190,191,221,219,111,106,109,107,59,188]
               if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}     
</script>
     