<div class="user-dashboard">
    <div class="container">
        <span id="ErrCommon"></span>
        <div class="row" style="width:100%">
            <div class="col-sm-12">
                <h3 class="title">Time Table Faculty Wise</h3>
               </div>
               <div class="col-12 col-xl-12">                                          
                <div class="card mb-2" style="border: none;">
                    <div class="card-body">   
                      <form id="frm_create" name="frm_create" autocomplete="off" method="post">
                        <div class="row">
                              <div class="col-6">
                                <label class="form-label">Employee Name</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="EmployeeNameID" id="EmployeeNameID" onchange="clearInput('EmployeeNameID')">
                                    <option value="0">Select Employee Name</option>
                                    <option value="1">Employee Name</option>
                                 </select>
                                <span id="ErrEmployeeNameID" class="error_msg" style="color: red;"></span>
                            </div>
                             <div class="col-12" style="margin-top: 10px;">
                                  <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="dateOption" id="allRadio" value="all" checked>
                                    <label class="form-check-label" for="allRadio">All</label>
                                  </div>
                                  <div class="form-check form-check-inline">
                                    <input class="form-check-input" type="radio" name="dateOption" id="dateRadio" value="date">
                                    <label class="form-check-label" for="dateRadio">Date</label>
                                  </div>
                                  <div class="col-sm-4"id="dateInput" style="display: none;">
                            <label class="form-label">Date</label><span style='color:red'>*</span>
                                <div class="input-group">
                                    <input type="date" class="form-control form-control-sm" id="dateField" name="dateField">
                                    <button type="button" class="btn-save" onclick="View()" style="width: fit-content;width: 70px;padding: 4px 8px;margin-right: 1px;margin-left: 10px;border: var(--bs-border-width) solid var(--bs-border-color);transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;box-shadow: inset 0 0 10px #f2f1f1;">View</button>
                            </div>
                              <span id="ErrDate" style="color: red;" class="error_msg"></span>
                        </div>
                        </div>
                         <div class="col-12"> 
                            <table id="listTable" class="table" style="width:100%; display: none;">
                                <thead>
                                    <tr>
                                        <th style="width:150px">Academic Year</th>
                                        <th style="width:200px">Employee Name</th>
                                        <th style="width:80px">Status</th>
                                        <th style="width:100px" class="nosort"></th>
                                    </tr>
                                </thead>                                     
                                <tbody id="tbl_content">
                                    <tr>
                                        <td colspan='8'>
                                            <?php echo loadingText("Loading Division wise Time Tables");?>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                         </div>
                        </form> 
                    </div>
                </div>                                                                      
                
        </div>
        </div>
    </div>
</div>

<script>
  listEmployeeNames("0","EmployeeNameID");
  listAcademicYears("frm_create","AcademicYearID","0"); 
  $('#EmployeeNameID').val("0");
  $('#ErrEmployeeNameID').html(""); 
  $("#EmployeeNameID").removeClass("highlight_error");
  
  $('#AcademicYearID').val("0");
  $('#ErrAcademicYearID').html(""); 
  $("#AcademicYearID").removeClass("highlight_error"); 
 
 function Get(){
      var error = 0;
    
     if ($('#EmployeeNameID').val()=="0"){
            $('#ErrEmployeeNameID').html("Please select Employee Name");
        $("#EmployeeNameID").addClass("highlight_error"); 
           error++;
    }  else {
            $("#EmployeeNameID").removeClass("highlight_error"); 
            $('#ErrEmployeeNameID').html(""); 
    } 
    if ($('#AcademicYearID').val()=="0"){
            $('#ErrAcademicYearID').html("Please select Academic YearD");
        $("#AcademicYearID").addClass("highlight_error"); 
           error++;
    }  else {
            $("#AcademicYearID").removeClass("highlight_error"); 
            $('#ErrAcademicYearID').html(""); 
    }
    if(error==0) {
       $('#listTable').show();
    } else {
        
     } 
 }
 
 function list() {
      $('#Success').modal("hide");
    $.post(URL+ "webservice.php?action=l&method=ampl","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.AcademicYear + '</td>' 
                            + '<td>' + data.EmployeeName + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '<td style="text-align:right">' 
                                + '<span onclick="openPage("apgl")"><i class="fi fi-rs-pencil"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="viewform(\''+data.ID+'\')" class="viewLink"  title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'ampl\',\''+data.Attendance+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}

setTimeout("list()",2000);

function listEmployeeNames(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=lac&method=macoul","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Employee Name</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.EmployeeName+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listAcademicYears(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=lac&method=maayl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Academic Year</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.AcademicYear+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}
      
$(document).ready(function() {
  $('input[name="dateOption"]').on('change', function() {
    if ($(this).val() === 'date') {
      $('#dateInput').show();
    } else {
      $('#dateInput').hide();
    }
  });
});                                                 
</script>