<div class="user-dashboard">
    <div class="container">
        <div class="row">
            <div class="col-6"> 
                <h3>Syllabus</h3>
            </div>
            <div class="col-6" style="text-align: right;"> 
                <button class="btn-save" onclick="addform()">New</button>
                <button class="btn-save" onclick="list()">Refresh</button>
            </div>
            <div class="col-xl-12 col-lg-12">
                <table id="listTable" class="table" style="width:100%">
                    <thead>
                        <tr>
                            <th>Code</th>
                            <th>Subject Name</th>
                            <th>Unit Number</th>
                            <th>Chapter Name</th>
                            <th style="width:80px">Status</th>
                            <th style="width:100px" class="nosort"></th>
                        </tr>
                    </thead>                                     
                    <tbody id="tbl_content">
                        <tr>
                            <td colspan='6'>
                                <?php echo loadingText("Loading syllabus");?>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="confirmationtoadd" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
             <div class="row" style="width:100%">
               <div class="col-sm-8">
                    <h5 class="modal-title" id="exampleModalLabel">New Syllabus</h5>
                </div>
                  <div class="col-sm-4" style="text-align:right;padding-right:0px">
                        <a href="<?php echo help_url;?>Syllabus" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                    </div>
            </div>
            </div>
            <div class="modal-body">
             <form id="frm_create" name="frm_create" method="post" enctype="multipart/form-data" autocomplete="off">
                <div class="row">
                <span id="ErrCommon"></span>
                        <div class="col-6">
                        <label class="form-label">Code</label><span style='color:red'>*</span>
                        <input class="form-control form-control-sm" type="text" id="Code" name="Code" placeholder="Code" value="" onkeypress="clearInput('Code')"></input>
                        <span id="ErrCode" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Subject Name</label><span style='color:red'>*</span>
                         <select class="form-select form-select-sm" name="SubjectNameID" id="SubjectNameID" onchange="clearInput('SubjectNameID')">
                            <option value="0">Select Subject Name</option>
                         </select>
                        <span id="ErrSubjectNameID" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-3">
                        <label class="form-label">Unit Number</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="UnitNumber" id="UnitNumber" placeholder="Unit Number" onkeypress="clearInput('UnitNumber')">
                        <span id="ErrUnitNumber" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-9">
                        <label class="form-label">Chapter Name</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="ChapterName" id="ChapterName" placeholder="Chapter Name" onkeypress="clearInput('ChapterName')">
                        <span id="ErrChapterName" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Syllabus</label><span style='color:red'>*</span>
                         <textarea class="form-control form-control-sm" type="text" name="Syllabus" id="Syllabus" placeholder="Syllabus" onkeypress="clearInput('Syllabus')"></textarea>
                        <span id="ErrSyllabus" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Text Books</label><span style='color:red'>*</span>
                         <textarea class="form-control form-control-sm" type="text" name="TextBooks" id="TextBooks" placeholder="Text Books" onkeypress="clearInput('TextBooks')"></textarea>
                        <span id="ErrTextBooks" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Reference Books</label><span style='color:red'>*</span>
                         <textarea class="form-control form-control-sm" type="text" name="ReferenceBooks" id="ReferenceBooks" placeholder="Reference Books" onkeypress="clearInput('ReferenceBooks')"></textarea>
                        <span id="ErrReferenceBooks" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                        <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
             </form>
            </div>
            <div class="modal-footer">
                 <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="add()" class="btn-save">Save</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>
                                                                                                            
<div class="modal fade" id="confirmationtoedit" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
             <div class="row" style="width:100%">
               <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">Edit Syllabus</h5>
                </div>
                  <div class="col-sm-4" style="text-align:right;padding-right:0px">
                        <a href="<?php echo help_url;?>Syllabus" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                    </div>
            </div>
            </div>
            <div class="modal-body">
             <form id="frm_edit" name="frm_edit" method="post" enctype="multipart/form-data" autocomplete="off">
                <input type="hidden" name="ID" id="editID">
                <div class="row">
                <span id="ErreditCommon"></span>
                    <div class="col-6">
                        <label class="form-label">Code</label>
                        <input class="form-control form-control-sm" type="text" readonly="readonly" id="editCode" name="Code" placeholder="Code" value="" onkeypress="clearInput('editCode')"></input>
                        <span id="ErreditCode" class="error_msg" style="color: red;"></span>
                    </div>

                    <div class="col-12">
                        <label class="form-label">Subject Name</label><span style='color:red'>*</span>
                         <select class="form-select form-select-sm" name="SubjectNameID" id="editSubjectNameID" onchange="clearInput('editSubjectNameID')">
                            <option value="0">Select Subject Name</option>
                         </select>
                        <span id="ErreditSubjectNameID" class="error_msg" style="color: red;"></span>
                    </div>
                     <div class="col-3">
                        <label class="form-label">Unit Number</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="UnitNumber" id="editUnitNumber" placeholder="Unit Number" onkeypress="clearInput('editUnitNumber')">
                        <span id="ErreditUnitNumber" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-9">
                        <label class="form-label">Chapter Name</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="ChapterName" id="editChapterName" placeholder="Chapter Name" onkeypress="clearInput('editChapterName')">
                        <span id="ErreditChapterName" class="error_msg" style="color: red;"></span>
                    </div>
                     <div class="col-12">
                        <label class="form-label">Syllabus</label><span style='color:red'>*</span>
                         <textarea class="form-control form-control-sm" type="text" name="Syllabus" id="editSyllabus" placeholder="Syllabus" onkeypress="clearInput('editSyllabus')"></textarea>
                        <span id="ErreditSyllabus" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Text Books</label><span style='color:red'>*</span>
                         <textarea class="form-control form-control-sm" type="text" name="TextBooks" id="editTextBooks" placeholder="Text Books" onkeypress="clearInput('editTextBooks')"></textarea>
                        <span id="ErreditTextBooks" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Reference Books</label><span style='color:red'>*</span>
                         <textarea class="form-control form-control-sm" type="text" name="ReferenceBooks" id="editReferenceBooks" placeholder="Reference Books" onkeypress="clearInput('editReferenceBooks')"></textarea>
                        <span id="ErreditReferenceBooks" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-sm-6">
                        <label class="form-label">Status</label><span style='color:red'>*</span>
                        <select name="Status" id="editStatus" class="form-select form-select-sm">
                            <option value="1">Active</option>
                            <option value="0">Deactive</option>
                        </select>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="editRemarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('editRemarks')">
                        <span id="ErreditRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
             </form>
            </div>
            <div class="modal-footer">
                <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="edit()" class="btn-save">Update</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>

<div class="modal fade" id="confirmationtoview" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
             <div class="row" style="width:100%">
               <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">View Syllabus</h5>
                </div>
                  <div class="col-sm-4" style="text-align:right;padding-right:0px">
                        <a href="<?php echo help_url;?>Syllabus" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                    </div>
            </div>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Code</div>
                        <div id="viewCode"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Subject Name</div>
                        <div id="viewSubjectName"></div>
                    </div>
                    <div class="col-sm-3">
                        <div style="font-weight: bold;">Unit Number</div>
                        <div id="viewUnitNumber"></div>
                    </div>
                    <div class="col-sm-9">
                        <div style="font-weight: bold;">Chapter Name</div>
                        <div id="viewChapterName"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Syllabus</div>
                        <div id="viewSyllabus"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Text Books</div>
                        <div id="viewTextBooks"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Reference Books</div>
                        <div id="viewReferenceBooks"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Remarks</div>
                        <div id="viewRemarks"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Status</div>
                        <div id="viewStatus"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Created On</div>
                        <div id="viewCreatedOn"></div>
                    </div>
                </div>
            </div>
            <div class="modal-footer"> 
                 <button type="button" data-dismiss="modal" class="btn-cancel">Close</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>
<div class="modal fade" id="Success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body" style="text-align: center;">
                <div id="sucess">
                    <img id="Sucess" style="width: 150px;" src="assets/sucess.gif" alt=""/>
                </div>
                <h3 class="title">Success.</h3>  
                 <button type="button" href="javascript:void(0)" onclick="list()" class="btn-save">Continue</button>         
            </div>
        </div>
    </div>
</div>
     
<script>
function list() {
      $('#Success').modal("hide");
       var html = '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">Loading syllabus</td>'
                + '</tr>'
      $('#tbl_content').html(html);
    $.post(URL+ "webservice.php?action=l&method=madvl","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.Code + '</td>'
                            + '<td>' + data.SubjectName + '</td>' 
                            + '<td>' + data.UnitNumber + '</td>' 
                            + '<td>' + data.ChapterName + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '<td style="text-align:right">' 
                                + '<span onclick="editform(\''+data.ID+'\')" class="editLink"  title="Edit Record"><i class="fi fi-rs-pencil"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="viewform(\''+data.ID+'\')" class="viewLink"  title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'madvl\',\''+data.Syllabus+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}

setTimeout("list()",2000);

function addform(){
     $('#confirmationtoadd').modal("show"); 
     $('#Code').val(""); 
     $('#SubjectNameID').val("0"); 
     $('#UnitNumber').val(""); 
     $('#ChapterName').val(""); 
     $('#Syllabus').val(""); 
     $('#TextBooks').val(""); 
     $('#ReferenceBooks').val(""); 
     $('#Remarks').val(""); 
     
     $('#ErrCode').html("");
     $('#ErrSubjectNameID').html("");
     $('#ErrUnitNumber').html("");
     $('#ErrChapterName').html(""); 
     $('#ErrSyllabus').html(""); 
     $('#ErrTextBooks').html(""); 
     $('#ErrReferenceBooks').html(""); 
     $('#ErrRemarks').html("");
    
     $("#Code").removeClass("highlight_error");   
     $("#SubjectNameID").removeClass("highlight_error");   
     $("#UnitNumber").removeClass("highlight_error");   
     $("#ChapterName").removeClass("highlight_error");   
     $("#Syllabus").removeClass("highlight_error");   
     $("#TextBooks").removeClass("highlight_error");   
     $("#ReferenceBooks").removeClass("highlight_error");   
     $("#Remarks").removeClass("highlight_error");   
}

function add(){
     var error = 0;
       if ($('#Code').val()==""){
            $('#ErrCode').html("Please enter Code");
            $("#Code").addClass("highlight_error"); 
           error++;
    }  else {
            $("#Code").removeClass("highlight_error"); 
            $('#ErrCode').html(""); 
    }
    if ($('#SubjectNameID').val()=="0"){
            $('#ErrSubjectNameID').html("Please select Subject Name");
            $("#SubjectNameID").addClass("highlight_error"); 
           error++;
    }  else {
            $("#SubjectNameID").removeClass("highlight_error"); 
            $('#ErrSubjectNameID').html(""); 
    }
    if ($('#UnitNumber').val()==""){
            $('#ErrUnitNumber').html("Please enter Unit Number");
            $("#UnitNumber").addClass("highlight_error"); 
          error++;
    }  else {
            $("#UnitNumber").removeClass("highlight_error"); 
            $('#ErrUnitNumber').html(""); 
    }
    if ($('#ChapterName').val()==""){
            $('#ErrChapterName').html("Please enter Chapter Name");
            $("#ChapterName").addClass("highlight_error"); 
          error++;
    }  else {
            $("#ChapterName").removeClass("highlight_error"); 
            $('#ErrChapterName').html(""); 
    }
    if ($('#Syllabus').val()==""){
            $('#ErrSyllabus').html("Please enter Syllabus");
            $("#Syllabus").addClass("highlight_error"); 
          error++;
    }  else {
            $("#Syllabus").removeClass("highlight_error"); 
            $('#ErrSyllabus').html(""); 
    } 
    if ($('#TextBooks').val()==""){
            $('#ErrTextBooks').html("Please enter Text Books");
            $("#TextBooks").addClass("highlight_error"); 
          error++;
    }  else {
            $("#ReferenceBooks").removeClass("highlight_error"); 
            $('#ErrReferenceBooks').html(""); 
    }
    if ($('#ReferenceBooks').val()==""){
            $('#ErrReferenceBooks').html("Please enter Reference Books");
            $("#ReferenceBooks").addClass("highlight_error"); 
          error++;
    }  else {
            $("#ReferenceBooks").removeClass("highlight_error"); 
            $('#ErrReferenceBooks').html(""); 
    } 
      if(error==0){
        var param = $('#frm_create').serialize();
        $.post(URL+"webservice.php?action=a&method=madvl",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmationtoadd').modal("hide"); 
             $('#Success').modal("show");    
        }   else {
            if (obj.div=="") {
                $('#ErrCommon').html(print_inlineError(obj.message));
            } else {
               
            }
        }
    });
   }  
   
}

function editform(ID){
     $('#confirmationtoedit').modal("show"); 
     
     $('#ErreditCode').html("");
     $('#ErreditSubjectNameID').html("");
     $('#ErreditUnitNumber').html(""); 
     $('#ErreditChapterName').html(""); 
     $('#ErreditSyllabus').html(""); 
     $('#ErreditTextBooks').html(""); 
     $('#ErreditReferenceBooks').html(""); 
     $('#ErrRemarks').html("");
     
     $("#editCode").removeClass("highlight_error");   
     $("#editSubjectNameID").removeClass("highlight_error");   
     $("#editUnitNumber").removeClass("highlight_error");   
     $("#editChapterName").removeClass("highlight_error");   
     $("#editSyllabus").removeClass("highlight_error");   
     $("#editTextBooks").removeClass("highlight_error");   
     $("#editReferenceBooks").removeClass("highlight_error");   
     $("#editeditRemarks").removeClass("highlight_error");
      $.post(URL+ "webservice.php?action=g&method=madvl&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            $.each(obj.data, function (index, data) {
                $('#editCode').val(data.Code);
                $('#editSubjectNameID').val(data.SubjectName);
                $('#editID').val(data.ID);
                $('#editUnitNumber').val(data.UnitNumber);
                $('#editChapterName').val(data.ChapterName);
                $('#editSyllabus').val(data.Syllabus);
                $('#editTextBooks').val(data.TextBooks);
                $('#editReferenceBooks').val(data.ReferenceBooks);
                $('#editStatus').val(data.Status);
                $('#editRemarks').val(data.Remarks);
            });   
}  
        else {
            if (obj.div=="") {
                $('#ErreditCommon').html(print_inlineError(obj.message));
            } else {
               $("#Erredit"+obj.div).html(obj.message);  
            }
        }
  }); 
}

function edit(ID){
     var error = 0;
    if ($('#editCode').val()==""){
            $('#ErreditCode').html("Please enter Code");
         $("#editCode").addClass("highlight_error");  
          error++;
    }  else {
            $("#editCode").removeClass("highlight_error");  
            $('#ErreditCode').html(""); 
    }
    if ($('#editSubjectNameID').val()=="0"){
            $('#ErreditSubjectNameID').html("Please select Subject Name");
         $("#editSubjectNameID").addClass("highlight_error");  
          error++;
    }  else {
            $("#editSubjectNameID").removeClass("highlight_error");  
            $('#ErreditSubjectNameID').html(""); 
    }
     if ($('#editUnitNumber').val()==""){
            $('#ErreditUnitNumber').html("Please enter Unit Number");
            $("#editUnitNumber").addClass("highlight_error"); 
         error++;
    }  else {
            $("#editUnitNumber").removeClass("highlight_error"); 
            $('#ErreditUnitNumber').html(""); 
    }
    if ($('#editChapterName').val()==""){
            $('#ErreditChapterName').html("Please enter Chapter Name");
            $("#editChapterName").addClass("highlight_error"); 
         error++;
    }  else {
            $("#editChapterName").removeClass("highlight_error"); 
            $('#ErreditChapterName').html(""); 
    } 
    if ($('#editSyllabus').val()==""){
            $('#ErreditSyllabus').html("Please enter Syllabus");
            $("#editSyllabus").addClass("highlight_error"); 
         error++;
    }  else {
            $("#editSyllabus").removeClass("highlight_error"); 
            $('#ErreditSyllabus').html(""); 
    }
    if ($('#editTextBooks').val()==""){
            $('#ErreditTextBooks').html("Please enter Text Books");
            $("#editTextBooks").addClass("highlight_error"); 
         error++;
    }  else {
            $("#editTextBooks").removeClass("highlight_error"); 
            $('#ErreditTextBooks').html(""); 
    }if ($('#editTextBooks').val()==""){
            $('#ErreditTextBooks').html("Please enter Text Books");
            $("#editTextBooks").addClass("highlight_error"); 
         error++;
    }  else {
            $("#editTextBooks").removeClass("highlight_error"); 
            $('#ErreditTextBooks').html(""); 
    }
    if ($('#editReferenceBooks').val()==""){
            $('#ErreditReferenceBooks').html("Please enter Reference Books");
            $("#editReferenceBooks").addClass("highlight_error"); 
         error++;
    }  else {
            $("#editReferenceBooks").removeClass("highlight_error"); 
            $('#ErreditReferenceBooks').html(""); 
    } 
     if(error==0){
            var param = $('#frm_edit').serialize();
            $.post(URL+"webservice.php?action=u&method=madvl",param,function(data){
            var obj = JSON.parse(data); 
            if (obj.status=="success") {
                 $('#confirmationtoedit').modal("hide");
                 $('#Success').modal("show");  
            }   else {
                 if (obj.div=="") {
                $('#ErreditCommon').html(print_inlineError(obj.message));
            } else {
                $('#Err'+obj.div).html(obj.message);   
            }
            }
        });
       } 
}

function viewform(ID){
     $('#confirmationtoview').modal("show");
      $.post(URL+ "webservice.php?action=g&method=&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            $.each(obj.data, function (index, data) {
                $('#viewCode').html(data.Code=="" ? "&nbsp;" : data.Code);
                $('#viewSubjectNameID').html(data.SubjectName=="" ? "&nbsp;" : data.SubjectName);
                $('#viewUnitNumber').html(data.UnitNumber=="" ? "&nbsp;" : data.UnitNumber);
                $('#viewChapterName').html(data.ChapterName=="" ? "&nbsp;" : data.ChapterName);
                $('#viewTextBooks').html(data.TextBooks=="" ? "&nbsp;" : data.TextBooks);
                $('#viewReferenceBooks').html(data.ReferenceBooks=="" ? "&nbsp;" : data.ReferenceBooks);
                $('#viewRemarks').html(data.Remarks=="" ? "&nbsp;" : data.Remarks);
                $('#viewCreatedOn').html(data.CreatedOn=="" ? "&nbsp;" : data.CreatedOn);
               if(data.Status=="1"){
                $('#viewStatus').html("Active");    
               }
               if(data.Status=="0"){
                $('#viewStatus').html("Deactive");    
               }
            });   
}  
  }) 
}

//Character Limitations

/*Alphanumeric without space*/
var arr = ["Code","editCode"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
                var notallowkeys = [48,49,50,51,52,53,54,55,56,57,188,190,191,59,220,221,222,219,173,61,192,111,106,109,107,46]
                var allowedkeys  = [96,97,98,99,100,101,102,103,104,105,9,8,16,46,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,48,49,50,51,52,53,54,55,56,57,33,34,35,36,37,38,39,40,45,12]
                if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}

/*Alphanumeric without space*/
var arr = ["UnitNumber","editUnitNumber"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
                 var notallowkeys = [173,16,48,49,50,51,52,53,54,55,56,57,16,188,190,191,59,222,220,219,221,61,192,111,106,109,107,46,110,190,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90]
                 var allowedkeys  = [32,173,9,8,46,35,36,37,38,39,40,48,49,50,51,52,53,54,55,56,57,103,104,105,100,101,102,97,98,99,96]
                if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}

var arr = ["ChapterName","editChapterName","Syllabus","editSyllabus","TextBooks","editTextBooks","ReferenceBooks","editReferenceBooks"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            console.log(e.keyCode);
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
                var notallowkeys = [48,49,50,51,52,53,54,55,56,57,188,191,59,220,221,222,219,173,61,192,111,106,109,107,46,190]
                 var _allowedkeys = [173]; //when press shift
                var allowedkeys  = [190,173,188,32,96,97,98,99,100,101,102,103,104,105,9,8,16,46,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,48,49,50,51,52,53,54,55,56,57,33,34,35,36,37,38,39,40,45,12]
                if (e.shiftKey) {
                  if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }   
                 else {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                    if (_allowedkeys.includes(keyCode)) {
                     notallowkeys
                }
                }
            } else {
                if (!(allowedkeys.includes(keyCode))) {
                    e.preventDefault();
                }  
            }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}


/* Alphnumeric and special characters, not allow !\$"'~  */
var arr = ["Remarks","editRemarks"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
               var notallowkeys = [220,222,49,52,192]
               var allowedkeys  = [9,8,46,32,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,103,104,105,100,101,102,97,98,99,96,48,49,50,51,52,53,54,55,56,57,173,61,110,190,191,221,219,111,106,109,107,59,188]
               if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}   
</script>
    