<div class="user-dashboard">
    <div class="container">
      <h3 class="title">Employees's Absent List</h3>
       <div class="row">
        <div class="col-12 col-xl-12">                                          
                <div class="card mb-2" style="border: none;">
                    <div class="card-body">   
                      <form id="frm_create" name="frm_create" autocomplete="off" method="post">
                        <div class="row">
                           <div class="col-4">
                                <label class="form-label">From Date</label><span style='color:red'>*</span>
                                    <input class="form-control form-control-sm"  name="FromDate" id="FromDate" placeholder="Date" type="date" onchange="clearInput('FromDate')" autocomplete="off">
                                         <span id="ErrFromDate" style="color: red;" class="error_msg"></span>
                                    </div>
                                    <div class="col-4 mb-3">
                                     <label class="form-label">To Date</label><span style='color:red'>*</span>
                                    <input class="form-control form-control-sm"  name="ToDate" id="ToDate" placeholder="Date" type="date" onchange="clearInput('ToDate')" autocomplete="off">
                                         <span id="ErrToDate" style="color: red;" class="error_msg"></span>
                                    </div>  
                                    <div class="col-12 mb-3" style="text-align: right;">
                             <button type="button" class="btn-save" onclick="View()">View</button>&nbsp;
                        </div>
                         <div class="col-12"> 
                            <table id="listTable" class="table" style="width:100%; display: none;">
                                <thead>
                                    <tr>
                                        <th>Employee Name</th>
                                        <th>Absent Date</th>
                                        <th>Day</th>
                                    </tr>
                                </thead>                                     
                                <tbody id="tbl_content">
                                    <tr>
                                        <td colspan='8'>
                                            <?php echo loadingText("Loading absents");?>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                         </div>
                        </form> 
                        
                    </div>
                </div>                                                                      
                
        </div>
    </div>
</div>
</div>

<script>
 
 $('#FromDate').val(""); 
 $('#ToDate').val(""); 
 
  $('#ErrFromDate').html("");
  $('#ErrToDate').html("");
  
  $("#FromDate").removeClass("highlight_error"); 
  $("#ToDate").removeClass("highlight_error"); 
  
 function View(){
      var error = 0;
    if ($('#FromDate').val()==""){
            $('#ErrFromDate').html("Please select From Date");
         $("#FromDate").addClass("highlight_error"); 
            error++;
    }  else {
         $("#FromDate").removeClass("highlight_error"); 
            $('#ErrFromDate').html(""); 
    }
    if ($('#ToDate').val()==""){
            $('#ErrToDate').html("Please select To Date");
         $("#ToDate").addClass("highlight_error"); 
            error++;
    }  else {
         $("#ToDate").removeClass("highlight_error"); 
            $('#ErrToDate').html(""); 
    }
   
    if(error==0) {
       $('#listTable').show();
        $.post(URL+ "webservice.php?action=l&method=amel","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                             + '<td>' + data.FirstName +"&nbsp;"+ data.MiddleName +"&nbsp;"+ data.LastName + '</td>' 
                            + '<td>' + data.AbsentDate + '</td>' 
                            + '<td>' + data.Day + '</td>' 
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
    } else {
        
     } 
 }
 
 function list() {
      $('#Success').modal("hide");
   
}

setTimeout("list()",2000); 

     
                                                 
</script>
     