<div class="user-dashboard">
    <div class="container">
        <div class="row">
            <div class="col-6"> 
                <h3>Events</h3>
            </div>
            <div class="col-6" style="text-align: right;"> 
                <button class="btn-save" onclick="addform()">New</button>&nbsp;
                <button class="btn-save" onclick="list()">Refresh</button>
            </div>
            <div class="col-xl-12 col-lg-12">
                <table id="listTable" class="table" style="width:100%">
                    <thead>
                        <tr>
                            <th>Date</th>
                            <th>Event Title</th>
                            <th style="width:80px">Status</th>
                            <th style="width:100px" class="nosort"></th>
                        </tr>
                    </thead>                                     
                    <tbody id="tbl_content">
                        <tr>
                            <td colspan='6'>
                                <?php echo loadingText("Loading Events");?>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="confirmationtoadd" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <div class="row" style="width:100%">             
                    <div class="col-sm-8">
                        <h5 class="modal-title" id="exampleModalLabel">New Event</h5>
                    </div>
               <div class="col-sm-4" style="text-align:right;padding-right:0px">
                    <a href="<?php echo help_url;?>Events" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                        
                    </div>
                </div>
            </div>
            <div class="modal-body">
            <form id="frm_create" name="frm_create" method="post" enctype="multipart/form-data" autocomplete="off">
                <div class="row">
                     <span id="ErrCommon"></span>
                  
                    <div class="col-6">
                        <label class="form-label">Date</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="date" name="Date" id="Date" placeholder="Language" onchange="clearInput('Date')">
                        <span id="ErrDate" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Event Title</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="EventTitle" id="EventTitle" placeholder="Event Title" onkeypress="clearInput('EventTitle')">
                        <span id="ErrEventTitle" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Event Description</label><span style='color:red'>*</span>
                         <textarea class="form-control form-control-sm" type="text" name="EventDescription" id="EventDescription" placeholder="Event Description" onkeypress="clearInput('EventDescription')"></textarea>
                        <span id="ErrEventDescription" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                        <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
            </form>
            </div>
            <div class="modal-footer">
                 <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="add()" class="btn-save">Save</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>
                                                                                                            
<div class="modal fade" id="confirmationtoedit" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
               <div class="row" style="width:100%">             
                    <div class="col-sm-8">
                        <h5 class="modal-title" id="exampleModalLabel">Edit Event</h5>
                    </div>
               <div class="col-sm-4" style="text-align:right;padding-right:0px">
                    <a href="<?php echo help_url;?>Events" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                        
                    </div>
                </div>
            </div>
            <div class="modal-body">
             <form id="frm_edit" name="frm_edit" method="post" enctype="multipart/form-data" autocomplete="off">
            <input type="hidden" name="ID" id="editID">
                <div class="row">
                  <span id="ErreditCommon"></span>
                  
                    <div class="col-6">
                        <label class="form-label">Date</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="date" name="Date" id="Date" placeholder="Language" onkeypress="clearInput('Date')">
                        <span id="ErrDate" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Event Title</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="EventTitle" id="EventTitle" placeholder="Event Title" onkeypress="clearInput('EventTitle')">
                        <span id="ErrEventTitle" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Event Description</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="EventDescription" id="EventDescription" placeholder="Event Description" onkeypress="clearInput('EventDescription')">
                        <span id="ErrEventDescription" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-sm-6">
                        <label class="form-label">Status</label>
                        <select name="Status" id="editStatus" class="form-select form-select-sm">
                            <option value="1">Active</option>
                            <option value="0">Deactive</option>
                        </select>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="editRemarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('editRemarks')">
                        <span id="ErreditRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
            </form>
            </div>
            <div class="modal-footer">
                <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="edit()" class="btn-save">Update</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>

<div class="modal fade" id="confirmationtoview" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <div class="row" style="width:100%">             
                    <div class="col-sm-8">
                        <h5 class="modal-title" id="exampleModalLabel">View Event</h5>
                    </div>
               <div class="col-sm-4" style="text-align:right;padding-right:0px">
                    <a href="<?php echo help_url;?>Events" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                        
                    </div>
                </div>
            </div>
            <div class="modal-body">
                <div class="row">
                   
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Date</div>
                        <div id="viewDate"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Event Title</div>
                        <div id="viewEventTitle"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Event Description</div>
                        <div id="viewEventDescription"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Remarks</div>
                        <div id="viewRemarks"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Status</div>
                        <div id="viewStatus"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Created On</div>
                        <div id="viewCreatedOn"></div>
                    </div>
                </div>
            </div>
            <div class="modal-footer"> 
                 <button type="button" data-dismiss="modal" class="btn-cancel">Close</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>
<div class="modal fade" id="Success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body" style="text-align: center;">
                <div id="sucess">
                    <img id="Sucess" style="width: 150px;" src="assets/sucess.gif" alt=""/>
                </div>
                <h3 class="title">Success.</h3>  
                 <button type="button" href="javascript:void(0)" onclick="list()" class="btn-save">Continue</button>         
            </div>
        </div>
    </div>
</div>
     
<script>
function list() {
      $('#Success').modal("hide");
       var html = '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">Loading Events</td>'
                + '</tr>'
      $('#tbl_content').html(html); 
    $.post(URL+ "webservice.php?action=l&method=mabl","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.Date + '</td>' 
                            + '<td>' + data.EventTitle + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '<td style="text-align:right">' 
                                + '<span onclick="editform(\''+data.ID+'\')" class="editLink"  title="Edit Record"><i class="fi fi-rs-pencil"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="viewform(\''+data.ID+'\')" class="viewLink"  title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'emetl\',\''+data.EventTitle+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}

setTimeout("list()",2000);

function addform(){
     $('#confirmationtoadd').modal("show");
     $('#Date').val(""); 
     $('#EventTitle').val(""); 
     $('#EventDescription').val(""); 
     $('#Remarks').val("");
     $('#ErrCode').html(""); 
     $('#ErrDate').html(""); 
     $('#ErrEventTitle').html(""); 
     $('#ErrEventDescription').html(""); 
     $('#ErrRemarks').html(""); 
     $("#Code").removeClass("highlight_error"); 
     $("#Date").removeClass("highlight_error"); 
     $("#EventTitle").removeClass("highlight_error"); 
     $("#EventDescription").removeClass("highlight_error"); 
     $("#Remarks").removeClass("highlight_error"); 
}

function add(){
     var error = 0;
      
    if ($('#Date').val()==""){
            $('#ErrDate').html("Please select Date");
            $("#Date").addClass("highlight_error"); 
           error++;
    }  else {
            $("#Date").removeClass("highlight_error"); 
            $('#ErrDate').html(""); 
    } 
    if ($('#EventTitle').val()==""){
            $('#ErrEventTitle').html("Please enter Event Title");
            $("#EventTitle").addClass("highlight_error"); 
           error++;
    }  else {
            $("#EventTitle").removeClass("highlight_error"); 
            $('#ErrEventTitle').html(""); 
    }
    if ($('#EventDescription').val()==""){
            $('#ErrEventDescription').html("Please enter Event Description");
            $("#EventDescription").addClass("highlight_error"); 
           error++;
    }  else {
            $("#EventDescription").removeClass("highlight_error"); 
            $('#ErrEventDescription').html(""); 
    } 
    
      if(error==0){
           $('#confirmationtoadd').modal("hide");
            $('#Success').modal("show");  
      /*  var param = $('#frm_create').serialize();
        $.post(URL+"webservice.php?action=a&method=emetl",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmationtoadd').modal("hide"); 
             $('#Success').modal("show");    
        }   else {
            $('#ErrCommon').html(print_inlineError(obj.message));
        }
    }); */
   } 
}

function editform(ID){
     $('#confirmationtoedit').modal("show");
     $('#ErreditDate').html(""); 
     $('#ErreditEventTitle').html(""); 
     $('#ErreditEventDescription').html(""); 
     $('#ErreditRemarks').html("");  
     $("#editCode").removeClass("highlight_error"); 
     $("#editDate").removeClass("highlight_error"); 
     $("#editEventTitle").removeClass("highlight_error"); 
     $("#editEventDescription").removeClass("highlight_error"); 
     $("#editRemarks").removeClass("highlight_error"); 
       $.post(URL+ "webservice.php?action=g&method=emetl&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            $.each(obj.data, function (index, data) {
                $('#editID').val(data.ID);
                $('#editDate').val(data.Date);
                $('#editEventTitle').val(data.EventTitle);
                $('#editEventDescription').val(data.EventDescription);
                $('#editStatus').val(data.Status);
                $('#editRemarks').val(data.Remarks);
            });   
}  
        else {
            $('#ErreditCommon').html(print_inlineError(obj.message));
        }
  });
}

function edit(ID){
     var error = 0;
  
     if ($('#editDate').val()==""){
            $('#ErreditDate').html("Please select Date");
            $("#editDate").addClass("highlight_error"); 
           error++;
    }  else {
          $("#editDate").removeClass("highlight_error"); 
            $('#ErreditDate').html(""); 
    }
    if ($('#editEventTitle').val()==""){
            $('#ErreditEventTitle').html("Please enter EventTitle");
            $("#editEventTitle").addClass("highlight_error"); 
           error++;
    }  else {
          $("#editEventTitle").removeClass("highlight_error"); 
            $('#ErreditEventTitle').html(""); 
    }  
    if ($('#editEventDescription').val()==""){
            $('#ErreditEventDescription').html("Please enter Event Description");
            $("#editEventDescription").addClass("highlight_error"); 
           error++;
    }  else {
          $("#editEventDescription").removeClass("highlight_error"); 
            $('#ErreditEventDescription').html(""); 
    } 
       if(error==0){
            var param = $('#frm_edit').serialize();
            $.post(URL+"webservice.php?action=u&method=emetl",param,function(data){
            var obj = JSON.parse(data); 
            if (obj.status=="success") {
                 $('#confirmationtoedit').modal("hide");
                 $('#Success').modal("show");  
            }   else {
                $('#ErreditCommon').html(print_inlineError(obj.message));
            }
        });
       }
  
}

function viewform(ID){
     $('#confirmationtoview').modal("show");
       $.post(URL+ "webservice.php?action=g&method=emetl&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            $.each(obj.data, function (index, data) {
                $('#viewDate').html(data.Date=="" ? "&nbsp;" : data.Date);
                $('#viewEventTitle').html(data.EventTitle=="" ? "&nbsp;" : data.EventTitle);
                $('#viewEventDescription').html(data.EventDescription=="" ? "&nbsp;" : data.EventDescription);
                $('#viewRemarks').html(data.Remarks=="" ? "&nbsp;" : data.Remarks);
                $('#viewCreatedOn').html(data.CreatedOn=="" ? "&nbsp;" : data.CreatedOn);
               if(data.Status=="1"){
                $('#viewStatus').html("Active");    
               }
               if(data.Status=="0"){
                $('#viewStatus').html("Deactive");    
               }
            });   
}  
  }) 
}
 
 
 //Character Limitations



/* Alphabets Space Dot only correct */ 
var arr = ["EventTitle","editEventTitle","EventDescription","editEventDescription"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
                var notallowkeys = [48,49,50,51,52,53,54,55,56,57,186,187,189,173,188,190,191,59,220,221,222,219,173,61,192,111,106,109,107,46,103,104,105,100,101,102,97,98,99,96,110,190]
                var allowedkeys  = [9,8,32,46,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,110]
                if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}



/* Alphnumeric and special characters, not allow !\$"'~  */
var arr = ["Remarks","editRemarks"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
               var notallowkeys = [220,222,49,52,192]
               var allowedkeys  = [9,8,46,32,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,103,104,105,100,101,102,97,98,99,96,48,49,50,51,52,53,54,55,56,57,173,61,110,190,191,221,219,111,106,109,107,59,188]
               if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}    
</script>
    