<div class="user-dashboard">
    <div class="container">
      <h3 class="title">Employees Wedding Day List</h3>
       <div class="row">
        <div class="col-12 col-xl-12">                                          
                <div class="card mb-2" style="border: none;">
                    <div class="card-body">   
                      <form id="frm_create" name="frm_create" autocomplete="off" method="post">
                        <div class="row">
                           <div class="col-4">
                                <label class="form-label">From Date</label><span style='color:red'>*</span>
                                    <input class="form-control form-control-sm"  name="FromDate" id="FromDate" placeholder="Date" type="date" onchange="clearInput('FromDate')" autocomplete="off">
                                         <span id="ErrFromDate" style="color: red;" class="error_msg"></span>
                                    </div>
                           <div class="col-4">
                                <label class="form-label">To Date</label><span style='color:red'>*</span>
                                    <div class="input-group">
                                       <input class="form-control form-control-sm"  name="ToDate" id="ToDate" placeholder="Date" type="date" onchange="clearInput('ToDate')" autocomplete="off"> 
                                  
                                   <button type="button" class="btn-save" onclick="View()" style="width: fit-content;width: 70px;padding: 4px 8px;margin-right: 1px;margin-left: 10px;border: var(--bs-border-width) solid var(--bs-border-color);transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;box-shadow: inset 0 0 10px #f2f1f1;">View</button>
                                </div>
                                 <span id="ErrCourseNameID" style="color: red;" class="error_msg"></span>
                            </div>
                            <div class="col-12 mt-3" style="width:100%; display: none;" id="listTable">
                             <div class=row>
                             <div class="col-sm-12" style="text-align:right;">
                                <a target="_blank" onclick="window.open('about:blank','_blank');"><i class="fa fa-print"></i> Print</a>&nbsp;&nbsp;
                                <a target="_blank" onclick="window.open('about:blank','_blank');"><i class="fa fa-download"></i> Download</a>&nbsp;&nbsp;
                            </div>
                            <div class="col-sm-12" style="text-align: center;">
                                    <p style="margin-bottom: 7px; font-weight: bold;">Employees Wedding Day List</p>
                                  </div> 
                                 
                            <table class="table">
                                 <thead>
                                    <tr>
                                        <th style="width:200px">Employee Name</th>
                                        <th style="width:200px">Designation Group</th>
                                        <th style="width:200px">Designation</th>
                                        <th style="width:200px">Gender</th>
                                        <th style="width:200px">Wedding Date</th>
                                        <th style="width:200px">Anniversary</th>
                                    </tr>
                                </thead>                                     
                                <tbody id="tbl_content">
                                    <tr>
                                        <td colspan='12'>
                                            <?php echo loadingText("Loading employees birthday list");?>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                         </div>
                        
                        
                        </div>
                     </form> 
                    </div>
                </div>                                                                      
        </div>
    </div>
</div>
</div>

<script>
 
 $('#FromDate').val(""); 
 $('#ToDate').val(""); 
 
  $('#ErrFromDate').html("");
  $('#ErrToDate').html("");
  
  $("#FromDate").removeClass("highlight_error"); 
  $("#ToDate").removeClass("highlight_error"); 
  
 function View(){
      var error = 0;
    if ($('#FromDate').val()==""){
            $('#ErrFromDate').html("Please select From Date");
         $("#FromDate").addClass("highlight_error"); 
            error++;
    }  else {
         $("#FromDate").removeClass("highlight_error"); 
            $('#ErrFromDate').html(""); 
    }
    if ($('#ToDate').val()==""){
            $('#ErrToDate').html("Please select To Date");
         $("#ToDate").addClass("highlight_error"); 
            error++;
    }  else {
         $("#ToDate").removeClass("highlight_error"); 
            $('#ErrToDate').html(""); 
    }
   
    if(error==0) {
       $('#listTable').show();
      $.post(URL+ "webservice.php?action=l&method=amel","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.NamePrefix +"&nbsp;"+ data.FirstName +"&nbsp;"+ data.MiddleName +"&nbsp;"+ data.LastName + '</td>' 
                            + '<td>' + data.DesignationGroup + '</td>' 
                            + '<td>' + data.Designation + '</td>'
                            + '<td>' + data.Gender + '</td>'
                            + '<td>' + data.WeddingDate + '</td>'
                            + '<td>' + data.Anniversary + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });                                             
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="12" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
        
     } 
 }
                                                 
</script>
     