<div class="user-dashboard">
    <div class="container">
      <h3 class="title">Class Wise Attendance</h3>
       <div class="row">
        <div class="col-12 col-xl-12">                                          
                <div class="card mb-2" style="border: none;">
                    <div class="card-body">   
                      <form id="frm_create" name="frm_create" autocomplete="off" method="post">
                        <div class="row">
                            <div class="col-sm-4">
                                <label class="form-label">Department </label><span style='color:red'>*</span>
                                    <select class="form-select form-select-sm" name="DepartmentID" id="DepartmentID" onchange="clearInput('DepartmentID')">
                                        <option value="0">Select Department </option>
                                    </select> 
                                    <span id="ErrDepartmentID" style="color: red;" class="error_msg"></span>
                            </div>
                            <div class="col-sm-4">
                                <label class="form-label">Semester</label><span style='color:red'>*</span>            
                                    <select class="form-select form-select-sm" name="SemesterID" id="SemesterID" onchange="clearInput('SemesterID')">
                                        <option value="0">Select Semester</option>
                                    </select>  
                                    <span id="ErrSemesterID" style="color: red;" class="error_msg"></span>
                                </div>
                            <div class="col-sm-4 mb-3">
                            <label class="form-label">Division</label><span style='color:red'>*</span>            
                                <select class="form-select form-select-sm" name="DivisionID" id="DivisionID" onchange="clearInput('DivisionID')">
                                    <option value="0">Select Division</option>
                                </select>  
                                <span id="ErrDivisionID" style="color: red;" class="error_msg"></span>
                            </div> 
                         <div class="col-12"> 
                            <table id="listTable" class="table" style="width:100%; display: none;">
                                <thead>
                                    <tr>
                                        <th>Student Name</th>
                                        <th style="width:80px">Status</th>
                                        <th style="width:100px" class="nosort"></th>
                                    </tr>
                                </thead>                                     
                                <tbody id="tbl_content">
                                    <tr>
                                        <td colspan='8'>
                                            <?php echo loadingText("Loading attendance");?>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                         </div>
                        </form> 
                        <div class="col-12 mb-3" style="text-align: right;">
                            <button type="button" class="btn-save" onclick="Get()">Get</button>&nbsp;
                            <button type="button" href="dashboard.php?action=studentmanagements/students/list" class="btn-save">Back</button>    
                        </div>
                    </div>
                </div>                                                                      
                
        </div>
    </div>
</div>
</div>



<script>
 listSemesters("frm_create","SemesterID","0");
 listDepartments("frm_create","DepartmentID","0");
 listDivisions("frm_create","DivisionID","0");
 
 $('#DepartmentID').val("0"); 
 $('#DivisionID').val("0"); 
 $('#SemesterID').val("0");
 
  $('#ErrDepartmentID').html("");
  $('#ErrDivisionID').html("");
  $('#ErrSemesterID').html("");
  
  $("#DepartmentID").removeClass("highlight_error"); 
  $("#DivisionID").removeClass("highlight_error"); 
  $("#SemesterID").removeClass("highlight_error");
 
 function Get(){
      var error = 0;
     
   if ($('#SemesterID').val()=="0"){
            $('#ErrSemesterID').html("Please select Semester");
         $("#SemesterID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#SemesterID").removeClass("highlight_error"); 
            $('#ErrSemesterID').html(""); 
    }
    if ($('#DepartmentID').val()=="0"){
            $('#ErrDepartmentID').html("Please select Department");
         $("#DepartmentID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#DepartmentID").removeClass("highlight_error"); 
            $('#ErrDepartmentID').html(""); 
    }
    if ($('#DivisionID').val()=="0"){
            $('#ErrDivisionID').html("Please select Division");
         $("#DivisionID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#DivisionID").removeClass("highlight_error"); 
            $('#ErrDivisionID').html(""); 
    }
    if(error==0) {
       $('#listTable').show();
    } else {
        
     } 
 }
 
 function list() {
      $('#Success').modal("hide");
    $.post(URL+ "webservice.php?action=l&method=ampl","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.StudentName + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '<td style="text-align:right">' 
                                + '<span onclick="openPage("apgl")"><i class="fi fi-rs-pencil"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="viewform(\''+data.ID+'\')" class="viewLink"  title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'ampl\',\''+data.Attendance+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}

setTimeout("list()",2000);

function listSemesters(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=l&method=masl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Semester</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.Semester+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listDivisions(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=l&method=madvl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Division</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.Division+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listDepartments(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=l&method=madl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Department</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.Department+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
} 

      
                                                 
</script>
     