<?php
class CourseNames {
    
    public static function addNew() {
        
        global $mysql;
        
        if (isset($_POST['Code'])) {
            if (strlen(trim($_POST['Code']))==0) {
                return json_encode(array("status"=>"failure","message"=>"Please Enter Code","div"=>"Code"));    
            } else {
                $dupCode = $mysql->select("select * from ".Tabels::CourseNames." where Code='".trim($_POST['Code'])."'");
                if (sizeof($dupCode)>0) {
                    return json_encode(array("status"=>"failure","message"=>"Already Exists","div"=>"Code"));    
                }   
            }
        } 
         
        if (strlen(trim($_POST['CourseName']))==0) {
            return json_encode(array("status"=>"failure","message"=>"Please enter Course Name","div"=>"CourseName"));    
        } else {
            $dupCode = $mysql->select("select * from ".Tabels::CourseNames." where CourseName='".trim($_POST['CourseName'])."'");
            if (sizeof($dupCode)>0) {
                return json_encode(array("status"=>"failure","message"=>"Already Exists","div"=>"CourseName"));    
            }
        }
        
        if (strlen(trim($_POST['CourseTypeID']))==0 || $_POST['CourseTypeID']=="") {        
            return json_encode(array("status"=>"failure","message"=>"Please select Course Type","div"=>"CourseTypeID"));    
        }
        
        $CourseType = $mysql->select("select * from ".Tabels::CourseTypes." where md5(ID)='".$_POST['CourseTypeID']."'");
        if (sizeof($CourseType)==0) {
         return json_encode(array("status"=>"failure","message"=>"Invalid Course Type","div"=>"CourseTypeID"));       
        }
        
         if (strlen(trim($_POST['DepartmentID']))==0 || $_POST['DepartmentID']=="") {        
            return json_encode(array("status"=>"failure","message"=>"Please select Department","div"=>"DepartmentID"));    
        }
        
        $Department = $mysql->select("select * from ".Tabels::Departments." where md5(ID)='".$_POST['DepartmentID']."'");
        if (sizeof($Department)==0) {
         return json_encode(array("status"=>"failure","message"=>"Invalid Department","div"=>"DepartmentID"));       
        }
        
        $id = $mysql->insert(Tabels::CourseNames,array("Code"         => trim($_POST['Code']),
                                                      "CourseName" => trim($_POST['CourseName']),
                                                      "CourseTypeID" => trim($CourseType[0]['ID']),
                                                      "CourseTypeCode" => trim($CourseType[0]['Code']),
                                                      "CourseType" => trim($CourseType[0]['CourseType']),
                                                      
                                                      "DepartmentID" => trim($Department[0]['ID']),
                                                      "DepartmentCode" => trim($Department[0]['Code']),
                                                      "Department" => trim($Department[0]['Department']),
                                                      
                                                      "NoOfSemesters"      => trim($_POST['NoOfSemesters']),
                                                      "Remarks"      => trim($_POST['Remarks']),
                                                      "CreatedOn"    => date("Y-m-d H:i:s"),
                                                      "Status"     => '1'));
        if ($id>0) {
            return json_encode(array("status"=>"success","message"=>"Successfuly created","div"=>""));
        } else {
            return json_encode(array("status"=>"failure","message"=>"Unable to create, please contact system administrator","div"=>""));
        }
     }
     
    public static function doUpdate() {
         
         global $mysql;
         
         if (strlen(trim($_POST['CourseName']))==0) {
             return json_encode(array("status"=>"failure","message"=>"Please enter Course Name","div"=>"CourseName"));    
         } else {
            $dupCode = $mysql->select("select * from ".Tabels::CourseNames." where CourseName='".trim($_POST['CourseName'])."' and md5(ID)<>'".$_POST['ID']."'");
            if (sizeof($dupCode)>0) {
                return json_encode(array("status"=>"failure","message"=>"Aready exits","div"=>"CourseName"));    
            }
        }
        
        if (strlen(trim($_POST['CourseTypeID']))==0 || $_POST['CourseTypeID']=="") {
            return json_encode(array("status"=>"failure","message"=>"Please select Course Type","div"=>"CourseTypeID"));    
        }
        
        $CourseType = $mysql->select("select * from ".Tabels::CourseTypes." where md5(ID)='".$_POST['CourseTypeID']."'");
        if (sizeof($CourseType)==0) {
         return json_encode(array("status"=>"failure","message"=>"Invalid Course Type","div"=>"CourseTypeID"));       
        }
        
        
         if (strlen(trim($_POST['DepartmentID']))==0 || $_POST['DepartmentID']=="") {        
            return json_encode(array("status"=>"failure","message"=>"Please select Department","div"=>"DepartmentID"));    
        }
        
        $Department = $mysql->select("select * from ".Tabels::Departments." where md5(ID)='".$_POST['DepartmentID']."'");
        if (sizeof($Department)==0) {
         return json_encode(array("status"=>"failure","message"=>"Invalid Department","div"=>"DepartmentID"));       
        }
        
       $id= $mysql->execute("update ".Tabels::CourseNames." set CourseName       = '".trim($_POST['CourseName'])."',
                                                               CourseTypeID   = '".trim($CourseType[0]['ID'])."',
                                                               CourseTypeCode = '".trim($CourseType[0]['Code'])."',
                                                               CourseType     = '".trim($CourseType[0]['CourseType'])."', 
                                                               
                                                               DepartmentID   = '".trim($Department[0]['ID'])."',
                                                               DepartmentCode = '".trim($Department[0]['Code'])."',
                                                               Department     = '".trim($Department[0]['Department'])."',
                                                               NoOfSemesters         = '".trim($_POST['NoOfSemesters'])."',
                                                               Remarks         = '".trim($_POST['Remarks'])."',
                                                               Status          = '".trim($_POST['Status'])."' where md5(ID)='".$_POST['ID']."'");
                                                          
       if ($id>0) {
        return json_encode(array("status"=>"success","message"=>"Updated successfully","div"=>""));
       } else {
           return json_encode(array("status"=>"failure","message"=>"unable to update".$mysql->error,"div"=>""));
       }
    }
     
    public static function remove() {
        global $mysql;                                           
        $rows = $mysql->execute("delete from ".Tabels::CourseNames." where md5(ID)='".$_POST['delID']."'");
        if ($rows>0) {
            return json_encode(array("status"=>"success","message"=>"Deleted sucessfully"));    
        }
    }

    public static function listAll() {                         
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,md5(DepartmentID) as DepartmentID,Code,NoOfSemesters, DepartmentCode,Department, CourseName ,md5(CourseTypeID) as CourseTypeID,CourseTypeCode,CourseType,Remarks ,Status,CreatedOn from ".Tabels::CourseNames." ");
        return json_encode(array("status"=>"success","data"=>$data));
    }
    
    public static function listAllAciveByCourseTypeID() {                         
        global $mysql;
        $code=$_GET['CourseTypeCode'];
        $data = $mysql->select("select md5(ID) as ID,md5(DepartmentID) as DepartmentID,Code,NoOfSemesters, DepartmentCode,Department, CourseName ,md5(CourseTypeID) as CourseTypeID,CourseTypeCode,CourseType,Remarks ,Status,CreatedOn from ".Tabels::CourseNames." where CourseTypeCode='".$code."' and Status='1'");
        return json_encode(array("status"=>"success","data"=>$data));
    }
    
    

    public static function getData() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,md5(DepartmentID) as DepartmentID,Code,CourseName,NoOfSemesters , DepartmentCode,Department, md5(CourseTypeID) as CourseTypeID,CourseTypeCode,CourseType,Remarks      ,Status     ,Code,CreatedOn from ".Tabels::CourseNames." where md5(ID)='".$_GET['ID']."'");
        return json_encode(array("status"=>"success","data"=>$data));
    }
}
?>