<?php
class LedgerGroups {
    
    public static function addNew() {
        
        global $mysql;
        
        if (isset($_POST['Code'])) {
            if (strlen(trim($_POST['Code']))==0) {
                return json_encode(array("status"=>"failure","message"=>"Please Enter Code","div"=>"Code"));    
            } else {
                $dupCode = $mysql->select("select * from ".Tabels::LedgerGroups." where Code='".trim($_POST['Code'])."'");
                if (sizeof($dupCode)>0) {
                    return json_encode(array("status"=>"failure","message"=>"Already Exists","div"=>"Code"));    
                }   
            }
        } 
         
        if (strlen(trim($_POST['LedgerGroup']))==0) {
            return json_encode(array("status"=>"failure","message"=>"Please enter Ledger Group","div"=>"LedgerGroup"));    
        } else {
            $dupCode = $mysql->select("select * from ".Tabels::LedgerGroups." where LedgerGroup='".trim($_POST['LedgerGroup'])."'");
            if (sizeof($dupCode)>0) {
                return json_encode(array("status"=>"failure","message"=>"Already Exists","div"=>"LedgerGroup"));    
            }
        }
        $id = $mysql->insert(Tabels::LedgerGroups,array("Code"         => trim($_POST['Code']),
                                                         "LedgerGroup" => trim($_POST['LedgerGroup']),
                                                         "Remarks"      => trim($_POST['Remarks']),
                                                         "CreatedOn"    => date("Y-m-d H:i:s"),
                                                         "Status"     => '1'));
        if ($id>0) {
            return json_encode(array("status"=>"success","message"=>"Successfuly created","div"=>""));
        } else {
            return json_encode(array("status"=>"failure","message"=>"Unable to create, please contact system administrator","div"=>""));
        }
     }
     
    public static function doUpdate() {
         
         global $mysql;
         
         if (strlen(trim($_POST['LedgerGroup']))==0) {
             return json_encode(array("status"=>"failure","message"=>"Please enter Ledger Group","div"=>"LedgerGroup"));    
         } else {
            $dupCode = $mysql->select("select * from ".Tabels::LedgerGroups." where LedgerGroup='".trim($_POST['LedgerGroup'])."' and md5(ID)<>'".$_POST['ID']."'");
            if (sizeof($dupCode)>0) {
                return json_encode(array("status"=>"failure","message"=>"Aready exits","div"=>"LedgerGroup"));    
            }
        }
        
       $id= $mysql->execute("update ".Tabels::LedgerGroups." set LedgerGroup ='".$_POST['LedgerGroup']."',
                                                              Remarks      ='".$_POST['Remarks']."',
                                                              Status     ='".$_POST['Status']."' where md5(ID)='".$_POST['ID']."'");
                                                          
       if ($id>0) {
        return json_encode(array("status"=>"success","message"=>"Updated successfully","div"=>""));
       } else {
           return json_encode(array("status"=>"failure","message"=>"unable to update".$mysql->error,"div"=>""));
       }
    }
     
    public static function remove() {
        global $mysql;
        $rows = $mysql->execute("delete from ".Tabels::LedgerGroups." where md5(ID)='".$_POST['delID']."'");
        if ($rows>0) {
            return json_encode(array("status"=>"success","message"=>"Deleted sucessfully"));    
        }
    }

    public static function listAll() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,Code,LedgerGroup,Remarks,Status,CreatedOn from ".Tabels::LedgerGroups." ");
        return json_encode(array("status"=>"success","data"=>$data));
    }  
    
    public static function listAllActive() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,Code,LedgerGroup,Remarks,Status,CreatedOn from ".Tabels::LedgerGroups." where Status='1' ");
        return json_encode(array("status"=>"success","data"=>$data));
    }

    public static function getData() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,LedgerGroup ,Remarks      ,Status     ,Code,CreatedOn from ".Tabels::LedgerGroups." where md5(ID)='".$_GET['ID']."'");
        return json_encode(array("status"=>"success","data"=>$data));
    }
}
?>