<?php
class PeriodNames {
    
    public static function addNew() {
        
        global $mysql;
        
        if (isset($_POST['Code'])) {
            if (strlen(trim($_POST['Code']))==0) {
                return json_encode(array("status"=>"failure","message"=>"Please Enter Code","div"=>"Code"));    
            } else {
                $dupCode = $mysql->select("select * from ".Tabels::PeriodNames." where Code='".trim($_POST['Code'])."'");
                if (sizeof($dupCode)>0) {
                    return json_encode(array("status"=>"failure","message"=>"Already Exists","div"=>"Code"));    
                }   
            }
        } 
         
        if (strlen(trim($_POST['PeriodName']))==0) {
            return json_encode(array("status"=>"failure","message"=>"Please enter PeriodName","div"=>"PeriodName"));    
        } else {
            $dupCode = $mysql->select("select * from ".Tabels::PeriodNames." where PeriodName='".trim($_POST['PeriodName'])."'");
            if (sizeof($dupCode)>0) {
                return json_encode(array("status"=>"failure","message"=>"Already Exists","div"=>"PeriodName"));    
            }
        }
        if (trim($_POST['StartHour'])=="0") {
            return json_encode(array("status"=>"failure","message"=>"Please select Hour","div"=>"StartTime"));    
        }
        if (trim($_POST['StartMinute'])=="0") {
            return json_encode(array("status"=>"failure","message"=>"Please select Minute","div"=>"StartTime"));    
        }
        if (trim($_POST['EndHour'])=="0") {
            return json_encode(array("status"=>"failure","message"=>"Please select Hour","div"=>"EndTime"));    
        }
         if (trim($_POST['EndMinute'])=="0") {
            return json_encode(array("status"=>"failure","message"=>"Please select Minute","div"=>"EndTime"));    
        }
        
        $id = $mysql->insert(Tabels::PeriodNames,array("Code"         => trim($_POST['Code']),
                                                         "PeriodName" => trim($_POST['PeriodName']),
                                                         "StartHour" => trim($_POST['StartHour']),
                                                         "StartMinute" => trim($_POST['StartMinute']),
                                                         "EndHour" => trim($_POST['EndHour']),
                                                         "EndMinute" => trim($_POST['EndMinute']),
                                                         "Remarks"      => trim($_POST['Remarks']),
                                                         "CreatedOn"    => date("Y-m-d H:i:s"),
                                                         "Status"     => '1'));
        if ($id>0) {
            return json_encode(array("status"=>"success","message"=>"Successfuly created","div"=>""));
        } else {
            return json_encode(array("status"=>"failure","message"=>"Unable to create, please contact system administrator","div"=>""));
        }
     }
     
    public static function doUpdate() {
         
         global $mysql;
         
         if (strlen(trim($_POST['PeriodName']))==0) {
             return json_encode(array("status"=>"failure","message"=>"Please enter PeriodName","div"=>"PeriodName"));    
         } else {
            $dupCode = $mysql->select("select * from ".Tabels::PeriodNames." where PeriodName='".trim($_POST['PeriodName'])."' and md5(ID)<>'".$_POST['ID']."'");
            if (sizeof($dupCode)>0) {
                return json_encode(array("status"=>"failure","message"=>"Aready exits","div"=>"PeriodName"));    
            }
        }
         if (trim($_POST['StartHour'])=="0") {
            return json_encode(array("status"=>"failure","message"=>"Please select Hour","div"=>"StartTime"));    
        }
        if (trim($_POST['StartMinute'])=="0") {
            return json_encode(array("status"=>"failure","message"=>"Please select Minute","div"=>"StartTime"));    
        }
        if (trim($_POST['EndHour'])=="0") {
            return json_encode(array("status"=>"failure","message"=>"Please select Hour","div"=>"EndTime"));    
        }
         if (trim($_POST['EndMinute'])=="0") {
            return json_encode(array("status"=>"failure","message"=>"Please select Minute","div"=>"EndTime"));    
        }
        
       $id= $mysql->execute("update ".Tabels::PeriodNames." set PeriodName ='".$_POST['PeriodName']."',
                                                              StartHour      ='".$_POST['StartHour']."',
                                                              StartMinute      ='".$_POST['StartMinute']."',
                                                              EndHour      ='".$_POST['EndHour']."',
                                                              EndMinute      ='".$_POST['EndMinute']."',
                                                              Remarks      ='".$_POST['Remarks']."',
                                                              Status     ='".$_POST['Status']."' where md5(ID)='".$_POST['ID']."'");
                                                          
       if ($id>0) {
        return json_encode(array("status"=>"success","message"=>"Updated successfully","div"=>""));
       } else {
           return json_encode(array("status"=>"failure","message"=>"unable to update".$mysql->error,"div"=>""));
       }
    }
     
    public static function remove() {
        global $mysql;
        $rows = $mysql->execute("delete from ".Tabels::PeriodNames." where md5(ID)='".$_POST['delID']."'");
        if ($rows>0) {
            return json_encode(array("status"=>"success","message"=>"Deleted sucessfully"));    
        }
    }

    public static function listAll() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,Code,PeriodName,EndHour,EndMinute,StartHour,StartMinute,Remarks,Status,CreatedOn from ".Tabels::PeriodNames." ");
        return json_encode(array("status"=>"success","data"=>$data));
    }
    
    public static function listAllActive() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,Code,PeriodName,Remarks,EndHour,EndMinute,StartHour,StartMinute,Status,CreatedOn from ".Tabels::PeriodNames." where Status='1' ");
        return json_encode(array("status"=>"success","data"=>$data));
    }

    public static function getData() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,PeriodName ,Remarks,EndHour,EndMinute,StartHour,StartMinute,Status,Code,CreatedOn from ".Tabels::PeriodNames." where md5(ID)='".$_GET['ID']."'");
        return json_encode(array("status"=>"success","data"=>$data));
    }
}
?>