<div class="user-dashboard">
    <div class="container">
      <h3 class="title">Working Days</h3>
       <div class="row">
        <div class="col-12 col-xl-12">                                          
                <div class="card mb-2" style="border: none;">
                    <div class="card-body">   
                      <form id="frm_create" name="frm_create" autocomplete="off" method="post">
                         <div class="col-6 mb-3">
                                <label class="form-label">Date Range</label><span style='color:red'>*</span>
                                <div class="input-group">
                                <span class="form-control form-control-sm" style="font-size: .875rem; max-width: fit-content;">From</span>
                                    <input class="form-control form-control-sm"  name="FromDate" id="FromDate" placeholder="From Date" type="date" onchange="clearInput('FromDate');$('#ErrDateRange').html('');" autocomplete="off">
                                   <div class="input-group-prepend">
                                    <span class="form-control form-control-sm" style="font-size: .875rem; max-width: fit-content;">To</span>
                                    </div>
                                    <input class="form-control form-control-sm" type="date" id="ToDate" name="ToDate" onchange="clearInput('ToDate');$('#ErrDateRange').html('');" autocomplete="off"></input> 
                                    <button type="button" class="btn-save" onclick="View()" style="width: fit-content;width: 70px;padding: 4px 8px;margin-right: 1px;margin-left: 10px;border: var(--bs-border-width) solid var(--bs-border-color);transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;box-shadow: inset 0 0 10px #f2f1f1;">View</button>
                                </div>
                                 <span id="ErrDateRange" style="color: red;" class="error_msg"></span>
                            </div>
                        <div class="col-12" style="width:100%; display: none;" id="listTable">
                             <div class=row>
                            <div class="col-sm-12" style="text-align:right;">
                                <a target="_blank" onclick="window.open('about:blank','_blank');"><i class="fa fa-print"></i> Print</a>&nbsp;&nbsp;
                                <a target="_blank" onclick="window.open('about:blank','_blank');"><i class="fa fa-download"></i> Download to pdf</a>&nbsp;&nbsp;
                            </div> 
                            <table class="table">
                                <thead>
                                    <tr>
                                        <th style="width:150px">Date</th>
                                        <th>Day Order</th>
                                        <th>Events</th>
                                        <th>Rematks</th>
                                        <th></th>
                                    </tr>
                                </thead>                                     
                                <tbody id="tbl_content">
                                    <tr>
                                        <td colspan='8'>
                                            <?php echo loadingText("Loading students working days");?>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                         </div>
                          
                        </form> 
                        
                    </div>
                </div>                                                                      
                
        </div>
    </div>
</div>
</div>



 <script>
 
 $('#FromDate').val(""); 
 $('#ToDate').val(""); 
 
  $('#ErrFromDate').html("");
  $('#ErrToDate').html("");
  
  $("#FromDate").removeClass("highlight_error"); 
  $("#ToDate").removeClass("highlight_error"); 
 
 function View(){
      var error = 0;
     if ($('#FromDate').val()=="") {
            $('#ErrDateRange').html("Please select From Date");
           $("#FromDate").addClass("highlight_error");
           error++;
    }  else {
           if ($('#ToDate').val()==""){
            $('#ErrDateRange').html("Please select To Date");
            $("#ToDate").addClass("highlight_error");
            error++;
    }  else {
           $("#ToDate").removeClass("highlight_error");
            $('#ErrDateRange').html("");  
    } 
    }
    if(error==0) {
       $('#listTable').show();
        $.post(URL+ "webservice.php?action=l&method=orgcale","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.Date + '</td>' 
                            + '<td>' + data.DayOrder + '</td>' 
                            + '<td>' + data.Events + '</td>' 
                            + '<td>' + data.Remarks + '</td>'
                            + '<td></td>' 
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="8" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
    } else {
        
     } 
 }
 
</script>



     