<div class="user-dashboard">
    <div class="container">
        <div class="row">
            <div class="col-6"> 
                <h3>SMTP</h3>
            </div>
            <div class="col-6" style="text-align: right;"> 
                <button class="btn-save" onclick="addform()">New</button>&nbsp;
                <button class="btn-save" onclick="list()">Refresh</button>
            </div>
            <div class="col-xl-12 col-lg-12">
                <table id="listTable" class="table" style="width:100%">
                    <thead>
                        <tr>
                            <th style="width:150px">Code</th>
                            <th>SMTP Server</th>
                            <th>User Name</th>
                            <th style="width:80px">Status</th>
                            <th style="width:100px" class="nosort"></th>
                        </tr>
                    </thead>                                     
                    <tbody id="tbl_content"> <tr>
                        <td colspan='7'>
                                <?php echo loadingText("Loading SMTP");?>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="confirmationtoadd" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">New SMTP</h5>
                <button type="button" class="btn-close" data-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                 <form id="frm_create" name="frm_create" method="post" enctype="multipart/form-data" autocomplete="off">
                <div class="row">
                    <span id="ErrCommon"></span>
                    <div class="col-6">
                        <label class="form-label">Code</label><span style='color:red'>*</span>
                        <input class="form-control form-control-sm" type="text" id="Code" name="Code" placeholder="Code" value="" onkeypress="clearInput('Code')">
                        <span id="ErrCode" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">SMTP Server</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="SMTPServer" id="SMTPServer" placeholder="SMTP Server" onkeypress="clearInput('SMTPServer')">
                        <span id="ErrSMTPServer" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">SMTP User Name</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="SMTPUserName" id="SMTPUserName" placeholder="SMTP User Name" onkeypress="clearInput('SMTPUserName')">
                        <span id="ErrSMTPUserName" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">SMTP Password</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="password" name="SMTPPassword" id="SMTPPassword" placeholder="SMTP Password" onkeypress="clearInput('SMTPPassword')">
                        <span id="ErrSMTPPassword" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">SMTP Port</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="SMTPPort" id="SMTPPort" placeholder="SMTP Port" onkeypress="clearInput('SMTPPort')">
                        <span id="ErrSMTPPort" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">SMTP Authentication</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="SMTPAuthentication" id="SMTPAuthentication" placeholder="SMTP Authentication" onkeypress="clearInput('SMTPAuthentication')">
                        <span id="ErrSMTPAuthentication" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <input type="checkbox" id="default" name="default">&nbsp;Set as Default
                    </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                        <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
                </form>
            </div>
            <div class="modal-footer">
                 <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="add()" class="btn-save">Save</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>
                                                                                                            
<div class="modal fade" id="confirmationtoedit" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Edit SMTP</h5>
                <button type="button" class="btn-close" data-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                <form id="frm_edit" name="frm_edit" method="post" enctype="multipart/form-data" autocomplete="off">
                <input type="hidden" name="ID" id="editID">
                <div class="row">
                    <span id="ErreditCommon"></span>
                    <div class="col-6">
                        <label class="form-label">Code</label>
                        <input class="form-control form-control-sm" type="text" readonly="readonly" id="editCode" name="Code" placeholder="Code" value="" onkeypress="clearInput('editCode')">
                        <span id="ErreditCode" class="error_msg" style="color: red;"></span>
                    </div>
                     <div class="col-12">
                        <label class="form-label">SMTP Server</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="SMTPServer" id="editSMTPServer" placeholder="SMTP Server" onkeypress="clearInput('editSMTPServer')">
                        <span id="ErreditSMTPServer" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">SMTP User Name</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="SMTPUserName" id="editSMTPUserName" placeholder="SMTP User Name" onkeypress="clearInput('editSMTPUserName')">
                        <span id="ErreditSMTPUserName" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">SMTP Password</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="password" name="SMTPPassword" id="editSMTPPassword" placeholder="SMTP Password" onkeypress="clearInput('editSMTPPassword')">
                        <span id="ErreditSMTPPassword" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">SMTP Port</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="SMTPPort" id="editSMTPPort" placeholder="SMTP Port" onkeypress="clearInput('editSMTPPort')">
                        <span id="ErreditSMTPPort" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">SMTP Authentication</label><span style='color:red'>*</span>
                         <textarea class="form-control form-control-sm" type="text" name="SMTPAuthentication" id="editSMTPAuthentication" placeholder="SMTP Authentication" onkeypress="clearInput('editSMTPAuthentication')"></textarea>
                        <span id="ErreditSMTPAuthentication" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-sm-6">
                        <label class="form-label">Status</label>
                        <select name="Status" id="editStatus" class="form-select form-select-sm">
                            <option value="1">Active</option>
                            <option value="0">Deactive</option>
                        </select>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="editRemarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('editRemarks')">
                        <span id="ErreditRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="edit()" class="btn-save">Update</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>

<div class="modal fade" id="confirmationtoview" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">View SMTP</h5>
               <button type="button" class="btn-close" data-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Code</div>
                        <div id="viewCode"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">SMTP Server</div>
                        <div id="viewSMTPServer"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">SMTP User Name</div>
                        <div id="viewSMTPUserName"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">SMTP Password</div>
                        <div id="viewSMTPPassword"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">SMTP Port</div>
                        <div id="viewSMTPPort"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">SMTP Authentication</div>
                        <div id="viewSMTPAuthentication"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Remarks</div>
                        <div id="viewRemarks"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Status</div>
                        <div id="viewStatus"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Created On</div>
                        <div id="viewCreatedOn"></div>
                    </div>
                </div>
            </div>
            <div class="modal-footer"> 
                 <button type="button" data-dismiss="modal" class="btn-cancel">Close</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>

<div class="modal fade" id="Success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body" style="text-align: center;">
                <div id="sucess">
                    <img id="Sucess" style="width: 150px;" src="assets/sucess.gif" alt=""/>
                </div>
                <h3 class="title">Success.</h3>  
                 <button type="button" href="javascript:void(0)" onclick="list()" class="btn-save">Continue</button>         
            </div>
        </div>
    </div>
</div>
     
<script>

function list() {
      $('#Success').modal("hide");
       var html = '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">Loading SMTP</td>'
                + '</tr>'
      $('#tbl_content').html(html);
    $.post(URL+ "webservice.php?action=l&method=maayl","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.Code + '</td>'
                            + '<td>' + data.SMTPServer + '</td>'
                            + '<td>' + data.SMTPUserName + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '<td style="text-align:right">' 
                                + '<span onclick="editform(\''+data.ID+'\')" class="editLink"  title="Edit Record"><i class="fi fi-rs-pencil"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="viewform(\''+data.ID+'\')" class="viewLink"  title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'magl\',\''+data.GradeName+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="7" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}

setTimeout("list()",2000);

function addform(){
        $('#confirmationtoadd').modal("show"); 
        $('#Code').val(""); 
        $('#SMTPServer').val(""); 
        $('#SMTPUserName').val(""); 
        $('#SMTPPassword').val(""); 
        $('#SMTPPort').val(""); 
        $('#SMTPAuthentication').val(""); 
        $('#default').val(""); 
        $('#Remarks').val(""); 
        
        $('#ErrCode').html("");
        $('#ErrSMTPServer').html(""); 
        $('#ErrSMTPUserName').html(""); 
        $('#ErrSMTPPassword').html(""); 
        $('#ErrSMTPPort').html(""); 
        $('#ErrSMTPAuthentication').html(""); 
        $('#ErrRemarks').html("");
     
        $("#Code").removeClass("highlight_error"); 
        $("#SMTPServer").removeClass("highlight_error"); 
        $("#SMTPUserName").removeClass("highlight_error"); 
        $("#SMTPPassword").removeClass("highlight_error"); 
        $("#SMTPPort").removeClass("highlight_error"); 
        $("#SMTPAuthentication").removeClass("highlight_error"); 
        $("#Remarks").removeClass("highlight_error"); 
}

function add(){
    var error = 0;
       if ($('#Code').val()==""){
            $('#ErrCode').html("Please enter Code");
            $("#Code").addClass("highlight_error");
            error++;
    }  else {
            $("#Code").removeClass("highlight_error");
            $('#ErrCode').html(""); 
    }
    if ($('#SMTPServer').val()==""){
            $('#ErrSMTPServer').html("Please enter SMTP Server");
            $("#SMTPServer").addClass("highlight_error");
            error++;
    }  else {
             $("#SMTPServer").removeClass("highlight_error");
            $('#ErrSMTPServer').html(""); 
    }
     if ($('#SMTPUserName').val()==""){
            $('#ErrSMTPUserName').html("Please enter SMTP User Name");
            $("#SMTPUserName").addClass("highlight_error");
            error++;
    }  else {
             $("#SMTPUserName").removeClass("highlight_error");
            $('#ErrSMTPUserName').html(""); 
    }
    if ($('#SMTPPassword').val()==""){
            $('#ErrSMTPPassword').html("Please enter SMTP Password");
            $("#SMTPPassword").addClass("highlight_error");
            error++;
    }  else {
             $("#SMTPPassword").removeClass("highlight_error");
            $('#ErrSMTPPassword').html(""); 
    }
    if ($('#SMTPPort').val()==""){
            $('#ErrSMTPPort').html("Please enter SMTP Port");
            $("#SMTPPort").addClass("highlight_error");
            error++;
    }  else {
             $("#SMTPPort").removeClass("highlight_error");
            $('#ErrSMTPPort').html(""); 
    }
    if ($('#SMTPAuthentication').val()==""){
            $('#ErrSMTPAuthentication').html("Please enter SMTP Authentication");
            $("#SMTPAuthentication").addClass("highlight_error");
            error++;
    }  else {
             $("#SMTPAuthentication").removeClass("highlight_error");
            $('#ErrSMTPAuthentication').html(""); 
    } 
    if(error==0){
        var param = $('#frm_create').serialize();
        $.post(URL+"webservice.php?action=a&method=ssl",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmationtoadd').modal("hide"); 
             $('#Success').modal("show");    
        }   else {
            $('#ErrCommon').html(print_inlineError(obj.message));
        }
    });
   } 
   
}

function editform(ID){
     $('#confirmationtoedit').modal("show"); 
     
     $('#ErreditCode').html("");
     $('#ErreditSMTPServer').html(""); 
     $('#ErreditSMTPUserName').html(""); 
     $('#ErreditSMTPPassword').html(""); 
     $('#ErreditSMTPPort').html(""); 
     $('#ErreditSMTPAuthentication').html(""); 
     $('#ErreditRemarks').html("");
        
      $("#editCode").removeClass("highlight_error"); 
      $("#editSMTPServer").removeClass("highlight_error"); 
      $("#editSMTPUserName").removeClass("highlight_error"); 
      $("#editSMTPPassword").removeClass("highlight_error"); 
      $("#editSMTPPort").removeClass("highlight_error"); 
      $("#editSMTPAuthentication").removeClass("highlight_error"); 
      $("#editRemarks").removeClass("highlight_error"); 
       $.post(URL+ "webservice.php?action=g&method=ssl&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            $.each(obj.data, function (index, data) {
                $('#editCode').val(data.Code);
                $('#editID').val(data.ID);
                $('#editSMTPServer').val(data.SMTPServer);
                $('#editSMTPUserName').val(data.SMTPUserName);
                $('#editSMTPPassword').val(data.SMTPPassword);
                $('#editSMTPPort').val(data.SMTPPort);
                $('#editSMTPAuthentication').val(data.SMTPAuthentication);
                $('#editStatus').val(data.Status);
                $('#editRemarks').val(data.Remarks);
            });   
}  
        else {
            $('#ErreditCommon').html(print_inlineError(obj.message));
        }
  });
}

function edit(ID){
    var error = 0;
    if ($('#editCode').val()==""){
            $('#ErreditCode').html("Please enter Code");
            $("#editCode").addClass("highlight_error"); 
            error++;
    }  else {
             $("#editCode").removeClass("highlight_error"); 
            $('#ErreditCode').html(""); 
    }
    if ($('#editSMTPServer').val()==""){
            $('#ErreditSMTPServer').html("Please enter SMTP Server");
            $("#editSMTPServer").addClass("highlight_error");
            error++;
    }  else {
             $("#editSMTPServer").removeClass("highlight_error");
            $('#ErreditSMTPServer').html(""); 
    }
     if ($('#editSMTPUserName').val()==""){
            $('#ErreditSMTPUserName').html("Please enter SMTP User Name");
            $("#editSMTPUserName").addClass("highlight_error");
            error++;
    }  else {
             $("#editSMTPUserName").removeClass("highlight_error");
            $('#ErreditSMTPUserName').html(""); 
    }
    if ($('#editSMTPPassword').val()==""){
            $('#ErreditSMTPPassword').html("Please enter SMTP Password");
            $("#editSMTPPassword").addClass("highlight_error");
            error++;
    }  else {
             $("#editSMTPPassword").removeClass("highlight_error");
            $('#ErreditSMTPPassword').html(""); 
    }
    if ($('#editSMTPPort').val()==""){
            $('#ErreditSMTPPort').html("Please enter SMTP Port");
            $("#editSMTPPort").addClass("highlight_error");
            error++;
    }  else {
             $("#editSMTPPort").removeClass("highlight_error");
            $('#ErrSMTPPort').html(""); 
    }
    if ($('#editSMTPAuthentication').val()==""){
            $('#ErreditSMTPAuthentication').html("Please enter SMTP Authentication");
            $("#editSMTPAuthentication").addClass("highlight_error");
            error++;
    }  else {
             $("#editSMTPAuthentication").removeClass("highlight_error");
            $('#ErrSMTPAuthentication').html(""); 
    }
   if(error==0){
            var param = $('#frm_edit').serialize();
            $.post(URL+"webservice.php?action=u&method=ssl",param,function(data){
            var obj = JSON.parse(data); 
            if (obj.status=="success") {
                 $('#confirmationtoedit').modal("hide");
                 $('#Success').modal("show");  
            }   else {
                $('#ErreditCommon').html(print_inlineError(obj.message));
            }
        });
       } 
}

function viewform(ID){
     $('#confirmationtoview').modal("show");
      $.post(URL+ "webservice.php?action=g&method=ssl&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            $.each(obj.data, function (index, data) {
                $('#viewCode').html(data.Code=="" ? "&nbsp;" : data.Code);
                $('#viewSMTPServer').html(data.SMTPServer=="" ? "&nbsp" : data.SMTPServer);
                $('#viewSMTPUserName').html(data.SMTPUserName=="" ? "&nbsp" : data.SMTPUserName);
                $('#viewSMTPPassword').html(data.SMTPPassword=="" ? "&nbsp" : data.SMTPPassword);
                $('#viewSMTPPort').html(data.SMTPPort=="" ? "&nbsp" : data.SMTPPort);
                $('#viewSMTPAuthentication').html(data.SMTPAuthentication=="" ? "&nbsp" : data.SMTPAuthentication);
                $('#viewRemarks').html(data.Remarks=="" ? "&nbsp;" : data.Remarks);
                $('#viewCreatedOn').html(data.CreatedOn=="" ? "&nbsp;" : data.CreatedOn);
               if(data.Status=="1"){
                $('#viewStatus').html("Active");    
               }
               if(data.Status=="0"){
                $('#viewStatus').html("Deactive");    
               }
            });   
}  
  }) 
}

//Character Limitations

/*Alphanumeric without space*/
var arr = ["Code","editCode"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
                var notallowkeys = [48,49,50,51,52,53,54,55,56,57,188,190,191,59,220,221,222,219,173,61,192,111,106,109,107,46]
                var allowedkeys  = [96,97,98,99,100,101,102,103,104,105,9,8,16,46,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,48,49,50,51,52,53,54,55,56,57,33,34,35,36,37,38,39,40,45,12]
                if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}

var arr = ["SMTPPassword"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
           var keyCode = e.keyCode || e.which;
        if (e.ctrlKey || e.altKey) {
            e.preventDefault();
        } else {
            console.log(e.keyCode);
            var notallowkeys = [220,222,49,52,192]
            var allowedkeys  = [9,8,46,32,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,103,104,105,100,101,102,97,98,99,96,48,49,50,51,52,53,54,55,56,57,173,61,110,190,191,221,219,111,106,109,107,59,188]
            if (e.shiftKey) {
                if (notallowkeys.includes(keyCode)) {
                    e.preventDefault();
                }
            } else {
                if (!(allowedkeys.includes(keyCode))) {
                    e.preventDefault();
                }
            }  
        }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}
            

/* Alphanumeric Space Dot only correct +,-*/ 
var arr = ["SMTPUserName","editSMTPUserName","SMTPPort","editSMTPPort","SMTPAuthentication","editSMTPAuthentication","SMTPServer","editSMTPServer"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            console.log(e.keyCode);
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
               var notallowkeys = [48,49,50,51,52,53,54,55,56,57,188,191,59,220,221,222,219,173,61,192,111,106,109,107,46];
            var _allowedkeys = [61]; //when press shift
            var allowedkeys  = [173,190,32,96,97,98,99,100,101,102,103,104,105,9,8,16,46,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,48,49,50,51,52,53,54,55,56,57,33,34,35,36,37,38,39,40,45,12];
            if (e.shiftKey) {
                if (_allowedkeys.includes(keyCode)) {
                     notallowkeys
                } else {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                }
            } else {
                if (!(allowedkeys.includes(keyCode))) {
                    e.preventDefault();
                }  
            }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}

/* Alphnumeric and special characters, not allow !\$"'~  */
var arr = ["Remarks","editRemarks"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
               var notallowkeys = [220,222,49,52,192]
               var allowedkeys  = [9,8,46,32,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,103,104,105,100,101,102,97,98,99,96,48,49,50,51,52,53,54,55,56,57,173,61,110,190,191,221,219,111,106,109,107,59,188]
               if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}       
</script>
    