<div class="user-dashboard">
    <div class="container">
      <h3 class="title">Present List</h3>
       <div class="row">
        <div class="col-12 col-xl-12">                                          
                <div class="card mb-2" style="border: none;">
                    <div class="card-body">   
                      <form id="frm_create" name="frm_create" autocomplete="off" method="post">
                        <div class="row">
                            <div class="col-4">
                                    <label class="form-label">Date</label><span style='color:red'>*</span>
                                    <div class="input-group">
                                        <input class="form-control form-control-sm" name="ToDate" id="Date" placeholder="Date" type="date" onchange="clearInput('ToDate')" autocomplete="off">
                                        <button type="button" class="btn-save" onclick="Get()" style="width: fit-content;width: 70px;padding: 4px 8px;margin-right: 1px;margin-left: 10px;border: var(--bs-border-width) solid var(--bs-border-color);transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;box-shadow: inset 0 0 10px #f2f1f1;">Get</button>
                                    </div>
                                    <span id="ErrDate" style="color: red;" class="error_msg"></span>
                                </div>
                         <div class="col-12 mt-4"> 
                            <table id="listTable" class="table" style="width:100%; display: none;">
                                <thead>
                                    <tr>
                                        <th style="width:150px">Date</th>
                                        <th>Student Name</th>
                                        <th style="width:80px">Status</th>
                                        <th style="width:100px" class="nosort"></th>
                                    </tr>
                                </thead>                                     
                                <tbody id="tbl_content">
                                    <tr>
                                        <td colspan='8'>
                                            <?php echo loadingText("Loading absents");?>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                         </div>
                        </form> 
                    </div>
                </div>                                                                      
                
        </div>
    </div>
</div>
</div>

<script>
 
 $('#Date').val(""); 
 
  $('#ErrDate').html("");
  $('#ErrToDate').html("");
  
  $("#Date").removeClass("highlight_error"); 
  
 function Get(){
      var error = 0;
    if ($('#Date').val()==""){
            $('#ErrDate').html("Please select  Date");
         $("#Date").addClass("highlight_error"); 
            error++;
    }  else {
         $("#Date").removeClass("highlight_error"); 
            $('#ErrDate').html(""); 
    }
   
     if(error==0) {
       $('#listTable').show();
       $('#tbl_content').html(tbl_content);
        var param = $('#frm_create').serialize();
       $.post(URL+ "webservice.php?action=gl&method=lst",param,function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
              $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.StudentID + '</td>' 
                            + '<td>' + data.StudentFullName + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '<td style="text-align:right">' 
                               + '<span onclick="viewform(\''+data.ID+'\')" class="viewLink"  title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'ampl\',\''+data.Attendance+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
           
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="4" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });

} else {
        
     } 
 }
                                                 
</script>
     