<?php include_once("sidemenu.php");?>
<div class="user-dashboard">
    <div class="container">
        <div class="row">
            <div class="col-6"> 
                <h3>Bank Details</h3>
            </div>
            <div class="col-6" style="text-align: right;"> 
                <button class="btn-save" onclick="addform()">New</button>
                <button class="btn-save" onclick="list()">Refresh</button>
            </div>
            <div class="col-xl-12 col-lg-12">
                <table id="listTable" class="table" style="width:100%">
                    <thead>
                        <tr>
                            <th style="width:150px">Bank Name</th>
                            <th>Branch Name</th>
                            <th>Account Number</th>
                            <th>IFSCode</th>
                            <th style="width:80px">Status</th>
                            <th style="width:100px" class="nosort"></th>
                        </tr>
                    </thead>                                     
                    <tbody id="tbl_content">
                        <tr>
                            <td colspan='6'>
                                <?php echo loadingText("Loading Bank details");?>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="confirmationtoadd" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <div class="row" style="width:100%">
               <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">New Bank Detail</h5>
               </div>
                <div class="col-sm-4" style="text-align:right;padding-right:0px">
                        <a href="<?php echo help_url;?>Employees/BankDetails" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                    </div>
            </div>
            </div>
            <div class="modal-body">
             <form id="frm_create" name="frm_create" method="post" enctype="multipart/form-data" autocomplete="off">
                <div class="row">
                     <span id="ErrCommon"></span>
                        <div class="col-sm-6">
                        <label class="form-label">Bank Name</label><span style='color:red'>*</span>            
                            <select class="form-select form-select-sm" name="BankNameID" id="BankNameID" onchange="clearInput('BankNameID')">
                                <option value="0">Select Bank Name</option>
                            </select>  
                            <span id="ErrBankNameID" style="color: red;" class="error_msg"></span>
                        </div>
                    <div class="col-12">
                        <label class="form-label">Branch Name</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="BranchName" id="BranchName" placeholder="Branch Name" onkeypress="clearInput('BranchName')">
                        <span id="ErrBranchName" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-6">
                        <label class="form-label">Account Number</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="AccountNumber" id="AccountNumber" placeholder="Account Number" onkeypress="clearInput('AccountNumber')">
                        <span id="ErrAccountNumber" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-6">
                        <label class="form-label">IFSC Code</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="IFSCode" id="IFSCode" placeholder="IFSC Code" onkeypress="clearInput('IFSCode')">
                        <span id="ErrIFSCode" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                        <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
             </form>
            </div>
            <div class="modal-footer">
                 <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="add()" class="btn-save">Save</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>
                                                                                                            
<div class="modal fade" id="confirmationtoedit" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Edit Bank Detail</h5>
                <button type="button" class="btn-close" data-dismiss="modal"></button>
            </div>
            <div class="modal-body">
             <form id="frm_edit" name="frm_edit" method="post" enctype="multipart/form-data" autocomplete="off">
             <input type="hidden" name="ID" id="editID">
                <div class="row">
                     <span id="ErreditCommon"></span>
                    <div class="col-sm-4">
                        <label class="form-label">Bank Name</label><span style='color:red'>*</span>            
                            <select class="form-select form-select-sm" name="BankNameID" id="editBankNameID" onchange="clearInput('editBankNameID')">
                                <option value="0">Select Bank Name</option>
                            </select>  
                            <span id="ErreditBankNameID" style="color: red;" class="error_msg"></span>
                        </div>
                    <div class="col-12">
                        <label class="form-label">Branch Name</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="BranchName" id="editBranchName" placeholder="Branch Name" onkeypress="clearInput('editBranchName')">
                        <span id="ErreditBranchName" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-6">
                        <label class="form-label">Account Number</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="AccountNumber" id="editAccountNumber" placeholder="Account Number" onkeypress="clearInput('editAccountNumber')">
                        <span id="ErreditAccountNumber" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-6">
                        <label class="form-label">IFSC Code</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="IFSCode" id="editIFSCode" placeholder="IFSC Code" onkeypress="clearInput('editIFSCode')">
                        <span id="ErreditIFSCode" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-sm-6">
                        <label class="form-label">Status</label>
                        <select name="Status" id="editStatus" class="form-select form-select-sm">
                            <option value="1">Active</option>
                            <option value="0">Deactive</option>
                        </select>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="editRemarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('editRemarks')">
                        <span id="ErreditRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
            </form>
            </div>
            <div class="modal-footer">
                <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="edit()" class="btn-save">Update</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>

<div class="modal fade" id="confirmationtoview" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">View Bank Detail</h5>
                <button type="button" class="btn-close" data-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Bank Name</div>
                        <div id="viewBankName"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Branch Name</div>
                        <div id="viewBranchName"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Account Number</div>
                        <div id="viewAccountNumber"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">IFSC Code</div>
                        <div id="viewIFSCode"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Remarks</div>
                        <div id="viewRemarks"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Status</div>
                        <div id="viewStatus"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Created On</div>
                        <div id="viewCreatedOn"></div>
                    </div>
                </div>
            </div>
            <div class="modal-footer"> 
                 <button type="button" data-dismiss="modal" class="btn-cancel">Close</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>
<div class="modal fade" id="Success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body" style="text-align: center;">
                <div id="sucess">
                    <img id="Sucess" style="width: 150px;" src="assets/sucess.gif" alt=""/>
                </div>
                <h3 class="title">Success.</h3>  
                 <button type="button" href="javascript:void(0)" onclick="list()" class="btn-save">Continue</button>         
            </div>
        </div>
    </div>
</div>
     
<script>
function list() {
      $('#Success').modal("hide");
         var html = '<tr>'
                + '<td colspan="8" style="text-align: center;background:#fff !important">Loading Designations</td>'
                + '</tr>'
      $('#tbl_content').html(html); 
   $.post(URL+ "webservice.php?action=l&method=etfmci&ID=<?php echo $_GET['ID'];?>","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.Code + '</td>'
                            + '<td>' + data.BankName + '</td>' 
                            + '<td>' + data.BranchName + '</td>' 
                            + '<td>' + data.IFSCode + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '<td style="text-align:right">' 
                                + '<span onclick="editform(\''+data.ID+'\')" class="editLink"  title="Edit Record"><i class="fi fi-rs-pencil"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="viewform(\''+data.ID+'\')" class="viewLink"  title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'mcgbdl\',\''+data.BankDetails+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
              $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}

setTimeout("list()",2000);

function addform(){
    $('#confirmationtoadd').modal("show"); 
    $('#BankNameID').val("0"); 
    $('#BranchName').val(""); 
    $('#AccountNumber').val(""); 
    $('#IFSCode').val("");
    $('#Remarks').val("");
    $('#ErrCode').html(""); 
    $('#ErrBranchName').html(""); 
    $('#ErrAccountNumber').html(""); 
    $('#ErrIFSCode').html("");  
    $('#ErrRemarks').html("");  
    $('#ErrCommon').html(""); 
    $("#BankNameID").removeClass("highlight_error"); 
    $("#BranchName").removeClass("highlight_error"); 
    $("#AccountNumber").removeClass("highlight_error"); 
    $("#IFSCode").removeClass("highlight_error"); 
    $("#Remarks").removeClass("highlight_error"); 
}

function add(){
    var error = 0;
       if ($('#BankNameID').val()=="0"){
            $('#ErrBankNameID').html("Please select Bank Name");
         $("#BankNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#BankNameID").removeClass("highlight_error"); 
            $('#ErrBankNameID').html(""); 
    }
    if ($('#BranchName').val()==""){
            $('#ErrBranchName').html("Please enter Branch Name");
            $("#BranchName").addClass("highlight_error"); 
            error++;
    }  else {
            $("#BranchName").removeClass("highlight_error"); 
            $('#ErrBranchName').html(""); 
    }
    if ($('#AccountNumber').val()==""){
            $('#ErrAccountNumber').html("Please enter Account Number");
            $("#AccountNumber").addClass("highlight_error"); 
            error++;
    }  else {
            $("#AccountNumber").removeClass("highlight_error"); 
            $('#ErrAccountNumber').html(""); 
    }
    if ($('#IFSCode').val()==""){
            $('#ErrIFSCode').html("Please enter IFSC Code");
            $("#IFSCode").addClass("highlight_error"); 
            error++;
    }  else {
            $("#IFSCode").removeClass("highlight_error"); 
            $('#ErrIFSCode').html(""); 
    } 
    if(error==0){
        var param = $('#frm_create').serialize();
        $.post(URL+"webservice.php?action=a&method=mcgndrl",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmationtoadd').modal("hide"); 
             $('#Success').modal("show");    
        }   else {
           if (obj.div=="") {
                $('#ErrCommon').html(print_inlineError(obj.message));
            } else {
                $('#Err'+obj.div).html(obj.message);   
            }
        }
    });
   } 
   
}

function editform(ID){
     $('#confirmationtoedit').modal("show");
     $('#ErreditBankNameID').html(""); 
     $('#ErreditBranchName').html(""); 
     $('#ErreditAccountNumber').html(""); 
     $('#ErreditIFSCode').html(""); 
     $('#ErreditRemarks').html(""); 
     $('#ErreditCommon').html(""); 
     $("#editBankNameID").removeClass("highlight_error"); 
     $("#editBranchName").removeClass("highlight_error"); 
     $("#editAccountNumber").removeClass("highlight_error"); 
     $("#editIFSCode").removeClass("highlight_error");
     $("#editRemarks").removeClass("highlight_error");
      $.post(URL+ "webservice.php?action=g&method=mcgndrl&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            $.each(obj.data, function (index, data) {
                $('#editBankNameID').val(data.BankName);
                $('#editID').val(data.ID);
                $('#editBranchName').val(data.BranchName);
                $('#editAccountNumber').val(data.AccountNumber);
                $('#editIFSCode').val(data.IFSCode);
                $('#editStatus').val(data.Status);
                $('#editRemarks').val(data.Remarks);
            });   
}  
        else {
           if (obj.div=="") {
                $('#ErreditCommon').html(print_inlineError(obj.message));
            } else {
               
            }
        }
  });
}

function edit(ID){
    var error = 0;
    if ($('#editCode').val()==""){
            $('#ErreditBankNameID').html("Please enter Bank Name");
            $("#editBankNameID").addClass("highlight_error"); 
           error++;
    }  else {
            $("#editBankNameID").removeClass("highlight_error"); 
            $('#ErreditBankNameID').html(""); 
    }
     if ($('#editBranchName').val()==""){
            $('#ErreditBranchName').html("Please enter Branch Name");
            $("#editBranchName").addClass("highlight_error"); 
           error++;
    }  else {
            $("#editBranchName").removeClass("highlight_error"); 
            $('#ErreditBranchName').html(""); 
    } 
    if ($('#editAccountNumber').val()==""){
            $('#ErreditAccountNumber').html("Please enter Account Number");
            $("#editAccountNumber").addClass("highlight_error"); 
           error++;
    }  else {
            $("#editAccountNumber").removeClass("highlight_error"); 
            $('#ErreditAccountNumber').html(""); 
    }
    if ($('#editIFSCode').val()==""){
            $('#ErreditIFSCode').html("Please enter IFSC Code");
            $("#editIFSCode").addClass("highlight_error"); 
           error++;
    }  else {
            $("#editIFSCode").removeClass("highlight_error"); 
            $('#ErreditIFSCode').html(""); 
    } 
        if(error==0){
            var param = $('#frm_edit').serialize();
            $.post(URL+"webservice.php?action=u&method=mcgndrl",param,function(data){
            var obj = JSON.parse(data); 
            if (obj.status=="success") {
                 $('#confirmationtoedit').modal("hide");
                 $('#Success').modal("show");  
            }   else {
               if (obj.div=="") {
                $('#ErreditCommon').html(print_inlineError(obj.message));
            } else {
               $("#Erredit"+obj.div).html(obj.message);  
            }
            }
        });
       }
}

function viewform(ID){
     $('#confirmationtoview').modal("show");
       $.post(URL+ "webservice.php?action=g&method=mcgndrl&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            $.each(obj.data, function (index, data) {
                $('#viewBankNameID').html(data.BankName=="" ? "&nbsp;" : data.BankName);
                $('#viewBranchName').html(data.BranchName=="" ? "&nbsp;" : data.BranchName);
                $('#viewAccountNumber').html(data.AccountNumber=="" ? "&nbsp;" : data.AccountNumber);
                $('#viewIFSCode').html(data.IFSCode=="" ? "&nbsp;" : data.IFSCode);
                $('#viewRemarks').html(data.Remarks=="" ? "&nbsp;" : data.Remarks);
                $('#viewCreatedOn').html(data.CreatedOn=="" ? "&nbsp;" : data.CreatedOn);
               if(data.Status=="1"){
                $('#viewStatus').html("Active");    
               }
               if(data.Status=="0"){
                $('#viewStatus').html("Deactive");    
               }
            });   
}  
  })  
}

function listBankNames(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=l&method=masl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Semester</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.BankName+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

 //Character Limitations
 

/* Numbers only*/ 
var arr = ["AccountNumber","editAccountNumber"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
                var notallowkeys = [32,173,16,48,49,50,51,52,53,54,55,56,57,16,188,190,191,59,222,220,219,221,61,192,111,106,109,107,46,110,190,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90]
                var allowedkeys  = [9,8,46,35,36,37,38,39,40,48,49,50,51,52,53,54,55,56,57,103,104,105,100,101,102,97,98,99,96]
                if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}


/* Alphabets Space Dot only correct */ 
var arr = ["BranchName","editBranchName"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
                var notallowkeys = [48,49,50,51,52,53,54,55,56,57,186,187,189,173,188,190,191,59,220,221,222,219,173,61,192,111,106,109,107,46,103,104,105,100,101,102,97,98,99,96,110,190]
                var allowedkeys  = [9,8,32,46,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,110]
                if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}

var arr = ["IFSCode","editIFSCode"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            console.log(e.keyCode)  ;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();                   
            } else {
                console.log(keyCode);
            var notallowkeys = [50,190,32,48,49,52,53,54,55,56,57,188,191,59,220,221,222,219,61,192,106,107,46,51,191,190,188,173]
            var allowedkeys  = [51,111,109,110,96,97,98,99,100,101,102,103,104,105,9,8,16,46,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,48,49,50,52,53,54,55,56,57,33,34,35,36,37,38,39,40,45,12]
            if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}



/* Alphnumeric and special characters, not allow !\$"'~  */
var arr = ["Remarks","editRemarks"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
               var notallowkeys = [220,222,49,52,192]
               var allowedkeys  = [9,8,46,32,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,103,104,105,100,101,102,97,98,99,96,48,49,50,51,52,53,54,55,56,57,173,61,110,190,191,221,219,111,106,109,107,59,188]
               if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}      
</script>
    