<div class="user-dashboard">
    <div class="container">
      <h3 class="title">Date Wise Attendance</h3>
       <div class="row">
        <div class="col-12 col-xl-12">                                          
                <div class="card mb-2" style="border: none;">
                    <div class="card-body">   
                      <form id="frm_create" name="frm_create" autocomplete="off" method="post">
                        <div class="row">
                            <div class="col-6 mb-3">
                                <label class="form-label">Attendance</label><span style='color:red'>*</span>
                                <div class="input-group">
                                    <input class="form-control form-control-sm"  name="Date" id="Date" placeholder="Date" type="date" style="background:#fff" onchange="clearInput('Date')" autocomplete="off">
                                    <div class="input-group-prepend">
                                    <button type="button" onclick="Get()" class="btn-save" style="height: 31px;">Get</button> 
                                </div>
                            </div>
                            <span id="ErrDate" style="color: red;" class="error_msg"></span>
                         </div> 
                         <div class="col-12"> 
                            <table id="listTable" class="table" style="width:100%; display: none;">
                                <thead>
                                    <tr>
                                        <th style="width:150px">Date</th>
                                        <th>Employee Name</th>
                                        <th style="width:80px">Status</th>
                                        <th style="width:100px" class="nosort"></th>
                                    </tr>
                                </thead>                                     
                                <tbody id="tbl_content">
                                    <tr>
                                        <td colspan='8'>
                                            <?php echo loadingText("Loading date wise attendance");?>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                         </div>
                        </form> 
                        <div class="col-12 mb-3" style="text-align: right;">
                            <button type="button" href="dashboard.php?action=studentmanagements/students/list" class="btn-save">Back</button>    
                        </div>
                    </div>
                </div>                                                                      
                
        </div>
    </div>
</div>
</div>



<script>
 function Get(){
      var error = 0;
    if ($('#Date').val()==""){
            $('#ErrDate').html("Please select Date");
          $("#Date").addClass("highlight_error"); 
            error++;
    }  else {
          $("#Date").removeClass("highlight_error"); 
            $('#ErrDate').html(""); 
    }
    if(error==0) {
       $('#listTable').show();
    } else {
        
     } 
 }
 
 function list() {
      $('#Success').modal("hide");
    $.post(URL+ "webservice.php?action=l&method=ampl","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.Date + '</td>' 
                            + '<td>' + data.EmployeeName + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '<td style="text-align:right">' 
                                + '<span onclick="openPage("apgl")"><i class="fi fi-rs-pencil"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="viewform(\''+data.ID+'\')" class="viewLink"  title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'ampl\',\''+data.DateWieAttendance+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}

setTimeout("list()",2000); 

      
                                                 
</script>
     