<?php include_once("sidemenu.php");?>
<div class="user-dashboard">
    <div class="container">
       <div class="row">
            <div class="col-6"> 
                <h3>Experience Details</h3>
            </div>
            <div class="col-6" style="text-align: right;"> 
                <button class="btn-save" onclick="addform()">New</button>
            </div>
            <div class="col-xl-12 col-lg-12">
                <table id="listTable" class="table" style="width:100%">
                    <thead>
                        <tr>
                            <th>Institution Name</th>
                            <th>Designation</th>
                            <th>Place Name</th>
                            <th>From</th>
                            <th>To</th>
                            <th style="width:80px">Status</th>
                            <th style="width:100px" class="nosort"></th>
                        </tr>
                    </thead>
                    <tbody id="tbl_content">
                        <tr>
                            <td colspan='8'>
                                <?php echo loadingText("Loading experience details");?>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="confirmationtoadd" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered"  style="max-width: 800px !important;">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">New Experience Details</h5>
                <button type="button" class="btn-close" data-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                 <form id="frm_create" name="frm_create" method="post" enctype="multipart/form-data" autocomplete="off">
                <div class="row">
                    <span id="ErrCommon"></span>
                     <div class="col-12">
                        <label class="form-label">Experience</label><span style='color:red'>*</span> <br>
                        <input type="radio" id="Institution" name="Experience" onclick="$('#institutionname').show();$('#collegename').hide();clearInput('Experience')"></input>
                        <label class="form-label">Institution</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                          <input type="radio" id="College"name="Experience" onclick="$('#institutionname').hide();$('#collegename').show();clearInput('Experience')"></input>
                          <label class="form-label">College</label>
                    </div>
                     <div class="col-12">  
                        <span id="ErrExperience" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12"  style="display: none;" id="institutionname">
                    <div class="row">
                     <div class="col-sm-4">
                        <label class="form-label">Institution Name</label><span style='color:red'>*</span>
                         <select class="form-select form-select-sm" name="InstitutionNameID" id="InstitutionNameID" onchange="clearInput('InstitutionNameID')">
                            <option value="0">Select Institution Name</option>
                        </select> 
                          <span id="ErrInstitutionNameID" style="color: red;" class="error_msg"></span>
                    </div>
                    </div>
                    </div>
                    <div class="col-12"  style="display: none;" id="collegename">
                    <div class="row">
                     <div class="col-sm-4">
                        <label class="form-label">College Name</label><span style='color:red'>*</span>
                         <select class="form-select form-select-sm" name="CollegeNameID" id="CollegeNameID" onchange="clearInput('CollegeNameID')">
                            <option value="0">Select College Name</option>
                        </select> 
                          <span id="ErrCollegeNameID" style="color: red;" class="error_msg"></span>
                    </div>
                    </div>
                    </div>
                    <div class="col-sm-4">
                            <label class="form-label">Designation Group</label><span style='color:red'>*</span>
                                <select class="form-select form-select-sm" name="DesignationGroupID" id="DesignationGroupID" onchange="clearInput('DesignationGroupID');listDesignations('frm_create','DesignationID','0')">
                                    <option value="0">Select Designation Group</option>
                                </select>  
                          <span id="ErrDesignationGroupID" style="color: red;" class="error_msg"></span>
                     </div>
                     <div class="col-sm-4">
                        <label class="form-label">Designation</label><span style='color:red'>*</span>
                            <select class="form-select form-select-sm" name="DesignationID" id="DesignationID" onchange="clearInput('DesignationID')">
                                <option value="0">Select Designation</option>
                                </select> 
                                <span id="ErrDesignationID" style="color: red;" class="error_msg"></span>
                        </div>
                        
                    <!--<div class="col-4">
                         <label class="form-label">Place Name</label><span style='color:red'>*</span>
                             <?php $PlaceNames = getResponseData("maigl","l",""); ?>   
                             <select class="form-select form-select-sm" name="PlaceName" id="PlaceName" onchange="clearInput('PlaceName')">
                                <option value="0">Select Place Name</option>
                                <?php foreach($PlaceNames as $PlaceName) {?>   
                                <option value="<?php echo $PlaceName['ID'];?>"><?php echo $PlaceName['PlaceName'];?></option>
                                <?php } ?>
                             </select> 
                          <span id="ErrPlaceName" style="color: red;" class="error_msg"></span>
                    </div> -->
                     <div class="col-sm-8">
                        <label class="form-label">Duration<span style='color:red'>*</span></label>
                        <div class="input-group">
                        <span class="input-group-text" id="basic-addon1">From</span>
                            <input class="form-control form-control-sm"  name="FromDate" id="FromDate" placeholder="From Date" type="date" style="background:#fff" onchange="clearInput('FromDate');$('#ErrDuration').html('');" autocomplete="off">
                            <div class="input-group-prepend">
                                <span class="input-group-text" id="basic-addon1">To</span>
                        </div>
                        <input type="date" name="ToDate" id="ToDate" class="form-control form-control-sm" placeholder="To Date" onchange="clearInput('ToDate');$('#ErrDuration').html('');" maxlength="3">
                    </div> 
                    <span id="ErrDuration" class="error_msg" style="color: red;"></span>
                    </div>
                   <div class="col-md-4">
                        <label class="form-label">Attachment</label><span style='color:red'>*</span>
                        <input  id="editAttachment" class="form-control form-control-sm" type="file" data_btn_text="Browse" placeholder="drage and drop file here" name="editAttachment[]">
                        <div id="ErreditAttachment" class="error_msg" style="color:red"></div>
                   </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                        <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
                </form>
            </div>
            <div class="modal-footer mb-3">
                 <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="add()" class="btn-save">Save</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>

<div class="modal fade" id="Success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body" style="text-align: center;">
                <div id="sucess">
                    <img id="Sucess" style="width: 150px;" src="assets/sucess.gif" alt=""/>
                </div>
                <h3 class="title">Success.</h3>  
                 <button type="button" onclick="openPage('augl')" class="btn-save">Continue</button>         
            </div>
        </div>
    </div>
</div>

<script>

   function list() {
    $.post(URL+ "webservice.php?action=l&method=mcr","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.InstitutionName + '</td>'
                            + '<td>' + data.Designation + '</td>'
                            + '<td>' + data.PlaceName + '</td>' 
                            + '<td>' + data.StartYear + '</td>' 
                            + '<td>' + data.EndYear + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '<td style="text-align:right">' 
                               + '<span onclick="view(\''+data.ID+'\')" class="viewLink"  title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'mcgndrl\',\''+data.Previouseducation+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="5" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
            $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}

setTimeout("list()",2000);

function addform(){
  $('#confirmationtoadd').modal("show"); 
   listDesignationGroups("frm_create","DesignationGroupID","0"); 
   listInstitutionNames("frm_create","InstitutionNameID","0"); 
   listCollegeNames("frm_create","CollegeNameID","0"); 
  $('#DesignationID').val("0"); 
  $('#DesignationGroupID').val("0"); 
  $('#InstitutionNameID').val("0"); 
  $('#CollegeNameID').val("0"); 
  $('#FromDate').val(""); 
  $('#ToDate').val(""); 
  $('#Attachment').val(""); 
  
   $('#ErrDesignationID').html(""); 
   $('#ErrDesignationGroupID').html(""); 
   $('#ErrInstitutionNameID').html(""); 
   $('#ErrCollegeNameID').html(""); 
   $('#ErrDuration').html(""); 
   $('#ErrCommon').html(""); 
   $('#ErrExperience').html(""); 
   $('#ErrAttachment').html(""); 
   
   $("#InstitutionNameID").removeClass("highlight_error");  
   $("#DesignationID").removeClass("highlight_error");  
   $("#DesignationGroupID").removeClass("highlight_error");  
   $("#CollegeNameID").removeClass("highlight_error");  
   $("#FromDate").removeClass("highlight_error");                                  
   $("#ToDate").removeClass("highlight_error");  
   $("#Attachment").removeClass("highlight_error");  
    
}

function add(){
     var error = 0;
     if(document.getElementById('Institution').checked || document.getElementById('College').checked) {
        $('#ErrExperience').html("");
           
    }  else {
         $('#ErrExperience').html("Please Select Experience");
           error++;  
    } 
     if ($('#InstitutionNameID').val()=="0"){
            $('#ErrInstitutionNameID').html("Please select Institution Name");
          $("#InstitutionNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#InstitutionNameID").removeClass("highlight_error"); 
            $('#ErrInstitutionNameID').html(""); 
    }
      if ($('#CollegeNameID').val()=="0"){
            $('#ErrCollegeNameID').html("Please select College Name");
          $("#CollegeNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#CollegeNameID").removeClass("highlight_error"); 
            $('#ErrCollegeNameID').html(""); 
    }
    if ($('#DesignationID').val()=="0"){
            $('#ErrDesignationID').html("Please select Designation");
          $("#DesignationID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#DesignationID").removeClass("highlight_error"); 
            $('#ErrDesignationID').html(""); 
    }
   
    if ($('#DesignationGroupID').val()=="0"){
            $('#ErrDesignationGroupID').html("Please select Designation Group");
          $("#DesignationGroupID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#DesignationGroupID").removeClass("highlight_error"); 
            $('#ErrDesignationGroupID').html(""); 
    }
      if ($('#FromDate').val()=="") {
            $('#ErrDuration').html("Please select From Date");
           $("#FromDate").addClass("highlight_error");
           error++;
    }  else {
           if ($('#ToDate').val()==""){
            $('#ErrDuration').html("Please select To Date");
            $("#ToDate").addClass("highlight_error");
            error++;
    }  else {
           $("#ToDate").removeClass("highlight_error");
            $('#ErrDuration').html("");  
    } 
    }
     if ($('#Attachment').val()==""){
            $('#ErrAttachment').html("Please select Attachment");
            $("#Attachment").addClass("highlight_error");
          error++;
    }  else {
        $("#Attachment").removeClass("highlight_error");
            $('#ErrAttachment').html(""); 
    }
    if(error==0) {
       $('#confirmationtoadd').modal("hide"); 
       $('#Sucess').modal("hide"); 
    } else {
        $('#ErrCommon').html(print_inlineError(obj.message)); 
     } 
}  

function listDesignationGroups(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=l&method=macdgl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Designation Group</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.DesignationGroup+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listInstitutionNames(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=l&method=mainl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Institution Name</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.InstitutionName+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listCollegeNames(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=l&method=macoll","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select College Name</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.CollegeName+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}


function listDesignationGroups(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=l&method=macdgl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Designation Group</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.DesignationGroup+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listDesignations(formID,selectboxID,selected) {
    
    var html = "<option value='0'>Select Designation</option>";
             $('#'+selectboxID).html(html);
    if (formID=="frm_create") {
          if ($('#DesignationGroupID').val()=="0") {
              var html = "<option value='0'>Select Designation Group</option>";
             $('#'+selectboxID).html(html);
          }
    }
    /*if (formID=="frm_edit") {
         if ($('#editCountryNameID').val()=="0") {
              var html = "<option value='0'>Select State Name</option>";
             $('#'+selectboxID).html(html);
          }
        
    } */
      var param = $('#'+formID).serialize();
    $.post(URL+ "webservice.php?action=labdg&method=macdel&DesignationGroupID="+$('#DesignationGroupID').val(),param,function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            if (obj.data.length>0) {
            var html = "<option value='0'>Select Designation</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+ data.ID +'" '+((data.ID==selected) ? ' selected="selected" ' : '')+' ">'+data.Designation+'</option>';
            });
            $('#'+selectboxID).html(html);
            }
        } else {
             var html = "<option value='0'>Select Designation</option>";
             $('#'+selectboxID).html(html);
           // $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

document.querySelectorAll(".drop-zone__input").forEach((inputElement) => {
  const dropZoneElement = inputElement.closest(".drop-zone");

  dropZoneElement.addEventListener("click", (e) => {
    inputElement.click();
  });

  inputElement.addEventListener("change", (e) => {
    if (inputElement.files.length) {
      updateThumbnail(dropZoneElement, inputElement.files[0]);
    }
  });

  dropZoneElement.addEventListener("dragover", (e) => {
    e.preventDefault();
    dropZoneElement.classList.add("drop-zone--over");
  });

  ["dragleave", "dragend"].forEach((type) => {
    dropZoneElement.addEventListener(type, (e) => {
      dropZoneElement.classList.remove("drop-zone--over");
    });
  });

  dropZoneElement.addEventListener("drop", (e) => {
    e.preventDefault();

    if (e.dataTransfer.files.length) {
      inputElement.files = e.dataTransfer.files;
      updateThumbnail(dropZoneElement, e.dataTransfer.files[0]);
    }

    dropZoneElement.classList.remove("drop-zone--over");
  });
});

/**
 * Updates the thumbnail on a drop zone element.
 *
 * @param {HTMLElement} dropZoneElement
 * @param {File} file
 */
function updateThumbnail(dropZoneElement, file) {
  let thumbnailElement = dropZoneElement.querySelector(".drop-zone__thumb");

  // First time - remove the prompt
  if (dropZoneElement.querySelector(".drop-zone__prompt")) {
    dropZoneElement.querySelector(".drop-zone__prompt").remove();
  }

  // First time - there is no thumbnail element, so lets create it
  if (!thumbnailElement) {
    thumbnailElement = document.createElement("div");
    thumbnailElement.classList.add("drop-zone__thumb");
    dropZoneElement.appendChild(thumbnailElement);
  }

  thumbnailElement.dataset.label = file.name;

  // Show thumbnail for image files
  if (file.type.startsWith("image/")) {
    const reader = new FileReader();

    reader.readAsDataURL(file);
    reader.onload = () => {
      thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
    };
  } else {
    thumbnailElement.style.backgroundImage = null;
  }
}


                                           
</script>
     