<?php include_once("sidemenu.php");?>
<br><style>
  .checkbox-container {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
  }
</style>
<div class="user-dashboard">
    <div class="container">
       <div class="row">
            <div class="col-6"> 
                <h3>Known Languages</h3>
            </div>
            <div class="col-6" style="text-align: right;"> 
                <button class="btn-save" onclick="addform()">New</button>
                <button class="btn-save" onclick="list()">Refresh</button>
            </div>
            <div class="col-xl-12 col-lg-12">
                <table id="listTable" class="table" style="width:100%">
                    <thead>
                        <tr>
                            <th>Language</th>
                            <th>Read</th>
                            <th>Write</th>
                            <th>Speak</th>
                            <th style="width:80px">Status</th>
                            <th style="width:100px" class="nosort"></th>
                        </tr>
                    </thead>
                    <tbody id="tbl_content">
                        <tr>
                            <td colspan='8'>
                                <?php echo loadingText("Loading known Lanuages");?>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="confirmationtoadd" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered"  style="max-width: 800px !important;">
        <div class="modal-content">
            <div class="modal-header">
            <div class="row" style="width:100%">
               <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">New Lanuage</h5>
               </div>
                <div class="col-sm-4" style="text-align:right;padding-right:0px">
                        <a href="<?php echo help_url;?>Employees/KnownLanguages" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                    </div>
            </div>
            </div>
            <div class="modal-body">
                 <form id="frm_create" name="frm_create" method="post" enctype="multipart/form-data" autocomplete="off">
                <div class="row">
                    <span id="ErrCommon"></span>
                     <div class="col-sm-6">
                        <label class="form-label">Language</label><span style='color:red'>*</span>
                         <select class="form-select form-select-sm" name="LanguageID" id="LanguageID" onchange="clearInput('LanguageID')">
                            <option value="0">Select Language</option>
                        </select> 
                          <span id="ErrLanguageID" style="color: red;" class="error_msg"></span>
                    </div>
                     <div class="col-4"></div>
                      <div class="col-12 mt-1">
                          <input type="checkbox" id="read"> <label for="read">Read</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                          <input type="checkbox" id="write"> <label for="write">Write</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                          <input type="checkbox" id="speak"> <label for="speak">Speak</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                          <input type="checkbox" id="listen"> <label for="listen">Listen</label>
                        </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                        <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
                </form>
            </div>
            <div class="modal-footer mb-3">
                 <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="add()" class="btn-save">Save</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>

<div class="modal fade" id="confirmationtoedit" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered"  style="max-width: 800px !important;">
        <div class="modal-content">
            <div class="modal-header">
            <div class="row" style="width:100%">
               <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">Edit Lanuage</h5>
               </div>
                <div class="col-sm-4" style="text-align:right;padding-right:0px">
                        <a href="<?php echo help_url;?>Employees/KnownLanguages" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                    </div>
            </div>
            </div>
            <div class="modal-body">
                 <form id="frm_create" name="frm_create" method="post" enctype="multipart/form-data" autocomplete="off">
                <div class="row">
                    <span id="ErrCommon"></span>
                     <div class="col-sm-6">
                        <label class="form-label">Language</label><span style='color:red'>*</span>
                         <select class="form-select form-select-sm" name="LanguageID" id="editLanguageID" onchange="clearInput('editLanguageID')">
                            <option value="0">Select Language</option>
                        </select> 
                          <span id="ErreditLanguageID" style="color: red;" class="error_msg"></span>
                    </div>
                     <div class="col-4"></div>
                      <div class="col-12 mt-1">
                          <input type="checkbox" id="editread"> <label for="read">Read</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                          <input type="checkbox" id="editwrite"> <label for="write">Write</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                          <input type="checkbox" id="editspeak"> <label for="speak">Speak</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                          <input type="checkbox" id="editlisten"> <label for="listen">Listen</label>
                        </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="editRemarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                        <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
                </form>
            </div>
            <div class="modal-footer mb-3">
                 <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="add()" class="btn-save">Save</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>

<div class="modal fade" id="confirmationtoview" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
            <div class="row" style="width:100%">
               <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">View Language</h5>
                </div>
                <div class="col-sm-4" style="text-align:right;padding-right:0px">
                        <a href="<?php echo help_url;?>Languages" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                    </div>
            </div>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Language</div>
                        <div id="viewLanguageID"></div>
                    </div>
                    <div class="col-sm-3">
                        <div style="font-weight: bold;">Read</div>
                        <div id="viewRead"></div>
                    </div>
                    <div class="col-sm-3">
                        <div style="font-weight: bold;">Write</div>
                        <div id="viewWrite"></div>
                    </div>
                    <div class="col-sm-3">
                        <div style="font-weight: bold;">Speak</div>
                        <div id="viewSpeak"></div>
                    </div>
                    <div class="col-sm-3">
                        <div style="font-weight: bold;">Listen</div>
                        <div id="viewListen"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Remarks</div>
                        <div id="viewRemarks"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Status</div>
                        <div id="viewStatus"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Created On</div>
                        <div id="viewCreatedOn"></div>
                    </div>
                </div>
            </div>
            <div class="modal-footer"> 
                 <button type="button" data-dismiss="modal" class="btn-cancel">Close</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>

<div class="modal fade" id="Success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body" style="text-align: center;">
                <div id="sucess">
                    <img id="Sucess" style="width: 150px;" src="assets/sucess.gif" alt=""/>
                </div>
                <h3 class="title">Success.</h3>  
                 <button type="button" onclick="openPage('augl')" class="btn-save">Continue</button>         
            </div>
        </div>
    </div>
</div>

<script>

   function list() {
    $('#Success').modal("hide");
         var html = '<tr>'
                + '<td colspan="8" style="text-align: center;background:#fff !important">Loading Designations</td>'
                + '</tr>'
      $('#tbl_content').html(html); 
   $.post(URL+ "webservice.php?action=l&method=etfmci&ID=<?php echo $_GET['ID'];?>","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.Lanuage + '</td>'
                            + '<td>' + data.Read + '</td>'
                            + '<td>' + data.Write + '</td>' 
                            + '<td>' + data.Speak + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '<td style="text-align:right">' 
                                + '<span onclick="editform(\''+data.ID+'\')" class="editLink"  title="Edit Record"><i class="fi fi-rs-pencil"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="viewform(\''+data.ID+'\')" class="viewLink"  title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'mcll\',\''+data.FirstName+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="4" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
            $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click'); 
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}

setTimeout("list()",2000); 

function addform(){
  $('#confirmationtoadd').modal("show");
  listLanguageS("frm_create","LanguageID","0"); 
   $('#ErrLanguageID').html(""); 
   $("#LanguageID").removeClass("highlight_error");
}  

function add(){
     var error = 0;
      if ($('#LanguageID').val()=="0"){
            $('#ErrLanguageID').html("Please select Language");
          $("#LanguageID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#LanguageID").removeClass("highlight_error"); 
            $('#ErrLanguageID').html(""); 
    }
    if(error==0){
        var param = $('#frm_create').serialize();
        $.post(URL+"webservice.php?action=a&method=mcgndrl",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmation').modal("hide"); 
             $('#Success').modal("show");    
        }   else {
           if (obj.div=="") {
                $('#ErrCommon').html(print_inlineError(obj.message));
            } else {
                $('#Err'+obj.div).html(obj.message);   
            }
        }
    });
   }  
}

function editform(ID){
     $('#confirmationtoedit').modal("show");
     $('#ErreditLanguageID').html(""); 
     $('#ErreditRemarks').html(""); 
     $('#ErreditCommon').html("");  
     $("#editLanguageID").removeClass("highlight_error"); 
     $("#editRemarks").removeClass("highlight_error"); 
       $.post(URL+ "webservice.php?action=g&method=mcll&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            $.each(obj.data, function (index, data) {
                $('#editLanguageID').val(data.LanguageID);
                $('#editID').val(data.ID);
                $('#editStatus').val(data.Status);
                $('#editRemarks').val(data.Remarks);
            });   
}  
        else {
            if (obj.div=="") {
                $('#ErreditCommon').html(print_inlineError(obj.message));
            } else {
               
            }
        }
  });
}

function edit(ID){
     var error = 0;
   
     if ($('#editLanguageID').val()=="0"){
            $('#ErreditLanguageID').html("Please select Language");
            $("#editLanguageID").addClass("highlight_error"); 
           error++;
    }  else {
          $("#editLanguageID").removeClass("highlight_error"); 
            $('#ErreditLanguageID').html(""); 
    } 
       if(error==0){
            var param = $('#frm_edit').serialize();
            $.post(URL+"webservice.php?action=u&method=mcll",param,function(data){
            var obj = JSON.parse(data); 
            if (obj.status=="success") {
                 $('#confirmationtoedit').modal("hide");
                 $('#Success').modal("show");  
            }   else {
                if (obj.div=="") {
                $('#ErreditCommon').html(print_inlineError(obj.message));
            } else {
               $("#Erredit"+obj.div).html(obj.message);   
            }
            }
        });
       }
  
} 

function viewform(ID){
     $('#confirmationtoview').modal("show");
       $.post(URL+ "webservice.php?action=g&method=mcll&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            $.each(obj.data, function (index, data) {
                $('#viewCode').html(data.Code=="" ? "&nbsp;" : data.Code);
                $('#viewLanguageID').html(data.LanguageName=="" ? "&nbsp;" : data.LanguageName);
                $('#viewRemarks').html(data.Remarks=="" ? "&nbsp;" : data.Remarks);
                $('#viewCreatedOn').html(data.CreatedOn=="" ? "&nbsp;" : data.CreatedOn);
               if(data.Status=="1"){
                $('#viewStatus').html("Active");    
               }
               if(data.Status=="0"){
                $('#viewStatus').html("Deactive");    
               }
            });   
}  
  }) 
}

function listLanguageS(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=lac&method=mcll","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Language</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.LanguageName+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

 /* Alphnumeric and special characters, not allow !\$"'~  */
var arr = ["Remarks","editRemarks"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
               var notallowkeys = [220,222,49,52,192]
               var allowedkeys  = [9,8,46,32,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,103,104,105,100,101,102,97,98,99,96,48,49,50,51,52,53,54,55,56,57,173,61,110,190,191,221,219,111,106,109,107,59,188]
               if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
} 
                                          
</script>
     