<div class="user-dashboard">
    <div class="container">
      <h3 class="title">Employee Attendance (Present)</h3>
       <div class="row">
        <div class="col-12 col-xl-12">                                          
                <div class="card mb-2" style="border: none;">
                    <div class="card-body">   
                      <form id="frm_create" name="frm_create" autocomplete="off" method="post">
                        <div class="row">
                           <div class="col-4">
                                <label class="form-label">Date</label><span style='color:red'>*</span>
                                    <input class="form-control form-control-sm"  name="Date" id="Date" placeholder="Date" type="date" onchange="clearInput('Date')" autocomplete="off">
                                         <span id="ErrDate" style="color: red;" class="error_msg"></span>
                                </div> 
                                <div class="col-sm-3">
                                    <label class="form-label">Filter By</label><span style='color:red'>*</span>
                                     <div class="input-group">
                                     <select class="form-select form-select-sm" name="FilterBy" id="FilterBy" onchange="clearInput('FilterBy')">
                                        <option value="0">Select Filter By</option>
                                        <option value="1">All</option>
                                        <option value="2">Absentese</option>
                                        <option value="3">Presents</option>
                                    </select>
                                    <button type="button" class="btn-save" onclick="View()" style="width: fit-content;width: 70px;padding: 4px 8px;margin-right: 1px;margin-left: 10px;border: var(--bs-border-width) solid var(--bs-border-color);transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;box-shadow: inset 0 0 10px #f2f1f1;">View</button>  
                                    </div>
                                      <span id="ErrFilterBy" style="color: red;" class="error_msg"></span>
                                </div>
                         <div class="col-12 mt-3" id="listTable" style="display: none;">
                              <div class=row>
                            <div class="col-sm-12" style="text-align:right;">
                                <a target="_blank" onclick="window.open('about:blank','_blank');"><i class="fa fa-print"></i> Print</a>&nbsp;&nbsp;
                                <a target="_blank" onclick="window.open('about:blank','_blank');"><i class="fa fa-download"></i> Download</a>&nbsp;&nbsp;
                            </div> 
                            <div class="col-sm-12" style="text-align: center;">
                                    <p style="margin-bottom: 7px; font-weight: bold;">Employees Present List</p>
                                  </div> 
                                  
                            <table  class="table" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th style="width:150px">Date</th>
                                        <th>Employee Name</th>
                                        <th>Fore Noon</th>
                                        <th>After Noon</th>
                                        <th style="width:80px">Status</th>
                                    </tr>
                                </thead>                                     
                                <tbody id="tbl_content">
                                    <tr>
                                        <td colspan='8'>
                                            <?php echo loadingText("Loading attendance present list");?>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                         </div>
                         </div>
                        </form> 
                    </div>
                </div>                                                                      
                
        </div>
    </div>
</div>
</div>

<script>
 
 $('#FromDate').val(""); 
 $('#ToDate').val(""); 
 
  $('#ErrFromDate').html("");
  $('#ErrToDate').html("");
  
  $("#FromDate").removeClass("highlight_error"); 
  $("#ToDate").removeClass("highlight_error"); 
  
 function View(){
      var error = 0;
    if ($('#Date').val()==""){
            $('#ErrDate').html("Please select Date");
         $("#Date").addClass("highlight_error"); 
            error++;
    }  else {
         $("#Date").removeClass("highlight_error"); 
            $('#ErrDate').html(""); 
    } 
    if ($('#FilterBy').val()=="0"){
            $('#ErrFilterBy').html("Please select Filter By");
         $("#FilterBy").addClass("highlight_error"); 
            error++;
    }  else {
         $("#FilterBy").removeClass("highlight_error"); 
            $('#ErrFilterBy').html(""); 
    }
   
    if(error==0) {
       $('#listTable').show();
        $.post(URL+ "webservice.php?action=l&method=amel","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.Date + '</td>' 
                             + '<td>' + data.NamePrefix     +"&nbsp;"+ data.FirstName +"&nbsp;"+ data.MiddleName +"&nbsp;"+ data.LastName + '</td>' 
                            + '<td>' + data.ForeNoon + '</td>' 
                            + '<td>' + data.AfterNoon + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
    } else {
        
     } 
 }
 
</script>
     