<div class="user-dashboard">
    <div class="container">
      <h3 class="title">Search Applications</h3>
       <div class="row">
        <div class="col-12 col-xl-12">                                          
                <div class="card mb-2" style="border: none;">
                    <div class="card-body">   
                      <form id="frm_create" name="frm_create" autocomplete="off" method="post">
                        <div class="row">
                            <div class="col-12">
                                <label class="form-label">Name / Mobilenumber</label><span style='color:red'>*</span>
                                <div class="input-group">
                                   <input class="form-control form-control-sm" type="text" id="SearchKey" name="SearchKey" placeholder="Name / Mobilenumber" value="" onkeypress="clearInput('SearchKey')"></input> 
                                  
                                   <button type="button" class="btn-save" onclick="Search()" style="width: fit-content;width: 70px;padding: 4px 8px;margin-right: 5px;margin-left: 20px;border: var(--bs-border-width) solid var(--bs-border-color);transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;box-shadow: inset 0 0 10px #f2f1f1;">Search</button>
                                </div>
                                 <span id="ErrSearchKey" style="color: red;" class="error_msg"></span>
                            </div>  
                           
                         <div class="col-12 mt-3"> 
                            <table id="listTable" class="table" style="width:100%; display: none;">
                                <thead>
                                    <tr>
                                        <th style="width:150px">Ref.Number</th>
                                        <th style="width:100px">Date</th>
                                        <th style="width:200px">Application Number</th>
                                        <th style="width:200px">Name</th>
                                        <th style="width:200px">Mobile Number</th>
                                        <th style="width:200px">AadharCard Number</th>
                                        <th style="width:200px">Applied Course</th>
                                        <th style="width:200px">Course Type</th>
                                        <th style="width:200px">Department</th>
                                        <th style="width:80px">Verified</th>
                                        <th style="width:80px">Status</th>
                                        <th style="width:100px" class="nosort"></th>
                                    </tr>
                                </thead>                                     
                                <tbody id="tbl_content">
                                    <tr>
                                        <td colspan='12'>
                                            <?php echo loadingText("Loading applications");?>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                         </div>
                         </div>
                        </form> 
                        
                    </div>
                </div>                                                                      
                
        </div>
    </div>
</div>
</div>
                                                                     
           
<script>
                                                      

function Search() {
     var error = 0;
      if ($('#SearchKey').val()==""){                                       
            $('#ErrSearchKey').html("Please enter Name / mobile Number");
        $("#SearchKey").addClass("highlight_error"); 
           error++;
    }  else {
            $("#SearchKey").removeClass("highlight_error"); 
            $('#ErrSearchKey').html(""); 
    }

    if(error==0){
     $('#listTable').show();    
       var html = '<tr>'
                + '<td colspan="12" style="text-align: center;background:#fff !important">Loading applicatons</td>'
                + '</tr>'
      $('#tbl_content').html(html);             
        var param = $('#frm_create').serialize();  
    $.post(URL+ "webservice.php?action=csa&method=augn",param,function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;                                                                                                   
            $.each(obj.data, function (index, data) {                       
                  html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.RefNumber + '</td>'
                            + '<td>' + data.ApplicationDate + '</td>' 
                            + '<td>' + data.ApplicationNumber + '</td>' 
                            + '<td>' + data.FirstName +"&nbsp;"+ data.MiddleName +"&nbsp;"+ data.LastName + '</td>' 
                            + '<td>' + data.MobileNumber + '</td>' 
                            + '<td>' + data.AadharCardNumber + '</td>' 
                            + '<td>' + data.AppliedCourseName + '</td>' 
                            + '<td>' + data.CourseType + '</td>' 
                            + '<td>' + data.AppliedDepartment + '</td>'
                            + '<td>' + ( (data.IsVerified=="1") ? "<span class='badge bg-primary ' style='width: 75px'>Verified</span>" : "<span class='badge bg-danger' style='width: 75px'>Not Verified</span>" ) + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                            + '<td style="text-align:right">' 
                                + '<span class="editLink"  title="Edit Record" onclick="openPage(\'smsuge&ID='+data.ID+'\')"><i class="fi fi-rs-pencil"></i></span>&nbsp;&nbsp;'
                                + '<span class="viewLink"  title="View Record" onclick="openPage(\'smsupi&ID='+data.ID+'\')"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'augn\',\''+data.FirstName+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });                                             
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="12" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
            // $('#popupcontent').html( error(obj.message));
        }  
    });
    }
}


$("#search").on("keyup", function() {
  var value = $(this).val().toLowerCase();
  $("#listTable tr").filter(function() {
    $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
  });
});

      
</script>