<style>
.drop-zone {
 max-width: 591px;
  padding: 25px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  font-family: "Quicksand", sans-serif;
  font-weight: 500;
  font-size: 20px;
  cursor: pointer;
  color: #ccc;
  border: 1px solid #ccc;
  border-radius: 10px;
  min-height: calc(1.5em + .5rem + calc(var(--bs-border-width) * 2));
  padding: .25rem .5rem;
  font-size: .875rem;
  border-radius: var(--bs-border-radius-sm);
  appearance: none;
  background-color: var(--bs-body-bg);
  background-clip: padding-box;
  border: var(--bs-border-width) solid var(--bs-border-color);
  border-radius: var(--bs-border-radius);
  transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
  box-shadow: inset 0 0 10px #f2f1f1;
  font-family: 'Outfit';
  color: #666 !important;
  font-weight: normal;
  margin-bottom: 0px !important;
}

.drop-zone--over {
  border-style: solid;
}

.drop-zone__input {
  display: none;
}

.drop-zone__thumb {
  width: 100%;
  height: 100%;
  border-radius: 10px;
  overflow: hidden;
  background-color: #cccccc;
  background-size: cover;
  position: relative;
}

.drop-zone__thumb::after {
  content: attr(data-label);
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 5px 0;
  color: #ffffff;
  background: rgba(0, 0, 0, 0.75);
  font-size: 1px;
  text-align: center;
}
.icon{
  font-size: 100px;
  color: #fff;
}

</style>
<div class="user-dashboard">
    <div class="container">
        <div class="row">
            <div class="col-6"> 
                <h3>Student Leave Requests</h3>
            </div>
            <div class="col-6" style="text-align: right;"> 
                <button class="btn-save" onclick="addform()">New</button>&nbsp;
                <button class="btn-save" onclick="list()">Refresh</button>
            </div>
            <div class="col-xl-12 col-lg-12">
                <table id="listTable" class="table" style="width:100%">
                    <thead>
                        <tr>
                            <th style="width:150px">Student Name</th>
                            <th>Req.Date</th>
                            <th>From Date</th>
                            <th>To Date</th>
                            <th style="width:80px">Status</th>
                            <th style="width:100px" class="nosort"></th>
                        </tr>
                    </thead>
                    <tbody id="tbl_content">
                        <tr>
                            <td colspan='7'>
                                <?php echo loadingText("Loading Leave Requests");?>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="confirmationtoadd" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered" style="max-width: 800px !important;">
        <div class="modal-content">
            <div class="modal-header">
                <div class="row" style="width:100%">             
                    <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">New Leave Request</h5>
                </div>
                <div class="col-sm-4" style="text-align:right;padding-right:0px">
                    <a href="<?php echo help_url;?>StudentLeaveRequests" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                        
                    </div>
                </div>
            </div>
            <div class="modal-body">
            <form id="frm_create" name="frm_create" method="post" enctype="multipart/form-data" autocomplete="off">
                <div class="row">
                <span id="ErrCommon"></span>
                     <div class="col-4">
                        <label class="form-label">Academic year</label><span style='color:red'>*</span>
                        <select class="form-select form-select-sm" name="AcademicYearID" id="AcademicYearID" onchange="clearInput('AcademicYearID');NewCourseTypes('CourseTypeID','0');">
                            <option value="0">Select Academic year</option>
                         </select>
                        <span id="ErrAcademicYearID" class="error_msg" style="color: red;"></span>
                    </div>
                     <div class="col-4">
                        <label class="form-label">Course Type</label><span style='color:red'>*</span>
                         <select class="form-select form-select-sm" name="CourseTypeID" id="CourseTypeID" onchange="clearInput('CourseTypeID');NewDepartments('frm_create','DepartmentID','0');">
                            <option value="0">Select Course Type</option>
                         </select>
                        <span id="ErrCourseTypeID" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-4">
                        <label class="form-label">Department</label><span style='color:red'>*</span>
                         <select class="form-select form-select-sm" name="DepartmentID" id="DepartmentID" onchange="clearInput('DepartmentID');NewCourseNames();">
                            <option value="0">Select Department</option>
                         </select>
                        <span id="ErrDepartmentID" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-4">
                        <label class="form-label">Course Name</label><span style='color:red'>*</span>
                        <select class="form-select form-select-sm" name="CourseNameID" id="CourseNameID" onchange="clearInput('CourseNameID');NewSemesters();">
                            <option value="0">Select Course Name</option>
                         </select>
                        <span id="ErrCourseNameID" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-4">
                        <label class="form-label">Semester</label><span style='color:red'>*</span>
                         <select class="form-select form-select-sm" name="SemesterID" id="SemesterID" onchange="clearInput('SemesterID')">
                            <option value="0">Select Semester Name</option>
                         </select>
                        <span id="ErrSemesterID" class="error_msg" style="color: red;"></span>
                    </div>
                     <div class="col-4">
                        <label class="form-label">Division Name</label><span style='color:red'>*</span>
                         <select class="form-select form-select-sm" name="DivisionID" id="DivisionID" onchange="clearInput('DivisionID')">
                            <option value="0">Select Division Name</option>
                         </select>
                        <span id="ErrDivisionID" class="error_msg" style="color: red;"></span>
                    </div> 
                        <div class="col-sm-4">
                            <label class="form-label">Student Name</label><span style='color:red'>*</span>
                             <select class="form-select form-select-sm" name="StudentNameID" id="StudentNameID" onchange="clearInput('StudentNameID')">
                                <option value="0">Select Student Name</option>
                            </select> 
                              <span id="ErrStudentNameID" style="color: red;" class="error_msg"></span>
                        </div>          
                     <div class="col-4">
                        <label class="form-label">Req.Date</label><span style='color:red'>*</span>
                        <input class="form-control form-control-sm" type="date" id="ReqDate" name="ReqDate" placeholder="Req.Date" value="" onchange="clearInput('ReqDate')">
                        <span id="ErrReqDate" class="error_msg" style="color: red;"></span>
                     </div>
                     <div class="col-4">
                        <label class="form-label">From Date</label><span style='color:red'>*</span>
                        <input class="form-control form-control-sm" type="date" id="FromDate" name="FromDate" placeholder="From Date" value="" onchange="clearInput('FromDate')">
                        <span id="ErrFromDate" class="error_msg" style="color: red;"></span>
                     </div>
                     <div class="col-4">
                        <label class="form-label">To Date</label><span style='color:red'>*</span>
                        <input class="form-control form-control-sm" type="date" id="ToDate" name="ToDate" placeholder="To Date" value="" onchange="clearInput('ToDate')">
                        <span id="ErrToDate" class="error_msg" style="color: red;"></span>
                     </div>
                     <div class="col-12">
                        <label class="form-label">Subject</label><span style='color:red'>*</span>
                        <input class="form-control form-control-sm" type="text" id="Subject" name="Subject" placeholder="Subject" value="" onkeypress="clearInput('Subject')">
                        <span id="ErrSubject" class="error_msg" style="color: red;"></span>
                     </div>
                     <div class="col-12">
                        <label class="form-label">Description</label><span style='color:red'>*</span>
                        <textarea class="form-control form-control-sm" type="text" id="Description" name="Description" placeholder="Description" value="" onkeypress="clearInput('Description')"></textarea>
                        <span id="ErrDescription" class="error_msg" style="color: red;"></span>
                     </div>
                     <div class="col-md-4">
                     <label class="form-label">Attachment</label><span style='color:red'>*</span>
                     <input  id="Attachment" class="form-control form-control-sm" type="file" data_btn_text="Browse" placeholder="drage and drop file here" name="Attachment[]" onclick="clearInput('Attachment')">
                     <div id="ErrAttachment" class="error_msg" style="color:red"></div>
                   </div>
                   <div class="col-12">
                       <label>Copy to:</label>
                      <div style="margin-left: 20px;">
                        <input type="checkbox" id="to_principal" name="copy_to">
                        <label for="to_principal">To Principal</label>
                        &nbsp;&nbsp;
                        <input type="checkbox" id="to_hod" name="copy_to">
                        <label for="to_hod">To HOD</label>
                      </div>
                   </div>
                     <div class="col-12 mb-3">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                        <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                     </div>
                </div>
            </form>
            </div>
            <div class="modal-footer">
                 <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="add()" class="btn-save">Save</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>

<div class="modal fade" id="confirmationtoedit" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered" style="max-width: 800px !important;">
        <div class="modal-content">
            <div class="modal-header">
               <div class="row" style="width:100%">             
                    <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">Edit Leave Request</h5>
                </div>
                <div class="col-sm-4" style="text-align:right;padding-right:0px">
                    <a href="<?php echo help_url;?>StudentLeaveRequests" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                        
                    </div>
                </div>
            </div>
            <div class="modal-body">
             <form id="frm_edit" name="frm_edit" method="post" enctype="multipart/form-data" autocomplete="off">
             <input type="hidden" name="ID" id="editID">
                <div class="row">
                <span id="ErreditCommon"></span>
                     <div class="col-4">
                        <label class="form-label">Academic year</label><span style='color:red'>*</span>
                        <select class="form-select form-select-sm" name="AcademicYearID" id="editAcademicYearID" onchange="clearInput('editAcademicYearID');EditDepartments()">
                            <option value="0">Select Academic year</option>
                         </select>
                        <span id="ErreditAcademicYearID" class="error_msg" style="color: red;"></span>
                    </div>
                     <div class="col-4">
                        <label class="form-label">Department</label><span style='color:red'>*</span>
                        <select class="form-select form-select-sm" name="DepartmentID" id="editDepartmentID" onchange="clearInput('editDepartmentID');EditCourseNames();">
                            <option value="0">Select Department</option>
                         </select>
                        <span id="ErreditDepartment" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-4">
                        <label class="form-label">Course Name</label><span style='color:red'>*</span>
                        <select class="form-select form-select-sm" name="CourseNameID" id="editCourseNameID" onchange="clearInput('editCourseNameID');EditSemesters();">
                            <option value="0">Select Course Name</option>
                         </select>
                        <span id="ErreditCourseNameID" class="error_msg" style="color: red;"></span>
                    </div>
                     <div class="col-4">
                        <label class="form-label">Semester</label><span style='color:red'>*</span>
                        <select class="form-select form-select-sm" name="SemesterID" id="editSemesterID" onchange="clearInput('editSemesterID')">
                            <option value="0">Select Semester Name</option>
                         </select>
                        <span id="ErreditSemester" class="error_msg" style="color: red;"></span>
                    </div>
                     <div class="col-4">
                        <label class="form-label">Division Name</label><span style='color:red'>*</span>
                         <select class="form-select form-select-sm" name="DivisionID" id="editDivisionID" onchange="clearInput('editDivisionID')">
                            <option value="0">Select Division Name</option>
                         </select>
                        <span id="ErreditDivisionID" class="error_msg" style="color: red;"></span>
                    </div>
                        <div class="col-sm-4">
                            <label class="form-label">Student Name</label><span style='color:red'>*</span>
                             <select class="form-select form-select-sm" name="EmployeeNameID" id="editStudentNameID" onchange="clearInput('editStudentNameID')">
                                <option value="0">Select Student Name</option>
                            </select> 
                              <span id="ErreditStudentNameID" style="color: red;" class="error_msg"></span>
                        </div>
                     <div class="col-4">
                        <label class="form-label">Req.Date</label><span style='color:red'>*</span>
                        <input class="form-control form-control-sm" type="date" id="editReqDate" name="ReqDate" placeholder="Req.Date" value="" onkeypress="clearInput('editReqDate')">
                        <span id="ErreditReqDate" class="error_msg" style="color: red;"></span>
                     </div>
                     <div class="col-4">
                        <label class="form-label">From Date</label><span style='color:red'>*</span>
                        <input class="form-control form-control-sm" type="date" id="editFromDate" name="FromDate" placeholder="From Date" value="" onkeypress="clearInput('editFromDate')">
                        <span id="ErreditFromDate" class="error_msg" style="color: red;"></span>
                     </div>
                     <div class="col-4">
                        <label class="form-label">To Date</label><span style='color:red'>*</span>
                        <input class="form-control form-control-sm" type="date" id="editToDate" name="ToDate" placeholder="To Date" value="" onkeypress="clearInput('editToDate')">
                        <span id="ErreditToDate" class="error_msg" style="color: red;"></span>
                     </div>
                     <div class="col-12">
                        <label class="form-label">Subject</label><span style='color:red'>*</span>
                        <input class="form-control form-control-sm" type="text" id="editSubject" name="Subject" placeholder="Subject" value="" onkeypress="clearInput('editSubject')">
                        <span id="ErreditSubject" class="error_msg" style="color: red;"></span>
                     </div>
                     <div class="col-12">
                        <label class="form-label">Description</label><span style='color:red'>*</span>
                        <textarea class="form-control form-control-sm" type="text" id="editDescription" name="Description" placeholder="Description" value="" onkeypress="clearInput('editDescription')"></textarea>
                        <span id="ErreditDescription" class="error_msg" style="color: red;"></span>
                     </div>
                    <div class="col-md-4">
                     <label class="form-label">Attachment</label><span style='color:red'>*</span>
                     <input  id="editAttachment" class="form-control form-control-sm" type="file" data_btn_text="Browse" placeholder="drage and drop file here" name="editAttachment[]" onclick="clearInput('editAttachment')">
                     <div id="ErreditAttachment" class="error_msg" style="color:red"></div>
                   </div>
                    <div class="col-sm-4">
                        <label class="form-label">Status</label>
                        <select name="Status" id="editStatus" class="form-select form-select-sm">
                            <option value="1">Active</option>
                            <option value="0">Deactive</option>
                        </select>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="editRemarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('editRemarks')">
                        <span id="ErreditRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
             </form>
            </div>
            <div class="modal-footer">
                <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="edit()" class="btn-save">Update</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>

<div class="modal fade" id="confirmationtoview" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered" style="max-width: 800px !important;">
        <div class="modal-content">
            <div class="modal-header">
               <div class="row" style="width:100%">             
                    <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">View Leave Request</h5>
                </div>
                <div class="col-sm-4" style="text-align:right;padding-right:0px">
                    <a href="<?php echo help_url;?>StudentLeaveRequests" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                        
                    </div>
                </div>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-4">
                        <div style="font-weight: bold;">Academic year</div>
                         <div id="viewAcademicYearID"></div>
                    </div>
                    <div class="col-sm-4">
                        <div style="font-weight: bold;">Department</div>
                         <div id="viewDepartmentID"></div>
                    </div>
                    <div class="col-sm-4">
                        <div style="font-weight: bold;">Course Name</div>
                         <div id="viewCourseNameID"></div>
                    </div>
                    <div class="col-sm-4">
                        <div style="font-weight: bold;">Semester</div>
                         <div id="viewSemesterID"></div>
                    </div>
                    <div class="col-sm-4">
                        <div style="font-weight: bold;">Division</div>
                         <div id="viewDivisionID"></div>
                    </div>
                    <div class="col-sm-4">
                        <div style="font-weight: bold;">Student Name</div>
                        <div id="viewStudentNameID"></div>
                    </div>
                    <div class="col-sm-4">
                        <div style="font-weight: bold;">Req.Date</div>
                        <div id="viewReqDate"></div>
                    </div>
                    <div class="col-sm-4">
                        <div style="font-weight: bold;">From Date</div>
                        <div id="viewFromDate"></div>
                    </div>
                    <div class="col-sm-4">
                        <div style="font-weight: bold;">To Date</div>
                        <div id="viewToDate"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Subject</div>
                        <div id="viewSubject"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Description</div>
                        <div id="viewDescription"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Attachment</div>
                        <div id="viewAttachment"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Remarks</div>
                        <div id="viewRemarks"></div>
                    </div>
                    <div class="col-sm-4">
                        <div style="font-weight: bold;">Status</div>
                        <div id="viewStatus"></div>
                    </div>
                    <div class="col-sm-4">
                        <div style="font-weight: bold;">Created On</div>
                        <div id="viewCreatedOn"></div>
                    </div>
                </div>
            </div>
            <div class="modal-footer"> 
                 <button type="button" data-dismiss="modal" class="btn-cancel">Close</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>

<div class="modal fade" id="Success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body" style="text-align: center;">
                <div id="sucess">
                    <img id="Sucess" style="width: 150px;" src="assets/sucess.gif" alt=""/>
                </div>
                <h3 class="title">Success.</h3>  
                 <button type="button" onclick="openPage('ampl')" class="btn-save">Continue</button>         
            </div>
        </div>
    </div>
</div>


<script>
function list() {
      $('#Success').modal("hide");
         var html = '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">Loading Leave Requests</td>'
                + '</tr>'
      $('#tbl_content').html(html); 
    $.post(URL+ "webservice.php?action=l&method=mabl","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.StudentName + '</td>'
                            + '<td>' + data.ReqDate + '</td>'
                            + '<td>' + data.FromDate + '</td>' 
                            + '<td>' + data.ToDate + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '<td style="text-align:right">' 
                                + '<span onclick="editform(\''+data.ID+'\')" class="editLink"  title="Edit Record"><i class="fi fi-rs-pencil"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="viewform(\''+data.ID+'\')" class="viewLink"  title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'etfmlr\',\''+data.LeaveRequest+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="7" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}    

setTimeout("list()",2000);   

function addform(){
     $('#confirmationtoadd').modal("show"); 
     listStudentNames("frm_create","StudentNameID","0");
     listAcademicYears("frm_create","AcademicYearID","0"); 
     listDivisions("frm_create","DivisionID","0");
     $('#StudentNameID').val("0"); 
     $('#AcademicYearID').val("0"); 
     $('#DepartmentID').val("0"); 
     $('#SemesterID').val("0");  
     $('#DivisionID').val("0");  
     $('#ReqDate').val(""); 
     $('#FromDate').val(""); 
     $('#ToDate').val(""); 
     $('#Subject').val(""); 
     $('#Description').val(""); 
     $('#Remarks').val("");
     $('#ErrCommon').html("");
     $('#ErrStudentNameID').html("");
     $('#ErrAcademicYearID').html("");
     $('#ErrDepartmentID').html("");
     $('#ErrSemesterID').html("");
     $('#ErrDivisionID').html("");
     $('#ErrReqDate').html("");
     $('#ErrFromDate').html(""); 
     $('#ErrToDate').html(""); 
     $('#ErrSubject').html(""); 
     $('#ErrDescription').html(""); 
     $('#ErrRemarks').html("");
     $("#StudentNameID").removeClass("highlight_error"); 
     $("#AcademicYearID").removeClass("highlight_error"); 
     $("#DepartmentID").removeClass("highlight_error"); 
     $("#SemesterID").removeClass("highlight_error"); 
     $("#DivisionID").removeClass("highlight_error"); 
     $("#ReqDate").removeClass("highlight_error"); 
     $("#FromDate").removeClass("highlight_error"); 
     $("#ToDate").removeClass("highlight_error"); 
     $("#Subject").removeClass("highlight_error"); 
     $("#Description").removeClass("highlight_error"); 
     $("#Remarks").removeClass("highlight_error"); 
}

function add(){
     var error = 0;
       if ($('#AcademicYearID').val()=="0"){
            $('#ErrAcademicYearID').html("Please select  Acadmic year");
        $("#AcademicYearID").addClass("highlight_error"); 
           error++;
    }  else {
            $("#AcademicYearID").removeClass("highlight_error"); 
            $('#ErrAcademicYearID').html(""); 
    }
    if ($('#DepartmentID').val()=="0"){
            $('#ErrDepartmentID').html("Please select Department");
        $("#DepartmentID").addClass("highlight_error"); 
           error++;
    }  else {
            $("#DepartmentID").removeClass("highlight_error"); 
            $('#ErrDepartmentID').html(""); 
    } 
    if ($('#CourseNameID').val()=="0"){
            $('#ErrCourseNameID').html("Please select Course Name");
        $("#CourseNameID").addClass("highlight_error"); 
           error++;
    }  else {
            $("#CourseNameID").removeClass("highlight_error"); 
            $('#ErrCourseNameID').html(""); 
    } 
      if ($('#SemesterID').val()=="0"){
            $('#ErrSemesterID').html("Please select Semester");
        $("#SemesterID").addClass("highlight_error"); 
           error++;
    }  else {
            $("#SemesterID").removeClass("highlight_error"); 
            $('#ErrSemesterID').html(""); 
    }
    if ($('#DivisionID').val()=="0"){
            $('#ErrDivisionID').html("Please select Division Name");
        $("#DivisionID").addClass("highlight_error"); 
           error++;
    }  else {
            $("#DivisionID").removeClass("highlight_error"); 
            $('#ErrDivisionID').html(""); 
    }
    if ($('#StudentNameID').val()=="0"){
            $('#ErrStudentNameID').html("Please select Student Name");
         $("#StudentNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#StudentNameID").removeClass("highlight_error"); 
            $('#ErrStudentNameID').html(""); 
    }  
    if ($('#ReqDate').val()==""){
            $('#ErrReqDate').html("Please select Req.Date");
         $("#ReqDate").addClass("highlight_error"); 
           error++;
    }  else {
        $("#ReqDate").removeClass("highlight_error"); 
            $('#ErrReqDate').html(""); 
    }
    if ($('#FromDate').val()==""){
            $('#ErrFromDate').html("Please select From Date");
        $("#FromDate").addClass("highlight_error"); 
           error++;
    }  else {
         $("#FromDate").removeClass("highlight_error"); 
            $('#ErrFromDate').html(""); 
    }
    if ($('#ToDate').val()==""){
            $('#ErrToDate').html("Please select To Date");
        $("#ToDate").addClass("highlight_error"); 
           error++;
    }  else {
         $("#ToDate").removeClass("highlight_error"); 
            $('#ErrToDate').html(""); 
    }  
    if ($('#Subject').val()==""){
            $('#ErrSubject').html("Please enter Subject");
        $("#Subject").addClass("highlight_error"); 
           error++;
    }  else {
         $("#Subject").removeClass("highlight_error"); 
            $('#ErrSubject').html(""); 
    }
    if ($('#Description').val()==""){
            $('#ErrDescription').html("Please enter Description");
        $("#Description").addClass("highlight_error"); 
           error++;
    }  else {
         $("#Description").removeClass("highlight_error"); 
            $('#ErrDescription').html(""); 
    } 
    if ($('#Attachment').val()==""){
            $('#ErrAttachment').html("Please select Attachment");
            $("#Attachment").addClass("highlight_error");
          error++;
    }  else {
        $("#Attachment").removeClass("highlight_error");
            $('#ErrAttachment').html(""); 
    }
       if(error==0){
        var param = $('#frm_create').serialize();
        $.post(URL+"webservice.php?action=a&method=",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmationtoadd').modal("hide"); 
             $('#Success').modal("show");    
        }   else {
            if (obj.div=="") {
                $('#ErrCommon').html(print_inlineError(obj.message));
            } else {
                $('#Err'+obj.div).html(obj.message);   
            }
        }
    });
   }
}

function editform(ID){
     $('#confirmationtoedit').modal("show");
     $('#ErreditCommon').html("");
     $('#ErreditSemesterID').html("");
     $('#ErreditAcademicYearID').html("");
     $('#ErreditDepartmentID').html("");
     $('#ErreditStudentNameID').html("");
     $('#ErreditDivisionID').html("");
     $('#ErreditReqDate').html("");
     $('#ErreditFromDate').html(""); 
     $('#ErreditToDate').html(""); 
     $('#ErreditSubject').html("");
     $('#ErreditDescription').html("");
     $('#ErreditRemarks').html("");
     $('#ErreditCommon').html("");
     $("#editStudentNameID").removeClass("highlight_error"); 
     $("#editAcademicYearID").removeClass("highlight_error"); 
     $("#editDivisionID").removeClass("highlight_error"); 
     $("#editSemesterID").removeClass("highlight_error"); 
     $("#editDepartmentID").removeClass("highlight_error"); 
     $("#editReqDate").removeClass("highlight_error"); 
     $("#editFromDate").removeClass("highlight_error"); 
     $("#editToDate").removeClass("highlight_error"); 
     $("#editSubject").removeClass("highlight_error"); 
     $("#editDescription").removeClass("highlight_error"); 
     $("#editRemarks").removeClass("highlight_error");
      $.post(URL+ "webservice.php?action=g&method=&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
             _SemesterID="";
             _DepartmentID="";
             _StudentNameID="";
             _DivisionID="";
            $.each(obj.data, function (index, data) {
                $('#editReqDate').val(data.ReqDate);
                $('#editID').val(data.ID);
                $('#editAcademicYearID').val(data.AcademicYear);
                $('#editFromDate').val(data.FromDate);
                $('#editToDate').val(data.ToDate);
                $('#editSubject').val(data.Subject);
                $('#editDescription').val(data.Description);
                $('#editStatus').val(data.Status);
                $('#editRemarks').val(data.Remarks);
                 _SemesterID=data.SemesterID;
                 _DepartmentID=data.DepartmentID;
                 _StudentNameID=data.StudentNameID;
            });
             if (obj.data.length>0)    {
                 listStudentNames("frm_edit","editStudentNameID",_StudentNameID);    
                 
            } 
            
}  
        else {
            if (obj.div=="") {
                $('#ErreditCommon').html(print_inlineError(obj.message));
            } else {
                 
            }
        }
  });
}

function edit(ID){
     var error = 0;
      if ($('#editAcademicYearID').val()=="0"){
            $('#ErreditAcademicYearID').html("Please select Academic Year");
            $("#editAcademicYearID").addClass("highlight_error");
          error++;
    }  else {
            $("#editAcademicYearID").removeClass("highlight_error");
            $('#ErreditAcademicYearID').html(""); 
    }
    if ($('#editDepartmentID').val()==""){
            $('#ErreditDepartmentID').html("Please select Department");
            $("#editDepartmentID").addClass("highlight_error");
          error++;
    }  else {
            $("#editDepartmentID").removeClass("highlight_error");
            $('#ErreditDepartmentID').html(""); 
    }
    if ($('#editCourseNameID').val()==""){
            $('#ErreditCourseNameID').html("Please select Course Name");
            $("#editCourseNameID").addClass("highlight_error");
          error++;
    }  else {
            $("#editCourseNameID").removeClass("highlight_error");
            $('#ErreditCourseNameID').html(""); 
    }
    if ($('#editSemesterID').val()==""){
            $('#ErreditSemesterID').html("Please select Semester");
            $("#editSemesterID").addClass("highlight_error");
          error++;
    }  else {
            $("#editSemesterID").removeClass("highlight_error");
            $('#ErreditSemesterID').html(""); 
    }
    if ($('#editDivisionID').val()=="0"){
            $('#ErreditDivisionID').html("Please select Division Name");
            $("#editDivisionID").addClass("highlight_error");
          error++;
    }  else {
            $("#editDivisionID").removeClass("highlight_error");
            $('#ErreditDivisionID').html(""); 
    } 
    if ($('#editReqDate').val()==""){
            $('#editErrReqDate').html("Please enter Req.Date");
         $("#editReqDate").addClass("highlight_error"); 
           error++;
    }  else {
        $("#editReqDate").removeClass("highlight_error"); 
            $('#ErreditReqDate').html(""); 
    }
    if ($('#editFromDate').val()==""){
            $('#ErreditFromDate').html("Please enter From Date");
        $("#editFromDate").addClass("highlight_error"); 
           error++;
    }  else {
         $("#editFromDate").removeClass("highlight_error"); 
            $('#ErreditFromDate').html(""); 
    }
    if ($('#editToDate').val()==""){
            $('#ErreditToDate').html("Please enter To Date");
        $("#editToDate").addClass("highlight_error"); 
           error++;
    }  else {
         $("#editToDate").removeClass("highlight_error"); 
            $('#ErreditToDate').html(""); 
    }  
    if ($('#editSubject').val()==""){
            $('#ErreditSubject').html("Please enter Subject");
        $("#editSubject").addClass("highlight_error"); 
           error++;
    }  else {
         $("#editSubject").removeClass("highlight_error"); 
            $('#ErreditSubject').html(""); 
    }
    if ($('#editDescription').val()==""){
            $('#ErreditDescription').html("Please enter Description");
        $("#editDescription").addClass("highlight_error"); 
           error++;
    }  else {
         $("#editDescription").removeClass("highlight_error"); 
            $('#ErreditDescription').html(""); 
    }
    if ($('#editAttachment').val()==""){
            $('#ErreditAttachment').html("Please select Attachment");
            $("#editAttachment").addClass("highlight_error");
          error++;
    }  else {
        $("#editAttachment").removeClass("highlight_error");
            $('#ErreditAttachment').html(""); 
    }
    if ($('#editStudentNameID').val()=="0"){
            $('#ErreditStudentNameID').html("Please select Student Name");
         $("#editStudentNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#editStudentNameID").removeClass("highlight_error"); 
            $('#ErreditStudentNameID').html(""); 
    }
     if(error==0){
        var param = $('#frm_edit').serialize();
        $.post(URL+"webservice.php?action=u&method=",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmationtoedit').modal("hide");
             $('#Success').modal("show");  
        }   else {
            if (obj.div=="") {
                $('#ErreditCommon').html(print_inlineError(obj.message));
            } else {
                 $("#Erredit"+obj.div).html(obj.message);    
            }
        }
    });
   }
}

function viewform(ID){
     $('#confirmationtoview').modal("show");
       $.post(URL+ "webservice.php?action=g&method=&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            $.each(obj.data, function (index, data) {
                $('#viewAcademicYearID').html(data.AcademicYear=="" ? "&nbsp;" : data.AcademicYear);
                $('#viewStudentNameID').html(data.StudentName=="" ? "&nbsp;" : data.StudentName);
                $('#viewSemesterID').html(data.Semester=="" ? "&nbsp;" : data.Semester);
                $('#viewDepartmentID').html(data.Department=="" ? "&nbsp;" : data.Department);
                $('#viewDivisionID').html(data.Division=="" ? "&nbsp;" : data.Division);
                $('#viewReqDate').html(data.ReqDate=="" ? "&nbsp;" : data.ReqDate);
                $('#viewFromDate').html(data.FromDate=="" ? "&nbsp;" : data.FromDate);
                $('#viewToDate').html(data.ToDate=="" ? "&nbsp;" : data.ToDate);
                $('#viewSubject').html(data.Subject=="" ? "&nbsp;" : data.Subject);
                $('#viewDescription').html(data.Description=="" ? "&nbsp;" : data.Description);
                $('#viewRemarks').html(data.Remarks=="" ? "&nbsp;" : data.Remarks);
                $('#viewCreatedOn').html(data.CreatedOn=="" ? "&nbsp" : data.CreatedOn);
               if(data.Status=="1"){
                $('#viewStatus').html("Active");    
               }
               if(data.Status=="0"){
                $('#viewStatus').html("Deactive");    
               }
            });   
}  
  }) 
}

function NewCourseTypes(selectboxID,selected) {
        $('#DepartmentID').html("<option value='0'>Select Department</option>");
        $('#CourseNameID').html("<option value='0'> Select Course Name</option>");
        $('#SemesterID').html("<option value='0'> Select Semester</option>");
        $('#DivisionID').html("<option value='0'> Select Division</option>");  
    $.post(URL+ "webservice.php?action=cotba&method=org&AcademicYearID="+$('#AcademicYearID').val(),"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Course Type</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.CourseType+'</option>';
            });   
            $('#'+selectboxID).html(html);
            
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));                  
        }
    })
}

function NewDepartments(formID,selectboxID,selected) {
    var html = "<option value='0'>Select Department</option>";
             $('#'+selectboxID).html(html);
    if (formID=="frm_create") {
          if ($('#DepartmentID').val()=="0") {
              var html = "<option value='0'>Select Department</option>";
             $('#'+selectboxID).html(html);
          }
    }
    if (formID=="frm_edit") {
         if ($('#editAcademicYearID').val()=="0") {
              var html = "<option value='0'>Select Department</option>";
             $('#'+selectboxID).html(html);
          }
    }
      var param = $('#'+formID).serialize();    
    $.post(URL+ "webservice.php?action=depbay&method=org&AcademicYearID="+$('#AcademicYearID').val(),param,function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            if (obj.data.length>0) {
            var html = "<option value='0'>Select Department</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+ data.ID +'" '+((data.ID==selected) ? ' selected="selected" ' : '')+' ">'+data.Department+'</option>';
            });
            $('#'+selectboxID).html(html);
            }
        } else {
             var html = "<option value='0'>Select Department</option>";
             $('#'+selectboxID).html(html);
           // $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function NewCourseNames(){
    $.post(URL+ "webservice.php?action=gcnfmadid&method=org&DepartmentID="+$('#DepartmentID').val()+'&AcademicYearID='+$('#AcademicYearID').val(),"",function(data){
       var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Course Name</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'">'+data.CourseName+'</option>';
            });   
                $('#CourseNameID').html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })  
}

function NewSemesters(){
    $.post(URL+ 'webservice.php?action=semlbc&method=org&CourseNameID='+$('#CourseNameID').val()+'&DepartmentID='+$('#DepartmentID').val()+'&AcademicYearID='+$('#AcademicYearID').val(),"",function(data){
       var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Semester</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'">'+data.Semester+'</option>';
            });   
                $('#SemesterID').html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })  
}   

function listAcademicYears(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=lac&method=maayl","",function(data){                                                
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Academic Year</option>";
            $.each(obj.data, function (index, data) {                                                                
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.AcademicYear+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listDivisions(formID,selectboxID,selected) {
   $.post(URL+ "webservice.php?action=lac&method=madvl","",function(data){                                                
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Division</option>";
            $.each(obj.data, function (index, data) {                                                                
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.Division+'</option>';
            });   
                $('#DivisionID').html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listStudentNames(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=l&method=mac","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Student Name</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.StudentName+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

   
  
//Character Limitations
                                                                                    

document.querySelectorAll(".drop-zone__input").forEach((inputElement) => {
  const dropZoneElement = inputElement.closest(".drop-zone");

  dropZoneElement.addEventListener("click", (e) => {
    inputElement.click();
  });

  inputElement.addEventListener("change", (e) => {
    if (inputElement.files.length) {
      updateThumbnail(dropZoneElement, inputElement.files[0]);
    }
  });

  dropZoneElement.addEventListener("dragover", (e) => {
    e.preventDefault();
    dropZoneElement.classList.add("drop-zone--over");
  });

  ["dragleave", "dragend"].forEach((type) => {
    dropZoneElement.addEventListener(type, (e) => {
      dropZoneElement.classList.remove("drop-zone--over");
    });
  });

  dropZoneElement.addEventListener("drop", (e) => {
    e.preventDefault();

    if (e.dataTransfer.files.length) {
      inputElement.files = e.dataTransfer.files;
      updateThumbnail(dropZoneElement, e.dataTransfer.files[0]);
    }

    dropZoneElement.classList.remove("drop-zone--over");
  });
});

/**
 * Updates the thumbnail on a drop zone element.
 *
 * @param {HTMLElement} dropZoneElement
 * @param {File} file
 */
function updateThumbnail(dropZoneElement, file) {
  let thumbnailElement = dropZoneElement.querySelector(".drop-zone__thumb");

  // First time - remove the prompt
  if (dropZoneElement.querySelector(".drop-zone__prompt")) {
    dropZoneElement.querySelector(".drop-zone__prompt").remove();
  }

  // First time - there is no thumbnail element, so lets create it
  if (!thumbnailElement) {
    thumbnailElement = document.createElement("div");
    thumbnailElement.classList.add("drop-zone__thumb");
    dropZoneElement.appendChild(thumbnailElement);
  }

  thumbnailElement.dataset.label = file.name;

  // Show thumbnail for image files
  if (file.type.startsWith("image/")) {
    const reader = new FileReader();

    reader.readAsDataURL(file);
    reader.onload = () => {
      thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
    };
  } else {
    thumbnailElement.style.backgroundImage = null;
  }
}

 /* Alphabets Space Dot only correct */ 
var arr = ["Subject","editSubject"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
                var notallowkeys = [48,49,50,51,52,53,54,55,56,57,186,187,189,173,188,190,191,59,220,221,222,219,173,61,192,111,106,109,107,46,103,104,105,100,101,102,97,98,99,96,110,190]
                var allowedkeys  = [9,8,32,46,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,110]
                if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}

 /* Alphnumeric and special characters, not allow !\$"'~  */
var arr = ["Remarks","editRemarks","Description","editDescription"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
               var notallowkeys = [220,222,49,52,192]
               var allowedkeys  = [9,8,46,32,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,103,104,105,100,101,102,97,98,99,96,48,49,50,51,52,53,54,55,56,57,173,61,110,190,191,221,219,111,106,109,107,59,188]
               if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}                                        
</script>
     