<?php
class Organization {
   
    public static function getCourseTypesFromAcademicYear() {
        global $mysql;
        $data = $mysql->select("SELECT MD5(ID) as ID, CourseType FROM _tbl_masters_academy_coursetypes WHERE ID IN 
        (SELECT CourseTypeID FROM _org_coursenames where md5(AcademicYearID)='".trim($_GET['AcademicYearID'])."' GROUP BY CourseTypeID) ");
        
        $data = $mysql->select("select MD5(ID) as ID, CourseType from _tbl_masters_academy_coursetypes where Status='1'");
        return json_encode(array("status"=>"success","data"=>$data));
    } 
    
    
    public static function DepartmentAssign() {
        
        global $mysql;
        
        $AcademicYear = $mysql->select("select * from ".Tabels::AcademicYears." where md5(ID)='".trim($_POST['AcademicYearID'])."'");
        $Department = $mysql->select("select * from ".Tabels::Departments." where md5(ID)='".trim($_POST['DepartmentID'])."'");
        
        /*Duplicate Department*/
        $duplicate  = $mysql->select("select * from _org_departments where AcademicYearID='".$AcademicYear[0]['ID']."' and DepartmentID='".$Department[0]['ID']."'");
        if (sizeof($duplicate)>0) {
            return json_encode(array("status"=>"failure","message"=>"Already (".$Department[0]['Department'].") department has assigned to academic year ".$AcademicYear[0]['AcademicYear'],"div"=>""));    
        }
        
        $id = $mysql->insert("_org_departments",array("AcademicYearID" => trim($AcademicYear[0]['ID']),
                                                      "AcademicYear" => trim($AcademicYear[0]['AcademicYear']),
                                                      "DepartmentID" => trim($Department[0]['ID']),
                                                      "Department" => trim($Department[0]['Department']),
                                                      "Remarks"      => trim($_POST['Remarks']),
                                                      "CreatedOn"    => date("Y-m-d H:i:s"),
                                                      "Status"     => '1'));
         if ($id>0) {
            return json_encode(array("status"=>"success","message"=>"Successfuly created","div"=>""));
        } else {
            return json_encode(array("status"=>"failure","message"=>"Unable to create, please contact system administrator","div"=>""));
        }
    }
    
    public static function DepartmentRemove() {
        global $mysql;
        $rows = $mysql->execute("delete from _org_departments where md5(ID)='".$_POST['delID']."'");
        if ($rows>0) {
            return json_encode(array("status"=>"success","message"=>"Deleted sucessfully"));    
        }
    }

    public static function DepartmentlistAll() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,AcademicYear,Department,
        md5(AcademicYearID) as AcademicYearID,
        md5(DepartmentID) as DepartmentID,
        
        Remarks,Status,CreatedOn from _org_departments ");
        return json_encode(array("status"=>"success","data"=>$data));
    }
    
    public static function DepartmentlistAllByAcademicYear() {
        global $mysql;
        $data = $mysql->select("select
          md5(ID) as ID,
         AcademicYear,Department,
        md5(AcademicYearID) as AcademicYearID,
        md5(DepartmentID) as DepartmentID,
        
        Remarks,Status,CreatedOn from _org_departments where md5(AcademicYearID)='".$_GET['AcademicYearID']."'");
        return json_encode(array("status"=>"success","data"=>$data));
    } 
    
    
    
     public static function DepartmentlistAllByAcademicYearWithCourseType() {
        global $mysql;
        $data = $mysql->select("
        
        SELECT md5(ID) as ID,
         AcademicYear,Department,
        md5(AcademicYearID) as AcademicYearID,
        md5(DepartmentID) as DepartmentID,
        
        
        
        
        Remarks,Status,CreatedOn 
         FROM _org_departments WHERE ID IN 
(SELECT OrgDepartmentID FROM _org_coursenames WHERE 
md5(CourseTypeID)='".$_GET['CourseTypeID']."' 
AND md5(AcademicYearID)='".$_GET['AcademicYearID']."' GROUP BY OrgDepartmentID)
        
        
         ");
         
       $data = $mysql->select("select md5(ID) as ID,
         AcademicYear,Department,
        md5(AcademicYearID) as AcademicYearID,
        md5(DepartmentID) as DepartmentID,AcademicYear,Department   from _org_departments where status='1' and  md5(AcademicYearID)='".$_GET['AcademicYearID']."' ")  ;
         
        return json_encode(array("status"=>"success","data"=>$data));
    } 

    public static function DepartmentgetData() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,AcademicYear ,Remarks      ,
        
         md5(AcademicYearID) as AcademicYearID,
        md5(DepartmentID) as DepartmentID,Department,
        Status     ,CreatedOn from _org_departments where md5(ID)='".$_GET['ID']."'");
        return json_encode(array("status"=>"success","data"=>$data));
    }
     
    public static function DepartmentdoUpdate() {
         
         global $mysql;
         
          $AcademicYear = $mysql->select("select * from ".Tabels::AcademicYears." where md5(ID)='".trim($_POST['AcademicYearID'])."'");
        $Department = $mysql->select("select * from ".Tabels::Departments." where md5(ID)='".trim($_POST['DepartmentID'])."'");
        
       $id= $mysql->execute("update _org_departments set 
       AcademicYearID ='".$AcademicYear[0]['ID']."',
       AcademicYear ='".$AcademicYear[0]['AcademicYear']."',
       DepartmentID ='".$Department[0]['ID']."',
       Department ='".$Department[0]['Department']."',
                                                              Remarks      ='".$_POST['Remarks']."',
                                                              Status     ='".$_POST['Status']."' where md5(ID)='".$_POST['ID']."'");
                                                          
       if ($id>0) {
        return json_encode(array("status"=>"success","message"=>"Updated successfully","div"=>""));
       } else {
           return json_encode(array("status"=>"failure","message"=>"unable to update".$mysql->error,"div"=>""));
       }
    }
    
    
     
    
     
    
    
    
     public static function getCourseNamesFromMasterByDepartmentID() {
        global $mysql;
        
         $department = $mysql->select("select * from _org_departments where md5(ID)='".$_GET['DepartmentID']."'");
         
        
        $data = $mysql->select("select md5(ID) as ID,CourseName 
         from _tbl_masters_academy_coursenames where md5(CourseTypeID)='".$_GET['CourseTypeID']."' and status='1' and DepartmentID='".$department[0]['DepartmentID']."'");
         
         
        return json_encode(array("status"=>"success","data"=>$data));
    }
      
      public static function getCourseNamesFromMAssignedDepartmentID() {
        global $mysql;
        
        $data = $mysql->select("select md5(ID) as ID,CourseName,NoOfSemesters 
         from _org_coursenames where md5(CourseTypeID)='".$_GET['CourseTypeID']."' and status='1' and  md5(OrgDepartmentID)='".$_GET['DepartmentID']."' and  md5(AcademicYearID)='".$_GET['AcademicYearID']."'");
         
         
        return json_encode(array("status"=>"success","data"=>$data));
    }
    
    
    public static function DepartmentShowAcademicYearWise() {
         
         global $mysql;
         
         $AcademicYear = $mysql->select("select * from ".Tabels::AcademicYears." where md5(ID)='".trim($_GET['AcademicYearID'])."'");
         if (sizeof($AcademicYear)==0) {
             return json_encode(array("status"=>"failure","unable to find Academic Year"));
         }
         
         $data = $mysql->select("select Department,Remarks,Status,CreatedOn from _org_departments where md5(AcademicYearID)='".$_GET['AcademicYearID']."'");
         return json_encode(array("status"=>"success","AcademicYear"=>$AcademicYear[0]['AcademicYear'],"data"=>$data));
    }
    
    
    /* Department */
    
    public static function CourseNameAssignToDepartment() {
        
        global $mysql;
        
        //$OrgDepartmentID = $mysql->select("select * from _org_departments where md5(AcademicYearID)='".trim($_POST['AcademicYearID'])."' and md5(DepartmentID)='".trim($_POST['DepartmentID'])."'");
        $OrgDepartmentID = $mysql->select("select * from _org_departments where  md5(ID)='".trim($_POST['DepartmentID'])."'");
        
        $CourseName = $mysql->select("select * from ".Tabels::CourseNames." where md5(ID)='".trim($_POST['CourseNameID'])."'");
        //$CourseType = $mysql->select("select * from ".Tabels::CourseTypes." where ID='".trim($CourseName[0]['CourseTypeID'])."'");
        
        /*Duplicate CourseName*/
        $duplicate  = $mysql->select("select * from _org_coursenames where OrgDepartmentID='".$OrgDepartmentID[0]['ID']."' and CourseNameID='".$CourseName[0]['ID']."'");
        if (sizeof($duplicate)>0) {
            return json_encode(array("status"=>"failure","message"=>"Already (".$CourseName[0]['CourseName'].") has assigned to Department: ".$OrgDepartmentID[0]['Department']." academic year: ".$OrgDepartmentID[0]['AcademicYear'],"div"=>""));    
        }
        
        $id = $mysql->insert("_org_coursenames",array("OrgDepartmentID"=>$OrgDepartmentID[0]['ID'],
                                                      
                                                      "AcademicYearID" => trim($OrgDepartmentID[0]['AcademicYearID']),
                                                      "AcademicYear" => trim($OrgDepartmentID[0]['AcademicYear']),
                                                      
                                                      "OrgDepartmentID" => trim($OrgDepartmentID[0]['ID']),
                                                      "DepartmentID" => trim($OrgDepartmentID[0]['DepartmentID']),
                                                      "Department" => trim($OrgDepartmentID[0]['Department']),
                                                      
                                                      "CourseTypeID" => trim($CourseName[0]['ID']),
                                                      "CourseType" => trim($CourseName[0]['CourseType']),
                                                      
                                                      "CourseNameID" => trim($CourseName[0]['ID']),
                                                      "CourseName" => trim($CourseName[0]['CourseName']),
                                                      "CourseShortName"      => trim($_POST['CourseShortName']),
                                                      "NoOfSemesters"      => trim($_POST['NoOfSemesters']),
                                                      
                                                      "Remarks"      => trim($_POST['Remarks']),
                                                      "CreatedOn"    => date("Y-m-d H:i:s"),
                                                      "Status"     => '1'));
         if ($id>0) {
            return json_encode(array("status"=>"success","message"=>"Successfuly created","div"=>""));
        } else {
            return json_encode(array("status"=>"failure","message"=>"Unable to create, please contact system administrator","div"=>""));
        }
    }
    
    public static function CourseNameRemoveFromDepartment() {
        global $mysql;
        $rows = $mysql->execute("delete from _org_coursenames where md5(ID)='".$_POST['delID']."'");
        if ($rows>0) {
            return json_encode(array("status"=>"success","message"=>"Deleted sucessfully"));    
        }
    }

    public static function CourseNameAssignedListAllFromDepartment() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,
        md5(AcademicYearID) as AcademicYearID, AcademicYear,
        md5(DepartmentID) as DepartmentID,Department,
        md5(OrgDepartmentID) as OrgDepartmentID,
        md5(CourseTypeID) as CourseTypeID,CourseType,NoOfSemesters,
        md5(CourseNameID) as CourseNameID, CourseName, CourseShortName,
        
        Remarks,Status,CreatedOn from _org_coursenames ");
        return json_encode(array("status"=>"success","data"=>$data));
    }

    public static function CourseNameAssignedDataFromDepartment() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID, Remarks, 
        
         md5(AcademicYearID) as AcademicYearID,AcademicYear,
        md5(DepartmentID) as DepartmentID,Department,
         md5(OrgDepartmentID) as OrgDepartmentID,
        md5(CourseTypeID) as CourseTypeID,CourseType, NoOfSemesters,
        md5(CourseNameID) as CourseNameID, CourseName,CourseShortName,
        Status ,CreatedOn from _org_coursenames where md5(ID)='".$_GET['ID']."'");
        return json_encode(array("status"=>"success","data"=>$data));
    }
     
    public static function CourseNameAssignedFromDepartmentdoUpdate() {
         
         global $mysql;
         
         $OrgDepartmentID = $mysql->select("select * from _org_departments where md5(AcademicYearID)='".trim($_POST['AcademicYearID'])."' and md5(DepartmentID)='".trim($_POST['DepartmentID'])."'");
         $CourseName = $mysql->select("select * from ".Tabels::CourseNames." where md5(ID)='".trim($_POST['CourseNameID'])."'");
         $CourseType = $mysql->select("select * from ".Tabels::CourseTypes." where ID='".trim($CourseName[0]['CourseTypeID'])."'");
         
         $id= $mysql->execute("update _org_coursenames set 
                AcademicYearID ='".$OrgDepartmentID['AcademicYearID']."',
                AcademicYear ='".$OrgDepartmentID['AcademicYear']."',
       
                OrgDepartmentID ='".$OrgDepartmentID[0]['ID']."',
                DepartmentID ='".$OrgDepartmentID[0]['DepartmentID']."',
                Department ='".$OrgDepartmentID[0]['Department']."',
       
                CourseTypeID ='".$CourseType[0]['ID']."',
                CourseType ='".$CourseType[0]['CourseType']."',
                CourseNameID ='".$CourseName[0]['ID']."',
                CourseName ='".$CourseName[0]['CourseName']."',
                CourseShortName ='".$_POST[0]['CourseShortName']."',
                CourseShortName ='".$_POST['NoOfSemesters']."',

                Remarks      ='".$_POST['Remarks']."',
                Status     ='".$_POST['Status']."' where md5(ID)='".$_POST['ID']."'");
                                                          
       if ($id>0) {
        return json_encode(array("status"=>"success","message"=>"Updated successfully","div"=>""));
       } else {
           return json_encode(array("status"=>"failure","message"=>"unable to update".$mysql->error,"div"=>""));
       }
    }
    
      public static function CourseNameShowDepartmentWise() {
        global $mysql;

        $datar = $mysql->select("select 
        * from _org_coursenames where md5(OrgDepartmentID)='".$_GET['DepartmentID']."'");
        $data = $mysql->select("select 
        CourseName,
        CourseShortName,NoOfSemesters,
        Remarks,Status,CreatedOn from _org_coursenames where md5(OrgDepartmentID)='".$_GET['DepartmentID']."'");
        
         
        return json_encode(array("status"=>"success",
                                 "AcademicYear"=>$datar[0]['AcademicYear'],
                                 "Department"=>$datar[0]['Department'],
                                 "NoOfSemesters"=>$datar[0]['NoOfSemesters'],
                                 "data"=>$data));
    }
    
    
    
    
    
    /* Semester*/
    
    public static function SemesterAssignToCourseName() {
        
        global $mysql;
        
        $Semester = $mysql->select("select * from ".Tabels::Semesters." where md5(ID)='".trim($_POST['SemesterID'])."'");
        
        $OrgCourseNameID = $mysql->select("select * from _org_coursenames where  md5(ID)='".trim($_POST['CourseNameID'])."'");  
        
        /*Duplicate CourseName*/
        $duplicate  = $mysql->select("select * from _org_semesters where 
        AcademicYearID='".$OrgCourseNameID[0]['AcademicYearID']."' and 
        OrgDepartmentID='".$OrgCourseNameID[0]['OrgDepartmentID']."' and 
        OrgCourseNameID='".$OrgCourseNameID[0]['ID']."' and 
        SemesterID='".$Semester[0]['ID']."'");
        if (sizeof($duplicate)>0) {
            return json_encode(array("status"=>"failure","message"=>"Already (".$Semester[0]['Semester'].") has assigned Course:  ".$OrgCourseNameID['0']['CourseName'].", Department: ".$OrgCourseNameID[0]['Department'].", academic year ".$OrgCourseNameID[0]['AcademicYear'],"div"=>""));    
        }
                                                
        $id = $mysql->insert("_org_semesters",array(
                                                      "AcademicYearID" => trim($OrgCourseNameID[0]['AcademicYearID']),
                                                      "AcademicYear" => trim($OrgCourseNameID[0]['AcademicYear']),
                                                      
                                                      "OrgDepartmentID"      => $OrgCourseNameID[0]['OrgDepartmentID'],
                                                      "DepartmentID" => trim($OrgCourseNameID[0]['DepartmentID']),
                                                      "Department" => trim($OrgCourseNameID[0]['Department']),
                                                      
                                                      "CourseTypeID" => trim($OrgCourseNameID[0]['CourseTypeID']),
                                                      "CourseType" => trim($OrgCourseNameID[0]['CourseType']),
                                                       
                                                      "OrgCourseNameID" => trim($OrgCourseNameID[0]['ID']),
                                                      "CourseNameID" => trim($OrgCourseNameID[0]['CourseNameID']),
                                                      "CourseName" => trim($OrgCourseNameID[0]['CourseName']),
                                                      "CourseShortName" => trim($OrgCourseNameID[0]['CourseShortName']),
                                                      
                                                      "SemesterID" => trim($Semester[0]['ID']),
                                                      "Semester" => trim($Semester[0]['Semester']),
                                                      "SemesterShortName"      => trim($_POST['SemesterShortName']),
                                                      "SemesterMode"      => trim($_POST['SemesterMode']),
                                                      "SemesterOrder"      => trim($_POST['SemesterOrder']>0 ? $_POST['SemesterOrder'] : "0"),
                                                      
                                                      "StartDate"      => trim($_POST['StartDate']),
                                                      "EndDate"      => trim($_POST['EndDate']),
                                                      "Remarks"      => trim($_POST['Remarks']),
                                                      "CreatedOn"    => date("Y-m-d H:i:s"),
                                                      "Status"     => '1'));
         if ($id>0) {
            return json_encode(array("status"=>"success","message"=>"Successfuly created","div"=>""));
        } else {
            return json_encode(array("status"=>"failure","message"=>"Unable to create, please contact system administrator".$mysql->error,"div"=>""));
        }
    }
    
    public static function SemesterRemoveFromCourseName() {
        global $mysql;
        $rows = $mysql->execute("delete from _org_semesters where md5(ID)='".$_POST['delID']."'");
        if ($rows>0) {
            return json_encode(array("status"=>"success","message"=>"Deleted sucessfully"));    
        }
    }

    public static function SemesterAssignedListAllCourseNames() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,
        md5(AcademicYearID) as AcademicYearID,AcademicYear,
        md5(DepartmentID) as DepartmentID,Department,
        md5(CourseTypeID) as CourseTypeID,CourseType,
        md5(SemesterID) as SemesterID,  Semester, SemesterOrder,
        md5(CourseNameID) as CourseNameID, CourseName,SemesterShortName,
         md5(OrgCourseNameID) as OrgCourseNameID, CourseShortName,
         md5(OrgDepartmentID) as OrgDepartmentID, EndDate,StartDate, SemesterMode,
        Remarks,Status,CreatedOn from _org_semesters");
        return json_encode(array("status"=>"success","data"=>$data));
    }
    
    public static function SemesterAssignedListAllCourseName() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,
        md5(AcademicYearID) as AcademicYearID,AcademicYear,
        md5(DepartmentID) as DepartmentID,Department,
        md5(CourseTypeID) as CourseTypeID,CourseType,  SemesterOrder,
        md5(SemesterID) as SemesterID,  Semester,
        md5(OrgCourseNameID) as OrgCourseNameID,CourseShortName,
        md5(OrgDepartmentID) as OrgDepartmentID,  EndDate,StartDate,  SemesterMode,
        md5(CourseNameID) as CourseNameID, CourseName,SemesterShortName,
        Remarks,Status,CreatedOn from _org_semesters where
        
         md5(OrgCourseNameID)='".$_GET['CourseNameID']."'
          
          
        
        ");   
        return json_encode(array("status"=>"success","data"=>$data));
    }

    public static function SemesterAssignedDataFromCourseName() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID, Remarks, 
        
         md5(AcademicYearID) as AcademicYearID,AcademicYear,
        md5(DepartmentID) as DepartmentID,Department,
        md5(CourseTypeID) as CourseTypeID,CourseType, SemesterOrder,
        md5(SemesterID) as SemesterID,Semester, CourseShortName,
        md5(CourseNameID) as CourseNameID, CourseName,SemesterShortName,
        md5(OrgCourseNameID) as OrgCourseNameID,
        md5(OrgDepartmentID) as OrgDepartmentID,   EndDate,StartDate, SemesterMode,
        Status ,CreatedOn from _org_semesters where md5(ID)='".$_GET['ID']."'");
        return json_encode(array("status"=>"success","data"=>$data));
    }
    
    public static function SemesterAssignedFromDepartmentdoUpdate() {
         
         global $mysql;
         
         $Semester = $mysql->select("select * from ".Tabels::Semesters." where md5(ID)='".trim($_POST['SemesterID'])."'");
          $OrgCourseNameID = $mysql->select("select * from _org_coursenames where md5(CourseNameID)='".trim($_POST['CourseNameID'])."'");    
         
       $id= $mysql->execute("update _org_semesters set 
       
       AcademicYearID ='".$OrgCourseNameID['AcademicYearID']."',
       AcademicYear ='".$OrgCourseNameID['AcademicYear']."',
       
       OrgDepartmentID      =>'".$OrgCourseNameID[0]['ID']."',
       DepartmentID ='".$OrgCourseNameID[0]['DepartmentID']."',
       Department ='".$OrgCourseNameID[0]['Department']."',
       
       CourseTypeID ='".$CourseType[0]['ID']."',
       CourseType ='".$CourseType[0]['CourseType']."',
       
       OrgCourseNameID      =>'".$OrgCourseNameID[0]['ID']."',
       CourseNameID ='".$OrgCourseNameID[0]['CourseNameID']."',
       CourseName ='".$OrgCourseNameID[0]['CourseName']."',
       CourseShortName ='".$OrgCourseNameID[0]['CourseShortName']."',
       
       SemesterID ='".$Semester[0]['ID']."',
       Semester ='".$Semester[0]['Semester']."',
       SemesterShortName ='".$Semester[0]['SemesterShortName']."',
       SemesterOrder      ='".$_POST['SemesterOrder']."',
       SemesterMode      ='".$_POST['SemesterMode']."',
       

                                                              Remarks      ='".$_POST['Remarks']."',
                                                              Status     ='".$_POST['Status']."' where md5(ID)='".$_POST['ID']."'");
                                                          
       if ($id>0) {
        return json_encode(array("status"=>"success","message"=>"Updated successfully","div"=>""));
       } else {
           return json_encode(array("status"=>"failure","message"=>"unable to update".$mysql->error,"div"=>""));
       }
    }
     
     public static function SemesterShowCourseNameWise() {
        global $mysql;

        $datar = $mysql->select("select 
        * from _org_semesters where md5(OrgCourseNameID)='".$_GET['CourseNameID']."'");
        
        $data = $mysql->select("select 
        Semester,
        SemesterShortName,
        SemesterOrder,        EndDate,StartDate, SemesterMode,
        Remarks,Status,CreatedOn from _org_semesters where md5(OrgCourseNameID)='".$_GET['CourseNameID']."'");
        
         
        return json_encode(array("status"=>"success",
                                 "AcademicYear"=>$datar[0]['AcademicYear'],
                                 "Department"=>$datar[0]['Department'],
                                 "CourseName"=>$datar[0]['CourseName'],
                                 "CourseShortName"=>$datar[0]['CourseShortName'],
                                 "data"=>$data));
    }
    
    
   
   
   
   
    /* Division*/
    
    public static function DivisionAssignToSemester() {
        
        global $mysql;
        
        $Division = $mysql->select("select * from ".Tabels::Divisions." where md5(ID)='".trim($_POST['DivisionID'])."'");
        
        $OrgSemesterID = $mysql->select("select * from _org_semesters where md5(ID)='".trim($_POST['SemesterID'])."'");  
         
         
         /*Duplicate CourseName*/
        $duplicate  = $mysql->select("select * from _org_divisions where 
        AcademicYearID='".$OrgSemesterID[0]['AcademicYearID']."' and 
        OrgDepartmentID='".$OrgSemesterID[0]['OrgDepartmentID']."' and 
        OrgCourseNameID='".$OrgSemesterID[0]['OrgCourseNameID']."' and 
        OrgSemesterID='".$OrgSemesterID[0]['OrgSemesterID']."' and 
        DivisionID='".$Division[0]['ID']."'  ");
        if (sizeof($duplicate)>0) {
            return json_encode(array("status"=>"failure","message"=>"Already ".$Division[0]['Division']."  has assigned to Semester: (".$OrgSemesterID[0]['SemesterName'].") of Course: ".$OrgSemesterID['0']['CourseName']." of Department: ".$OrgSemesterID[0]['Department']." academic year ".$OrgSemesterID[0]['AcademicYear'],"div"=>""));    
        }
        
        if ($_POST['Allotted']=="") {
            return json_encode(array("status"=>"failure","message"=>"Please enter valid Allotted","div"=>"Allotted"));    
        }
          
        $id = $mysql->insert("_org_divisions",array(
                                                      "AcademicYearID" => trim($OrgSemesterID[0]['AcademicYearID']),
                                                      "AcademicYear" => trim($OrgSemesterID[0]['AcademicYear']),
                                                      
                                                      "OrgDepartmentID"      => $OrgSemesterID[0]['OrgDepartmentID'],
                                                      "DepartmentID" => trim($OrgSemesterID[0]['DepartmentID']),
                                                      "Department" => trim($OrgSemesterID[0]['Department']),
                                                      
                                                      "CourseTypeID" => trim($OrgSemesterID[0]['CourseTypeID']),
                                                      "CourseType" => trim($OrgSemesterID[0]['CourseType']),
                                                      
                                                      "OrgCourseNameID"      => $OrgSemesterID[0]['OrgCourseNameID'],
                                                      "CourseNameID" => trim($OrgSemesterID[0]['CourseNameID']),
                                                      "CourseName" => trim($OrgSemesterID[0]['CourseName']),
                                                      "CourseShortName" => trim($OrgSemesterID[0]['CourseShortName']),
                                                      
                                                      "OrgSemesterID"      => $OrgSemesterID[0]['ID'],
                                                      "SemesterID" => trim($OrgSemesterID[0]['SemesterID']),
                                                      "Semester" => trim($OrgSemesterID[0]['Semester']),
                                                      "SemesterShortName" => trim($OrgSemesterID[0]['SemesterShortName']),
                                                      "SemesterOrder" => trim($OrgSemesterID[0]['SemesterOrder']),
                                                      "SemesterMode" => trim($OrgSemesterID[0]['SemesterMode']),
                                                      
                                                      
                                                      "DivisionID" => trim($Division[0]['ID']),
                                                      "Division" => trim($Division[0]['Division']),
                                                      "DivisionShortName"      => trim($_POST['DivisionShortName']),
                                                      "DivisionOrder"      => trim($_POST['DivisionOrder']),
                                                      "Allotted"      => trim($_POST['Allotted']),
                                                      
                                                      "Remarks"      => trim($_POST['Remarks']),
                                                      "CreatedOn"    => date("Y-m-d H:i:s"),
                                                      "Status"     => '1'));
         if ($id>0) {
            return json_encode(array("status"=>"success","message"=>"Successfuly created","div"=>""));
        } else {
            return json_encode(array("status"=>"failure","message"=>"Unable to create, please contact system administrator","div"=>""));
        }
    }
    
    public static function DivisionRemoveFromSemester() {
        global $mysql;
        $rows = $mysql->execute("delete from _org_divisions where md5(ID)='".$_POST['delID']."'");
        if ($rows>0) {
            return json_encode(array("status"=>"success","message"=>"Deleted sucessfully"));    
        }
    }

    public static function DivisionAssignedListAllSemesters() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,
        md5(AcademicYearID) as AcademicYearID,AcademicYear,
        md5(DepartmentID) as DepartmentID,Department,
        md5(CourseTypeID) as CourseTypeID,CourseType,
        md5(SemesterID) as SemesterID,  Semester,
        md5(CourseNameID) as CourseNameID, CourseName,
        md5(DivisionID) as DivisionID, Division, DivisionShortName,
         md5(OrgCourseNameID) as OrgCourseNameID,
         md5(OrgDepartmentID) as OrgDepartmentID,
        md5(OrgCourseNameID) as OrgCourseNameID,SemesterMode,
        md5(OrgSemesterID) as OrgSemesterID, Allotted, DivisionOrder,
        Remarks,Status,CreatedOn from _org_divisions ");
        return json_encode(array("status"=>"success","data"=>$data));
    }
    
    public static function DivisionAssignedListAllSemester() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,
        md5(AcademicYearID) as AcademicYearID,AcademicYear,
        md5(DepartmentID) as DepartmentID,Department,
        md5(CourseTypeID) as CourseTypeID,CourseType,
        md5(SemesterID) as SemesterID,  Semester,
        md5(OrgDepartmentID) as OrgDepartmentID,
        md5(OrgCourseNameID) as OrgCourseNameID,
        md5(OrgSemesterID) as OrgSemesterID,SemesterMode,
        md5(CourseNameID) as CourseNameID, CourseName, DivisionShortName,
        md5(DivisionID) as DivisionID, Division,  Allotted, DivisionOrder,
        Remarks,Status,CreatedOn from _org_divisions where md5(CourseNameID)='".$_GET['CourseNameID']."'
         and  md5(AcademicYearID)='".$_GET['AcademicYearID']."' and  md5(DepartmentID)='".$_GET['DepartmentID']."'
         and  md5(SemesterID)='".$_GET['SemesterID']."'
        
        ");
        return json_encode(array("status"=>"success","data"=>$data));
    }

    public static function DivisionAssignedDataFromSemester() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID, Remarks, 
        
        md5(AcademicYearID) as AcademicYearID,AcademicYear,
        md5(DepartmentID) as DepartmentID,Department,
        md5(CourseTypeID) as CourseTypeID,CourseType,
        md5(SemesterID) as SemesterID,Semester, SemesterShortName,
        md5(CourseNameID) as CourseNameID, CourseName, CourseShortName,   
        md5(DivisionID) as DivisionID, Division, DivisionShortName,
        md5(OrgDepartmentID) as OrgDepartmentID,
        md5(OrgCourseNameID) as OrgCourseNameID, SemesterMode,
        md5(OrgSemesterID) as OrgSemesterID,  Allotted, DivisionOrder,
        Status ,CreatedOn from _org_divisions where md5(ID)='".$_GET['ID']."'");
        return json_encode(array("status"=>"success","data"=>$data));
    }
     
    public static function DivisionAssignedFromSemesterdoUpdate() {
         
         global $mysql;
         
         $AcademicYear = $mysql->select("select * from ".Tabels::AcademicYears." where md5(ID)='".trim($_POST['AcademicYearID'])."'");
        $Department = $mysql->select("select * from ".Tabels::Departments." where md5(ID)='".trim($_POST['DepartmentID'])."'");
        
        $CourseName = $mysql->select("select * from ".Tabels::CourseNames." where md5(ID)='".trim($_POST['CourseNameID'])."'");
        
        $CourseType = $mysql->select("select * from ".Tabels::CourseTypes." where ID='".trim($CourseName[0]['CourseTypeID'])."'");
        $Semester = $mysql->select("select * from _org_semesters where md5(ID)='".trim($_POST['SemesterID'])."'");
        
        
         
          $OrgDepartmentID = $mysql->select("select * from _org_departments where md5(AcademicYearID)='".trim($_POST['AcademicYearID'])."' 
        and md5(DepartmentID)='".trim($_POST['DepartmentID'])."'"); 
        
         $OrgCourseNameID = $mysql->select("select * from _org_coursenames
         where    md5(AcademicYearID)='".trim($_POST['AcademicYearID'])."' and 
          md5(DepartmentID)='".trim($_POST['DepartmentID'])."' and   md5(CourseNameID)='".trim($_POST['CourseNameID'])."'
         
         ");  
         
         $OrgSemesterID = $mysql->select("select * from _org_semesters
         where    
         md5(AcademicYearID)='".trim($_POST['AcademicYearID'])."' and 
         md5(DepartmentID)='".trim($_POST['DepartmentID'])."' and   
         md5(CourseNameID)='".trim($_POST['CourseNameID'])."' and 
         md5(SemesterID)='".trim($_POST['SemesterID'])."'
         
         "); 
         
        $Division = $mysql->select("select * from ".Tabels::Divisions." where md5(ID)='".trim($_POST['DivisionID'])."'");  
       $id= $mysql->execute("update _org_divisions set 
       AcademicYearID ='".$AcademicYear['ID']."',
       AcademicYear ='".$AcademicYear['AcademicYear']."',
       DepartmentID ='".$Department[0]['ID']."',
       Department ='".$Department[0]['Department']."',
       CourseTypeID ='".$CourseType[0]['ID']."',
       CourseType ='".$CourseType[0]['CourseType']."',
       CourseNameID ='".$CourseName[0]['ID']."',
       CourseName ='".$CourseName[0]['CourseName']."',
       SemesterID ='".$Semester[0]['ID']."',
       Semester ='".$Semester[0]['Semester']."',
       OrgDepartmentID      =>'".$OrgDepartmentID[0]['ID']."',
       OrgCourseNameID      =>'".$OrgCourseNameID[0]['ID']."',
       OrgSemesterID      =>'".$OrgSemesterID[0]['ID']."',              
       SemesterMode      =>'".$OrgSemesterID[0]['SemesterMode']."',              
       
                                                              DivisionID      ='".$Division[0]['ID']."',
                                                              Division      ='".$Division[0]['Division']."',
                                                              DivisionShortName      ='".$_POST['DivisionShortName']."',
                                                              DivisionOrder      ='".$_POST['DivisionOrder']."',
                                                              Allotted      ='".$_POST['Allotted']."',
                                                              Remarks      ='".$_POST['Remarks']."',
                                                              Status     ='".$_POST['Status']."' where md5(ID)='".$_POST['ID']."'");
                                                          
       if ($id>0) {
        return json_encode(array("status"=>"success","message"=>"Updated successfully","div"=>""));
       } else {
           return json_encode(array("status"=>"failure","message"=>"unable to update".$mysql->error,"div"=>""));
       }
    } 
    
    public static function DivisionAssignedListSemester() {
        global $mysql;
        $data = $mysql->select("select 
        md5(ID) as ID,
        md5(AcademicYearID) as AcademicYearID, AcademicYear,
        md5(DepartmentID) as DepartmentID, Department,
        md5(OrgDepartmentID) as OrgDepartmentID,
        md5(CourseTypeID) as CourseTypeID, CourseType,  
        md5(CourseNameID) as CourseNameID, CourseName, SemesterMode,
        md5(SemesterID) as SemesterID, Semester, SemesterShortName,
        md5(DivisionID) as DivisionID, Division, DivisionShortName,DivisionOrder,Allotted,
        
        Remarks,Status,CreatedOn from _org_divisions where 
        md5(OrgSemesterID)='".$_GET['SemesterID']."' ");
        return json_encode(array("status"=>"success","data"=>$data));
    }
    
    
      public static function DivisionShowSemesterWise() {
        global $mysql;

        $datar = $mysql->select("select 
        * from _org_divisions where md5(OrgSemesterID)='".$_GET['SemesterID']."'");
        
        $data = $mysql->select("select 
        Division,
        DivisionShortName,
        
        Remarks,Status,CreatedOn from _org_divisions where md5(OrgSemesterID)='".$_GET['SemesterID']."'");
        
         
        return json_encode(array("status"=>"success",
                                 "AcademicYear"=>$datar[0]['AcademicYear'],
                                 "Department"=>$datar[0]['Department'],
                                 "CourseName"=>$datar[0]['CourseName'],
                                 "CourseShortName"=>$datar[0]['CourseShortName'],
                                 "SemesterName"=>$datar[0]['Semester'],
                                 "SemesterShotName"=>$datar[0]['SemesterShortName'],
                                 "SemesterOrder"=>$datar[0]['SemesterOrder'],
                                 "SemesterMode"=>$datar[0]['SemesterMode'],
                                 "data"=>$data));
    }
    
    
    
    
    /*subject*/
     public static function SubjectAssignToDivision() {
        
        global $mysql;
        
        $Subjects = $mysql->select("select * from _tbl_masters_academy_subjectnames where md5(ID)='".trim($_POST['SubjectNameID'])."'");
        
        $OrgDivisionID = $mysql->select("select * from _org_divisions where md5(ID)='".trim($_POST['DivisionID'])."'");  
         
         
         /*Duplicate Subject*/
        $duplicate  = $mysql->select("select * from _org_subjects where 
        
        OrgDivisionID='".$OrgDivisionID[0]['ID']."' and 
        SubjectNameID='".$Subjects[0]['ID']."' ");
        if (sizeof($duplicate)>0) {
            return json_encode(array("status"=>"failure","message"=>"Already assigned this division","div"=>""));    
        }
          
        $id = $mysql->insert("_org_subjects",array(
                                                      "AcademicYearID" => trim($OrgDivisionID[0]['AcademicYearID']),
                                                      "AcademicYear" => trim($OrgDivisionID[0]['AcademicYear']),
                                                      
                                                      "OrgDepartmentID"      => $OrgDivisionID[0]['OrgDepartmentID'],
                                                      "DepartmentID" => trim($OrgDivisionID[0]['DepartmentID']),
                                                      "Department" => trim($OrgDivisionID[0]['Department']),
                                                      
                                                      "CourseTypeID" => trim($OrgDivisionID[0]['ID']),
                                                      "CourseType" => trim($OrgDivisionID[0]['CourseType']),
                                                      
                                                      "OrgCourseNameID"      => $OrgDivisionID[0]['OrgCourseNameID'],
                                                      "CourseNameID" => trim($OrgDivisionID[0]['CourseNameID']),
                                                      "CourseName" => trim($OrgDivisionID[0]['CourseName']),
                                                      "CourseShortName" => trim($OrgDivisionID[0]['CourseShortName']),
                                                      
                                                      "OrgSemesterID"      => $OrgDivisionID[0]['OrgSemesterID'],
                                                      "SemesterID" => trim($OrgDivisionID[0]['SemesterID']),
                                                      "Semester" => trim($OrgDivisionID[0]['Semester']),
                                                      "SemesterShortName" => trim($OrgDivisionID[0]['SemesterShortName']),
                                                      "SemesterOrder" => trim($OrgDivisionID[0]['SemesterOrder']),
                                                      "SemesterMode" => trim($OrgDivisionID[0]['SemesterMode']),
                                                      
                                                      "OrgDivisionID" => trim($OrgDivisionID[0]['ID']),
                                                      "DivisionID" => trim($OrgDivisionID[0]['DivisionID']),
                                                      "Division" => trim($OrgDivisionID[0]['Division']),
                                                      "DivisionShortName"      => trim($OrgDivisionID[0]['DivisionShortName']),
                                                      
                                                      "SubjectNameID" => trim($Subjects[0]['ID']),
                                                      "SubjectName" => trim($Subjects[0]['SubjectName']),
                                                      "UniversitySubjectCode"      => trim($Subjects[0]['UniversitySubjectCode']),
                                                      "SubjectTypeID" => trim($Subjects[0]['SubjectTypeID']),
                                                      "SubjectType" => trim($Subjects[0]['SubjectType']),
                                                      
                                                      
                                                      
                                                      "Remarks"      => trim($_POST['Remarks']),
                                                      "CreatedOn"    => date("Y-m-d H:i:s"),
                                                      "Status"     => '1'));
         if ($id>0) {
            return json_encode(array("status"=>"success","message"=>"Successfuly created","div"=>""));
        } else {
            return json_encode(array("status"=>"failure","message"=>"Unable to create, please contact system administrator","div"=>""));
        }
    }
    
    public static function SubjectRemoveFromDivision() {
        global $mysql;
        $rows = $mysql->execute("delete from _org_subjects where md5(ID)='".$_POST['delID']."'");
        if ($rows>0) {
            return json_encode(array("status"=>"success","message"=>"Deleted sucessfully"));    
        }
    }

    public static function SubjectAssignedListAllDivisions() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,
        md5(AcademicYearID) as AcademicYearID,AcademicYear,
        md5(DepartmentID) as DepartmentID,Department,
        md5(CourseTypeID) as CourseTypeID,CourseType,
        md5(SemesterID) as SemesterID,  Semester,
        md5(CourseNameID) as CourseNameID, CourseName,
        md5(DivisionID) as DivisionID, Division, DivisionShortName,
         md5(OrgCourseNameID) as OrgCourseNameID,
         md5(OrgDepartmentID) as OrgDepartmentID,
        md5(OrgCourseNameID) as OrgCourseNameID,
        md5(OrgSemesterID) as OrgSemesterID,SemesterMode,
        md5(SubjectNameID) as SubjectNameID, SubjectName, md5(SubjectTypeID) as SubjectTypeID, SubjectType,UniversitySubjectCode,
        Remarks,Status,CreatedOn from _org_subjects ");
        return json_encode(array("status"=>"success","data"=>$data));
    }
    
    public static function SubjectAssignedListAllDivision() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,
        md5(AcademicYearID) as AcademicYearID,AcademicYear,
        md5(DepartmentID) as DepartmentID,Department,
        md5(CourseTypeID) as CourseTypeID,CourseType,
        md5(SemesterID) as SemesterID,  Semester,
        md5(OrgDepartmentID) as OrgDepartmentID,
        md5(OrgCourseNameID) as OrgCourseNameID,
        md5(OrgSemesterID) as OrgSemesterID,
        md5(CourseNameID) as CourseNameID, CourseName, DivisionShortName,
        md5(DivisionID) as DivisionID, Division, SemesterMode,
        Remarks,Status,CreatedOn from _org_subjects where md5(CourseNameID)='".$_GET['CourseNameID']."'
         and  md5(AcademicYearID)='".$_GET['AcademicYearID']."' and  md5(DepartmentID)='".$_GET['DepartmentID']."'
         and  md5(SemesterID)='".$_GET['SemesterID']."'
        
        ");
        return json_encode(array("status"=>"success","data"=>$data));
    }

    public static function SubjectAssignedgetDataFromDivision() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID, Remarks, 
        
        md5(AcademicYearID) as AcademicYearID,AcademicYear,
        md5(DepartmentID) as DepartmentID,Department,
        md5(CourseTypeID) as CourseTypeID,CourseType,
        md5(SemesterID) as SemesterID,Semester, SemesterShortName,
        md5(CourseNameID) as CourseNameID, CourseName,   CourseShortName, SemesterOrder,
        md5(DivisionID) as DivisionID, Division, DivisionShortName,
        md5(OrgDepartmentID) as OrgDepartmentID,
        md5(OrgCourseNameID) as OrgCourseNameID, SemesterMode,
        md5(OrgSemesterID) as OrgSemesterID,
        md5(SubjectNameID) as SubjectNameID, SubjectName, md5(SubjectTypeID) as SubjectTypeID, SubjectType,UniversitySubjectCode,
        Status ,CreatedOn from _org_subjects where md5(ID)='".$_GET['ID']."'");
        return json_encode(array("status"=>"success","data"=>$data));
    }
     
    public static function SubjectAssignedFromDivisiondoUpdate() {
         
         global $mysql;
         
           $Subjects = $mysql->select("select * from _tbl_masters_academy_subjectnames where md5(ID)='".trim($_POST['SubjectNameID'])."'");
        
        $OrgDivisionID = $mysql->select("select * from _org_semesters where md5(ID)='".trim($_POST['DivisionID'])."'");  
         
       $id= $mysql->execute("update _org_divisions set 
       AcademicYearID ='".$OrgDivisionID[0]['AcademicYearID']."',
       AcademicYear ='".$OrgDivisionID[0]['AcademicYear']."',
       DepartmentID ='".$OrgDivisionID[0]['DepartmentID']."',
       Department ='".$OrgDivisionID[0]['Department']."',
       CourseTypeID ='".$OrgDivisionID[0]['CourseTypeID']."',
       CourseType ='".$OrgDivisionID[0]['CourseType']."',
       CourseNameID ='".$OrgDivisionID[0]['CourseNameID']."',
       CourseName ='".$OrgDivisionID[0]['CourseName']."',
       CourseShortName ='".$OrgDivisionID[0]['CourseShortName']."',
       SemesterID ='".$OrgDivisionID[0]['SemesterID']."',
       Semester ='".$OrgDivisionID[0]['Semester']."',
       SemesterShortName ='".$OrgDivisionID[0]['SemesterShortName']."',
       SemesterMode ='".$OrgDivisionID[0]['SemesterMode']."',
       OrgDepartmentID      =>'".$OrgDivisionID[0]['OrgDepartmentID']."',
       OrgCourseNameID      =>'".$OrgDivisionID[0]['OrgCourseNameID']."',
       OrgSemesterID      =>'".$OrgDivisionID[0]['OrgSemesterID']."',
       OrgDivisionID      =>'".$OrgDivisionID[0]['OrgDivisionID']."',
       
                                                              DivisionID      ='".$OrgDivisionID[0]['ID']."',
                                                              Division      ='".$OrgDivisionID[0]['Division']."',
                                                              DivisionShortName      ='".$OrgDivisionID[0]['DivisionShortName']."',
                                                          
                                                          
                                                          SubjectNameID ='".trim($Subjects[0]['ID'])."',
                                                      SubjectName ='". trim($Subjects[0]['SubjectName'])."',
                                                      UniversitySubjectCode      ='".trim($Subjects[0]['UniversitySubjectCode'])."',
                                                      SubjectTypeID ='". trim($Subjects[0]['SubjectTypeID'])."',
                                                      SubjectType ='".trim($Subjects[0]['SubjectType'])."',
                                                          
                                                              Remarks      ='".$_POST['Remarks']."',
                                                              Status     ='".$_POST['Status']."' where md5(ID)='".$_POST['ID']."'");
                                                          
       if ($id>0) {
        return json_encode(array("status"=>"success","message"=>"Updated successfully","div"=>""));
       } else {
           return json_encode(array("status"=>"failure","message"=>"unable to update".$mysql->error,"div"=>""));
       }
    } 
    
    public static function SubjectAssignedListDivision() {
        global $mysql;
        $data = $mysql->select("select 
        md5(ID) as ID,
        md5(AcademicYearID) as AcademicYearID, AcademicYear,
        md5(DepartmentID) as DepartmentID, Department,
        md5(OrgDepartmentID) as OrgDepartmentID,
        md5(CourseTypeID) as CourseTypeID, CourseType,  
        md5(CourseNameID) as CourseNameID, CourseName,
        md5(SemesterID) as SemesterID, Semester, SemesterShortName,
        md5(DivisionID) as DivisionID, Division, DivisionShortName,
            SemesterMode,
        Remarks,Status,CreatedOn from _org_divisions where 
        md5(OrgSemesterID)='".$_GET['SemesterID']."' ");
        return json_encode(array("status"=>"success","data"=>$data));
    }
    
    
     public static function SubjectShowDivisionWise() {
        global $mysql;

        $datar = $mysql->select("select 
        * from _org_subjects where md5(OrgDivisionID)='".$_GET['DivisionID']."'");
        
        $data = $mysql->select("select 
        SubjectName,
        SubjectType,
        UniversitySubjectCode,
         SemesterMode,
        Remarks,Status,CreatedOn from _org_subjects where md5(OrgDivisionID)='".$_GET['DivisionID']."'");
        
         
        return json_encode(array("status"=>"success",
                                 "AcademicYear"=>$datar[0]['AcademicYear'],
                                 "Department"=>$datar[0]['Department'],
                                 "CourseName"=>$datar[0]['CourseName'],
                                 "CourseShortName"=>$datar[0]['CourseShortName'],
                                 "SubjectType"=>$datar[0]['SubjectType'],
                                 "SemesterName"=>$datar[0]['Semester'],
                                 "SemesterShortName"=>$datar[0]['SemesterShortName'],
                                 "SemesterOrder"=>$datar[0]['SemesterOrder'],
                                 "Division"=>$datar[0]['Division'],
                                 "DivisionShortName"=>$datar[0]['DivisionShortName'],
                                 "data"=>$data));
    }
  
}
?>