<div class="user-dashboard">
    <div class="container">
      <h3 class="title">Collect Payment</h3>                                        
       <div class="row">
        <div class="col-12 col-xl-12">                                          
                <div class="card mb-2" style="border: none;">
                    <div class="card-body">   
                      <form id="frm_create" name="frm_create" autocomplete="off" method="post">
                        <div class="row">
                             <div class="col-sm-3">
                                    <label class="form-label">Academic Year</label><span style='color:red'>*</span>
                                     <select class="form-select form-select-sm" name="AcademicYearID" id="AcademicYearID" onchange="clearInput('AcademicYearID');listCourseTypes('CourseTypeID','0');">
                                        <option value="0">Select Academic Year</option>
                                    </select> 
                                      <span id="ErrAcademicYearID" style="color: red;" class="error_msg"></span>
                                </div>
                                 <div class="col-3">
                                <label class="form-label">Course Type</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="CourseTypeID" id="CourseTypeID" onchange="clearInput('CourseTypeID');listDepartments('frm_create','DepartmentID','0');">
                                    <option value="0">Select Course Type</option>
                                 </select>
                                <span id="ErrCourseTypeID" class="error_msg" style="color: red;"></span>
                            </div>
                            <div class="col-sm-3">
                                <label class="form-label">Department</label><span style='color:red'>*</span>                                                  
                                    <select class="form-select form-select-sm" name="DepartmentID" id="DepartmentID" onchange="clearInput('DepartmentID');listCourseNames();">
                                        <option value="0">Select Department</option>
                                    </select> 
                                    <span id="ErrDepartmentID" style="color: red;" class="error_msg"></span>
                            </div>
                            <div class="col-3">
                                <label class="form-label">Course</label><span style='color:red'>*</span>
                                <select class="form-select form-select-sm" name="CourseNameID" id="CourseNameID" onchange="clearInput('CourseNameID');listSemesters()">
                                    <option value="0">Select Course</option>
                                 </select>
                                <span id="ErrCourseNameID" class="error_msg" style="color: red;"></span>
                            </div>
                            <div class="col-sm-3">
                                <label class="form-label">Semester</label><span style='color:red'>*</span>            
                                    <select class="form-select form-select-sm" name="SemesterID" id="SemesterID" onchange="clearInput('SemesterID');listDivisions();">
                                        <option value="0">Select Semester</option>
                                    </select>  
                                    <span id="ErrSemesterID" style="color: red;" class="error_msg"></span>
                                </div>
                            <div class="col-sm-3 mb-3">
                            <label class="form-label">Division</label><span style='color:red'>*</span>            
                                <select class="form-select form-select-sm" name="DivisionID" id="DivisionID" onchange="clearInput('DivisionID')">
                                    <option value="0">Select Division</option>
                                </select>  
                                <span id="ErrDivisionID" style="color: red;" class="error_msg"></span>
                            </div> 
                              <div class="col-3">
                            <label class="form-label">Student Name</label><span style='color:red'>*</span>
                             <select class="form-select form-select-sm" name="StudentNameID" id="StudentNameID" onchange="clearInput('StudentNameID')">
                                <option value="0">Select Student Name</option>
                                <option value="1">Student Name</option>
                            </select> 
                              <span id="ErrStudentNameID" style="color: red;" class="error_msg"></span>
                        </div>
                            <div class="col-12 mb-2" style="text-align: right;">
                            <button type="button" class="btn-save" onclick="View()">View</button>&nbsp;
                        </div>
                        <div class="col-12 mt-3" style="display: none;" id="showinfo"> 
                              <div class="row"> 
                                <div class="col-6"> 
                                  <p style="font-weight: bold;margin-bottom:0px">Student Name</p> 
                                  <div style="margin-bottom:15px" id="showStudentName">XXX</div> 
                                  <p style="font-weight: bold;margin-bottom:0px">Outstanding Amount</p> 
                                  <div style="margin-bottom:15px" id="showOutstandingAmount">&#8377; 0000</div> 
                                </div> 
                               <div class="col-6" style="text-align:right;">    
                                    <a style="color: #0d6efd;cursor: pointer" onclick="document.getElementById('TransactionSummery').style.display = 'block';">Transaction Summery</a>&nbsp;&nbsp; | &nbsp;&nbsp;
                                    <a style="color: #0d6efd;cursor: pointer" onclick="document.getElementById('listTable').style.display = 'block';">Collect Payment</a>&nbsp;&nbsp; | &nbsp;&nbsp;
                                    <a style="color: #0d6efd;cursor: pointer" onclick="document.getElementById('PaymentHistory').style.display = 'block';">Payment History</a>
                               </div>
                            </div> 
                           </div> 
                            <div class="col-12" id="listTable" style="display: none;"> 
                                <table class="table">
                                 <thead>
                                    <tr>
                                        <th style="width:150px">Fee Type</th>
                                        <th>Fee Description</th>
                                        <th>Fee Amount</th>
                                        <th>Payment Status</th>
                                        <th>Paid On</th>
                                        <th style="width:100px" class="nosort"></th>    
                                        <th style="width:100px" class="nosort"></th>
                                    </tr>
                                </thead>                                    
                                <tbody id="tbl_content">
                                    <tr>
                                        <td colspan='12'>
                                            <?php echo loadingText("Loading student fees");?>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>  
                         </div>
                        </form> 
                    </div>
                </div>                                                                      
                
        </div>
    </div>
</div>
</div>

<div class="modal fade" id="Payconfirmation" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
            <div class="row" style="width:100%">
               <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">Pay</h5>
                </div>
                <div class="col-sm-4" style="text-align:right;padding-right:0px">
                        <a href="<?php echo help_url;?>StudentFee" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                    </div>
            </div>
            </div>
            <div class="modal-body">
             <form id="frm_create" name="frm_create" method="post" enctype="multipart/form-data" autocomplete="off">
                <div class="row">
                     <span id="ErrCommon"></span>
                    <div class="col-12">
                        <label>Payment Mode:</label>
                        <div>
                          <input type="radio" id="cash" name="payment_mode" value="cash"> <label for="cash">Cash</label>
                          <input type="radio" id="bank" name="payment_mode" value="bank"> <label for="bank">Bank</label>
                          <input type="radio" id="qr" name="payment_mode" value="qr"> <label for="qr">QR</label>
                        </div>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Payment Description</label><span style='color:red'>*</span>
                        <input class="form-control form-control-sm" type="text" id="PaymentDescription" name="PaymentDescription" placeholder="Payment Description" value="" onkeypress="clearInput('PaymentDescription')"></input>
                        <span id="ErrPaymentDescription" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                        <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
             </form>
            </div>
            <div class="modal-footer">
                 <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="add()" class="btn-save">Save</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>



<script>
function formReset() {
listAcademicYears("frm_create","AcademicYearID","0"); 
 listStudentNames("frm_create","StudentNameID","0");
 
 $('#AcademicYearID').val("0"); 
 $('#DepartmentID').val("0"); 
 $('#DivisionID').val("0"); 
 $('#SemesterID').val("0");
 $('#CourseNameID').val("0"); 
 $('#StudentNameID').val("0"); 
 $('#Date').val(""); 
 
 $('#ErrAcademicYearID').html("");
  $('#ErrDepartmentID').html("");
  $('#ErrDivisionID').html("");
  $('#ErrSemesterID').html("");
  $('#ErrCourseNameID').html("");
  $('#ErrStudentNameID').html("");
  $('#ErrDate').html("");
  
  $("#AcademicYearID").removeClass("highlight_error"); 
  $("#DepartmentID").removeClass("highlight_error"); 
  $("#DivisionID").removeClass("highlight_error"); 
  $("#SemesterID").removeClass("highlight_error");
  $("#CourseNameID").removeClass("highlight_error"); 
  $("#StudentNameID").removeClass("highlight_error"); 
  $("#Date").removeClass("highlight_error");  
}
 
 function View(){
      var error = 0;
      if ($('#Date').val()==""){
            $('#ErrDate').html("Please select Date");
         $("#Date").addClass("highlight_error"); 
            error++;
    }  else {
         $("#Date").removeClass("highlight_error"); 
            $('#ErrDate').html(""); 
    }
  if ($('#AcademicYearID').val()=="0"){
            $('#ErrAcademicYearID').html("Please select Academic Year");
         $("#AcademicYearID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#AcademicYearID").removeClass("highlight_error"); 
            $('#ErrAcademicYearID').html(""); 
    }
    if ($('#CourseTypeID').val()=="0"){
            $('#ErrCourseTypeID').html("Please select Course Type");
         $("#CourseTypeID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#CourseTypeID").removeClass("highlight_error"); 
            $('#ErrCourseTypeID').html(""); 
    }
     if ($('#SemesterID').val()=="0"){
            $('#ErrSemesterID').html("Please select Semester");
         $("#SemesterID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#SemesterID").removeClass("highlight_error"); 
            $('#ErrSemesterID').html(""); 
    }
    if ($('#DepartmentID').val()=="0"){
            $('#ErrDepartmentID').html("Please select Department");
         $("#DepartmentID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#DepartmentID").removeClass("highlight_error"); 
            $('#ErrDepartmentID').html(""); 
    }
    if ($('#CourseNameID').val()=="0"){
            $('#ErrCourseNameID').html("Please select Course Name");
         $("#CourseNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#CourseNameID").removeClass("highlight_error"); 
            $('#ErrCourseNameID').html(""); 
    }
    if ($('#DivisionID').val()=="0"){
            $('#ErrDivisionID').html("Please select Division");
         $("#DivisionID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#DivisionID").removeClass("highlight_error"); 
            $('#ErrDivisionID').html(""); 
    }
    if ($('#StudentNameID').val()=="0"){
            $('#ErrStudentNameID').html("Please select Student Name");
         $("#StudentNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#StudentNameID").removeClass("highlight_error"); 
            $('#ErrStudentNameID').html(""); 
    }
    if(error==0) {
       $('#showinfo').show();
    } else {
        
     } 
 }
 
 function list() {
      $('#Success').modal("hide");
    $.post(URL+ "webservice.php?action=l&method=mcgndrl","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.FeeType + '</td>' 
                            + '<td>' + data.FeeDescription + '</td>' 
                            +  '<td>' + data.FeeAmount + '</td>' 
                            +  '<td>' + data.PaymentStatus + '</td>' 
                            +  '<td>' + data.PainOn + '</td>' 
                             + '<td>' 
                                +   '<button class="btn-save"onclick="ConfirmationtoPay(event, \''+data.ID+'\')">Pay Now</button>' 
                             + '</td>'
                             + '<td>' 
                                + '<span onclick="viewform(\''+data.ID+'\')"class="viewLink" title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;' 
                            + '</td>'
                            + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}

setTimeout("list()",2000);

function listAcademicYears(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=lac&method=maayl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Academic Year</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.AcademicYear+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listCourseTypes(selectboxID,selected) {
        $('#DepartmentID').html("<option value='0'>Select Department</option>");
        $('#CourseNameID').html("<option value='0'> Select Course</option>");
        $('#SemesterID').html("<option value='0'> Select Semester</option>");
        $('#DivisionID').html("<option value='0'> Select Division</option>");  
    $.post(URL+ "webservice.php?action=cotba&method=org&AcademicYearID="+$('#AcademicYearID').val(),"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Course Type</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.CourseType+'</option>';
            });   
            $('#'+selectboxID).html(html);
            
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));                  
        }
    })
}

function listDepartments(formID,selectboxID,selected) {
    var param = $('#'+formID).serialize(); 
        $('#CourseNameID').html("<option value='0'> Select Course</option>");
        $('#SemesterID').html("<option value='0'> Select Semester</option>");
        $('#DivisionID').html("<option value='0'> Select Division</option>");   
    $.post(URL+ "webservice.php?action=depbct&method=org&AcademicYearID="+$('#AcademicYearID').val()+"&CourseTypeID="+$('#CourseTypeID').val(),param,function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            if (obj.data.length>0) {
            var html = "<option value='0'>Select Department</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+ data.ID +'" '+((data.ID==selected) ? ' selected="selected" ' : '')+' ">'+data.Department+'</option>';
            });
            $('#'+selectboxID).html(html);
            }
        } else {
             var html = "<option value='0'>Select Department</option>";
             $('#'+selectboxID).html(html);
           // $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listCourseNames(){ 
        $('#SemesterID').html("<option value='0'> Select Semester</option>");
        $('#DivisionID').html("<option value='0'> Select Division</option>");
     $.post(URL+ "webservice.php?action=gcnfmadid&method=org&DepartmentID="+$('#DepartmentID').val()+'&AcademicYearID='+$('#AcademicYearID').val(),"",function(data){
       var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Course</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'">'+data.CourseName+'</option>';
            });   
                $('#CourseNameID').html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })  
}

function listSemesters(){ 
$('#DivisionID').html("<option value='0'> Select Division</option>"); 
     $.post(URL+ 'webservice.php?action=semlbc&method=org&CourseNameID='+$('#CourseNameID').val()+'&DepartmentID='+$('#DepartmentID').val()+'&AcademicYearID='+$('#AcademicYearID').val(),"",function(data){
       var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Semester</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'">'+data.Semester+'</option>';
            });   
                $('#SemesterID').html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })  
}

function listDivisions(formID,selectboxID,selected) {
      var param = $('#'+formID).serialize();    
    $.post(URL+ 'webservice.php?action=divlbc&method=org&CourseNameID='+$('#CourseNameID').val()+'&DepartmentID='+$('#DepartmentID').val()+'&AcademicYearID='+$('#AcademicYearID').val()+'&SemesterID='+$('#SemesterID').val(),"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            if (obj.data.length>0) {
            var html = "<option value='0'>Select Division</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+ data.DivisionID +'" '+((data.DivisionID==selected) ? ' selected="selected" ' : '')+' ">'+data.Division+'</option>';
            });
            $('#DivisionID').html(html);
            }
        } else {
             var html = "<option value='0'>Select Semester</option>";
             $('#'+selectboxID).html(html);
           // $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listStudentNames(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=l&method=mac","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Student</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.StudentName+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

formReset();

 function ConfirmationtoPay(event, id){
  event.preventDefault();
  event.stopPropagation();
  $('#Payconfirmation').modal("show");  
   
 }

function Submit(){
$('#confirmation').modal("hide");  
    $('#Success').modal("show");  
 /* $.post(URL+"webservice.php?action=u&method=mcgndrl",param,function(data){
            var obj = JSON.parse(data); 
            if (obj.status=="success") {
                 $('#Success').modal("show");  
            }  else {
                $('#ErrFeeCommon').html(print_inlineError(obj.message));
            } 
        }); */  
}      
                                                 
</script>
     