<div class="user-dashboard">
    <div class="container">
      <h3 class="title">Student Attendance</h3>
       <div class="row">
        <div class="col-12 col-xl-12">                                          
                <div class="card mb-2" style="border: none;">
                    <div class="card-body">   
                      <form id="frm_create" name="frm_create" autocomplete="off" method="post">
                        <div class="row">
                           <div class="col-sm-3">
                                    <label class="form-label">Academic Year</label><span style='color:red'>*</span>
                                     <select class="form-select form-select-sm" name="AcademicYearID" id="AcademicYearID" onchange="clearInput('AcademicYearID');listCourseTypes('CourseTypeID','0');">
                                        <option value="0">Select Academic Year</option>
                                    </select> 
                                      <span id="ErrAcademicYearID" style="color: red;" class="error_msg"></span>
                                </div>
                                 <div class="col-3">
                                <label class="form-label">Course Type</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="CourseTypeID" id="CourseTypeID" onchange="clearInput('CourseTypeID');listDepartments('frm_create','DepartmentID','0');">
                                    <option value="0">Select Course Type</option>
                                 </select>
                                <span id="ErrCourseTypeID" class="error_msg" style="color: red;"></span>
                            </div>
                            <div class="col-sm-3">
                                <label class="form-label">Department Name</label><span style='color:red'>*</span>
                                    <select class="form-select form-select-sm" name="DepartmentID" id="DepartmentID" onchange="clearInput('DepartmentID');listCourseNames();">
                                        <option value="0">Select Department Name</option>
                                    </select> 
                                    <span id="ErrDepartmentID" style="color: red;" class="error_msg"></span>
                            </div>
                            <div class="col-3">
                                <label class="form-label">Course Name</label><span style='color:red'>*</span>
                                <select class="form-select form-select-sm" name="CourseNameID" id="CourseNameID" onchange="clearInput('CourseNameID');listSemesters()">
                                    <option value="0">Select Course Name</option>
                                 </select>
                                <span id="ErrCourseNameID" class="error_msg" style="color: red;"></span>
                            </div>
                            <div class="col-sm-3">
                                <label class="form-label">Semester</label><span style='color:red'>*</span>            
                                    <select class="form-select form-select-sm" name="SemesterID" id="SemesterID" onchange="clearInput('SemesterID');listDivisions()">
                                        <option value="0">Select Semester</option>
                                    </select>  
                                    <span id="ErrSemesterID" style="color: red;" class="error_msg"></span>
                                </div>
                            <div class="col-sm-3 mb-3">
                            <label class="form-label">Division</label><span style='color:red'>*</span>            
                                <select class="form-select form-select-sm" name="DivisionID" id="DivisionID" onchange="clearInput('DivisionID')">
                                    <option value="0">Select Division</option>
                                </select>  
                                <span id="ErrDivisionID" style="color: red;" class="error_msg"></span>
                            </div> 
                         <div class="col-3">
                            <label class="form-label">Student Name</label><span style='color:red'>*</span>
                             <select class="form-select form-select-sm" name="StudentNameID" id="StudentNameID" onchange="clearInput('StudentNameID')">
                                <option value="0">Select Student Name</option>
                                <option value="1">Student Name</option>
                            </select> 
                              <span id="ErrStudentNameID" style="color: red;" class="error_msg"></span>
                        </div>
                        <!--<div class="col-4 mb-3">
                                <label class="form-label">Date Range</label><span style='color:red'>*</span>
                                <div class="input-group">
                                <span class="form-control form-control-sm" style="font-size: .875rem; max-width: fit-content;">From</span>
                                    <input class="form-control form-control-sm"  name="FromDate" id="FromDate" placeholder="From Date" type="date" onchange="clearInput('FromDate');$('#ErrDateRange').html('');" autocomplete="off">
                                   <div class="input-group-prepend">
                                    <span class="form-control form-control-sm" style="font-size: .875rem; max-width: fit-content;">To</span>
                                    </div>
                                    <input class="form-control form-control-sm" type="date" id="ToDate" name="ToDate" onchange="clearInput('ToDate');$('#ErrDateRange').html('');" autocomplete="off"></input> 
                                </div>
                                 <span id="ErrDateRange" style="color: red;" class="error_msg"></span>
                            </div>
                         </div> -->
                         <div class="col-12"> 
                            <table id="listTable" class="table" style="width:100%; display: none;">
                                <thead>
                                    <tr>
                                        <th style="width:150px">Date</th>
                                        <th>Student Name</th>
                                        <th style="width:80px">Status</th>
                                        <th style="width:100px" class="nosort"></th>
                                    </tr>
                                </thead>
                                <tbody id="tbl_content">
                                    <tr>
                                        <td colspan='7'>
                                            <?php echo loadingText("Loading attendances");?>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                         </div>
                        </form> 
                        <div class="col-12 mb-3" style="text-align: right;">
                             <button type="button" class="btn-save" onclick="Get()">Get</button>&nbsp;
                        </div>
                    </div>
                </div>                                                                      
                
        </div>
    </div>
</div>
</div>



 <script>
 
 function formReset() {
 listAcademicYears("frm_create","AcademicYearID","0"); 
 listStudentNames("frm_create","DivisionID","0");
 
 $('#AcademicYearID').val("0"); 
 $('#DepartmentID').val("0"); 
 $('#DivisionID').val("0"); 
 $('#SemesterID').val("0");
 $('#CourseNameID').val("0"); 
 $('#StudentNameID').val("0"); 
 $('#FromDate').val(""); 
 $('#ToDate').val(""); 
 
  $('#ErrAcademicYearID').html("");
  $('#ErrDepartmentID').html("");
  $('#ErrDivisionID').html("");
  $('#ErrSemesterID').html("");
  $('#ErrCourseNameID').html("");
  $('#ErrStudentNameID').html("");
  $('#ErrDateRange').html("");
  
  $("#AcademicYearID").removeClass("highlight_error"); 
  $("#DepartmentID").removeClass("highlight_error"); 
  $("#DivisionID").removeClass("highlight_error"); 
  $("#SemesterID").removeClass("highlight_error");
  $("#CourseNameID").removeClass("highlight_error"); 
  $("#StudentNameID").removeClass("highlight_error"); 
  $("#FromDate").removeClass("highlight_error"); 
  $("#ToDate").removeClass("highlight_error"); 
 }
 
 function Get(){
      var error = 0;
   if ($('#AcademicYearID').val()=="0"){
            $('#ErrAcademicYearID').html("Please select Academic Year");
         $("#AcademicYearID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#AcademicYearID").removeClass("highlight_error"); 
            $('#ErrAcademicYearID').html(""); 
    }
    if ($('#CourseTypeID').val()=="0"){
            $('#ErrCourseTypeID').html("Please select Course Type");
         $("#CourseTypeID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#CourseTypeID").removeClass("highlight_error"); 
            $('#ErrCourseTypeID').html(""); 
    }
     if ($('#SemesterID').val()=="0"){
            $('#ErrSemesterID').html("Please select Semester");
         $("#SemesterID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#SemesterID").removeClass("highlight_error"); 
            $('#ErrSemesterID').html(""); 
    }
    if ($('#DepartmentID').val()=="0"){
            $('#ErrDepartmentID').html("Please select Department");
         $("#DepartmentID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#DepartmentID").removeClass("highlight_error"); 
            $('#ErrDepartmentID').html(""); 
    }
    if ($('#CourseNameID').val()=="0"){
            $('#ErrCourseNameID').html("Please select Course Name");
         $("#CourseNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#CourseNameID").removeClass("highlight_error"); 
            $('#ErrCourseNameID').html(""); 
    }
    if ($('#DivisionID').val()=="0"){
            $('#ErrDivisionID').html("Please select Division");
         $("#DivisionID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#DivisionID").removeClass("highlight_error"); 
            $('#ErrDivisionID').html(""); 
    }
    if ($('#StudentNameID').val()=="0"){
            $('#ErrStudentNameID').html("Please select Student Name");
         $("#StudentNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#StudentNameID").removeClass("highlight_error"); 
            $('#ErrStudentNameID').html(""); 
    }
     if ($('#FromDate').val()=="") {
            $('#ErrDateRange').html("Please select From Date");
           $("#FromDate").addClass("highlight_error");
           error++;
    }  else {
           if ($('#ToDate').val()==""){
            $('#ErrDateRange').html("Please select To Date");
            $("#ToDate").addClass("highlight_error");
            error++;
    }  else {
           $("#ToDate").removeClass("highlight_error");
            $('#ErrDateRange').html("");  
    } 
    }
    if(error==0) {
       $('#listTable').show();
    } else {
        
     } 
 }
 
 function list() {
      $('#Success').modal("hide");
    $.post(URL+ "webservice.php?action=l&method=ampl","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.Date + '</td>' 
                            + '<td>' + data.StudentName + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '<td style="text-align:right">' 
                                + '<span onclick="openPage("apgl")"><i class="fi fi-rs-pencil"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="viewform(\''+data.ID+'\')" class="viewLink"  title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'ampl\',\''+data.Attendance+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}

setTimeout("list()",2000);

function listAcademicYears(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=lac&method=maayl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Academic Year</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.AcademicYear+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listCourseTypes(selectboxID,selected) {
        $('#DepartmentID').html("<option value='0'>Select Department</option>");
        $('#CourseNameID').html("<option value='0'> Select Course Name</option>");
        $('#SemesterID').html("<option value='0'> Select Semester</option>");
        $('#DivisionID').html("<option value='0'> Select Division</option>");  
    $.post(URL+ "webservice.php?action=cotba&method=org&AcademicYearID="+$('#AcademicYearID').val(),"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Course Type</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.CourseType+'</option>';
            });   
            $('#'+selectboxID).html(html);
            
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));                  
        }
    })
}

function listDepartments(formID,selectboxID,selected) {
    var param = $('#'+formID).serialize(); 
        $('#CourseNameID').html("<option value='0'> Select Course Name</option>");
        $('#SemesterID').html("<option value='0'> Select Semester</option>");
        $('#DivisionID').html("<option value='0'> Select Division</option>");   
    $.post(URL+ "webservice.php?action=depbct&method=org&AcademicYearID="+$('#AcademicYearID').val()+"&CourseTypeID="+$('#CourseTypeID').val(),param,function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            if (obj.data.length>0) {
            var html = "<option value='0'>Select Department</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+ data.ID +'" '+((data.ID==selected) ? ' selected="selected" ' : '')+' ">'+data.Department+'</option>';
            });
            $('#'+selectboxID).html(html);
            }
        } else {
             var html = "<option value='0'>Select Department Name</option>";
             $('#'+selectboxID).html(html);
           // $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}


function listCourseNames(){ 
        $('#SemesterID').html("<option value='0'> Select Semester</option>");
        $('#DivisionID').html("<option value='0'> Select Division</option>");
     $.post(URL+ "webservice.php?action=gcnfmadid&method=org&DepartmentID="+$('#DepartmentID').val()+'&AcademicYearID='+$('#AcademicYearID').val(),"",function(data){
       var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Course Name</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'">'+data.CourseName+'</option>';
            });   
                $('#CourseNameID').html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })  
}

function listSemesters(){ 
$('#DivisionID').html("<option value='0'> Select Division</option>"); 
     $.post(URL+ 'webservice.php?action=semlbc&method=org&CourseNameID='+$('#CourseNameID').val()+'&DepartmentID='+$('#DepartmentID').val()+'&AcademicYearID='+$('#AcademicYearID').val(),"",function(data){
       var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Semester</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'">'+data.Semester+'</option>';
            });   
                $('#SemesterID').html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })  
}

 

function listDivisions(formID,selectboxID,selected) {
      var param = $('#'+formID).serialize();    
    $.post(URL+ 'webservice.php?action=divlbc&method=org&CourseNameID='+$('#CourseNameID').val()+'&DepartmentID='+$('#DepartmentID').val()+'&AcademicYearID='+$('#AcademicYearID').val()+'&SemesterID='+$('#SemesterID').val(),"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            if (obj.data.length>0) {
            var html = "<option value='0'>Select Division</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+ data.DivisionID +'" '+((data.DivisionID==selected) ? ' selected="selected" ' : '')+' ">'+data.Division+'</option>';
            });
            $('#DivisionID').html(html);
            }
        } else {
             var html = "<option value='0'>Select Semester</option>";
             $('#'+selectboxID).html(html);
           // $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listStudentNames(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=l&method=mac","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Student</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.StudentName+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
} 

 formReset();                                             
</script>

     