<div class="user-dashboard">
    <div class="container">
        <div class="row">
            <div class="col-6"> 
                <h3>App User</h3>
            </div>
            <div class="col-6" style="text-align: right;"> 
                <button class="btn-save" onclick="addform()">New</button>
                <button class="btn-save" onclick="list()">Refresh</button>
            </div>
            <div class="col-xl-12 col-lg-12">
                <table id="listTable" class="table" style="width:100%">
                    <thead>
                        <tr>
                            <th>App User Name</th>
                            <th>Login Name</th>
                            <th>Password</th>
                            <th>User Access</th>
                            <th style="width:80px">Status</th>
                            <th style="width:100px" class="nosort"></th>
                        </tr>
                    </thead>                                     
                    <tbody id="tbl_content">
                        <tr>
                            <td colspan='4'>
                                <?php echo loadingText("Loading App Users");?>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="confirmationtoadd" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
            <div class="row" style="width:100%">
               <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">New App User</h5>
                </div>
                <div class="col-sm-4" style="text-align:right;padding-right:0px">
                        <a href="<?php echo help_url;?>Gender" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                    </div>
            </div>
            </div>
            <div class="modal-body">
             <form id="frm_create" name="frm_create" method="post" enctype="multipart/form-data" autocomplete="off">
                <div class="row">
                     <span id="ErrCommon"></span>
                    <div class="col-12">
                        <label class="form-label">App User Name</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="AppUserName" id="AppUserName" placeholder="App User Name" onkeypress="clearInput('AppUserName')">
                        <span id="ErrAppUserName" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Login Name</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="LoginName" id="LoginName" placeholder="Login Name" onkeypress="clearInput('AppUserName')">
                        <span id="ErrLoginName" class="error_msg" style="color: red;"></span>
                    </div> 
                    <div class="col-12">
                        <label class="form-label">Password</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="password" name="Password" id="Password" placeholder="Password" onkeypress="clearInput('Password')">
                        <span id="ErrPassword" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">User Access</label><span style='color:red'>*</span>
                        <select class="form-select form-select-sm" name="UserAccess" id="UserAccess" onchange="clearInput('UserAccess')">
                            <option value="0">Select User Access</option>
                            <option value="SuperAdmins">Super Admins</option>
                            <option value="Admins">Admins</option>
                            <option value="Executives">Executives</option>
                         </select>
                        <span id="ErrUserAccess" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                        <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
             </form>
            </div>
            <div class="modal-footer">
                 <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="add()" class="btn-save">Save</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>
                                                                                                            
<div class="modal fade" id="confirmationtoedit" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
            <div class="row" style="width:100%">
               <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">Edit App User</h5>
                </div>
               <div class="col-sm-4" style="text-align:right;padding-right:0px">
                        <a href="<?php echo help_url;?>AppUserName" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                    </div>
            </div>
            </div>
            <div class="modal-body">
             <form id="frm_edit" name="frm_edit" method="post" enctype="multipart/form-data" autocomplete="off">
             <input type="hidden" name="ID" id="editID">
                <div class="row">
                     <span id="ErreditCommon"></span>
                     <div class="col-12">
                        <label class="form-label">App User Name</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="AppUserName" id="editAppUserName" placeholder="App User Name" value="" onkeypress="clearInput('editAppUserName')">
                        <span id="ErreditAppUserName" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Login Name</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="text" name="LoginName" id="editLoginName" placeholder="Login Name" onkeypress="clearInput('editLoginName')">
                        <span id="ErreditLoginName" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Password</label><span style='color:red'>*</span>
                         <input class="form-control form-control-sm" type="password" name="Password" id="editPassword" placeholder="Password" onkeypress="clearInput('editPassword')">
                        <span id="ErreditPassword" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">User Access</label><span style='color:red'>*</span>
                        <select class="form-select form-select-sm" name="UserAccess" id="editUserAccess" onchange="clearInput('editUserAccess')">
                            <option value="0">Select UserAccess</option>
                            <option value="editSuperAdmins">Super Admins</option>
                            <option value="editAdmins">Admins</option>
                            <option value="editExecutives">Executives</option>
                         </select>
                        <span id="ErreditUserAccess" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-sm-6">
                        <label class="form-label">Status</label><span style='color:red'>*</span>
                        <select name="Status" id="editStatus" class="form-select form-select-sm">
                            <option value="1">Active</option>
                            <option value="0">Deactive</option>
                        </select>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="editRemarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('editRemarks')">
                        <span id="ErreditRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
            </form>
            </div>
            <div class="modal-footer">
                <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="edit()" class="btn-save">Update</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>

<div class="modal fade" id="confirmationtoview" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
            <div class="row" style="width:100%">
               <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">View App User</h5>
                </div>
                <div class="col-sm-4" style="text-align:right;padding-right:0px">
                        <a href="<?php echo help_url;?>AppUserName" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                    </div>
            </div>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">App User Name</div>
                        <div id="viewAppUserName"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Login Name</div>
                        <div id="viewLoginName"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Password</div>
                        <div id="viewPassword"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">User Access</div>
                        <div id="viewUserAccess"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Remarks</div>
                        <div id="viewRemarks"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Status</div>
                        <div id="viewStatus"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Created On</div>
                        <div id="viewCreatedOn"></div>
                    </div>
                </div>
            </div>
            <div class="modal-footer"> 
                 <button type="button" data-dismiss="modal" class="btn-cancel">Close</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>
<div class="modal fade" id="Success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body" style="text-align: center;">
                <div id="sucess">
                    <img id="Sucess" style="width: 150px;" src="assets/sucess.gif" alt=""/>
                </div>
                <h3 class="title">Success.</h3>  
                 <button type="button" href="javascript:void(0)" onclick="list()" class="btn-save">Continue</button>         
            </div>
        </div>
    </div>
</div>
     
<script>
function list() {
      $('#Success').modal("hide");
       var html = '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">Loading App Users</td>'
                + '</tr>'
      $('#tbl_content').html(html); 
    $.post(URL+ "webservice.php?action=l&method=mcgndrl","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.AppUserName + '</td>' 
                            + '<td>' + data.LoginName + '</td>' 
                            + '<td>' + data.Password + '</td>' 
                            + '<td>' + data.UserAccess + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '<td style="text-align:right">' 
                                + '<span onclick="editform(\''+data.ID+'\')" class="editLink"  title="Edit Record"><i class="fi fi-rs-pencil"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="viewform(\''+data.ID+'\')" class="viewLink"  title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'mcgndrl\',\''+data.AppUserName+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="4" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
              $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}

setTimeout("list()",2000);

function addform(){
    $('#confirmationtoadd').modal("show"); 
    $('#AppUserName').val(""); 
    $('#LoginName').val(""); 
    $('#UserAccess').val("0"); 
    $('#Password').val(""); 
    $('#Remarks').val("");
    $('#ErrAppUserName').html(""); 
    $('#ErrLoginName').html(""); 
    $('#ErrPassword').html(""); 
    $('#ErrUserAccess').html(""); 
    $('#ErrRemarks').html("");  
    $('#ErrCommon').html(""); 
    $("#AppUserName").removeClass("highlight_error"); 
    $("#LoginName").removeClass("highlight_error"); 
    $("#Password").removeClass("highlight_error"); 
    $("#UserAccess").removeClass("highlight_error"); 
    $("#Remarks").removeClass("highlight_error"); 
}

function add(){
    var error = 0;
    if ($('#AppUserName').val()==""){
            $('#ErrAppUserName').html("Please enter App User Name");
            $("#AppUserName").addClass("highlight_error"); 
            error++;
    }  else {
            $("#AppUserName").removeClass("highlight_error"); 
            $('#ErrAppUserName').html(""); 
    } 
    if ($('#LoginName').val()==""){
            $('#ErrLoginName').html("Please enter Login Name");
            $("#LoginName").addClass("highlight_error"); 
            error++;
    }  else {
            $("#LoginName").removeClass("highlight_error"); 
            $('#ErrLoginName').html(""); 
    }
    if ($('#Password').val()==""){
            $('#ErrPassword').html("Please enter Password");
            $("#Password").addClass("highlight_error"); 
            error++;
    }  else {
            $("#Password").removeClass("highlight_error"); 
            $('#ErrPassword').html(""); 
    }
    if ($('#UserAccess').val()=="0"){
            $('#ErrUserAccess').html("Please select User Access");
            $("#UserAccess").addClass("highlight_error"); 
            error++;
    }  else {
            $("#UserAccess").removeClass("highlight_error"); 
            $('#ErrUserAccess').html(""); 
    } 
    if(error==0){
        var param = $('#frm_create').serialize();
        $.post(URL+"webservice.php?action=a&method=mcgndrl",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmationtoadd').modal("hide"); 
             $('#Success').modal("show");    
        }   else {
           if (obj.div=="") {
                $('#ErrCommon').html(print_inlineError(obj.message));
            } else {
                $('#Err'+obj.div).html(obj.message);   
            }
        }
    });
   } 
   
}

function editform(ID){
     $('#confirmationtoedit').modal("show");
     $('#ErreditPassword').html(""); 
     $('#ErreditAppUserName').html(""); 
     $('#ErreditLoginName').html(""); 
     $('#ErreditRemarks').html("");  
     $('#ErreditPassword').html(""); 
     $('#ErreditAppUserName').html(""); 
     $('#ErreditRemarks').html(""); 
     $('#ErreditCommon').html(""); 
     $("#editPassword").removeClass("highlight_error"); 
     $("#editLoginName").removeClass("highlight_error"); 
     $("#editAppUserName").removeClass("highlight_error"); 
     $("#editRemarks").removeClass("highlight_error");
      $.post(URL+ "webservice.php?action=g&method=mcgndrl&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            $.each(obj.data, function (index, data) {
                $('#editPassword').val(data.Password);
                $('#editID').val(data.ID);
                $('#editLoginName').val(data.LoginName);
                $('#editAppUserName').val(data.AppUserName);
                $('#editStatus').val(data.Status);
                $('#editRemarks').val(data.Remarks);
            });   
}  
        else {
           if (obj.div=="") {
                $('#ErreditCommon').html(print_inlineError(obj.message));
            } else {
               
            }
        }
  });
}

function edit(ID){
    var error = 0;
     if ($('#editAppUserName').val()==""){
            $('#ErreditAppUserName').html("Please enter App User Name");
            $("#editAppUserName").addClass("highlight_error"); 
           error++;
    }  else {
            $("#editAppUserName").removeClass("highlight_error"); 
            $('#ErreditAppUserName').html(""); 
    } 
    if ($('#editLoginName').val()==""){
            $('#ErreditLoginName').html("Please enter Login Name");
            $("#editLoginName").addClass("highlight_error"); 
            error++;
    }  else {
            $("#editLoginName").removeClass("highlight_error"); 
            $('#ErreditLoginName').html(""); 
    }
    if ($('#editPassword').val()==""){
            $('#ErreditPassword').html("Please enter Password");
            $("#editPassword").addClass("highlight_error"); 
            error++;
    }  else {
            $("#editPassword").removeClass("highlight_error"); 
            $('#ErreditPassword').html(""); 
    }
     if ($('#editUserAccess').val()=="0"){
            $('#ErreditUserAccess').html("Please select User Access");
            $("#editUserAccess").addClass("highlight_error"); 
            error++;
    }  else {
            $("#editUserAccess").removeClass("highlight_error"); 
            $('#ErreditUserAccess').html(""); 
    } 
        if(error==0){
            var param = $('#frm_edit').serialize();
            $.post(URL+"webservice.php?action=u&method=mcgndrl",param,function(data){
            var obj = JSON.parse(data); 
            if (obj.status=="success") {
                 $('#confirmationtoedit').modal("hide");
                 $('#Success').modal("show");  
            }   else {
               if (obj.div=="") {
                $('#ErreditCommon').html(print_inlineError(obj.message));
            } else {
               $("#Erredit"+obj.div).html(obj.message);  
            }
            }
        });
       }
}

function viewform(ID){
     $('#confirmationtoview').modal("show");
       $.post(URL+ "webservice.php?action=g&method=mcgndrl&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            $.each(obj.data, function (index, data) {
                $('#viewAppUserName').html(data.AppUserName=="" ? "&nbsp;" : data.AppUserName);
                $('#viewPassword').html(data.Password=="" ? "&nbsp;" : data.Password);
                $('#viewLoginName').html(data.LoginName=="" ? "&nbsp;" : data.LoginName);
                $('#viewRemarks').html(data.Remarks=="" ? "&nbsp;" : data.Remarks);
                $('#viewCreatedOn').html(data.CreatedOn=="" ? "&nbsp;" : data.CreatedOn);
               if(data.Status=="1"){
                $('#viewStatus').html("Active");    
               }
               if(data.Status=="0"){
                $('#viewStatus').html("Deactive");    
               }
            });   
}  
  })  
}

 //Character Limitations


/* Alphabets Space Dot only correct */ 
var arr = ["AppUserName","editAppUserName","LoginName","editLoginName"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
                var notallowkeys = [48,49,50,51,52,53,54,55,56,57,186,187,189,173,188,190,191,59,220,221,222,219,173,61,192,111,106,109,107,46,103,104,105,100,101,102,97,98,99,96,110,190]
                var allowedkeys  = [9,8,32,46,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,110]
                if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}



/* Alphnumeric and special characters, not allow !\$"'~  */
var arr = ["Remarks","editRemarks"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
               var notallowkeys = [220,222,49,52,192]
               var allowedkeys  = [9,8,46,32,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,103,104,105,100,101,102,97,98,99,96,48,49,50,51,52,53,54,55,56,57,173,61,110,190,191,221,219,111,106,109,107,59,188]
               if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}      
</script>
    