<?php include_once("sidemenu.php");?>
<div class="user-dashboard">
    <div class="container">
       <div class="row"> 
            <div class="col-6"> 
                <h3>Designations</h3>
            </div>
            <div class="col-6" style="text-align: right;"> 
                <button class="btn-save" onclick="addform()">New</button>&nbsp;
                <button class="btn-save" onclick="list()">Refresh</button>&nbsp;
            </div>
            <div class="col-xl-12 col-lg-12">
                <table id="listTable" class="table" style="width:100%">
                    <thead>
                        <tr>
                            <th>Designation Group</th>
                            <th>Designation</th>
                            <th>Start Date</th>
                            <th>End Date</th>
                            <th style="width:100px" class="nosort"></th>
                        </tr>
                    </thead>
                    <tbody id="tbl_content">
                        <tr>
                            <td colspan='8'>
                                <?php echo loadingText("Loading Designations");?>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="confirmationtoadd" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered"  style="max-width: 800px !important;">
        <div class="modal-content">
            <div class="modal-header">
                <div class="row" style="width:100%">
               <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">New Designation</h5>
               </div>
                <div class="col-sm-4" style="text-align:right;padding-right:0px">
                        <a href="<?php echo help_url;?>Employees/Designations" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                    </div>
            </div>
            </div>
            <div class="modal-body">
                 <form id="frm_create" name="frm_create" method="post" enctype="multipart/form-data" autocomplete="off">
                 <input type="hidden" value="<?php echo $_GET['ID'];?>" name="EmployeeID" id="EmployeeID">
                <div class="row">
                    <span id="ErrCommon"></span>
                     <div class="col-sm-6">
                        <label class="form-label">Designation Group</label><span style='color:red'>*</span>
                          <select class="form-select form-select-sm" name="DesignationGroupID" id="DesignationGroupID" onchange="clearInput('DesignationGroupID');listDesignations('frm_create','DesignationID','0')">
                            <option value="0">Select Designation Group</option>
                        </select>  
                          <span id="ErrDesignationGroupID" style="color: red;" class="error_msg"></span>
                        </div>
                     <div class="col-sm-6">
                        <label class="form-label">Designation</label><span style='color:red'>*</span>
                         <select class="form-select form-select-sm" name="DesignationID" id="DesignationID" onchange="clearInput('DesignationID')">
                            <option value="0">Select Designation</option>
                        </select> 
                          <span id="ErrDesignationID" style="color: red;" class="error_msg"></span>
                    </div>
                     <div class="col-md-6">
                        <label class="form-label">Start Date</label>
                            <input class="form-control form-control-sm"  name="StartDate" id="StartDate" placeholder="Start Date" type="date" style="background:#fff" autocomplete="off" onchange="clearInput('StartDate')">
                             <span id="ErrStartDate" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                        <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
                </form>
            </div>
            <div class="modal-footer mb-3">
                 <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="add()" class="btn-save">Add</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>

<div class="modal fade" id="confirmationtoedit" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered"  style="max-width: 800px !important;">
        <div class="modal-content">
            <div class="modal-header">
                <div class="row" style="width:100%">
               <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">Edit Designation</h5>
               </div>
                <div class="col-sm-4" style="text-align:right;padding-right:0px">
                        <a href="<?php echo help_url;?>Employees/Designations" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                    </div>
            </div>
            </div>
            <div class="modal-body">
                 <form id="frm_edit" name="frm_edit" method="post" enctype="multipart/form-data" autocomplete="off">
                  <input type="hidden" value="" name="ID" id="editID">
                  <input type="hidden" value="<?php echo $_GET['ID'];?>" name="EmployeeID" id="editEmployeeID">
                <div class="row">                                   
                    <span id="ErreditCommon"></span>
                     <div class="col-sm-6">
                        <label class="form-label">Designation Group</label><span style='color:red'>*</span>
                          <select class="form-select form-select-sm" name="DesignationGroupID" id="editDesignationGroupID" onchange="clearInput('editDesignationGroupID');listDesignations('frm_edit','editDesignationID','0')">
                            <option value="0">Select Designation Group</option>
                        </select>  
                          <span id="ErreditDesignationGroupID" style="color: red;" class="error_msg"></span>
                        </div>
                     <div class="col-sm-6">
                        <label class="form-label">Designation</label><span style='color:red'>*</span>
                         <select class="form-select form-select-sm" name="DesignationID" id="editDesignationID" onchange="clearInput('editDesignationID')">
                            <option value="0">Select Designation</option>
                        </select> 
                          <span id="ErreditDesignationID" style="color: red;" class="error_msg"></span>
                    </div>
                     <div class="col-md-6">
                        <label class="form-label">Start Date</label>
                            <input class="form-control form-control-sm"  name="StartDate" id="editStartDate" placeholder="Start Date" type="date" style="background:#fff" autocomplete="off" onchange="clearInput('editStartDate')">
                            <div id="ErreditStartDate" class="error_msg" style="color:red"></div>
                    </div>
                    <div class="col-md-6">
                        <label class="form-label">End Date<span style='color:red'>*</span></label>
                            <input class="form-control form-control-sm"  name="EndDate" id="editEndDate" placeholder="End Date" type="date" style="background:#fff" autocomplete="off" onchange="clearInput('editEndDate')">
                            <div id="ErreditEndDate" class="error_msg" style="color:red"></div>
                    </div>
                    <div class="col-sm-6">
                        <label class="form-label">Status</label>
                            <select name="Status" id="editStatus" class="form-select form-select-sm">
                                <option value="1">Active</option>
                                <option value="0">Deactive</option>
                            </select>
                        </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="editRemarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('editRemarks')">
                        <span id="ErreditRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
                </form>
            </div>
            <div class="modal-footer mb-3">
                 <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="edit()" class="btn-save">Update</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>

<div class="modal fade" id="confirmationtoview" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <div class="row" style="width:100%">
               <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">View Designation</h5>
               </div>
                <div class="col-sm-4" style="text-align:right;padding-right:0px">
                        <a href="<?php echo help_url;?>Employees/Designations" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                    </div>
            </div>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Designation Group</div>
                        <div id="viewDesignationGroupID"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Designation</div>
                        <div id="viewDesignationID"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Start Date</div>
                        <div id="viewStartDate"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">End Date</div>
                        <div id="viewEndDate"></div>
                    </div>
                    <div class="col-sm-12">
                        <div style="font-weight: bold;">Remarks</div>
                        <div id="viewRemarks"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Ststus</div>
                        <div id="viewCreatedOn"></div>
                    </div>
                    <div class="col-sm-6">
                        <div style="font-weight: bold;">Created On</div>
                        <div id="viewCreatedOn"></div>
                    </div>
                </div>
            </div>
            <div class="modal-footer"> 
                 <button type="button" data-dismiss="modal" class="btn-cancel">Close</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>

<div class="modal fade" id="Success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body" style="text-align: center;">
                <div id="sucess">
                    <img id="Sucess" style="width: 150px;" src="assets/sucess.gif" alt=""/>
                </div>
                <h3 class="title">Success.</h3>  
                 <button type="button" onclick="list()" class="btn-save">Continue</button>         
            </div>
        </div>
    </div>
</div>

<script>
function list() {
      $('#Success').modal("hide");
         var html = '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">Loading Designations</td>'
                + '</tr>'
      $('#tbl_content').html(html); 
   $.post(URL+ "webservice.php?action=l&method=etfmdn&empID=<?php echo $_GET['ID'];?>","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.DesignationGroup + '</td>'
                            + '<td>' + data.Designation + '</td>'
                            + '<td>' + data.StartDate + '</td>' 
                            + '<td>' + data.EndDate + '</td>' 
                             + '<td style="text-align:right">' 
                               + '<span onclick="editform(\''+data.ID+'\')" class="editLink"  title="Edit Record"><i class="fi fi-rs-pencil"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="viewform(\''+data.ID+'\')" class="viewLink"  title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'etfmdn\',\''+data.Designation+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
           //  $('table#listTable').tableSortable();
          //  $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}    

setTimeout("list()",2000); 

   
 function addform(){
  $('#confirmationtoadd').modal("show"); 
  listDesignationGroups("frm_create","DesignationGroupID","0"); 
  $('#DesignationID').val("0"); 
  $('#DesignationGroupID').val("0"); 
  $('#StartDate').val(""); 
  
   $('#ErrDesignationID').html(""); 
   $('#ErrDesignationGroupID').html(""); 
   $('#ErrStartDate').html(""); 
   $('#ErrCommon').html(""); 
   
   $("#StartDate").removeClass("highlight_error");  
   $("#DesignationID").removeClass("highlight_error");  
   $("#DesignationGroupID").removeClass("highlight_error");  
    
}

function add(){
     var error = 0;
    if ($('#DesignationGroupID').val()=="0"){
            $('#ErrDesignationGroupID').html("Please select Designation Group");
          $("#DesignationGroupID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#DesignationGroupID").removeClass("highlight_error"); 
            $('#ErrDesignationGroupID').html(""); 
    }
    if ($('#DesignationID').val()=="0"){
            $('#ErrDesignationID').html("Please select Designation");
          $("#DesignationID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#DesignationID").removeClass("highlight_error"); 
            $('#ErrDesignationID').html(""); 
    }
 
     if(error==0){
        var param = $('#frm_create').serialize();
        $.post(URL+"webservice.php?action=a&method=etfmdn",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmationtoadd').modal("hide"); 
             $('#Success').modal("show");    
        }   else {
            if (obj.div=="") {
                $('#ErrCommon').html(print_inlineError(obj.message));
            } else {
                $('#Err'+obj.div).html(obj.message);   
            }
        }
    });
   }
} 

function editform(ID){
     $('#confirmationtoedit').modal("show");
     $('#ErreditCommon').html("");
     $('#ErreditDesignationGroupID').html("");
     $('#ErreditDesignationID').html(""); 
     $('#ErreditRemarks').html("");
     $('#ErreditStartDate').html("");
     $('#ErreditEndDate').html("");
     $("#editDesignationGroupID").removeClass("highlight_error"); 
     $("#editDesignationID").removeClass("highlight_error"); 
     $("#editStartDate").removeClass("highlight_error"); 
     $("#editEndDate").removeClass("highlight_error"); 
     $("#editRemarks").removeClass("highlight_error");
      $.post(URL+ "webservice.php?action=g&method=etfmdn&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            _DesignationGroupID= "";
            _DesignationID= "";
            $.each(obj.data, function (index, data) {
                $('#editID').val(data.ID);
                $('#editStartDate').val(data.StartDate);
                $('#editEndDate').val(data.EndDate);
                $('#editRemarks').val(data.Remarks);
                 _DesignationGroupID=data.DesignationGroupID;
                 _DesignationID=data.DesignationID;
            });
             if (obj.data.length>0)    {
                 listDesignationGroups("frm_edit","editDesignationGroupID",_DesignationGroupID);
                 setTimeout(function(){
                 listDesignations("frm_edit","editDesignationID",_DesignationID);    
                 },2000);
                 
            }    
}  
        else {
            if (obj.div=="") {
                $('#ErreditCommon').html(print_inlineError(obj.message));
            } else {
                 
            }
        }
  });
}

function edit(ID){
     var error = 0;
    if ($('#editDesignationGroupID').val()=="0"){
            $('#ErreditDesignationGroupID').html("Please select Designation Group");
           $("#editDesignationGroupID").addClass("highlight_error"); 
           error++;
    }  else {
         $("#editDesignationGroupID").removeClass("highlight_error"); 
            $('#ErreditDesignationGroupID').html(""); 
    }
     if ($('#editDesignationID').val()=="0"){
            $('#ErreditDesignationID').html("Please select Designation");
            $("#editDesignationID").addClass("highlight_error"); 
          error++;
    }  else {
            $("#editDesignationID").removeClass("highlight_error"); 
            $('#ErreditDesignationID').html(""); 
    } 
  
     if(error==0){
        var param = $('#frm_edit').serialize();
        $.post(URL+"webservice.php?action=u&method=etfmdn",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmationtoedit').modal("hide");
             $('#Success').modal("show");  
        }   else {
            if (obj.div=="") {
                $('#ErreditCommon').html(print_inlineError(obj.message));
            } else {
                 $("#Erredit"+obj.div).html(obj.message);    
            }
        }
    });
   }
}

function viewform(ID){
     $('#confirmationtoview').modal("show");
       $.post(URL+ "webservice.php?action=g&method=etfmdn&ID="+ID,"",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            $.each(obj.data, function (index, data) {
                $('#viewDesignationGroupID').html(data.DesignationGroup=="" ? "&nbsp;" : data.DesignationGroup);
                $('#viewDesignationID').html(data.Designation=="" ? "&nbsp;" : data.Designation);
                $('#viewStartDate').html(data.StartDate=="" ? "&nbsp;" : data.StartDate);
                $('#viewEndDate').html(data.EndDate=="" ? "&nbsp;" : data.EndDate);
                $('#viewRemarks').html(data.Remarks=="" ? "&nbsp;" : data.Remarks);
                $('#viewCreatedOn').html(data.CreatedOn=="" ? "&nbsp" : data.CreatedOn);
               if(data.Status=="1"){
                $('#viewStatus').html("Active");    
               }
               if(data.Status=="0"){
                $('#viewStatus').html("Deactive");    
               }
            });   
}  
  }) 
}        

function listDesignationGroups(formID,selectboxID,selected) {
    $.post(URL+ "webservice.php?action=l&method=macdgl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Designation Group</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.DesignationGroup+'</option>';
            });   
                $('#'+selectboxID).html(html); 
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listDesignations(formID,selectboxID,selected) {
    
    var html = "<option value='0'>Select Designation</option>";
             $('#'+selectboxID).html(html);
    if (formID=="frm_create") {
          if ($('#DesignationGroupID').val()=="0") {
              var html = "<option value='0'>Select Designation Group</option>";
             $('#'+selectboxID).html(html);
          }
          var designationGroupID=$('#DesignationGroupID').val()
    } 
    if (formID=="frm_edit") {
          var designationGroupID=$('#editDesignationGroupID').val()
    }
    /*if (formID=="frm_edit") {
         if ($('#editCountryNameID').val()=="0") {
              var html = "<option value='0'>Select State Name</option>";
             $('#'+selectboxID).html(html);
          }
        
    } */
      var param = $('#'+formID).serialize();
    $.post(URL+ "webservice.php?action=labdg&method=macdel&DesignationGroupID="+designationGroupID,param,function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            if (obj.data.length>0) {
            var html = "<option value='0'>Select Designation</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+ data.ID +'" '+((data.ID==selected) ? ' selected="selected" ' : '')+' ">'+data.Designation+'</option>';
            });
            $('#'+selectboxID).html(html);
            }
        } else {
             var html = "<option value='0'>Select Designation</option>";
             $('#'+selectboxID).html(html);
           // $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}
    
/* Alphnumeric and special characters, not allow !\$"'~  */
var arr = ["Remarks","editRemarks"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
               var notallowkeys = [220,222,49,52,192]
               var allowedkeys  = [9,8,46,32,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,103,104,105,100,101,102,97,98,99,96,48,49,50,51,52,53,54,55,56,57,173,61,110,190,191,221,219,111,106,109,107,59,188]
               if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}    
</script>
     