<?php include_once("sidemenu.php");?>
<div class="user-dashboard">
    <div class="container">
      <h3 class="title">Education Information</h3>
       <div class="row">
        <div class="col-12 col-xl-12">                                          
            <div class="card mb-2" style="border: none;">
                <div class="card-body">   
                    <form id="frm_create" name="frm_create" autocomplete="off" method="post">
                        <div class="row">
                             <p style="margin-bottom: 2px; font-weight: bold;">Secondary Education</p>
                             <div class="col-3">
                                <label class="form-label">Board Of Education</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="SecBoardOfEducationID" id="SecBoardOfEducationID" onchange="clearInput('SecBoardOfEducationID')">
                                    <option value="0">Select Board Of Education</option>
                                </select> 
                                  <span id="ErrSecBoardOfEducationID" style="color: red;" class="error_msg"></span>
                            </div>
                              <div class="col-3">
                                <label class="form-label">Scored Marks</label><span style='color:red'>*</span>
                                <div class="input-group">
                                    <input type="text" class="form-control form-control-sm" maxlength="3" placeholder="Scored Marks" id="SecScoredMarks" name="SecScoredMarks" onkeypress="clearInput('SecScoredMarks')" onkeyup="getSecPercentage();">
                                     <div class="input-group-prepend">
                                    <span class="form-control form-control-sm" style="font-size: .875rem; max-width: fit-content;">Out Of</span>
                                    </div>
                                    <input type="text" class="form-control form-control-sm" maxlength="3" placeholder="Total Marks" id="SecTotalMarks" name="SecTotalMarks" onkeypress="clearInput('SecTotalMarks');$('#ErrSecScoredMarks').html('');">
                                </div>
                                <span id="ErrSecScoredMarks" style="color: red;" class="error_msg"></span>
                            </div> 
                             <div class="col-3">
                                 <label class="form-label">Percentage</label>
                                 <input class="form-control form-control-sm" readonly="readonly" type="text" id="SecPercentage" name="SecPercentage" placeholder="Percentage" value="" onkeypress="clearInput('SecPercentage')"></input> 
                                  <span id="ErrSecPercentage" style="color: red;" class="error_msg"></span>
                            </div>
                             <script>
                            function getSecPercentage(){
                               
                                 if ((($('#SecScoredMarks').val())) >= ($('#SecTotalMarks').val())) {
                                     $("#SecScoredMarks").addClass("highlight_error");  
                                    $('#ErrSecScoredMarks').html("Scored Marks must be less than Total Marks");   
                                    } else {
                                      $("#SecScoredMarks").removeClass("highlight_error");     
                                    }
                                  if ($('#SecScoredMarks').val()=="" || $('#SecTotalMarks').val()==""){
                                        $('#SecPercentage').val("");
                                        }  else {
                                      $('#SecPercentage').val( (parseInt($('#SecScoredMarks').val())/parseInt($('#SecTotalMarks').val()))*100)
                                  }
                                } 
                           function getHscPercentage() {
                                 if ((($('#HscScoredMarks').val())) >= ($('#HscTotalMarks').val())) {
                                     $("#HscScoredMarks").addClass("highlight_error");  
                                    $('#ErrHscScoredMarks').html("Scored Marks must be less than Total Marks");   
                                    } else {
                                      $("#HscScoredMarks").removeClass("highlight_error");     
                                    }
                                if ($('#HscScoredMarks').val()=="" || $('#HscTotalMarks').val()==""){
                                        $('#HscPercentage').val("");
                                }  else {
                                      $('#HscPercentage').val( (parseInt($('#HscScoredMarks').val())/parseInt($('#HscTotalMarks').val()))*100)
                                }
                            }
                            </script>
                             <div class="col-sm-3">
                                <label class="form-label">Year Of Passed Out</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="SecPassedOutYearID" id="SecPassedOutYearID" onchange="clearInput('SecPassedOutYearID')">
                                    <option value="0">Select Year</option>
                                </select> 
                                  <span id="ErrSecPassedOutYearID" style="color: red;" class="error_msg"></span>
                            </div>
                            
                             <p style="margin-bottom: 2px; font-weight: bold;">Higher Secondary Education</p>
                                 <div class="col-3">
                                    <label class="form-label">Board Of Education</label><span style='color:red'>*</span>
                                     <select class="form-select form-select-sm" name="HscBoardOfEducationID" id="HscBoardOfEducationID" onchange="clearInput('HscBoardOfEducationID')">
                                        <option value="0">Select Board Of Education</option>
                                    </select> 
                                    <span id="ErrHscBoardOfEducationID" style="color: red;" class="error_msg"></span>
                            </div> 
                            <div class="col-3">
                                    <label class="form-label">HSC Group Name</label><span style='color:red'>*</span>
                                     <select class="form-select form-select-sm" name="HscGroupNameID" id="HscGroupNameID" onchange="clearInput('HscGroupNameID')">
                                        <option value="0">Select Group Name</option>
                                    </select> 
                                    <span id="ErrHscGroupNameID" style="color: red;" class="error_msg"></span>
                            </div>
                             <div class="col-3">
                            <label class="form-label">Scored  Marks</label><span style='color:red'>*</span>
                            <div class="input-group">
                                <input type="text" class="form-control form-control-sm" maxlength="3" placeholder="Scored Marks" id="HscScoredMarks" name="HscScoredMarks" onkeypress="clearInput('HscScoredMarks')" onkeyup="getHscPercentage();">
                                <div class="input-group-prepend">
                                <span class="form-control form-control-sm" style="font-size: .875rem;max-width: fit-content;">Out Of</span>
                                </div>
                                <input type="text" class="form-control form-control-sm" maxlength="3" placeholder="Total Marks" id="HscTotalMarks" name="HscTotalMarks" onkeypress="clearInput('HscTotalMarks');$('#ErrHscScoredMarks').html('');">
                            </div>
                                 <span id="ErrHscScoredMarks" style="color: red;" class="error_msg"></span>
                            </div>
                             <div class="col-3">                                                                                                                                                                                                                              
                                 <label class="form-label">Percentage</label>
                                 <input class="form-control form-control-sm" readonly="readonly" type="text" id="HscPercentage" name="HscPercentage" placeholder="Percentage" value="" onkeypress="clearInput('HscPercentage')"></input> 
                                  <span id="ErrHscPercentage" style="color: red;" class="error_msg"></span>
                            </div>
                             <div class="col-sm-3">
                                <label class="form-label">Year Of Passed Out</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="HscPassedOutYearID" id="HscPassedOutYearID" onchange="clearInput('HscPassedOutYearID')">
                                    <option value="0">Select Year</option>
                                </select> 
                                  <span id="ErrHscPassedOutYearID" style="color: red;" class="error_msg"></span>
                            </div>
                             <p style="margin-bottom: 2px; font-weight: bold;">UG Course</p>
                              <div class="col-sm-3">
                                <label class="form-label">Course Name</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="UGCourseNameID" id="UGCourseNameID" onchange="clearInput('UGCourseNameID')">
                                    <option value="0">Select Course Name</option>
                                </select> 
                                  <span id="ErrUGCourseNameID" style="color: red;" class="error_msg"></span>
                            </div>
                             <div class="col-sm-3">
                                <label class="form-label">University Name</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="UGUniversityNameID" id="UGUniversityNameID" onchange="clearInput('UGUniversityNameID')">
                                    <option value="0">Select University Name</option>
                                </select> 
                                  <span id="ErrUGUniversityNameID" style="color: red;" class="error_msg"></span>
                            </div>
                            <div class="col-sm-3">
                                <label class="form-label">Grade</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="UGGradeID" id="UGGradeID" onchange="clearInput('UGGradeID')">
                                    <option value="0">Select Grade</option>
                                </select> 
                                  <span id="ErrUGGradeID" style="color: red;" class="error_msg"></span>
                            </div> 
                            <div class="col-sm-3">
                                <label class="form-label">Year Of Passed Out</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="UGPassedOutYearID" id="UGPassedOutYearID" onchange="clearInput('UGPassedOutYearID')">
                                    <option value="0">Select Year</option>
                                </select> 
                                  <span id="ErrUGPassedOutYearID" style="color: red;" class="error_msg"></span>
                            </div> 
                            <p style="margin-bottom: 2px; font-weight: bold;">PG Course</p>
                              <div class="col-sm-3">
                                <label class="form-label">Course Name</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="PGCourseNameID" id="PGCourseNameID" onchange="clearInput('PGCourseNameID')">
                                    <option value="0">Select Course Name</option>
                                </select> 
                                  <span id="ErrPGCourseNameID" style="color: red;" class="error_msg"></span>
                            </div>
                             <div class="col-sm-3">
                                <label class="form-label">University Name</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="PGUniversityNameID" id="PGUniversityNameID" onchange="clearInput('PGUniversityNameID')">
                                    <option value="0">Select University Name</option>
                                </select> 
                                  <span id="ErrPGUniversityNameID" style="color: red;" class="error_msg"></span>
                            </div>
                            <div class="col-sm-3">
                                <label class="form-label">Grade</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="PGGradeID" id="PGGradeID" onchange="clearInput('PGGradeID')">
                                    <option value="0">Select Grade</option>
                                </select> 
                                  <span id="ErrPGGradeID" style="color: red;" class="error_msg"></span>
                            </div> 
                            <div class="col-sm-3">
                                <label class="form-label">Year Of Passed Out</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="PGPassedOutYearID" id="PGPassedOutYearID" onchange="clearInput('PGPassedOutYearID')">
                                    <option value="0">Select Year</option>
                                </select> 
                                  <span id="ErrPGPassedOutYearID" style="color: red;" class="error_msg"></span>
                            </div> 
                            <p style="margin-bottom: 2px; font-weight: bold;">M.Phil Course</p>
                              <div class="col-sm-3">
                                <label class="form-label">Course Name</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="MCourseNameID" id="MCourseNameID" onchange="clearInput('MCourseNameID')">
                                    <option value="0">Select Course Name</option>
                                </select> 
                                  <span id="ErrMCourseNameID" style="color: red;" class="error_msg"></span>
                            </div>
                             <div class="col-sm-3">
                                <label class="form-label">University Name</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="MUniversityNameID" id="MUniversityNameID" onchange="clearInput('MUniversityNameID')">
                                    <option value="0">Select University Name</option>
                                </select> 
                                  <span id="ErrMUniversityNameID" style="color: red;" class="error_msg"></span>
                            </div>
                            <div class="col-sm-3">
                                <label class="form-label">Grade</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="MGradeID" id="MGradeID" onchange="clearInput('MGradeID')">
                                    <option value="0">Select Grade</option>
                                </select> 
                                  <span id="ErrMGradeID" style="color: red;" class="error_msg"></span>
                            </div> 
                            <div class="col-sm-3">
                                <label class="form-label">Year Of Passed Out</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="MPassedOutYearID" id="MPassedOutYearID" onchange="clearInput('MPassedOutYearID')">
                                    <option value="0">Select Year</option>
                                </select> 
                                  <span id="ErrMPassedOutYearID" style="color: red;" class="error_msg"></span>
                            </div> 
                            <p style="margin-bottom: 2px; font-weight: bold;">PhD Course</p>
                              <div class="col-sm-3">
                                <label class="form-label">Course Name</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="PCourseNameID" id="PCourseNameID" onchange="clearInput('PCourseNameID')">
                                    <option value="0">Select Course Name</option>
                                </select> 
                                  <span id="ErrPCourseNameID" style="color: red;" class="error_msg"></span>
                            </div>
                             <div class="col-sm-3">
                                <label class="form-label">University Name</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="PUniversityNameID" id="PUniversityNameID" onchange="clearInput('PUniversityNameID')">
                                    <option value="0">Select University Name</option>
                                </select> 
                                  <span id="ErrPUniversityNameID" style="color: red;" class="error_msg"></span>
                            </div>
                            <div class="col-sm-3">
                                <label class="form-label">Grade</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="PGradeID" id="PGradeID" onchange="clearInput('PGradeID')">
                                    <option value="0">Select Grade</option>
                                </select> 
                                  <span id="ErrPGradeID" style="color: red;" class="error_msg"></span>
                            </div> 
                            <div class="col-sm-3">
                                <label class="form-label">Year Of Passed Out</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="PPassedOutYearID" id="PPassedOutYearID" onchange="clearInput('PPassedOutYearID')">
                                    <option value="0">Select Year</option>
                                </select> 
                                  <span id="ErrPPassedOutYearID" style="color: red;" class="error_msg"></span>
                            </div>
                            <div class="col-12 mb-3">
                                <label class="form-label">Remarks</label>
                                    <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                                <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                            </div>
                        </div>
                    </form>
                    <div class="col-12 mb-3" style="text-align: right;">
                        <button type="button" onclick="confirmationtoSubmit()" class="btn-save">Update</button>    
                    </div>
                </div>
            </div>
        </div>
      </div>
    </div>
</div>

<div class="modal fade" id="confirmation" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" onclick="event.stopPropagation()">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Confirmation</h5>
                 <button type="button" class="btn-close" data-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                 Do you want to Update Previous Education? 
            </div>
            <div class="modal-footer">
                <button type="button" class="btn-cancel" data-dismiss="modal">Cancel</button>
                <button type="button" onclick="Submit()" class="btn-save" style="width: 100px;">Yes, Continue</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="Success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body" style="text-align: center;">
                <div id="sucess">
                    <img id="Sucess" style="width: 150px;" src="assets/sucess.gif" alt=""/>
                </div>
                <h3 class="title">Success.</h3>  
                 <button type="button" onclick="openPage('apgl')" class="btn-save">Continue</button>         
            </div>
        </div>
    </div>
</div>

<script>
 listUGCourse("0","UGCourseNameID"); 
 listUGCourse("0","MCourseNameID"); 
 listUGCourse("0",'PGCourseNameID'); 
 listUGCourse("0",'PCourseNameID'); 
 listSecBoardOfEducations("0","SecBoardOfEducationID"); 
 listHscBoardOfEducations("0","HscBoardOfEducationID"); 
 listHscGroupNames("0","HscGroupNameID"); 
 listSecPassedOutYears("0","SecPassedOutYearID"); 
 listSecPassedOutYears("0","HscPassedOutYearID"); 
 listSecPassedOutYears("0","UGPassedOutYearID"); 
 listSecPassedOutYears("0","PGPassedOutYearID"); 
 listSecPassedOutYears("0","PPassedOutYearID"); 
 listSecPassedOutYears("0","MPassedOutYearID"); 
 listUniversityNames("0","UGUniversityNameID"); 
 listUniversityNames("0","PGUniversityNameID"); 
 listUniversityNames("0","PUniversityNameID"); 
 listUniversityNames("0","MUniversityNameID"); 
 listGrades("0","UGGradeID"); 
 listGrades("0","PGGradeID"); 
 listGrades("0","PGradeID"); 
 listGrades("0","MGradeID"); 
 $('#SecBoardOfEducationID').val("0");
$('#HscBoardOfEducationID').val("0");
$('#HscGroupNameID').val("0");
$('#HscScoredMarks').val("");
$('#HscPercentage').val("");
$('#HscPassedOutYearID').val("0");
$('#SecondaryGroupNameID').val("0");
$('#SecScoredMarks').val("");
$('#SecPercentage').val("");
$('#SecPassedOutYearID').val("0");
$('#UGCourseNameID').val("0");
$('#UGUniversityNameID').val("0");
$('#UGUniversityNameID').val("0");
$('#UGGradeID').val("0");
$('#UGPassedOutYearID').val("0");
$('#Remarks').val("");

$('#ErrSecBoardOfEducationID').html("");
 $("#SecBoardOfEducationID").removeClass("highlight_error");
 
 $('#ErrHscBoardOfEducationID').html("");
 $("#HscBoardOfEducationID").removeClass("highlight_error"); 
 
 $('#ErrHscGroupNameID').html("");
 $("#HscGroupNameID").removeClass("highlight_error"); 
 
 $('#ErrHscScoredMarks').html("");
 $("#HscScoredMarks").removeClass("highlight_error");
 
 $('#ErrHscPercentage').html("");
 $("#HscPercentage").removeClass("highlight_error");
 
 $('#ErrHscPassedOutYearID').html("");
 $("#HscPassedOutYearID").removeClass("highlight_error"); 
 
 $('#ErrSecondaryGroupNameID').html("");
 $("#SecondaryGroupNameID").removeClass("highlight_error");
 
 $('#ErrSecScoredMarks').html("");
 $("#SecScoredMarks").removeClass("highlight_error");
 
 $('#ErrSecScoredMarks').html("");
 $("#SecScoredMarks").removeClass("highlight_error");
 
 $('#ErrSecPercentage').html("");
 $("#SecPercentage").removeClass("highlight_error");
 
 $('#ErrSecPassedOutYearID').html("");
 $("#SecPassedOutYearID").removeClass("highlight_error");
 
 $('#ErrRemarks').html("");
 $("#Remarks").removeClass("highlight_error");
 
 $('#ErrUGCourseNameID').html("");
 $("#UGCourseNameID").removeClass("highlight_error")
 
 $('#ErrPGCourseNameID').html("");
 $("#PGCourseNameID").removeClass("highlight_error");
 
 $('#ErrPCourseNameID').html("");
 $("#PCourseNameID").removeClass("highlight_error");
 
 $('#ErrMCourseNameID').html("");
 $("#MCourseNameID").removeClass("highlight_error");
 
 $('#ErrUGUniversityNameID').html("");
 $("#UGUniversityNameID").removeClass("highlight_error");
 
 $('#ErrPGUniversityNameID').html("");
 $("#PGUniversityNameID").removeClass("highlight_error");
 
 $('#ErrPUniversityNameID').html("");
 $("#PUniversityNameID").removeClass("highlight_error");
 
 $('#ErrMUniversityNameID').html("");
 $("#MUniversityNameID").removeClass("highlight_error");
 
 $('#ErrUGGradeID').html("");
 $("#UGGradeID").removeClass("highlight_error");
 
 $('#ErrPGGradeID').html("");
 $("#PGGradeID").removeClass("highlight_error");
 
 $('#ErrPGradeID').html("");
 $("#PGradeID").removeClass("highlight_error");
 
 $('#ErrMGradeID').html("");
 $("#MGradeID").removeClass("highlight_error");
                    
 $('#ErrUGPassedOutYearID').html("");
 $("#UGPassedOutYearID").removeClass("highlight_error");
 
 $('#ErrPGPassedOutYearID').html("");
 $("#PGPassedOutYearID").removeClass("highlight_error");
 
 $('#ErrPPassedOutYearID').html("");
 $("#PPassedOutYearID").removeClass("highlight_error");
 
 $('#ErrMPassedOutYearID').html("");
 $("#MPassedOutYearID").removeClass("highlight_error");
 
  function confirmationtoSubmit(){ 
     var error = 0;

    if ($('#SecBoardOfEducationID').val()=="0"){
            $('#ErrSecBoardOfEducationID').html("Please select Board of Education");
         $("#SecBoardOfEducationID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#SecBoardOfEducationID").removeClass("highlight_error"); 
            $('#ErrSecBoardOfEducationID').html(""); 
    }
      
   if ($('#SecTotalMarks').val()=="") {
            $('#ErrSecScoredMarks').html("Please enter Total Marks");
           $("#SecTotalMarks").addClass("highlight_error");
           error++;
    }  else { 
           if ($('#SecScoredMarks').val()==""){
            $('#ErrSecScoredMarks').html("Please enter Scored Marks");
            $("#SecScoredMarks").addClass("highlight_error");
            error++;
    }  else {
           $("#SecScoredMarks").removeClass("highlight_error");
            $('#ErrSecScoredMarks').html("");  
    } 
    } 
   
    if ($('#SecPassedOutYearID').val()=="0"){
            $('#ErrSecPassedOutYearID').html("Please select Year Of Passed Out");
         $("#SecPassedOutYearID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#SecPassedOutYearID").removeClass("highlight_error"); 
            $('#ErrSecPassedOutYearID').html(""); 
    } 
    if ($('#HscBoardOfEducationID').val()=="0"){
            $('#ErrHscBoardOfEducationID').html("Please select Board Of Education");
         $("#HscBoardOfEducationID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#HscBoardOfEducationID").removeClass("highlight_error"); 
            $('#ErrHscBoardOfEducationID').html(""); 
    }
    if ($('#HscGroupNameID').val()=="0"){
            $('#ErrHscGroupNameID').html("Please select Hsc Group Name");
         $("#HscGroupNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#HscGroupNameID").removeClass("highlight_error"); 
            $('#ErrHscGroupNameID').html(""); 
    }  
  if ($('#HscTotalMarks').val()=="") {
            $('#ErrHscScoredMarks').html("Please enter Total Marks");
           $("#HscTotalMarks").addClass("highlight_error");
           error++;
    }  else {
           if ($('#HscScoredMarks').val()==""){
            $('#ErrHscScoredMarks').html("Please enter Scored Marks");
            $("#HscScoredMarks").addClass("highlight_error");
            error++;
    }  else {
           $("#HscTotalMarks").removeClass("highlight_error");
            $('#ErrHscScoredMarks').html("");  
    } 
    } 
   
    if ($('#HscPassedOutYearID').val()=="0"){
            $('#ErrHscPassedOutYearID').html("Please select Year Of Passed Out");
         $("#HscPassedOutYearID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#HscPassedOutYearID").removeClass("highlight_error"); 
            $('#ErrHscPassedOutYearID').html(""); 
    }
    if ($('#UGCourseNameID').val()=="0"){
            $('#ErrUGCourseNameID').html("Please select Course Name");
         $("#UGCourseNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#UGCourseNameID").removeClass("highlight_error"); 
            $('#ErrUGCourseNameID').html(""); 
    } 
    
    if ($('#UGUniversityNameID').val()=="0"){
            $('#ErrUGUniversityNameID').html("Please select University Name");
         $("#UGUniversityNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#UGUniversityNameID").removeClass("highlight_error"); 
            $('#ErrUGUniversityNameID').html(""); 
    }
    if ($('#UGGradeID').val()=="0"){
            $('#ErrUGGradeID').html("Please select Grade");
         $("#UGGradeID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#UGGradeID").removeClass("highlight_error"); 
            $('#ErrUGGradeID').html(""); 
    }
    if ($('#UGPassedOutYearID').val()=="0"){
            $('#ErrUGPassedOutYearID').html("Please select Year");
         $("#UGPassedOutYearID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#UGPassedOutYearID").removeClass("highlight_error"); 
            $('#ErrUGPassedOutYear').html(""); 
    }
    
    if ($('#PGCourseNameID').val()=="0"){
            $('#ErrPGCourseNameID').html("Please select Course Name");
         $("#PGCourseNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#PGCourseNameID").removeClass("highlight_error"); 
            $('#ErrPGCourseNameID').html(""); 
    } 
    
    if ($('#PGUniversityNameID').val()=="0"){
            $('#ErrPGUniversityNameID').html("Please select University Name");
         $("#PGUniversityNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#PGUniversityNameID").removeClass("highlight_error"); 
            $('#ErrPGUniversityNameID').html(""); 
    }
    if ($('#PGGradeID').val()=="0"){
            $('#ErrPGGradeID').html("Please select Grade");
         $("#PGGradeID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#PGGradeID").removeClass("highlight_error"); 
            $('#ErrPGGradeID').html(""); 
    }
    if ($('#PGPassedOutYearID').val()=="0"){
            $('#ErrPGPassedOutYearID').html("Please select Year");
         $("#PGPassedOutYearID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#PGPassedOutYearID").removeClass("highlight_error"); 
            $('#ErrPGPassedOutYear').html(""); 
    }
    
    if ($('#PCourseNameID').val()=="0"){
            $('#ErrPCourseNameID').html("Please select Course Name");
         $("#PCourseNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#PCourseNameID").removeClass("highlight_error"); 
            $('#ErrPCourseNameID').html(""); 
    } 
    
    if ($('#PUniversityNameID').val()=="0"){
            $('#ErrPUniversityNameID').html("Please select University Name");
         $("#PUniversityNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#PUniversityNameID").removeClass("highlight_error"); 
            $('#ErrPUniversityNameID').html(""); 
    }
    if ($('#PGradeID').val()=="0"){
            $('#ErrPGradeID').html("Please select Grade");
         $("#PGradeID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#PGradeID").removeClass("highlight_error"); 
            $('#ErrPGradeID').html(""); 
    }
    if ($('#PPassedOutYearID').val()=="0"){
            $('#ErrPPassedOutYearID').html("Please select Year");
         $("#PPassedOutYearID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#PPassedOutYearID").removeClass("highlight_error"); 
            $('#ErrPPassedOutYear').html(""); 
    }
    if ($('#MCourseNameID').val()=="0"){
            $('#ErrMCourseNameID').html("Please select Course Name");
         $("#MCourseNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#MCourseNameID").removeClass("highlight_error"); 
            $('#ErrPCourseNameID').html(""); 
    } 
    
    if ($('#MUniversityNameID').val()=="0"){
            $('#ErrMUniversityNameID').html("Please select University Name");
         $("#MUniversityNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#MUniversityNameID").removeClass("highlight_error"); 
            $('#ErrMUniversityNameID').html(""); 
    }
    if ($('#MGradeID').val()=="0"){
            $('#ErrMGradeID').html("Please select Grade");
         $("#MGradeID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#MGradeID").removeClass("highlight_error"); 
            $('#ErrMGradeID').html(""); 
    }
    if ($('#MPassedOutYearID').val()=="0"){
            $('#ErrMPassedOutYearID').html("Please select Year");
         $("#MPassedOutYearID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#MPassedOutYearID").removeClass("highlight_error"); 
            $('#ErrMPassedOutYear').html(""); 
    }  
    if(error==0){
        $('#confirmation').modal("show"); 
   }
 
      
   
   function Submit(){
        var param = $('#frm_create').serialize();
        $.post(URL+"webservice.php?action=a&method=apgn",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmation').modal("hide"); 
             $('#Success').modal("show");    
        }   else {
           // $('#ErrCommon').html(print_inlineError(obj.message));
        }
    });
   } 
  }
   
   
   
function listUniversityNames(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=lac&method=macunl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select University Name</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.UniversityName+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
           // $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}


function listGrades(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=lac&method=maigl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Grade Name</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.GradeName+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
          //  $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}  
function listUGCourse(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=lacourcetype&method=macoul&CourseTypeCode=UG","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Course Name</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.CourseName+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
          //  $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listSecBoardOfEducations(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=labycate&method=macbel&Category=SecondarySchool","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Board Of Education</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.BoardOfEducation+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
          //  $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listHscBoardOfEducations(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=labycate&method=macbel&Category=HigherSecondary","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Board Of Education</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.BoardOfEducation+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
           // $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listSecPassedOutYears(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=lac&method=macpyl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Year</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.PassedOutYear+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
          //  $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listHscGroupNames(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=lac&method=machgnl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Group Name</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.HscGroupName+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
          //  $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
} 

/* Numbers only*/ 
var arr = ["SecondaryScoredMarks","HscScoredMarks","SecondaryTotalMarks","HscTotalMarks"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
                var notallowkeys = [32,173,16,48,49,50,51,52,53,54,55,56,57,16,188,190,191,59,222,220,219,221,61,192,111,106,109,107,46,110,190,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90]
                var allowedkeys  = [9,8,46,35,36,37,38,39,40,48,49,50,51,52,53,54,55,56,57,103,104,105,100,101,102,97,98,99,96]
                if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}
                                          
</script>