<meta name="viewport" content="width=device-width, initial-scale=1">
<div class="user-dashboard">
    <div class="container">
        <div class="row">
            <div class="col-3"> 
                <h3>UG/PG Applications</h3>
            </div>
            <div class="col-6">
                <input id="search" type="text" class="form-control form-control-sm"  placeholder="Search for name..." style="width: 680px;">
            </div>
            <div class="col-3" style="text-align: right;">
                <button class="btn-save" onclick="openPage('augn')">New</button>&nbsp;
                <button class="btn-save" onclick="list()">Refresh</button>
            </div>
            <div class="col-xl-12 col-lg-12">
                <table id="listTable" class="table" style="width:100%">
                    <thead>
                        <tr>
                            <th>Ref.Number</th>
                            <th style="width:200px">Date</th>
                            <th style="width:200px">Application Number</th>
                            <th style="width:200px">Academic Year</th>
                            <th style="width:200px">Student Name</th>
                            <th style="width:200px">Applied Course</th>
                            <th style="width:200px">Course Type</th>
                            <th style="width:200px">Department</th>
                            <th style="width:200px">Application Status</th>
                            <th style="width:80px">Verified</th>
                            <th style="width:80px">Status</th>
                            <th style="width:100px" class="nosort"></th>
                        </tr>
                    </thead>                                     
                    <tbody id="tbl_content">
                        <tr>
                            <td colspan='11'>
                                <?php echo loadingText("Loading ug/pg applications");?>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
                                                                     
          
<script>

function list() {
       var html = '<tr>'
                + '<td colspan="11" style="text-align: center;background:#fff !important">Loading ug/pg applicatons</td>'
                + '</tr>'
      $('#tbl_content').html(html); 
    $.post(URL+ "webservice.php?action=l&method=augn","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.RefNumber + '</td>'
                            + '<td>' + data.ApplicationDate + '</td>'
                            + '<td>' + data.ApplicationNumber + '</td>'  
                            + '<td>' + data.AcademicYear + '</td>' 
                            + '<td>' + data.FirstName +"&nbsp;"+ data.MiddleName +"&nbsp;"+ data.LastName + '</td>' 
                            + '<td>' + data.AppliedCourseName + '</td>' 
                            + '<td>' + data.CourseType + '</td>' 
                            + '<td>' + data.AppliedDepartment + '</td>'
                            + '<td>' + ( (data.AppilcationStatus=="1") ? "Admitted" : "" ) + ( (data.AppilcationStatus=="0") ? "No" : "" ) + ( (data.AppilcationStatus=="-1") ? "Rejected" : "" ) + '</td>'
                            + '<td>' + ( (data.IsVerified=="1") ? "<span class='badge bg-primary ' style='width: 75px'>Verified</span>" : "<span class='badge bg-danger' style='width: 75px'>Not Verified</span>" ) + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '<td style="text-align:right">' 
                                + '<span class="editLink"  title="Edit Record" onclick="openPage(\'smsuge&ID='+data.ID+'\')"><i class="fi fi-rs-pencil"></i></span>&nbsp;&nbsp;'
                                + '<span class="viewLink"  title="View Record" onclick="openPage(\'smsupi&ID='+data.ID+'\')"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'augn\',\''+data.FirstName+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });                                             
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="11" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}

setTimeout("list()",2000); 

$("#search").on("keyup", function() {
  var value = $(this).val().toLowerCase();
  $("#listTable tr").filter(function() {
    $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
  });
});
      
</script>