<style>
.drop-zone {
 max-width: 591px;
  padding: 25px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  font-family: "Quicksand", sans-serif;
  font-weight: 500;
  font-size: 20px;
  cursor: pointer;
  color: #ccc;
  border: 1px solid #ccc;
  border-radius: 10px;
  min-height: calc(1.5em + .5rem + calc(var(--bs-border-width) * 2));
  padding: .25rem .5rem;
  font-size: .875rem;
  border-radius: var(--bs-border-radius-sm);
  appearance: none;
  background-color: var(--bs-body-bg);
  background-clip: padding-box;
  border: var(--bs-border-width) solid var(--bs-border-color);
  border-radius: var(--bs-border-radius);
  transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
  box-shadow: inset 0 0 10px #f2f1f1;
  font-family: 'Outfit';
  color: #666 !important;
  font-weight: normal;
  margin-bottom: 0px !important;
}

.drop-zone--over {
  border-style: solid;
}

.drop-zone__input {
  display: none;
}

.drop-zone__thumb {
  width: 100%;
  height: 100%;
  border-radius: 10px;
  overflow: hidden;
  background-color: #cccccc;
  background-size: cover;
  position: relative;
}

.drop-zone__thumb::after {
  content: attr(data-label);
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 5px 0;
  color: #ffffff;
  background: rgba(0, 0, 0, 0.75);
  font-size: 1px;
  text-align: center;
}
.icon{
  font-size: 100px;
  color: #fff;
}

</style>
<div class="user-dashboard">
    <div class="container">
        <div class="row">
            <div class="col-6"> 
                <h3>Faculty Leave</h3>
            </div>
            <div class="col-6" style="text-align: right;"> 
                <button class="btn-save" onclick="addform()">New</button>&nbsp;
            </div>
            <div class="col-xl-12 col-lg-12">
                <table id="listTable" class="table" style="width:100%">
                    <thead>
                        <tr>
                            <th style="width:150px">Employee Name</th>
                            <th>Req.Date</th>
                            <th>From Date</th>
                            <th>To Date</th>
                            <th style="width:80px">Status</th>
                        </tr>
                    </thead>
                    <tbody id="tbl_content">
                        <tr>
                            <td colspan='7'>
                                <?php echo loadingText("Loading Leave Requests");?>
                            </td>
                        </tr>              
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="confirmationtoadd" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered" style="max-width: 800px !important;">
        <div class="modal-content">
            <div class="modal-header">
                <div class="row" style="width:100%">             
                    <div class="col-sm-8">
                <h5 class="modal-title" id="exampleModalLabel">New Faculty Leave</h5>
                </div>
                <div class="col-sm-4" style="text-align:right;padding-right:0px">
                    <a href="<?php echo help_url;?>FacultyLeave" class="btn-h" title="Help" target="_blank">?</a>
                        <a data-dismiss="modal" class="btn-x" title="Close">X</a>
                        
                    </div>
                </div>
            </div>
            <div class="modal-body">
            <form id="frm_create" name="frm_create" method="post" enctype="multipart/form-data" autocomplete="off">
                <div class="row">
                <span id="ErrCommon"></span>
                     <div class="col-sm-4">
                        <label class="form-label">Designation Group</label><span style='color:red'>*</span>            
                          <select class="form-select form-select-sm" name="DesignationGroupID" id="DesignationGroupID" onchange="clearInput('DesignationGroupID');listDesignations('frm_create','DesignationID','0')">
                            <option value="0">Select Designation Group</option>
                        </select>  
                          <span id="ErrDesignationGroupID" style="color: red;" class="error_msg"></span>
                        </div>
                        <div class="col-sm-4">
                            <label class="form-label">Designation</label><span style='color:red'>*</span>
                             <select class="form-select form-select-sm" name="DesignationID" id="DesignationID" onchange="clearInput('DesignationID')">
                                <option value="0">Select Designation</option>
                            </select> 
                              <span id="ErrDesignationID" style="color: red;" class="error_msg"></span>
                        </div> 
                         <div class="col-sm-4">
                            <label class="form-label">Employee Name</label><span style='color:red'>*</span>
                             <select class="form-select form-select-sm" name="EmployeeNameID" id="EmployeeNameID" onchange="clearInput('EmployeeNameID')">
                                <option value="0">Select Employee Name</option>
                            </select> 
                              <span id="ErrEmployeeNameID" style="color: red;" class="error_msg"></span>
                        </div>
                     <div class="col-4">
                        <label class="form-label">Req.Date</label><span style='color:red'>*</span>
                        <input class="form-control form-control-sm" type="date" id="ReqDate" name="ReqDate" placeholder="Req.Date" value="" onchange="clearInput('ReqDate')">
                        <span id="ErrReqDate" class="error_msg" style="color: red;"></span>
                     </div>
                     <div class="col-4">
                        <label class="form-label">From Date</label><span style='color:red'>*</span>
                        <input class="form-control form-control-sm" type="date" id="FromDate" name="FromDate" placeholder="From Date" value="" onchange="clearInput('FromDate')">
                        <span id="ErrFromDate" class="error_msg" style="color: red;"></span>
                     </div>
                     <div class="col-4">
                        <label class="form-label">To Date</label><span style='color:red'>*</span>
                        <input class="form-control form-control-sm" type="date" id="ToDate" name="ToDate" placeholder="To Date" value="" onchange="clearInput('ToDate')">
                        <span id="ErrToDate" class="error_msg" style="color: red;"></span>
                     </div>
                     <div class="col-12">
                        <label class="form-label">Subject</label><span style='color:red'>*</span>
                        <input class="form-control form-control-sm" type="text" id="Subject" name="Subject" placeholder="Subject" value="" onkeypress="clearInput('Subject')">
                        <span id="ErrSubject" class="error_msg" style="color: red;"></span>
                     </div>
                     <div class="col-12">
                        <label class="form-label">Description</label><span style='color:red'>*</span>
                        <textarea class="form-control form-control-sm" type="text" id="Description" name="Description" placeholder="Description" value="" onkeypress="clearInput('Description')"></textarea>
                        <span id="ErrDescription" class="error_msg" style="color: red;"></span>
                     </div>
                     <div class="col-md-4">
                     <label class="form-label">Attachment</label><span style='color:red'>*</span>
                     <input  id="Attachment" class="form-control form-control-sm" type="file" data_btn_text="Browse" placeholder="drage and drop file here" name="Attachment[]" onclick="clearInput('Attachment')">
                     <div id="ErrAttachment" class="error_msg" style="color:red"></div>
                   </div>
                     <div class="col-12 mb-3">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                        <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                     </div>
                </div>
            </form>
            </div>
            <div class="modal-footer">
                 <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="add()" class="btn-save">Save</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>


<div class="modal fade" id="Success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body" style="text-align: center;">
                <div id="sucess">
                    <img id="Sucess" style="width: 150px;" src="assets/sucess.gif" alt=""/>
                </div>
                <h3 class="title">Success.</h3>  
                 <button type="button" onclick="openPage('ampl')" class="btn-save">Continue</button>         
            </div>
        </div>
    </div>
</div>


<script>
function list() {
      $('#Success').modal("hide");
         var html = '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">Loading Leave Requests</td>'
                + '</tr>'
      $('#tbl_content').html(html); 
    $.post(URL+ "webservice.php?action=l&method=mabl","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.EmployeeName + '</td>'
                            + '<td>' + data.ReqDate + '</td>'
                            + '<td>' + data.FromDate + '</td>' 
                            + '<td>' + data.ToDate + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="7" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}    

setTimeout("list()",2000);   

function addform(){
     $('#confirmationtoadd').modal("show"); 
     listDesignationGroups("frm_create","DesignationGroupID","0");
      $('#EmployeeNameID').val("0"); 
      $('#DesignationID').val("0"); 
      $('#DesignationGroupID').val("0");  
     $('#ReqDate').val(""); 
     $('#FromDate').val(""); 
     $('#ToDate').val(""); 
     $('#Subject').val(""); 
     $('#Description').val(""); 
     $('#Attachment').val("");
     $('#Remarks').val("");
     $('#ErrCommon').html("");
     $('#ErrEmployeeNameID').html("");
     $('#ErrDesignationID').html("");
     $('#ErrDesignationGroupID').html("");
     $('#ErrReqDate').html("");
     $('#ErrFromDate').html(""); 
     $('#ErrToDate').html(""); 
     $('#ErrSubject').html(""); 
     $('#ErrDescription').html(""); 
     $('#ErrAttachment').html("");
     $('#ErrRemarks').html("");
     $("#EmployeeNameID").removeClass("highlight_error"); 
     $("#DesignationID").removeClass("highlight_error"); 
     $("#DesignationGroupID").removeClass("highlight_error"); 
     $("#ReqDate").removeClass("highlight_error"); 
     $("#FromDate").removeClass("highlight_error"); 
     $("#ToDate").removeClass("highlight_error"); 
     $("#Subject").removeClass("highlight_error"); 
     $("#Description").removeClass("highlight_error"); 
     $("#Attachment").removeClass("highlight_error"); 
     $("#Remarks").removeClass("highlight_error"); 
}

function add(){
     var error = 0;
       if ($('#EmployeeNameID').val()=="0"){
            $('#ErrEmployeeNameID').html("Please select Employee Name");
         $("#EmployeeNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#EmployeeNameID").removeClass("highlight_error"); 
            $('#ErrEmployeeNameID').html(""); 
    }  
    if ($('#DesignationGroupID').val()=="0"){
            $('#ErrDesignationGroupID').html("Please select Designation Group");
         $("#DesignationGroupID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#DesignationGroupID").removeClass("highlight_error"); 
            $('#ErrDesignationGroupID').html(""); 
    }
    if ($('#DesignationID').val()=="0"){
            $('#ErrDesignationID').html("Please select Designation");
         $("#DesignationID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#DesignationID").removeClass("highlight_error"); 
            $('#ErrDesignationID').html(""); 
    }
       if ($('#ReqDate').val()==""){
            $('#ErrReqDate').html("Please select Req.Date");
         $("#ReqDate").addClass("highlight_error"); 
           error++;
    }  else {
        $("#ReqDate").removeClass("highlight_error"); 
            $('#ErrReqDate').html(""); 
    }
    if ($('#FromDate').val()==""){
            $('#ErrFromDate').html("Please select From Date");
        $("#FromDate").addClass("highlight_error"); 
           error++;
    }  else {
         $("#FromDate").removeClass("highlight_error"); 
            $('#ErrFromDate').html(""); 
    }
    if ($('#ToDate').val()==""){
            $('#ErrToDate').html("Please select To Date");
        $("#ToDate").addClass("highlight_error"); 
           error++;
    }  else {
         $("#ToDate").removeClass("highlight_error"); 
            $('#ErrToDate').html(""); 
    }  
    if ($('#Subject').val()==""){
            $('#ErrSubject').html("Please enter Subject");
        $("#Subject").addClass("highlight_error"); 
           error++;
    }  else {
         $("#Subject").removeClass("highlight_error"); 
            $('#ErrSubject').html(""); 
    }
    if ($('#Description').val()==""){
            $('#ErrDescription').html("Please enter Description");
        $("#Description").addClass("highlight_error"); 
           error++;
    }  else {
         $("#Description").removeClass("highlight_error"); 
            $('#ErrDescription').html(""); 
    } 
    if ($('#Attachment').val()==""){
            $('#ErrAttachment').html("Please select Attachment");
            $("#Attachment").addClass("highlight_error");
          error++;
    }  else {
        $("#Attachment").removeClass("highlight_error");
            $('#ErrAttachment').html(""); 
    }
       if(error==0){
        var param = $('#frm_create').serialize();
        $.post(URL+"webservice.php?action=a&method=",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmationtoadd').modal("hide"); 
             $('#Success').modal("show");    
        }   else {
            if (obj.div=="") {
                $('#ErrCommon').html(print_inlineError(obj.message));
            } else {
                $('#Err'+obj.div).html(obj.message);   
            }
        }
    });
   }
}


function listDesignationGroups(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=l&method=macdgl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Designation Group</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.DesignationGroup+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listEmployeeNames(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=l&method=mac","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Designation Group</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.EmployeeName+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listDesignations(formID,selectboxID,selected) {
    
    var html = "<option value='0'>Select Designation</option>";
             $('#'+selectboxID).html(html);
    if (formID=="frm_create") {
          if ($('#DesignationGroupID').val()=="0") {
              var html = "<option value='0'>Select Designation Group</option>";
             $('#'+selectboxID).html(html);
          }
    }
      var param = $('#'+formID).serialize();
    $.post(URL+ "webservice.php?action=labdg&method=macdel&DesignationGroupID="+$('#DesignationGroupID').val(),param,function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            if (obj.data.length>0) {
            var html = "<option value='0'>Select Designation</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+ data.ID +'" '+((data.ID==selected) ? ' selected="selected" ' : '')+' ">'+data.Designation+'</option>';
            });
            $('#'+selectboxID).html(html);
            }
        } else {
             var html = "<option value='0'>Select Designation</option>";
             $('#'+selectboxID).html(html);
           // $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}
    
  
//Character Limitations
  /* Alphabets Space Dot only correct */ 
var arr = ["Subject","editSubject"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
                var notallowkeys = [48,49,50,51,52,53,54,55,56,57,186,187,189,173,188,190,191,59,220,221,222,219,173,61,192,111,106,109,107,46,103,104,105,100,101,102,97,98,99,96,110,190]
                var allowedkeys  = [9,8,32,46,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,110]
                if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}

 /* Alphnumeric and special characters, not allow !\$"'~  */
var arr = ["Remarks","editRemarks","Description","editDescription"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
               var notallowkeys = [220,222,49,52,192]
               var allowedkeys  = [9,8,46,32,35,36,37,38,39,40,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,103,104,105,100,101,102,97,98,99,96,48,49,50,51,52,53,54,55,56,57,173,61,110,190,191,221,219,111,106,109,107,59,188]
               if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}                                                                                    

document.querySelectorAll(".drop-zone__input").forEach((inputElement) => {
  const dropZoneElement = inputElement.closest(".drop-zone");

  dropZoneElement.addEventListener("click", (e) => {
    inputElement.click();
  });

  inputElement.addEventListener("change", (e) => {
    if (inputElement.files.length) {
      updateThumbnail(dropZoneElement, inputElement.files[0]);
    }
  });

  dropZoneElement.addEventListener("dragover", (e) => {
    e.preventDefault();
    dropZoneElement.classList.add("drop-zone--over");
  });

  ["dragleave", "dragend"].forEach((type) => {
    dropZoneElement.addEventListener(type, (e) => {
      dropZoneElement.classList.remove("drop-zone--over");
    });
  });

  dropZoneElement.addEventListener("drop", (e) => {
    e.preventDefault();

    if (e.dataTransfer.files.length) {
      inputElement.files = e.dataTransfer.files;
      updateThumbnail(dropZoneElement, e.dataTransfer.files[0]);
    }

    dropZoneElement.classList.remove("drop-zone--over");
  });
});

/**
 * Updates the thumbnail on a drop zone element.
 *
 * @param {HTMLElement} dropZoneElement
 * @param {File} file
 */
function updateThumbnail(dropZoneElement, file) {
  let thumbnailElement = dropZoneElement.querySelector(".drop-zone__thumb");

  // First time - remove the prompt
  if (dropZoneElement.querySelector(".drop-zone__prompt")) {
    dropZoneElement.querySelector(".drop-zone__prompt").remove();
  }

  // First time - there is no thumbnail element, so lets create it
  if (!thumbnailElement) {
    thumbnailElement = document.createElement("div");
    thumbnailElement.classList.add("drop-zone__thumb");
    dropZoneElement.appendChild(thumbnailElement);
  }

  thumbnailElement.dataset.label = file.name;

  // Show thumbnail for image files
  if (file.type.startsWith("image/")) {
    const reader = new FileReader();

    reader.readAsDataURL(file);
    reader.onload = () => {
      thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
    };
  } else {
    thumbnailElement.style.backgroundImage = null;
  }
}



                                         
</script>
     