<style>
.drop-zone {
 max-width: 591px;
  padding: 25px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  font-family: "Quicksand", sans-serif;
  font-weight: 500;
  font-size: 20px;
  cursor: pointer;
  color: #ccc;
  border: 1px solid #ccc;
  border-radius: 10px;
  min-height: calc(1.5em + .5rem + calc(var(--bs-border-width) * 2));
  padding: .25rem .5rem;
  font-size: .875rem;
  border-radius: var(--bs-border-radius-sm);
  appearance: none;
  background-color: var(--bs-body-bg);
  background-clip: padding-box;
  border: var(--bs-border-width) solid var(--bs-border-color);
  border-radius: var(--bs-border-radius);
  transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
  box-shadow: inset 0 0 10px #f2f1f1;
  font-family: 'Outfit';
  color: #666 !important;
  font-weight: normal;
  margin-bottom: 0px !important;
}

.drop-zone--over {
  border-style: solid;
}

.drop-zone__input {
  display: none;
}

.drop-zone__thumb {
  width: 100%;
  height: 100%;
  border-radius: 10px;
  overflow: hidden;
  background-color: #cccccc;
  background-size: cover;
  position: relative;
}

.drop-zone__thumb::after {
  content: attr(data-label);
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 5px 0;
  color: #ffffff;
  background: rgba(0, 0, 0, 0.75);
  font-size: 1px;
  text-align: center;
}
.icon{
  font-size: 100px;
  color: #fff;
}

</style>
<div class="user-dashboard">
    <div class="container">
        <span id="ErrCommon"></span>                       
      <h3 class="title">Employee Leave</h3>
       <div class="row">                                                    
            <div class="col-12 col-xl-12">                                          
                <div class="card mb-2" style="border: none; position: unset !important;">
                    <div class="card-body" style="padding: 0px !important;">   
                      <form id="frm_create" name="frm_create" autocomplete="off" method="post">
                        <div class="row">
                             <div class="col-4">
                                <label class="form-label">Req.Date</label><span style='color:red'>*</span>
                                <input class="form-control form-control-sm" type="date" id="ReqDate" name="ReqDate" placeholder="Req.Date" value="" onkeypress="clearInput('ReqDate')">
                                <span id="ErrReqDate" class="error_msg" style="color: red;"></span>
                             </div>
                             <div class="col-4">
                                <label class="form-label">From Date</label><span style='color:red'>*</span>
                                <input class="form-control form-control-sm" type="date" id="FromDate" name="FromDate" placeholder="From Date" value="" onkeypress="clearInput('FromDate')">
                                <span id="ErrFromDate" class="error_msg" style="color: red;"></span>
                             </div>
                             <div class="col-4">
                                <label class="form-label">To Date</label><span style='color:red'>*</span>
                                <input class="form-control form-control-sm" type="date" id="ToDate" name="ToDate" placeholder="To Date" value="" onkeypress="clearInput('ToDate')">
                                <span id="ErrToDate" class="error_msg" style="color: red;"></span>
                             </div>
                             <div class="col-12">
                                <label class="form-label">Subject</label><span style='color:red'>*</span>
                                <input class="form-control form-control-sm" type="text" id="Subject" name="Subject" placeholder="Subject" value="" onkeypress="clearInput('Subject')">
                                <span id="ErrSubject" class="error_msg" style="color: red;"></span>
                             </div>
                             <div class="col-12">
                                <label class="form-label">Description</label><span style='color:red'>*</span>
                                <textarea class="form-control form-control-sm" type="text" id="Description" name="Description" placeholder="Description" value="" onkeypress="clearInput('Description')"></textarea>
                                <span id="ErrDescription" class="error_msg" style="color: red;"></span>
                             </div>
                             <div class="col-md-4">
                                <label class="form-label">Attachment<span style='color:red'>*</span></label>
                                <div class="drop-zone">
                                    <div class="icon"><i class="fas fa-cloud-upload-alt"></i></div>
                                    <span class="drop-zone__prompt">Drop file here or click to upload</span>
                                    <input type="file" name="myFile" class="drop-zone__input" name="Attachment" id="Attachment" onchange="clearInput('Attachment')" autocomplete="off">
                                </div>
                                <div id="ErrAttachment" class="error_msg" style="color:red"></div>
                            </div>
                             <div class="col-12 mb-3">
                                <label class="form-label">Remarks</label>
                                <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                                <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                             </div>
                              <div class="col-12 mb-3" style="text-align: right;">
                            <button type="button" onclick="confirmationtoChange()" class="btn-save">Change</button>    
                        </div>
                        </div>
                      </form> 
                    </div>
                </div>                                                                      
            </div>
        </div>
      </div>
</div>

<div class="modal fade" id="confirmation" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" onclick="event.stopPropagation()">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Confirmation</h5>
                 <button type="button" class="btn-close" data-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                 Do you want Change Password? 
            </div>
            <div class="modal-footer">
                <button type="button" class="btn-cancel" data-dismiss="modal">Cancel</button>
                <button type="button" onclick="Change()" class="btn-save" style="width: 100px;">Yes, Continue</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="Success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body" style="text-align: center;">
                <div id="sucess">
                    <img id="Sucess" style="width: 150px;" src="assets/sucess.gif" alt=""/>
                </div>
                <h3 class="title">Success.</h3>  
                 <button type="button" onclick="openPage('ampl')" class="btn-save">Continue</button>         
            </div>
        </div>
    </div>
</div>


<script>
$('#CurrentPassword').val(""); 
$('#NewPassword').val(""); 
$('#ConfirmNewPassword').val(""); 

$('#ErrCurrentPassword').html("");
 $("#CurrentPassword").removeClass("highlight_error"); 
 
 $('#ErrNewPassword').html("");
 $("#NewPassword").removeClass("highlight_error"); 
 
 $('#ErrConfirmNewPassword').html("");
 $("#ConfirmNewPassword").removeClass("highlight_error"); 

                              
 function confirmationtoChange(){ 
     var error = 0;
    if ($('#CurrentPassword').val()==""){
            $('#ErrCurrentPassword').html("Please enter Current Password");
          $("#CurrentPassword").addClass("highlight_error"); 
            error++;
    }  else {
         $("#CurrentPassword").removeClass("highlight_error"); 
            $('#ErrCurrentPassword').html(""); 
    } 
    if ($('#NewPassword').val()==""){
            $('#ErrNewPassword').html("Please enter  New Password");
          $("#NewPassword").addClass("highlight_error"); 
            error++;
    }  else {
         $("#NewPassword").removeClass("highlight_error"); 
            $('#ErrNewPassword').html(""); 
    }
    if ($('#ConfirmNewPassword').val()==""){
            $('#ErrConfirmNewPassword').html("Please enter Confirm New Password");
          $("#ConfirmNewPassword").addClass("highlight_error"); 
            error++;
    }  else {
         $("#ConfirmNewPassword").removeClass("highlight_error"); 
            $('#ErrConfirmNewPassword').html(""); 
    } 
   
  
    if(error==0) {
       $('#confirmation').modal("show"); 
    } else {
        $('#ErrCommon').html(print_inlineError(obj.message)); 
     } 
    
 function Change(){
     $('#confirmation').modal("hide");
     $('#Success').modal("show");     
 }
    
  /*  if(error==0){
        var param = $('#frm_create').serialize();
        $.post(URL+"webservice.php?action=a&method=mabl",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmationtoadd').modal("hide"); 
             $('#Success').modal("show");    
        }   else {
            $('#ErrCommon').html(print_inlineError(obj.message));
        }
    });
   }  */
   }
  
  
//Character Limitations
                                                                                    

document.querySelectorAll(".drop-zone__input").forEach((inputElement) => {
  const dropZoneElement = inputElement.closest(".drop-zone");

  dropZoneElement.addEventListener("click", (e) => {
    inputElement.click();
  });

  inputElement.addEventListener("change", (e) => {
    if (inputElement.files.length) {
      updateThumbnail(dropZoneElement, inputElement.files[0]);
    }
  });

  dropZoneElement.addEventListener("dragover", (e) => {
    e.preventDefault();
    dropZoneElement.classList.add("drop-zone--over");
  });

  ["dragleave", "dragend"].forEach((type) => {
    dropZoneElement.addEventListener(type, (e) => {
      dropZoneElement.classList.remove("drop-zone--over");
    });
  });

  dropZoneElement.addEventListener("drop", (e) => {
    e.preventDefault();

    if (e.dataTransfer.files.length) {
      inputElement.files = e.dataTransfer.files;
      updateThumbnail(dropZoneElement, e.dataTransfer.files[0]);
    }

    dropZoneElement.classList.remove("drop-zone--over");
  });
});

/**
 * Updates the thumbnail on a drop zone element.
 *
 * @param {HTMLElement} dropZoneElement
 * @param {File} file
 */
function updateThumbnail(dropZoneElement, file) {
  let thumbnailElement = dropZoneElement.querySelector(".drop-zone__thumb");

  // First time - remove the prompt
  if (dropZoneElement.querySelector(".drop-zone__prompt")) {
    dropZoneElement.querySelector(".drop-zone__prompt").remove();
  }

  // First time - there is no thumbnail element, so lets create it
  if (!thumbnailElement) {
    thumbnailElement = document.createElement("div");
    thumbnailElement.classList.add("drop-zone__thumb");
    dropZoneElement.appendChild(thumbnailElement);
  }

  thumbnailElement.dataset.label = file.name;

  // Show thumbnail for image files
  if (file.type.startsWith("image/")) {
    const reader = new FileReader();

    reader.readAsDataURL(file);
    reader.onload = () => {
      thumbnailElement.style.backgroundImage = `url('${reader.result}')`;
    };
  } else {
    thumbnailElement.style.backgroundImage = null;
  }
}



                                         
</script>
     