<?php include_once("sidemenu.php");?>
<div class="user-dashboard">
    <div class="container">
       <div class="row">
        <div class="col-6"> 
                <h3>Contact Information</h3>
            </div>
            <div class="col-6" style="text-align: right;"> 
                <button class="btn-save" onclick="addform()">New</button>&nbsp;
            </div>
            <div class="col-xl-12 col-lg-12">
                <table id="listTable" class="table" style="width:100%">
                    <thead>
                        <tr>
                            <th>Person Name</th>
                            <th>Mobile Number</th>
                            <th>Relation</th>
                            <th style="width:50px">Status</th>
                            <th style="width:100px"></th>
                        </tr>
                    </thead>
                    <tbody id="tbl_content">
                        <tr>
                            <td colspan='5'>
                                <?php echo loadingText("Loading Contacts");?>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
</div>
</div>

<div class="modal fade" id="confirmationtoadd" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered"  style="max-width: 800px !important;">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">New Contact</h5>
                <button type="button" class="btn-close" data-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                 <form id="frm_create" name="frm_create" method="post" enctype="multipart/form-data" autocomplete="off">
                <div class="row">
                    <span id="ErrCommon"></span>
                    <div class="col-12">
                        <label class="form-label">Contact Person Name</label><span style='color:red'>*</span>
                        <input class="form-control form-control-sm" type="text" id="ContactPersonName" name="ContactPersonName" placeholder="Contact Person Name" value="" onkeypress="clearInput('ContactPersonName')">
                        <span id="ErrContactPersonName" class="error_msg" style="color: red;"></span>
                    </div>
                     <div class="col-sm-4">
                        <label class="form-label">Relation Name</label><span style='color:red'>*</span>
                         <?php $RelationNames = getResponseData("macrl","l",""); ?>   
                          <select class="form-select form-select-sm" name="RelationName" id="RelationName" onchange="clearInput('RelationName')">
                            <option value="0">Select Relation Name</option>
                            <?php foreach($RelationNames as $RelationName) {?>   
                            <option value="<?php echo $RelationName['ID'];?>"><?php echo $RelationName['Relation'];?></option>
                            <?php } ?>                       
                        </select>  
                          <span id="ErrRelationName" style="color: red;" class="error_msg"></span>
                        </div>
                    <div class="col-4">
                        <label class="form-label">Mobile Number</label>
                         <input class="form-control form-control-sm" type="text" name="MobileNumber" id="MobileNumber" placeholder="Mobile Number" onkeypress="clearInput('MobileNumber')" maxlength="10">
                        <span id="ErrMobileNumber" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-4">
                        <label class="form-label">WhatsApp Number</label>
                         <input class="form-control form-control-sm" type="text" name="WhatsAppNumber" id="WhatsAppNumber" placeholder="WhatsApp Number" onkeypress="clearInput('WhatsAppNumber')" maxlength="10">
                        <span id="ErrWhatsAppNumber" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-8">
                        <label class="form-label">Email</label>
                         <input class="form-control form-control-sm" type="text" name="Email" id="Email" placeholder="Email" onkeypress="clearInput('Email')">
                        <span id="ErrEmail" class="error_msg" style="color: red;"></span>
                    </div>
                     
                    <div class="col-12">
                        <label class="form-label">Address Line</label><span style='color:red'>*</span>
                        <input class="form-control form-control-sm" type="text" id="AddressLine" name="AddressLine" placeholder="Address Line" value="" onkeypress="clearInput('AddressLine')">
                        <span id="ErrAddressLine" class="error_msg" style="color: red;"></span>
                    </div>
                    <div class="col-sm-4">
                        <label class="form-label">Country Name</label><span style='color:red'>*</span>
                          <select class="form-select form-select-sm" name="CountryNameID" id="CountryNameID" onchange="clearInput('CountryNameID');listStateNames('frm_create','StateNameID','0')">
                            <option value="0">Select Country Name</option>
                        </select>  
                          <span id="ErrCountryNameID" style="color: red;" class="error_msg"></span>
                    </div>
                    <div class="col-sm-4">
                    <label class="form-label">State Name</label><span style='color:red'>*</span>
                      <select class="form-select form-select-sm" name="StateNameID" id="StateNameID" onchange="clearInput('StateNameID');listDistrictNames('frm_create','DistrictNameID','0')">
                        <option value="0">Select State Name</option>
                    </select>  
                      <span id="ErrStateNameID" style="color: red;" class="error_msg"></span>
                    </div>
                    <div class="col-sm-4">
                        <label class="form-label">District Name</label><span style='color:red'>*</span>
                        <select class="form-select form-select-sm" name="DistrictNameID" id="DistrictNameID" onchange="clearInput('DistrictNameID')">
                            <option value="0">Select District Name</option>
                        </select>  
                        <span id="ErrDistrictNameID" style="color: red;" class="error_msg"></span>
                    </div>
                    <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                        <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </div>
                </form>
            </div>
            <div class="modal-footer mb-3">
                 <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="add()" class="btn-save">Save</button>
            </div>
        </div>                                                                                                                     
    </div>
</div>
    
   
   
<script>


function list() {
      $('#Success').modal("hide");
    $.post(URL+ "webservice.php?action=l&method=ms","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.Code + '</td>'
                            + '<td>' + data.BoardOfEducation + '</td>' 
                            + '<td>' + data.Category + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                            + '<td style="text-align:right">' 
                                + '<span onclick="editform(\''+data.ID+'\')" class="editLink"  title="Edit Record"><i class="fi fi-rs-pencil"></i></span>&nbsp;&nbsp;'
                                + '<span onclick="viewform(\''+data.ID+'\')" class="viewLink"  title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                                + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'macbel\',\''+data.BoardOfEducation+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                            + '</td>'
                          + '</tr>'
                      + '</tr>';
                i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="5" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}

setTimeout("list()",2000);

function addform(){
  $('#confirmationtoadd').modal("show");
  $('#ContactPersonName').val("");    
  $('#RelationName').val("0");    
  $('#MobileNumber').val("");    
  $('#WhatsAppNumber').val("");    
  $('#Email').val("");    
  $('#AddressLine').val("");    
  $('#CountryNameID').val("0");    
  $('#StateNameID').val("0");    
  $('#DistrictNameID').val("0"); 
  
  $('#ErrContactPersonName').html("");    
  $('#ErrRelationName').html("");    
  $('#ErrMobileNumber').html("");    
  $('#ErrWhatsAppNumber').html("");    
  $('#ErrEmail').html("");    
  $('#ErrAddressLine').html("");    
  $('#ErrCountryNameID').html("");    
  $('#ErrStateNameID').html("");    
  $('#ErrDistrictNameID').html(""); 
  
   $("#ContactPersonName").removeClass("highlight_error");   
   $("#RelationName").removeClass("highlight_error");   
   $("#MobileNumber").removeClass("highlight_error");   
   $("#WhatsAppNumber").removeClass("highlight_error");   
   $("#Email").removeClass("highlight_error");   
   $("#AddressLine").removeClass("highlight_error");   
   $("#AddressLine").removeClass("highlight_error");   
   $("#CountryNameID").removeClass("highlight_error");   
   $("#StateNameID").removeClass("highlight_error");   
   $("#DistrictNameID").removeClass("highlight_error");   
}


function add(){
    
    var error = 0;
       if ($('#ContactPersonName').val()==""){
            $('#ErrContactPersonName').html("Please enter Contact Person Name");
            $("#ContactPersonName").addClass("highlight_error");
            error++;
    }  else {
            $("#ContactPersonName").removeClass("highlight_error");
            $('#ErrContactPersonName').html(""); 
    }
    if ($('#RelationName').val()=="0"){
            $('#ErrRelationName').html("Please select Relation Name");
            $("#RelationName").addClass("highlight_error");
            error++;
    }  else {
             $("#RelationName").removeClass("highlight_error");
            $('#ErrRelationName').html(""); 
    }
    if ($('#AddressLine').val()==""){
            $('#ErrAddressLine').html("Please enter Address Line");
            $("#AddressLine").addClass("highlight_error");
            error++;
    }  else {
             $("#AddressLine").removeClass("highlight_error");
            $('#ErrAddressLine').html(""); 
    }
    if ($('#AddressLine').val()==""){
            $('#ErrAddressLine').html("Please enter Address Line");
            $("#AddressLine").addClass("highlight_error");
            error++;
    }  else {
             $("#AddressLine").removeClass("highlight_error");
            $('#ErrAddressLine').html(""); 
    }
    if ($('#CountryNameID').val()=="0"){
            $('#ErrCountryNameID').html("Please select Country Name");
            $("#CountryNameID").addClass("highlight_error");
            error++;
    }  else {
             $("#CountryNameID").removeClass("highlight_error");
            $('#ErrCountryNameID').html(""); 
    }
    if ($('#StateNameID').val()=="0"){
            $('#ErrStateNameID').html("Please select State Name");
            $("#StateNameID").addClass("highlight_error");
            error++;
    }  else {
             $("#StateNameID").removeClass("highlight_error");
            $('#ErrStateNameID').html(""); 
    }
    if ($('#DistrictNameID').val()=="0"){
            $('#ErrDistrictNameID').html("Please select District Name");
            $("#DistrictNameID").addClass("highlight_error");
            error++;
    }  else {
             $("#DistrictNameID").removeClass("highlight_error");
            $('#ErrDistrictNameID').html(""); 
    }
  
    
  
    if(error==0){
        $('#confirmationtoadd').modal("hide"); 
             $('#Success').modal("show");
      /*  var param = $('#frm_create').serialize();
        $.post(URL+"webservice.php?action=a&method=maigl",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmationtoadd').modal("hide"); 
             $('#Success').modal("show");    
        }   else {
            if (obj.div=="") {
                $('#ErrCommon').html(print_inlineError(obj.message));
            } else {
                $('#Err'+obj.div).html(obj.message);   
            }
        }
    });*/
   } 
   
}

function listCountryNames(formID,selectboxID,selected) {
    var param = $('#'+formID).serialize();
    $.post(URL+ "webservice.php?action=lac&method=mccol",param,function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'>Select Country Name</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.CountryName+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
             var html = "<option value='0'>Select Country Name</option>";
              $('#'+selectboxID).html(html);
           // $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}



function listStateNames(formID,selectboxID,selected) {
    
    var html = "<option value='0'>Select State Name</option>";
             $('#'+selectboxID).html(html);
    if (formID=="frm_create") {
          if ($('#CountryNameID').val()=="0") {
              var html = "<option value='0'>Select State Name</option>";
             $('#'+selectboxID).html(html);
          }
    }
  /*  if (formID=="frm_edit") {
         if ($('#editCountryNameID').val()=="0") {
              var html = "<option value='0'>Select State Name</option>";
             $('#'+selectboxID).html(html);
          }
        
    }   */
      var param = $('#'+formID).serialize();
    $.post(URL+ "webservice.php?action=labc&method=mcsnl",param,function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            if (obj.data.length>0) {
            var html = "<option value='0'>Select State Name</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+ data.ID +'" '+((data.ID==selected) ? ' selected="selected" ' : '')+' ">'+data.StateName+'</option>';
            });
            $('#'+selectboxID).html(html);
            }
        } else {
             var html = "<option value='0'>Select State Name</option>";
             $('#'+selectboxID).html(html);
           // $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listDistrictNames(formID,selectboxID,selected) {
    
    var html = "<option value='0'>Select District Name</option>";
             $('#'+selectboxID).html(html);
    if (formID=="frm_create") {
          if ($('#StateNameID').val()=="0") {
              var html = "<option value='0'>Select State Name</option>";
             $('#'+selectboxID).html(html);
          }
    }
  /*  if (formID=="frm_edit") {
         if ($('#editCountryNameID').val()=="0") {
              var html = "<option value='0'>Select State Name</option>";
             $('#'+selectboxID).html(html);
          }
        
    }   */
      var param = $('#'+formID).serialize();
    $.post(URL+ "webservice.php?action=l&method=mcdnl",param,function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            if (obj.data.length>0) {
            var html = "<option value='0'>Select District Name</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+ data.ID +'" '+((data.ID==selected) ? ' selected="selected" ' : '')+' ">'+data.DistrictName+'</option>';
            });
            $('#'+selectboxID).html(html);
            }
        } else {
             var html = "<option value='0'>Select District Name</option>";
             $('#'+selectboxID).html(html);
           // $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

        
</script>

