<?php include_once("sidemenu.php");?>
<div class="user-dashboard">
    <div class="container">
      <h3 class="title">Academic Details</h3>
       <div class="row">
        <div class="col-12 col-xl-12">                                          
                <div class="card mb-2" style="border: none;">
                    <div class="card-body">   
                      <form id="frm_create" name="frm_create" autocomplete="off" method="post">
                        <div class="row">
                             <div class="col-sm-4">
                                <label class="form-label">Account Year</label><span style='color:red'>*</span>
                                 <input class="form-control form-control-sm" type="text" id="AccountYear" name="AccountYear" placeholder="Account Year" value="" onkeypress="clearInput('AccountYear')"></input> 
                                  <span id="ErrAccountYear" style="color: red;" class="error_msg"></span>
                            </div>
                            <div class="col-4">
                                <label class="form-label">Department</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="DepartmentID" id="DepartmentID" onchange="clearInput('DepartmentID')">
                                    <option value="0">Select Department</option>
                                 </select>
                                <span id="ErrDepartmentID" class="error_msg" style="color: red;"></span>
                            </div>
                            <div class="col-4 mb-3">
                                <label class="form-label">Course Name</label><span style='color:red'>*</span>
                                <select class="form-select form-select-sm" name="CourseNameID" id="CourseNameID" onchange="clearInput('CourseNameID')">
                                    <option value="0">Select Course Name</option>
                                 </select>
                                <span id="ErrCourseNameID" class="error_msg" style="color: red;"></span>
                            </div>
                         </div>  
                        </form> 
                        <div class="col-12 mb-3" style="text-align: right;">
                            <button type="button" onclick="confirmationtoSubmit()" class="btn-save">Add</button>    
                        </div>
                    </div>
                </div>                                                                      
        </div>
    </div>
</div>
</div>

<div class="modal fade" id="confirmation" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" onclick="event.stopPropagation()">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Confirmation</h5>
                 <button type="button" class="btn-close" data-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                  Do you want Add? 
            </div>
            <div class="modal-footer">
                <button type="button" class="btn-cancel" data-dismiss="modal">Cancel</button>
                <button type="button" onclick="Submit()" class="btn-save" style="width: 100px;">Yes, Continue</button>
            </div>
        </div>
    </div>
</div>


<div class="modal fade" id="Success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body" style="text-align: center;">
                <div id="sucess">
                    <img id="Sucess" style="width: 150px;" src="assets/sucess.gif" alt=""/>
                </div>
                <h3 class="title">Success.</h3>  
                 <button type="button" onclick="openPage('apgl')" class="btn-save">Continue</button>         
            </div>
        </div>
    </div>
</div>

<script>
listDepartments("0","DepartmentID");
listCourseNames("0","CourseNameID");

$('#AccountYear').val("");
$('#DepartmentID').val("0");
$('#CourseNameID').val("0");
 
 $('#ErrAccountYear').html("");
 $("#AccountYear").removeClass("highlight_error");
 
 $('#ErrDepartmentID').html("");
 $("#DepartmentID").removeClass("highlight_error");
 
 $('#ErrCourseNameID').html("");
 $("#CourseNameID").removeClass("highlight_error");
 
function confirmationtoSubmit(){ 
     var error = 0;
    if ($('#AccountYear').val()==""){
            $('#ErrAccountYear').html("Please enter Account Year");
          $("#AccountYear").addClass("highlight_error"); 
            error++;
    }  else {
         $("#AccountYear").removeClass("highlight_error"); 
            $('#ErrAccountYear').html(""); 
    } 
     if ($('#DepartmentID').val()=="0"){
            $('#ErrDepartmentID').html("Please select Department");
        $("#DepartmentID").addClass("highlight_error"); 
           error++;
    }  else {
            $("#DepartmentID").removeClass("highlight_error"); 
            $('#ErrDepartmentID').html(""); 
    } 
    if ($('#CourseNameID').val()=="0"){
            $('#ErrCourseNameID').html("Please select Course Name");
        $("#CourseNameID").addClass("highlight_error"); 
           error++;
    }  else {
            $("#CourseNameID").removeClass("highlight_error"); 
            $('#ErrCourseNameID').html(""); 
    } 
     if(error==0){
        $('#confirmation').modal("show"); 
   }
}
      
    function Submit(){
        var param = $('#frm_create').serialize();
        $.post(URL+"webservice.php?action=a&method=apgn",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
              $('#confirmation').modal("hide"); 
             $('#Success').modal("show");    
        }   else {
           // $('#ErrCommon').html(print_inlineError(obj.message));
        }
    });
   } 

function listDepartments(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=lac&method=madl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Department</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.Department+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listCourseNames(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=lac&method=macoul","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Course Name</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.CourseName+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}


</script>
     