<?php include_once("sidemenu.php");?>
<div class="user-dashboard">
    <div class="container">
      <h3 class="title">Additional Information</h3>
       <div class="row">
        <div class="col-12 col-xl-12">                                          
                <div class="card mb-2" style="border: none;">
                    <div class="card-body">   
                      <form id="frm_create" name="frm_create" autocomplete="off" method="post">
                        <div class="row">
                            <div class="col-sm-4">
                                <label class="form-label">University Enrollment Number</label><span style='color:red'>*</span>
                                 <input class="form-control form-control-sm" type="text" id="UniversityEnrollmentNumber" name="UniversityEnrollmentNumber" placeholder="University Enrollment Number" value="" onkeypress="clearInput('UniversityEnrollmentNumber')"></input> 
                                  <span id="ErrUniversityEnrollmentNumber" style="color: red;" class="error_msg"></span>
                            </div>
                            <div class="col-3">
                                <label class="form-label">Blood Group</label><span style='color:red'>*</span>
                                 <select class="form-select form-select-sm" name="BloodGroupID" id="BloodGroupID" onchange="clearInput('BloodGroupID')">
                                    <option value="0">Select Blood Group</option>
                                </select> 
                                  <span id="ErrBloodGroupID" style="color: red;" class="error_msg"></span>
                            </div>
                           <div class="col-12 mb-3">
                                <label class="form-label">Remarks</label>
                                    <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                                <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                            </div>
                         </div>  
                        </form> 
                        <div class="col-12 mb-3" style="text-align: right;">
                            <button type="button" onclick="confirmationtoSubmit()" class="btn-save">Add</button>    
                        </div>
                    </div>
                </div>                                                                      
                
        </div>
    </div>
</div>
</div>

<div class="modal fade" id="confirmation" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" onclick="event.stopPropagation()">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Confirmation</h5>
                 <button type="button" class="btn-close" data-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                  Do you want Add Additional Information? 
            </div>
            <div class="modal-footer">
                <button type="button" class="btn-cancel" data-dismiss="modal">Cancel</button>
                <button type="button" onclick="Submit()" class="btn-save" style="width: 100px;">Yes, Continue</button>
            </div>
        </div>
    </div>
</div>


<div class="modal fade" id="Success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body" style="text-align: center;">
                <div id="sucess">
                    <img id="Sucess" style="width: 150px;" src="assets/sucess.gif" alt=""/>
                </div>
                <h3 class="title">Success.</h3>  
                 <button type="button" onclick="openPage('apgl')" class="btn-save">Continue</button>         
            </div>
        </div>
    </div>
</div>

<script>
listBloodGroups("0","BloodGroupID");       
$('#UniversityEnrollmentNumber').val("");
$('#BloodGroupID').val("0");

 
 $('#ErrUniversityEnrollmentNumber').html("");
 $("#ApplicationNumber").removeClass("highlight_error");
 
 $('#ErrBloodGroupID').html("");
 $("#BloodGroupID").removeClass("highlight_error");
 
 
 
 
function confirmationtoSubmit(){ 
     var error = 0;
    if ($('#UniversityEnrollmentNumber').val()==""){
            $('#ErrUniversityEnrollmentNumber').html("Please enter University Enrollment Number");
          $("#UniversityEnrollmentNumber").addClass("highlight_error"); 
            error++;
    }  else {
         $("#UniversityEnrollmentNumber").removeClass("highlight_error"); 
            $('#ErrUniversityEnrollmentNumber').html(""); 
    } 
  
     if ($('#BloodGroupID').val()=="0"){
            $('#ErrBloodGroupID').html("Please select Blood Group");
         $("#BloodGroupID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#BloodGroupID").removeClass("highlight_error"); 
            $('#ErrBloodGroupID').html(""); 
    }
      if(error==0){
        $('#confirmation').modal("show"); 
   }
}
      
    function Submit(){
        var param = $('#frm_create').serialize();
        $.post(URL+"webservice.php?action=a&method=apgn",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
              $('#confirmation').modal("hide"); 
             $('#Success').modal("show");    
        }   else {
           // $('#ErrCommon').html(print_inlineError(obj.message));
        }
    });
   } 

   function listBloodGroups(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=lac&method=mcbgl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Blood Group</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.BloodGroup+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
          //  $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
} 

     

/* Numbers only*/ 
var arr = ["SecondaryScoredMarks","HscScoredMarks","SecondaryTotalMarks","HscTotalMarks"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
                var notallowkeys = [32,173,16,48,49,50,51,52,53,54,55,56,57,16,188,190,191,59,222,220,219,221,61,192,111,106,109,107,46,110,190,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90]
                var allowedkeys  = [9,8,46,35,36,37,38,39,40,48,49,50,51,52,53,54,55,56,57,103,104,105,100,101,102,97,98,99,96]
                if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}


</script>
     