<?php include_once("sidemenu.php");?>
<div class="user-dashboard">
    <div class="container">
      <h3 class="title">Application Details</h3>
       <div class="row">
        <div class="col-12 col-xl-12">                                          
                <div class="card mb-2" style="border: none;">
                    <div class="card-body">   
                      <form id="frm_create" name="frm_create" autocomplete="off" method="post">
                        <div class="row">
                            <div class="col-sm-4">
                                <label class="form-label">Application Number</label><span style='color:red'>*</span>
                                 <input class="form-control form-control-sm" type="text" id="ApplicationNumber" name="ApplicationNumber" placeholder="Application Number" value="" onkeypress="clearInput('ApplicationNumber')"></input> 
                                  <span id="ErrApplicationNumber" style="color: red;" class="error_msg"></span>
                            </div>
                            <div class="col-md-4 mb-3">
                                <label class="form-label">Application Submitted Date<span style='color:red'>*</span></label>
                                <input class="form-control form-control-sm"  name="SubmittedDate" id="SubmittedDate" placeholder="Submitted Date" type="date" style="background:#fff" onchange="clearInput('SubmittedDate')" autocomplete="off">
                                <div id="ErrSubmittedDate" style="color:red"  class="error_msg"></div>
                            </div>
                             <div class="col-4 mb-3"></div>
                             <p style="margin-bottom: 2px; font-weight: bold;">Secondary Education</p>
                             <div class="col-3">
                                <label class="form-label">Board Of Education</label><span style='color:red'>*</span>
                                  <?php $SecondaryEducations = getResponseData("macbel","labycate",array("Category"=>"SecondarySchool")); ?>   
                                        <select class="form-select form-select-sm" name="SecondaryBoardOfEducation" id="SecondaryBoardOfEducation" onchange="clearInput('SecondaryBoardOfEducation')">
                                            <option value="0">Select Board Of Education</option>
                                            <?php foreach($SecondaryEducations as $SecondaryEducation) {?>   
                                            <option value="<?php echo $SecondaryEducation['ID'];?>"><?php echo $SecondaryEducation['BoardOfEducation'];?></option>
                                            <?php } ?>
                                        </select> 
                                  <span id="ErrSecondaryBoardOfEducation" style="color: red;" class="error_msg"></span>
                            </div>
                              <div class="col-3">
                                <label class="form-label">Scored Marks</label><span style='color:red'>*</span>
                                <div class="input-group">
                                    <input type="text" class="form-control form-control-sm" maxlength="3" placeholder="Scored Marks" id="SecondaryScoredMarks" name="SecondaryScoredMarks" onkeypress="clearInput('SecondaryScoredMarks')" onkeyup="getSecondaryPercentage();">
                                     <div class="input-group-prepend">
                                    <span class="form-control form-control-sm" style="font-size: .875rem; max-width: fit-content;">Out Of</span>
                                    </div>
                                    <input type="text" class="form-control form-control-sm" maxlength="3" placeholder="Total Marks" id="SecondaryTotalMarks" name="SecondaryTotalMarks" onkeypress="clearInput('SecondaryTotalMarks');$('#ErrSecondaryScoredMarks').html('');">
                                </div>
                                <span id="ErrSecondaryScoredMarks" style="color: red;" class="error_msg"></span>
                            </div> 
                             <div class="col-3">
                                 <label class="form-label">Percentage</label>
                                 <input class="form-control form-control-sm" readonly="readonly" type="text" id="SecondaryPercentage" name="SecondaryPercentage" placeholder="Percentage" value="" onkeypress="clearInput('SecondaryPercentage')"></input> 
                                  <span id="ErrSecondaryPercentage" style="color: red;" class="error_msg"></span>
                            </div>
                             <script>
                            function getSecondaryPercentage(){
                               
                                 if ((($('#SecondaryScoredMarks').val())) >= ($('#SecondaryTotalMarks').val())) {
                                     $("#SecondaryScoredMarks").addClass("highlight_error");  
                                    $('#ErrSecondaryScoredMarks').html("Scored Marks must be less than Total Marks");   
                                    } else {
                                      $("#SecondaryScoredMarks").removeClass("highlight_error");     
                                    }
                                  if ($('#SecondaryScoredMarks').val()=="" || $('#SecondaryTotalMarks').val()==""){
                                        $('#SecondaryPercentage').val("");
                                        }  else {
                                      $('#SecondaryPercentage').val( (parseInt($('#SecondaryScoredMarks').val())/parseInt($('#SecondaryTotalMarks').val()))*100)
                                  }
                                } 
                           function getHscPercentage() {
                                 if ((($('#HscScoredMarks').val())) >= ($('#HscTotalMarks').val())) {
                                     $("#HscScoredMarks").addClass("highlight_error");  
                                    $('#ErrHscScoredMarks').html("Scored Marks must be less than Total Marks");   
                                    } else {
                                      $("#HscScoredMarks").removeClass("highlight_error");     
                                    }
                                if ($('#HscScoredMarks').val()=="" || $('#HscTotalMarks').val()==""){
                                        $('#HscPercentage').val("");
                                }  else {
                                      $('#HscPercentage').val( (parseInt($('#HscScoredMarks').val())/parseInt($('#HscTotalMarks').val()))*100)
                                }
                            }
                            </script>
                            <div class="col-3 mb-3">
                             <label class="form-label">Year Of Passed Out</label><span style='color:red'>*</span>
                                 <?php $PassedYears = getResponseData("macpyl","l",""); ?>   
                                     <select class="form-select form-select-sm" name="SecondaryPassedYear" id="SecondaryPassedYear" onchange="clearInput('SecondaryPassedYear')">
                                        <option value="0">Select Year</option>
                                        <?php foreach($PassedYears as $PassedYear) {?>   
                                        <option value="<?php echo $PassedYear['ID'];?>"><?php echo $PassedYear['PassedOutYear'];?></option>
                                        <?php } ?>
                                     </select>
                                <span id="ErrSecondaryPassedYear" style="color: red;" class="error_msg"></span>
                           </div>
                             <p style="margin-bottom: 2px; font-weight: bold;">Higher Secondary Education</p>
                              <div class="col-3">
                                <label class="form-label">Board Of Education</label><span style='color:red'>*</span>
                                  <?php $HscEducations = getResponseData("macbel","labycate",array("Category"=>"HigherSecondary")); ?>   
                                        <select class="form-select form-select-sm" name="HscBoardOfEducation" id="HscBoardOfEducation" onchange="clearInput('HscBoardOfEducation')">
                                            <option value="0">Select Board Of Education</option>
                                            <?php foreach($HscEducations as $HscEducation) {?>   
                                            <option value="<?php echo $HscEducation['ID'];?>"><?php echo $HscEducation['BoardOfEducation'];?></option>
                                            <?php } ?>
                                        </select> 
                                  <span id="ErrHscBoardOfEducation" style="color: red;" class="error_msg"></span>
                            </div>
                            <div class="col-3">
                                 <label class="form-label">HSC Group Name</label><span style='color:red'>*</span>
                                     <?php $HscGroupNames = getResponseData("machgnl","l",""); ?>   
                                     <select class="form-select form-select-sm" name="HscGroupNameID" id="HscGroupNameID" onchange="clearInput('HscGroupNameID')">
                                        <option value="0">Select Group Name</option>
                                        <?php foreach($HscGroupNames as $HscGroupName) {?>   
                                        <option value="<?php echo $HscGroupName['ID'];?>"><?php echo $HscGroupName['HscGroupName'];?></option>
                                        <?php } ?>
                                     </select>
                                  <span id="ErrHscGroupNameID" style="color: red;" class="error_msg"></span>
                            </div>
                             <div class="col-3">
                            <label class="form-label">Scored  Marks</label><span style='color:red'>*</span>
                            <div class="input-group">
                                <input type="text" class="form-control form-control-sm" maxlength="3" placeholder="Scored Marks" id="HscScoredMarks" name="HscScoredMarks" onkeypress="clearInput('HscScoredMarks')" onkeyup="getHscPercentage();">
                                <div class="input-group-prepend">
                                <span class="form-control form-control-sm" style="font-size: .875rem;max-width: fit-content;">Out Of</span>
                                </div>
                                <input type="text" class="form-control form-control-sm" maxlength="3" placeholder="Total Marks" id="HscTotalMarks" name="HscTotalMarks" onkeypress="clearInput('HscTotalMarks');$('#ErrHscScoredMarks').html('');">
                            </div>
                                 <span id="ErrHscScoredMarks" style="color: red;" class="error_msg"></span>
                            </div>
                             <div class="col-3">
                                 <label class="form-label">Percentage</label>
                                 <input class="form-control form-control-sm" readonly="readonly" type="text" id="HscPercentage" name="HscPercentage" placeholder="Percentage" value="" onkeypress="clearInput('HscPercentage')"></input> 
                                  <span id="ErrHscPercentage" style="color: red;" class="error_msg"></span>
                            </div>
                            <div class="col-3">
                             <label class="form-label">Year Of Passed Out</label><span style='color:red'>*</span>
                                 <?php $PassedYears = getResponseData("macpyl","l",""); ?>   
                                     <select class="form-select form-select-sm" name="HscPassedYear" id="HscPassedYear" onchange="clearInput('HscPassedYear')">
                                        <option value="0">Select Year</option>
                                        <?php foreach($PassedYears as $PassedYear) {?>   
                                        <option value="<?php echo $PassedYear['ID'];?>"><?php echo $PassedYear['PassedOutYear'];?></option>
                                        <?php } ?>
                                     </select>
                                <span id="ErrHscPassedYear" style="color: red;" class="error_msg"></span>
                           </div>
                           <div class="col-12 mb-3">
                                <label class="form-label">Remarks</label>
                                    <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')">
                                <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                            </div>
                         </div>  
                        </form> 
                        <div class="col-12 mb-3" style="text-align: right;">
                            <button type="button" onclick="$('#frm_create').trigger('reset');" class="btn-save">Reset</button>    
                            <button type="button" onclick="confirmationtoSubmit()" class="btn-save">Add Student</button>    
                        </div>
                    </div>
                </div>                                                                      
                
        </div>
    </div>
</div>
</div>

<div class="modal fade" id="confirmation" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" onclick="event.stopPropagation()">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Confirmation</h5>
                 <button type="button" class="btn-close" data-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                 Do you want Add Student? 
            </div>
            <div class="modal-footer">
                <button type="button" class="btn-cancel" data-dismiss="modal">Cancel</button>
                <button type="button" onclick="Submit()" class="btn-save">Yes, Continue</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="Success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body" style="text-align: center;">
                <div id="sucess">
                    <img id="Sucess" style="width: 150px;" src="assets/sucess.gif" alt=""/>
                </div>
                <h3 class="title">Successfully Added.</h3>  
                 <button type="button" href="javascript:void(0)" onclick="dashboard()" class="btn-save">Continue</button>         
            </div>
        </div>
    </div>
</div>

<script>
$('#ApplicationNumber').val("");
$('#SubmittedDate').val("");
$('#SecondaryBoardOfEducation').val("0");
$('#HscBoardOfEducation').val("0");
$('#HscGroupNameID').val("0");
$('#HscScoredMarks').val("");
$('#HscPercentage').val("");
$('#HscPassedYear').val("0");
$('#SecondaryGroupNameID').val("0");
$('#SecondaryScoredMarks').val("");
$('#SecondaryPercentage').val("");
$('#SecondaryPassedYear').val("0");

 
 $('#ErrApplicationNumber').html("");
 $("#ApplicationNumber").removeClass("highlight_error");
 
 $('#ErrSubmittedDate').html("");
 $("#SubmittedDate").removeClass("highlight_error");
 
 $('#ErrSecondaryBoardOfEducation').html("");
 $("#SecondaryBoardOfEducation").removeClass("highlight_error");
 
 $('#ErrHscBoardOfEducation').html("");
 $("#HscBoardOfEducation").removeClass("highlight_error"); 
 
 $('#ErrHscGroupNameID').html("");
 $("#HscGroupNameID").removeClass("highlight_error"); 
 
 $('#ErrHscScoredMarks').html("");
 $("#HscScoredMarks").removeClass("highlight_error");
 
 $('#ErrHscPercentage').html("");
 $("#HscPercentage").removeClass("highlight_error");
 
 $('#ErrHscPassedYear').html("");
 $("#HscPassedYear").removeClass("highlight_error"); 
 
 $('#ErrSecondaryGroupNameID').html("");
 $("#SecondaryGroupNameID").removeClass("highlight_error");
 
 $('#ErrSecondaryScoredMarks').html("");
 $("#SecondaryScoredMarks").removeClass("highlight_error");
 
 $('#ErrSecondaryScoredMarks').html("");
 $("#SecondaryScoredMarks").removeClass("highlight_error");
 
 $('#ErrSecondaryPercentage').html("");
 $("#SecondaryPercentage").removeClass("highlight_error");
 
 $('#ErrSecondaryPassedYear').html("");
 $("#SecondaryPassedYear").removeClass("highlight_error");
 
 
function confirmationtoSubmit(){ 
     var error = 0;
    if ($('#ApplicationNumber').val()==""){
            $('#ErrApplicationNumber').html("Please enter Application Number");
          $("#ApplicationNumber").addClass("highlight_error"); 
            error++;
    }  else {
         $("#ApplicationNumber").removeClass("highlight_error"); 
            $('#ErrApplicationNumber').html(""); 
    } 
    if ($('#SubmittedDate').val()==""){
            $('#ErrSubmittedDate').html("Please select Application Submitted Date");
          $("#SubmittedDate").addClass("highlight_error"); 
            error++;
    }  else {
         $("#SubmittedDate").removeClass("highlight_error"); 
            $('#ErrSubmittedDate').html(""); 
    } 
     if ($('#SecondaryBoardOfEducation').val()=="0"){
            $('#ErrSecondaryBoardOfEducation').html("Please select Board of Education");
         $("#SecondaryBoardOfEducation").addClass("highlight_error"); 
            error++;
    }  else {
         $("#SecondaryBoardOfEducation").removeClass("highlight_error"); 
            $('#ErrSecondaryBoardOfEducation').html(""); 
    }
      
     if ($('#SecondaryTotalMarks').val()=="") {
            $('#ErrSecondaryScoredMarks').html("Please enter Total Marks");
           $("#SecondaryTotalMarks").addClass("highlight_error");
           error++;
    }  else {
           if ($('#SecondaryScoredMarks').val()==""){
            $('#ErrSecondaryScoredMarks').html("Please enter Scored Marks");
            $("#SecondaryScoredMarks").addClass("highlight_error");
            error++;
    }  else {
           $("#SecondaryScoredMarks").removeClass("highlight_error");
            $('#ErrSecondaryScoredMarks').html("");  
    } 
    } 
    if ($('#SecondaryPassedYear').val()=="0"){
            $('#ErrSecondaryPassedYear').html("Please select Year Of Passed Out");
         $("#SecondaryPassedYear").addClass("highlight_error"); 
            error++;
    }  else {
         $("#SecondaryPassedYear").removeClass("highlight_error"); 
            $('#ErrSecondaryPassedYear').html(""); 
    } 
    if ($('#HscBoardOfEducation').val()=="0"){
            $('#ErrHscBoardOfEducation').html("Please select Board Of Education");
         $("#HscBoardOfEducation").addClass("highlight_error"); 
            error++;
    }  else {
         $("#HscBoardOfEducation").removeClass("highlight_error"); 
            $('#ErrHscBoardOfEducation').html(""); 
    }
    if ($('#HscGroupNameID').val()=="0"){
            $('#ErrHscGroupNameID').html("Please select Hsc Group Name");
         $("#HscGroupNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#HscGroupNameID").removeClass("highlight_error"); 
            $('#ErrHscGroupNameID').html(""); 
    }  
    if ($('#HscTotalMarks').val()=="") {
            $('#ErrHscScoredMarks').html("Please enter Total Marks");
           $("#HscTotalMarks").addClass("highlight_error");
           error++;
    }  else {
           if ($('#HscScoredMarks').val()==""){
            $('#ErrHscScoredMarks').html("Please enter Scored Marks");
            $("#HscScoredMarks").addClass("highlight_error");
            error++;
    }  else {
           $("#HscTotalMarks").removeClass("highlight_error");
            $('#ErrHscScoredMarks').html("");  
    } 
    } 
    if ($('#HscPassedYear').val()=="0"){
            $('#ErrHscPassedYear').html("Please select Year Of Passed Out");
         $("#HscPassedYear").addClass("highlight_error"); 
            error++;
    }  else {
         $("#HscPassedYear").removeClass("highlight_error"); 
            $('#ErrHscPassedYear').html(""); 
    } 
     if(error==0) {
       $('#confirmation').modal("show"); 
    } else {
        $('#ErrCommon').html(print_inlineError(obj.message)); 
     }
      /*  if(error==0){
        var param = $('#frm_create').serialize();
        $.post(URL+"webservice.php?action=a&method=mabl",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmationtoadd').modal("hide"); 
             $('#Success').modal("show");    
        }   else {
            $('#ErrCommon').html(print_inlineError(obj.message));
        }
    });
   }  */
    
}
     

/* Numbers only*/ 
var arr = ["SecondaryScoredMarks","HscScoredMarks","SecondaryTotalMarks","HscTotalMarks"];
for (var i=0; i<arr.length; i++) {
    if ($('#'+arr[i]).length){
        document.getElementById(arr[i]).addEventListener("keydown",function(e) {   
            var keyCode = e.keyCode || e.which;
            if (e.ctrlKey || e.altKey) {
                e.preventDefault();
            } else {
                var notallowkeys = [32,173,16,48,49,50,51,52,53,54,55,56,57,16,188,190,191,59,222,220,219,221,61,192,111,106,109,107,46,110,190,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90]
                var allowedkeys  = [9,8,46,35,36,37,38,39,40,48,49,50,51,52,53,54,55,56,57,103,104,105,100,101,102,97,98,99,96]
                if (e.shiftKey) {
                    if (notallowkeys.includes(keyCode)) {
                        e.preventDefault();
                    }
                } else {
                    if (!(allowedkeys.includes(keyCode))) {
                        e.preventDefault();
                    }
                }
            }
        });
        $('#'+arr[i]).on("cut copy paste",function(e){
            e.preventDefault();
        });  
    } 
}


</script>
     