<?php include_once("sidemenu.php");?>
<style>
.drop_zone {
  border: 2px dashed #23ae52;
  border-radius: 4px;
  padding: 15px;
  height: 172px;
  transition: background-color .1s linear .1s;
  text-align: center;
  position: relative;
}

.drop_zone.dragover {
  background-color: #F5F5F5;
}

.drop_zone > span {
  color: #CCCCD3;
  font-size: 12pt;
  text-align: center;
  display: block;
  margin-bottom: 5px;
  z-index: -1;
  pointer-events: none;
}

.drop_zone > label {
  background: #EEE;
}

.drop_zone > label > input {
  display: none;
}
.dashed_highlight_error {
    border:2px dashed #dc3545 !important;
}

.glyphicon-refresh-animate {
    -animation: spin .7s infinite linear;
    -webkit-animation: spin2 .7s infinite linear;
}

@-webkit-keyframes spin2 {
    from { -webkit-transform: rotate(0deg);}
    to { -webkit-transform: rotate(360deg);}
}

@keyframes spin {
    from { transform: scale(1) rotate(0deg);}
    to { transform: scale(1) rotate(360deg);}
}
</style> 
<div class="user-dashboard">
    <div class="container">
       <div class="row">
            <div class="col-6"> 
                <h3>Documents</h3>
            </div>
            <div class="col-6" style="text-align: right;"> 
                <button class="btn-save" onclick="addform()">New</button>&nbsp;
                <button class="btn-save" onclick="list()">Refresh</button>
            </div>
            <div class="col-xl-12 col-lg-12">
                <table id="listTable" class="table" style="width:100%">
                    <thead>
                        <tr>
                            <th>Document Type</th>
                            <th>Document Title</th>
                           <th style="width:80px">Status</th>
                           <th style="width:100px" class="nosort"></th>
                        </tr>
                    </thead>
                    <tbody id="tbl_content">
                        <tr>
                            <td colspan='5'>
                                <?php echo loadingText("Loading Documents");?>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
</div>
</div> 
<div class="modal fade" id="confirmationtoadd" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered"  style="max-width: 800px !important;">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">New Document</h5>
                <button type="button" class="btn-close" data-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                 <form id="frm_create" name="frm_create" method="post" enctype="multipart/form-data" autocomplete="off">
                <div class="row">
                 <span id="ErrCommon"></span>
                 <div class="col-sm-6 mb-3">
                        <label class="form-label">Document Type</label><span style='color:red'>*</span>
                        <?php $DocumentTypes = getResponseData("mcdtl","l",""); ?>   
                          <select class="form-select form-select-sm" name="DocumentType" id="DocumentType" onchange="clearInput('DocumentType')">
                            <option value="0">Select Document Type</option>
                            <?php foreach($DocumentTypes as $DocumentType) {?>   
                            <option value="<?php echo $DocumentType['ID'];?>"><?php echo $DocumentType['DocumentType'];?></option>
                            <?php } ?>
                        </select>
                          <span id="ErrDocumentType" style="color: red;" class="error_msg"></span>
                    </div>
                    <div class="col-6"></div>                                                                                
                    <div class="col-12">                                                                                
                    <div id="theWidget" class="dnd-file-upload-widget">
                      <div class="form-group drop_zone" id="Attachments" name="Attachments" onclick="clearError('Attachments')">
                        <i class="fa fa-cloud-upload" style="font-size:48px;"></i>
                        <span>Drag files here to attach</span>
                        <span>or</span>
                        <label class="btn btn-default">
                          Select files
                          <input type="file" multiple="" />
                        </label>
                      </div>
                        <span id="ErrAttachments" style="color: red;" class="error_msg"></span>
                      <div class="files-container" id="files" style="margin-top: 6px;"></div>

                      <div class="form-group text-right" style="text-align: center !important;">
                        <button class="btn-save">
                          Upload
                        </button>
                        <!--<button class="btn btn-default dnd-file-upload-widget-uploading-button hidden" disabled="">
                          Uploading...
                          <span class="glyphicon glyphicon-refresh glyphicon-refresh-animate"></span>
                        </button>-->
                        <span class="text-danger dnd-file-upload-widget-size-error hidden"></span>
                      </div>
                    </div>
                   
                    </div> 
                     <div class="col-12">
                        <label class="form-label">Remarks</label>
                        <input class="form-control form-control-sm" type="text" id="Remarks" name="Remarks" placeholder="Remarks" value="" onkeypress="clearInput('Remarks')"></input>
                        <span id="ErrRemarks" class="error_msg" style="color: red;"></span>
                    </div>
                </form>
                <div class="modal-footer mb-3">
                 <button type="button" data-dismiss="modal" class="btn-cancel">Cancel</button>
                 <button type="button" href="javascript:void(0)" onclick="confirmationtoSubmit()" class="btn-save">Save</button>
            </div>
            </div>
            
        </div>                                                                                                                     
    </div>
</div>


<div class="modal fade" id="confirmation" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" onclick="event.stopPropagation()">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Confirmation</h5>
                 <button type="button" class="btn-close" data-dismiss="modal"></button>
            </div>
            <div class="modal-body">
                 Do you want Add Student? 
            </div>
            <div class="modal-footer">
                <button type="button" class="btn-cancel" data-dismiss="modal">Cancel</button>
                <button type="button" onclick="Submit()" class="btn-save">Yes, Continue</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="Success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body" style="text-align: center;">
                <div id="sucess">
                    <img id="Sucess" style="width: 150px;" src="assets/sucess.gif" alt=""/>
                </div>
                <h3 class="title">Successfully Added.</h3>  
                 <button type="button" href="javascript:void(0)" onclick="dashboard()" class="btn-save">Continue</button>         
            </div>
        </div>
    </div>
</div>

<script>

 function clearError(txtBox) {
     $('#Err'+txtBox).html("");
     $("#"+txtBox).removeClass("dashed_highlight_error");
}

function list() {
      $('#Success').modal("hide");
    $.post(URL+ "webservice.php?action=l&method=ms","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.Code + '</td>'
                            + '<td>' + data.BoardOfEducation + '</td>' 
                            + '<td>' + data.Category + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                            + '<td style="text-align:right">' 
                                + '<span onclick="editform(\''+data.ID+'\')" class="editLink"  title="Edit Record"><i class="fi fi-rs-pencil"></i></span>&nbsp;&nbsp;'
                                + '<span onclick="viewform(\''+data.ID+'\')" class="viewLink"  title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                                + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'macbel\',\''+data.BoardOfEducation+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                            + '</td>'
                          + '</tr>'
                      + '</tr>';
                i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="5" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
            $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}

setTimeout("list()",2000);

function addform(){
$('#confirmationtoadd').modal("show");  
   
$('#DocumentType').val("0"); 
$('#DocumentTitle').val(""); 


$('#ErrDocumentType').html(""); 
$('#ErrDocumentTitle').html(""); 
  
$("#DocumentType").removeClass("highlight_error");
$("#DocumentTitle").removeClass("highlight_error"); 
    
} 



 function confirmationtoSubmit(){
    var error = 0;
      if ($('#DocumentType').val()=="0"){
            $('#ErrDocumentType').html("Please select Document Type");
         $("#DocumentType").addClass("highlight_error");
          error++;
    }  else {
        $("#DocumentType").removeClass("highlight_error");
            $('#ErrDocumentType').html(""); 
    } 
    if ($('#DocumentTitle').val()==""){
            $('#ErrDocumentTitle').html("Please enter Document Title");
         $("#DocumentTitle").addClass("highlight_error");
          error++;
    }  else {
        $("#DocumentTitle").removeClass("highlight_error");
            $('#ErrDocumentTitle').html(""); 
    } 
    if ($('#files').val()==""){
            $('#ErrAttachments').html("Please upload files");
         $("#Attachments").addClass("dashed_highlight_error");
          error++;
    }  else {
        $("#Attachments").removeClass("dashed_highlight_error");
            $('#ErrAttachments').html(""); 
    }
  
    
  
    if(error==0){
        $('#confirmationtoadd').modal("hide"); 
             $('#Success').modal("show");
      /*  var param = $('#frm_create').serialize();
        $.post(URL+"webservice.php?action=a&method=maigl",param,function(data){
        var obj = JSON.parse(data); 
        if (obj.status=="success") {
             $('#confirmationtoadd').modal("hide"); 
             $('#Success').modal("show");    
        }   else {
            if (obj.div=="") {
                $('#ErrCommon').html(print_inlineError(obj.message));
            } else {
                $('#Err'+obj.div).html(obj.message);   
            }
        }
    });*/
   } 
   
}

var DndFileUploadWidget = (function defineDndFileUploadWidget() {

  /* public static fields */
  DndFileUploadWidget.DEFAULT_MAX_ALLOWED_TOTAL_BYTES = 10 * 1024 * 1024;

  function DndFileUploadWidget(widgetDom, uploadUrl, completeUrl, options) {
    this._widgetDom = widgetDom;
    this._uploadUrl = uploadUrl;
    this._completeUrl = completeUrl;
    this._csrfHeaderName = options && options.csrfHeaderName;
    this._csrfToken = options && options.csrfToken;
    this._maxAllowedTotalBytes = (options && options.maxAllowedTotalBytes) || DndFileUploadWidget.DEFAULT_MAX_ALLOWED_TOTAL_BYTES;

    var dropZone = this._dropZone = widgetDom.querySelector('.drop_zone');

    dropZone.addEventListener('drop', bind(this.drop_handler, this));
    dropZone.addEventListener('dragover', bind(this.dragover_handler, this));
    dropZone.addEventListener('dragleave', bind(this.dragleave_handler, this));
    dropZone.addEventListener('dragend', bind(this.dragend_handler, this));

    var labelInDropZone = dropZone.querySelector('label');
    labelInDropZone.addEventListener('drop', bind(this.drop_handler, this));
    labelInDropZone.addEventListener('dragover', bind(this.dragover_handler, this));
    labelInDropZone.addEventListener('dragleave', bind(this.dragleave_handler, this));
    labelInDropZone.addEventListener('dragend', bind(this.dragend_handler, this));

    var fileInputInDropZone = dropZone.querySelector('input[type="file"]');
    fileInputInDropZone.addEventListener('change', bind(this.fileSelected_handler, this));

    this.getUploadButton().addEventListener('click', bind(this.validateAndUpload, this));
  }

  /**
   * Public methods
   */
  DndFileUploadWidget.prototype.drop_handler = function(ev) {
    console.log("drop");
    this._dropZone.classList.remove('dragover');
    ev.preventDefault();
    // If dropped items aren't files, reject them
    var dt = ev.dataTransfer;
    if (dt.items) {
      // Use DataTransferItemList interface to access the file(s)
      for (var i = 0; i < dt.items.length; i++) {
        if (dt.items[i].kind === "file") {
          var f = dt.items[i].getAsFile();
          this.addFileUploadRow(f);
        }
      }
    } else {
      // Use DataTransfer interface to access the file(s)
      for (var i = 0; i < dt.files.length; i++) {
        var f = dt.files[i];
        this.addFileUploadRow(f);
      }
    }
    this.validate();
  };

  // Turn off the browser's default drag and drop handler.
  DndFileUploadWidget.prototype.dragover_handler = function(ev) {
    console.log("dragover");
    // Prevent default select and drag behavior
    ev.preventDefault();
    this._dropZone.classList.add('dragover');
  };

  DndFileUploadWidget.prototype.dragleave_handler = function(ev) {
    console.log("dragleave");
    this._dropZone.classList.remove('dragover');
  };

  // Fired when the drag operation ends (signaling the drop has occurred or the drag has been canceled).
  DndFileUploadWidget.prototype.dragend_handler = function(ev) {
    console.log("dragend");
    this._dropZone.classList.remove('dragover');
    // Remove all of the drag data
    var dt = ev.dataTransfer;
    if (dt.items) {
      // Use DataTransferItemList interface to remove the drag data
      for (var i = 0; i < dt.items.length; i++) {
        dt.items.remove(i);
      }
    } else {
      // Use DataTransfer interface to remove the drag data
      ev.dataTransfer.clearData();
    }
  };

  DndFileUploadWidget.prototype.addFileUploadRow = function(file) {
    var filesContainer = this.getFilesContainer();
    var filename = file.name;
    var fileSize = file.size;
    var domString = '<div class="row form-group"> <div class="col-xs-8 col-sm-8 col-md-8 col-lg-8"> <div class="text-left" style="line-height:32px">' + filename + '</div> </div> <div class="col-xs-2 col-sm-2 col-md-2 col-lg-2"> <div style="line-height:32px">' + humanReadableFileSize(fileSize) + '</div> </div> <div class="col-xs-2 col-sm-2 col-md-2 col-lg-2 text-right"> <button class="btn btn-danger dnd-file-upload-widget-remove-file-button"></i> Remove </button><i class="bi bi-trash"> </div> </div>'
    var parser = new DOMParser();
    var html = parser.parseFromString(domString, 'text/html');
    var fileUploadRow = html.body.firstChild;
    fileUploadRow.querySelector('button.dnd-file-upload-widget-remove-file-button')
      .addEventListener('click', bind(this.removeFileUploadRow, this));
    filesContainer.appendChild(fileUploadRow);
    fileUploadRow.file = file;
  };

  DndFileUploadWidget.prototype.removeFileUploadRow = function(ev) {
    var row = ev.target.parentNode.parentNode;
    row.parentNode.removeChild(row);
    this.validate();
  };

  DndFileUploadWidget.prototype.fileSelected_handler = function(event) {
    var fileList = event.target.files;
    for (var i = 0; i < fileList.length; i++) {
      var file = fileList[i];
      this.addFileUploadRow(file);
    }
    this.validate();
  };

  DndFileUploadWidget.prototype.validate = function() {
    var filesContainer = this.getFilesContainer();
    var totalSize = 0;
    var fileUploadRows = filesContainer.children;
    if (fileUploadRows.length === 0) {
      this.getUploadButton().classList.add('hidden');
      this.getSizeErrorSpan().classList.add('hidden');
      return false;
    }

    for (var i = 0; i < fileUploadRows.length; i++) {
      var fileUploadRow = fileUploadRows[i];
      var file = fileUploadRow.file;
      totalSize += file.size;
    }

    if (totalSize <= this._maxAllowedTotalBytes) {
      this.getUploadButton().classList.remove('hidden');
      this.getSizeErrorSpan().classList.add('hidden');
      return true;
    } else {
      this.getUploadButton().classList.add('hidden');
      this.getSizeErrorSpan().classList.remove('hidden');
      this.getSizeErrorSpan().innerText = 'Total file size must not be greater than ' + humanReadableFileSize(this._maxAllowedTotalBytes) + '. Current: ' + humanReadableFileSize(totalSize);
      return false;
    }
  };

  DndFileUploadWidget.prototype.validateAndUpload = function() {
    if (!this.validate()) {
      return;
    }
    var formData = new FormData();
    var filesContainer = this.getFilesContainer();
    var fileUploadRows = filesContainer.children;
    for(var i = 0; i < fileUploadRows.length; i++) {
      var fileUploadRow = fileUploadRows[i];
      var file = fileUploadRow.file;
      formData.append('files[]', file, file.name);
    }

    var url = this._uploadUrl;
    var completeUrl = this._completeUrl;
    var xhr = new XMLHttpRequest();
    xhr.open("POST", url, true);
    var self = this;
    xhr.onload = function () {
      if (xhr.status === 200) {
        location.assign(completeUrl);
      } else {
        alert(xhr.statusText);
        self.exitLoadingState();
      }
    };

    xhr.onerror = function () {
      alert(xhr.statusText);
      self.exitLoadingState();
    };

    if (this._csrfHeaderName && this._csrfToken) {
      xhr.setRequestHeader(this._csrfHeaderName , this._csrfToken);
    }

    xhr.send(formData);
    this.enterLoadingState();
  };


  DndFileUploadWidget.prototype.enterLoadingState = function() {
    this.getUploadButton().classList.add('hidden');
    this.getUploadingButton().classList.remove('hidden');
    var removeButtons = this.getFilesContainer().querySelectorAll('button');
    for (var i = 0; i < removeButtons.length; i++) {
      removeButtons[i].disabled = true;
    }
  };

  DndFileUploadWidget.prototype.exitLoadingState = function() {
    this.getUploadButton().classList.remove('hidden');
    this.getUploadingButton().classList.add('hidden');
    var removeButtons = this.getFilesContainer().querySelectorAll('button');
    for (var i = 0; i < removeButtons.length; i++) {
      removeButtons[i].disabled = false;
    }
  };

  DndFileUploadWidget.prototype.queryWithinWidget = function(selectors) {
    return this._widgetDom.querySelector(selectors);
  };

  DndFileUploadWidget.prototype.getUploadButton = function() {
    return this.queryWithinWidget('.dnd-file-upload-widget-upload-button');
  };

  DndFileUploadWidget.prototype.getUploadingButton = function() {
    return this.queryWithinWidget('.dnd-file-upload-widget-uploading-button');
  };

  DndFileUploadWidget.prototype.getSizeErrorSpan = function() {
    return this.queryWithinWidget('.dnd-file-upload-widget-size-error');
  };

  DndFileUploadWidget.prototype.getFilesContainer = function() {
    return this.queryWithinWidget('.files-container');
  };


  /**
   * Private methods
   */
  function humanReadableFileSize(b) {
    var u = 0, s = 1024;
    while (b >= s || -b >= s) {
      b /= s;
      u++;
    }
    return (u ? b.toFixed(1) + ' ' : b) + ' KMGTPEZY'[u] + 'iB';
  }

  function bind(func, scope) {
    return function () {
      func.apply(scope, arguments);
    }
  }

  return DndFileUploadWidget;
})();

(function useDndFileUploadWidget(){
  var widgetDom = document.getElementById('theWidget');
  var uploadUrl = '';
  var completeUrl = '';
  var options = {
    maxAllowedTotalBytes: 50 * 1024 * 1024, // 50MiB
    csrfHeaderName: '',
    csrfToken: ''
  };

  new DndFileUploadWidget(widgetDom, uploadUrl, completeUrl, options);
})();

                                                 
</script>
     