<div class="user-dashboard">
    <div class="container">
      <h3 class="title">Attendance Report</h3>                                        
       <div class="row">
        <div class="col-12 col-xl-12">                                          
                <div class="card mb-2" style="border: none;">
                    <div class="card-body">   
                      <form id="frm_create" name="frm_create" autocomplete="off" method="post">
                        <div class="row">
                            <div class="col-4">
                                <label class="form-label">Date</label><span style='color:red'>*</span>
                                    <input class="form-control form-control-sm"  name="Date" id="Date" placeholder="Date" type="date" onchange="clearInput('Date')" autocomplete="off">
                                    <span id="ErrDate" style="color: red;" class="error_msg"></span>
                                </div>
                                <div class="col-sm-4">
                                    <label class="form-label">Academic Year</label><span style='color:red'>*</span>
                                     <select class="form-select form-select-sm" name="AcademicYearID" id="AcademicYearID" onchange="clearInput('AcademicYearID');listDepartments('frm_create','DepartmentID','0')">
                                        <option value="0">Select Academic Year</option>
                                    </select> 
                                      <span id="ErrAcademicYearID" style="color: red;" class="error_msg"></span>
                                </div>
                            <div class="col-sm-4">
                                <label class="form-label">Department </label><span style='color:red'>*</span>
                                    <select class="form-select form-select-sm" name="DepartmentID" id="DepartmentID" onchange="clearInput('DepartmentID');dept()">
                                        <option value="0">Select Department </option>
                                    </select> 
                                    <span id="ErrDepartmentID" style="color: red;" class="error_msg"></span>
                            </div>
                            <div class="col-4">
                                <label class="form-label">Course Name</label><span style='color:red'>*</span>
                                <select class="form-select form-select-sm" name="CourseNameID" id="CourseNameID" onchange="clearInput('CourseNameID')">
                                    <option value="0">Select Course Name</option>
                                 </select>
                                <span id="ErrCourseNameID" class="error_msg" style="color: red;"></span>
                            </div>
                            <div class="col-sm-4">
                                <label class="form-label">Semester</label><span style='color:red'>*</span>            
                                    <select class="form-select form-select-sm" name="SemesterID" id="SemesterID" onchange="clearInput('SemesterID')">
                                        <option value="0">Select Semester</option>
                                    </select>  
                                    <span id="ErrSemesterID" style="color: red;" class="error_msg"></span>
                                </div>
                            <div class="col-sm-4 mb-3">
                            <label class="form-label">Division</label><span style='color:red'>*</span>            
                                <select class="form-select form-select-sm" name="DivisionID" id="DivisionID" onchange="clearInput('DivisionID')">
                                    <option value="0">Select Division</option>
                                </select>  
                                <span id="ErrDivisionID" style="color: red;" class="error_msg"></span>
                            </div> 
                         <div class="col-12"> 
                            <table id="listTable" class="table" style="width:100%; display: none;">
                                <thead>
                                    <tr>
                                        <th style="width:150px">Date</th>
                                        <th>Student Name</th>
                                        <th style="width:80px">Status</th>
                                        <th style="width:100px" class="nosort"></th>
                                    </tr>
                                </thead>                                     
                                <tbody id="tbl_content">
                                    <tr>
                                        <td colspan='8'>
                                            <?php echo loadingText("Loading attendance");?>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                         </div>
                        </form> 
                        <div class="col-12 mb-3" style="text-align: right;">
                            <button type="button" class="btn-save" onclick="Get()">Get</button>&nbsp;
                            <button type="button" href="dashboard.php?action=studentmanagements/students/list" class="btn-save">Back</button>    
                        </div>
                    </div>
                </div>                                                                      
                
        </div>
    </div>
</div>
</div>



<script>
function formReset() {
listAcademicYears("frm_create","AcademicYearID","0"); 
 listSemesters("frm_create","SemesterID","0");
 listDivisions("frm_create","DivisionID","0");
 
 $('#DepartmentID').val("0"); 
 $('#DivisionID').val("0"); 
 $('#SemesterID').val("0");
 $('#CourseNameID').val("0");
 $('#Date').val(""); 
 
  $('#ErrDepartmentID').html("");
  $('#ErrDivisionID').html("");
  $('#ErrSemesterID').html("");
  $('#ErrCourseNameID').html("");
  $('#ErrDate').html("");
  
  $("#DepartmentID").removeClass("highlight_error"); 
  $("#DivisionID").removeClass("highlight_error"); 
  $("#SemesterID").removeClass("highlight_error");
  $("#CourseNameID").removeClass("highlight_error");
  $("#Date").removeClass("highlight_error");  
}
 
 function Get(){
      var error = 0;
      if ($('#Date').val()==""){
            $('#ErrDate').html("Please select Date");
         $("#Date").addClass("highlight_error"); 
            error++;
    }  else {
         $("#Date").removeClass("highlight_error"); 
            $('#ErrDate').html(""); 
    }
   if ($('#SemesterID').val()=="0"){
            $('#ErrSemesterID').html("Please select Semester");
         $("#SemesterID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#SemesterID").removeClass("highlight_error"); 
            $('#ErrSemesterID').html(""); 
    }
    if ($('#DepartmentID').val()=="0"){
            $('#ErrDepartmentID').html("Please select Department");
         $("#DepartmentID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#DepartmentID").removeClass("highlight_error"); 
            $('#ErrDepartmentID').html(""); 
    }
    if ($('#CourseNameID').val()=="0"){
            $('#ErrCourseNameID').html("Please select Course Name");
         $("#CourseNameID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#CourseNameID").removeClass("highlight_error"); 
            $('#ErrCourseNameID').html(""); 
    }
    if ($('#DivisionID').val()=="0"){
            $('#ErrDivisionID').html("Please select Division");
         $("#DivisionID").addClass("highlight_error"); 
            error++;
    }  else {
         $("#DivisionID").removeClass("highlight_error"); 
            $('#ErrDivisionID').html(""); 
    }
    if(error==0) {
       $('#listTable').show();
    } else {
        
     } 
 }
 
 function list() {
      $('#Success').modal("hide");
    $.post(URL+ "webservice.php?action=l&method=ampl","",function(data){
      var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "";
            i=0;
            $.each(obj.data, function (index, data) {
                 html += '<tr class="'+((i%2!=0) ? 'rEven' : 'rOdd')+'">'
                            + '<td>' + data.Date + '</td>' 
                            + '<td>' + data.StudentName + '</td>' 
                            + '<td>' + ( (data.Status=="1") ? "<span class='badge bg-success'>Active</span>" : "<span class='badge bg-secondary'>Deactive</span>" ) + '</td>'
                             + '<td style="text-align:right">' 
                                + '<span onclick="openPage("apgl")"><i class="fi fi-rs-pencil"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="viewform(\''+data.ID+'\')" class="viewLink"  title="View Record"><i class="fi fi-rs-web-test"></i></span>&nbsp;&nbsp;'
                               + '<span onclick="openDeleteConfirmation(\''+data.ID+'\',\'r\',\'ampl\',\''+data.Attendance+'\',\'l\')" class="deleteLink" title="Delete Record"><i class="fi fi-rs-trash"></i></span>'
                               + '</td>'
                             + '</tr>' 
                      + '</tr>';
                      i++;
            });
            if(obj.data.length==0){
            html += '<tr>'
                + '<td colspan="6" style="text-align: center;background:#fff !important">No data found</td>'
                + '</tr>'
            }   
            $('#tbl_content').html(html);
             $('table#listTable').tableSortable();
            $("#listTable>thead>tr>th:first").trigger('click');
        } else {
             $('#popupcontent').html( error(obj.message));
        }  
    });
}

setTimeout("list()",2000);

function listSemesters(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=l&method=masl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Semester</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.Semester+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listDivisions(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=l&method=madvl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Division</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.Division+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function listDepartments(formID,selectboxID,selected) {
    var html = "<option value='0'>Select Department</option>";
             $('#'+selectboxID).html(html);
    if (formID=="frm_create") {
          if ($('#DepartmentID').val()=="0") {
              var html = "<option value='0'>Select Department</option>";
             $('#'+selectboxID).html(html);
          }
    }
    if (formID=="frm_edit") {
         if ($('#editAcademicYearID').val()=="0") {
              var html = "<option value='0'>Select Department</option>";
             $('#'+selectboxID).html(html);
          }
    }
      var param = $('#'+formID).serialize();    
    $.post(URL+ "webservice.php?action=depbay&method=org&AcademicYearID="+$('#AcademicYearID').val(),param,function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            if (obj.data.length>0) {
            var html = "<option value='0'>Select Department</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+ data.DepartmentID +'" '+((data.DepartmentID==selected) ? ' selected="selected" ' : '')+' ">'+data.Department+'</option>';
            });
            $('#'+selectboxID).html(html);
            }
        } else {
             var html = "<option value='0'>Select State Name</option>";
             $('#'+selectboxID).html(html);
           // $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

function dept(){
    $.post(URL+ "webservice.php?action=gcnfmbdid&method=org&DepartmentID="+$('#DepartmentID').val(),"",function(data){
       var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Course Name</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'">'+data.CourseName+'</option>';
            });   
                $('#CourseNameID').html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })  
}

function listAcademicYears(selected,selectboxID) {
    $.post(URL+ "webservice.php?action=lac&method=maayl","",function(data){
        var obj = JSON.parse(data);
        if (obj.status=="success") {
            var html = "<option value='0'> Select Academic Year</option>";
            $.each(obj.data, function (index, data) {
                html += '<option value="'+data.ID+'" '+((data.ID==selected) ? ' selected="selected" ' : '')+'>'+data.AcademicYear+'</option>';
            });   
                $('#'+selectboxID).html(html);
        } else {
            $('#ErrCommon').html( errorcontent(obj.message));
        }
    })
}

formReset();      
                                                 
</script>
     