<?php
class DistrictNames {
    
    public static function addNew() {
        
        global $mysql;
        
        if (isset($_POST['Code'])) {
            if (strlen(trim($_POST['Code']))==0) {
                return json_encode(array("status"=>"failure","message"=>"Please Enter Code","div"=>"Code"));    
            } else {
                $dupCode = $mysql->select("select * from ".Tabels::DistrictNames." where Code='".trim($_POST['Code'])."'");
                if (sizeof($dupCode)>0) {
                    return json_encode(array("status"=>"failure","message"=>"Already Exists","div"=>"Code"));    
                }   
            }
        } 
         
        if (strlen(trim($_POST['DistrictName']))==0) {
            return json_encode(array("status"=>"failure","message"=>"Please enter District Name","div"=>"DistrictName"));    
        } else {
            $dupCode = $mysql->select("select * from ".Tabels::DistrictNames." where DistrictName='".trim($_POST['DistrictName'])."'");
            if (sizeof($dupCode)>0) {
                return json_encode(array("status"=>"failure","message"=>"Already Exists","div"=>"DistrictName"));    
            }
        }
        
        if (strlen(trim($_POST['CountryNameID']))=="0" || $_POST['CountryNameID']=="") {
            return json_encode(array("status"=>"failure","message"=>"Please select Country Name","div"=>"CountryNameID"));    
        }
        
        $CountryName = $mysql->select("select * from ".Tabels::CountryNames." where md5(ID)='".$_POST['CountryNameID']."'");
        if (sizeof($CountryName)==0) {
         return json_encode(array("status"=>"failure","message"=>"Invalid Country Name","div"=>"CountryNameID"));       
        }
        
        if (strlen(trim($_POST['StateNameID']))=="0" || $_POST['StateNameID']=="") {
            return json_encode(array("status"=>"failure","message"=>"Please select State Name","div"=>"StateNameID"));    
        }
        
        $StateName = $mysql->select("select * from ".Tabels::StateNames." where md5(ID)='".$_POST['StateNameID']."'");
        if (sizeof($StateName)==0) {
         return json_encode(array("status"=>"failure","message"=>"Invalid StateName Name","div"=>"StateNameID"));       
        }
        
        
        $id = $mysql->insert(Tabels::DistrictNames,array("Code"         => trim($_POST['Code']),
                                                         "DistrictName" => trim($_POST['DistrictName']),
                                                         "CountryNameID" => trim($CountryName[0]['ID']),
                                                      "CountryNameCode" => trim($CountryName[0]['Code']),
                                                      "CountryName" => trim($CountryName[0]['CountryName']),
                                                      
                                                      "StateNameID" => trim($StateName[0]['ID']),
                                                      "StateNameCode" => trim($StateName[0]['Code']),
                                                      "StateName" => trim($StateName[0]['StateName']),
                                                      
                                                         "Remarks"      => trim($_POST['Remarks']),
                                                         "CreatedOn"    => date("Y-m-d H:i:s"),
                                                         "Status"     => '1'));
        if ($id>0) {
            return json_encode(array("status"=>"success","message"=>"Successfuly created","div"=>""));
        } else {
            return json_encode(array("status"=>"failure","message"=>"Unable to create, please contact system administrator","div"=>""));
        }
     }
     
    public static function doUpdate() {
        
        global $mysql;
        
        if (strlen(trim($_POST['DistrictName']))==0) {
            return json_encode(array("status"=>"failure","message"=>"Please enter District Name","div"=>"DistrictName"));    
        } else {
            $dupCode = $mysql->select("select * from ".Tabels::DistrictNames." where DistrictName='".trim($_POST['DistrictName'])."' and md5(ID)<>'".$_POST['ID']."'");
            if (sizeof($dupCode)>0) {
                return json_encode(array("status"=>"failure","message"=>"Aready exits","div"=>"DistrictName"));    
            }
        }
        
        if (strlen(trim($_POST['CountryNameID']))=="0" || $_POST['CountryNameID']=="") {
            return json_encode(array("status"=>"failure","message"=>"Please select Country Name","div"=>"CountryNameID"));    
        }
        
        $CountryName = $mysql->select("select * from ".Tabels::CountryNames." where md5(ID)='".$_POST['CountryNameID']."'");
        if (sizeof($CountryName)==0) {
            return json_encode(array("status"=>"failure","message"=>"Invalid Country Name","div"=>"CountryNameID"));       
        }
        
        if (strlen(trim($_POST['StateNameID']))=="0" || $_POST['StateNameID']=="") {
            return json_encode(array("status"=>"failure","message"=>"Please select State Name","div"=>"StateNameID"));    
        }
        
        $StateName = $mysql->select("select * from ".Tabels::StateNames." where md5(ID)='".$_POST['StateNameID']."'");
        if (sizeof($StateName)==0) {
            return json_encode(array("status"=>"failure","message"=>"Invalid StateName Name","div"=>"StateNameID"));       
        }
        
        $id= $mysql->execute("update ".Tabels::DistrictNames." set DistrictName     = '".$_POST['DistrictName']."',
                                                                   CountryNameID    = '".trim($CountryName[0]['ID'])."',
                                                                   CountryNameCode  = '".trim($CountryName[0]['Code'])."',
                                                                   CountryName      = '".trim($CountryName[0]['CountryName'])."',
                                                                   StateNameID      = '".trim($StateName[0]['ID'])."',
                                                                   StateNameCode    = '".trim($StateName[0]['Code'])."',
                                                                   StateName        = '".trim($StateName[0]['StateName'])."',
                                                                   Remarks          = '".$_POST['Remarks']."',
                                                                   Status           = '".$_POST['Status']."' where md5(ID)='".$_POST['ID']."'");
                                                          
        if ($id>0) {
            return json_encode(array("status"=>"success","message"=>"Updated successfully","div"=>""));
        } else {
            return json_encode(array("status"=>"failure","message"=>"unable to update".$mysql->error,"div"=>""));
        }
    }
     
    public static function remove() {
        global $mysql;
        $rows = $mysql->execute("delete from ".Tabels::DistrictNames." where md5(ID)='".$_POST['delID']."'");
        if ($rows>0) {
            return json_encode(array("status"=>"success","message"=>"Deleted sucessfully"));    
        }
    }

    public static function listAll() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,Code,DistrictName,md5(StateNameID) as StateNameID,StateNameCode,StateName,md5(CountryNameID) as CountryNameID,CountryNameCode,CountryName,Remarks,Status,CreatedOn from ".Tabels::DistrictNames." ");
        return json_encode(array("status"=>"success","data"=>$data));
    }
    
    
      public static function listAllActiveDistrictNameByStateNameID() {
        global $mysql;
        
        if (isset($_GET['StateNameID'])) {
            $StateNameID=$_GET['StateNameID'];
        }
        if (isset($_POST['StateNameID'])) {
            $StateNameID=$_POST['StateNameID'];
        }
        
        $data = $mysql->select("select md5(ID) as ID,Code,DistrictName,md5(StateNameID) as StateNameID,StateNameCode,StateName,md5(CountryNameID) as CountryNameID,CountryNameCode,CountryName,Remarks,Status,CreatedOn from ".Tabels::DistrictNames." where md5(StateNameID)='".$StateNameID."'");
        return json_encode(array("status"=>"success","data"=>$data));
    }

    public static function getData() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,DistrictName,md5(StateNameID) as StateNameID,StateNameCode,StateName,md5(CountryNameID) as CountryNameID,CountryNameCode,CountryName,Remarks,Status,Code,CreatedOn from ".Tabels::DistrictNames." where md5(ID)='".$_GET['ID']."'");
        return json_encode(array("status"=>"success","data"=>$data));
    }
    
  
}
?>