<?php
class Ledgers {
    
    public static function addNew() {
        
        global $mysql;
        
        if (isset($_POST['Code'])) {
            if (strlen(trim($_POST['Code']))==0) {
                return json_encode(array("status"=>"failure","message"=>"Please Enter Code","div"=>"Code"));    
            } else {
                $dupCode = $mysql->select("select * from ".Tabels::Ledgers." where Code='".trim($_POST['Code'])."'");
                if (sizeof($dupCode)>0) {
                    return json_encode(array("status"=>"failure","message"=>"Already Exists","div"=>"Code"));    
                }   
            }
        } 
        
        $LedgerGroup = $mysql->select("select * from ".Tabels::LedgerGroups." where md5(ID)='".$_POST['LedgerGroup']."'");
        if (sizeof($LedgerGroup)==0) {
               return json_encode(array("status"=>"failure","message"=>"Please select Ledger Group","div"=>"LedgerGroup"));
        }
         
        if (strlen(trim($_POST['LedgerName']))==0) {
            return json_encode(array("status"=>"failure","message"=>"Please enter Ledger Name","div"=>"LedgerName"));    
        } else {
            $dupCode = $mysql->select("select * from ".Tabels::Ledgers." where LedgerName='".trim($_POST['LedgerName'])."'");
            if (sizeof($dupCode)>0) {
                return json_encode(array("status"=>"failure","message"=>"Already Exists","div"=>"Ledger"));    
            }
        }
        $id = $mysql->insert(Tabels::Ledgers,array("Code"         => trim($_POST['Code']),
                                                         "LedgerGroupID" => trim($LedgerGroup[0]['ID']),
                                                         "LedgerGroup" => trim($LedgerGroup[0]['LedgerGroup']),
                                                         "LedgerName" => trim($_POST['LedgerName']),
                                                         "Remarks"      => trim($_POST['Remarks']),
                                                         "CreatedOn"    => date("Y-m-d H:i:s"),
                                                         "Status"     => '1'));
        if ($id>0) {
            return json_encode(array("status"=>"success","message"=>"Successfuly created","div"=>""));
        } else {
            return json_encode(array("status"=>"failure","message"=>"Unable to create, please contact system administrator".$mysql->error,"div"=>""));
        }
     }
     
    public static function doUpdate() {
         
         global $mysql;
         
         $LedgerGroup = $mysql->select("select * from ".Tabels::LedgerGroups." where md5(ID)='".$_POST['LedgerGroup']."'");
        if (sizeof($LedgerGroup)==0) {
               return json_encode(array("status"=>"failure","message"=>"Please select Ledger Group","div"=>"LedgerGroup"));
        }
         
         if (strlen(trim($_POST['LedgerName']))==0) {
             return json_encode(array("status"=>"failure","message"=>"Please enter Ledger Name","div"=>"LedgerName"));    
         } else {
            $dupCode = $mysql->select("select * from ".Tabels::Ledgers." where LedgerName='".trim($_POST['LedgerName'])."' and md5(ID)<>'".$_POST['ID']."'");
            if (sizeof($dupCode)>0) {
                return json_encode(array("status"=>"failure","message"=>"Aready exits","div"=>"LedgerName"));    
            }
        }
        
       $id= $mysql->execute("update ".Tabels::Ledgers." set LedgerName ='".$_POST['LedgerName']."',
                                                              LedgerGroupID      ='".$LedgerGroup[0]['ID']."',
                                                              LedgerGroup      ='".$LedgerGroup[0]['LedgerGroup']."',
                                                              Remarks      ='".$_POST['Remarks']."',
                                                              Status     ='".$_POST['Status']."' where md5(ID)='".$_POST['ID']."'");
                                                          
       if ($id>0) {
        return json_encode(array("status"=>"success","message"=>"Updated successfully","div"=>""));
       } else {
           return json_encode(array("status"=>"failure","message"=>"unable to update".$mysql->error,"div"=>""));
       }
    }
     
    public static function remove() {
        global $mysql;
        $rows = $mysql->execute("delete from ".Tabels::Ledgers." where md5(ID)='".$_POST['delID']."'");
        if ($rows>0) {
            return json_encode(array("status"=>"success","message"=>"Deleted sucessfully"));    
        }
    }

    public static function listAll() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,Code,LedgerName,LedgerGroup,md5(LedgerGroupID) as LedgerGroupID,Remarks,Status,CreatedOn from ".Tabels::Ledgers." ");
        return json_encode(array("status"=>"success","data"=>$data));
    }

    public static function getData() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,LedgerName,LedgerGroup,md5(LedgerGroupID) as LedgerGroupID ,Remarks      ,Status     ,Code,CreatedOn from ".Tabels::Ledgers." where md5(ID)='".$_GET['ID']."'");
        return json_encode(array("status"=>"success","data"=>$data));
    }
}
?>