<?php
class SubjectNames {
    
    public static function addNew() {
        
        global $mysql;
        
        if (isset($_POST['Code'])) {
            if (strlen(trim($_POST['Code']))==0) {
                return json_encode(array("status"=>"failure","message"=>"Please Enter Code","div"=>"Code"));    
            } else {
                $dupCode = $mysql->select("select * from ".Tabels::SubjectNames." where Code='".trim($_POST['Code'])."'");
                if (sizeof($dupCode)>0) {
                    return json_encode(array("status"=>"failure","message"=>"Already Exists","div"=>"Code"));    
                }   
            }
        } 
         
        if (strlen(trim($_POST['SubjectName']))==0) {
            return json_encode(array("status"=>"failure","message"=>"Please enter Subject Name","div"=>"SubjectName"));    
        } else {
            $dupCode = $mysql->select("select * from ".Tabels::SubjectNames." where SubjectName='".trim($_POST['SubjectName'])."'");
            if (sizeof($dupCode)>0) {
                return json_encode(array("status"=>"failure","message"=>"Already Exists","div"=>"SubjectName"));    
            }
        }
        
        if (strlen(trim($_POST['UniversitySubjectCode']))==0) {
            return json_encode(array("status"=>"failure","message"=>"Please enter University Subject Code","div"=>"UniversitySubjectCode"));    
        } else {
            $dupCode = $mysql->select("select * from ".Tabels::SubjectNames." where UniversitySubjectCode='".trim($_POST['UniversitySubjectCode'])."'");
            if (sizeof($dupCode)>0) {
                return json_encode(array("status"=>"failure","message"=>"Already Exists","div"=>"UniversitySubjectCode"));    
            }
        }
        
        if (strlen(trim($_POST['SubjectTypeID']))==0 || $_POST['SubjectTypeID']=="") {        
            return json_encode(array("status"=>"failure","message"=>"Please select Subject Type","div"=>"SubjectTypeID"));    
        }
        
        $SubjectType = $mysql->select("select * from ".Tabels::SubjectTypes." where md5(ID)='".$_POST['SubjectTypeID']."'");
        if (sizeof($SubjectType)==0) {
         return json_encode(array("status"=>"failure","message"=>"Invalid Subject Type","div"=>"SubjectTypeID"));       
        }
        
        $id = $mysql->insert(Tabels::SubjectNames,array("Code"             => trim($_POST['Code']),
                                                         "SubjectName"     => trim($_POST['SubjectName']),
                                                         "UniversitySubjectCode" => trim($_POST['UniversitySubjectCode']),
                                                         "SubjectTypeID" => trim($SubjectType[0]['ID']),
                                                         "SubjectTypeCode" => trim($SubjectType[0]['Code']),
                                                         "SubjectType" => trim($SubjectType[0]['SubjectType']),
                                                         "Remarks"      => trim($_POST['Remarks']),
                                                         "CreatedOn"    => date("Y-m-d H:i:s"),
                                                         "Status"     => '1'));
        if ($id>0) {
            return json_encode(array("status"=>"success","message"=>"Successfuly created","div"=>""));
        } else {
            return json_encode(array("status"=>"failure","message"=>"Unable to create, please contact system administrator","div"=>""));
        }
     }
     
    public static function doUpdate() {
         
         global $mysql;
         
         if (strlen(trim($_POST['SubjectName']))==0) {
             return json_encode(array("status"=>"failure","message"=>"Please enter Subject Name","div"=>"SubjectName"));    
         } else {
            $dupCode = $mysql->select("select * from ".Tabels::SubjectNames." where SubjectName='".trim($_POST['SubjectName'])."' and md5(ID)<>'".$_POST['ID']."'");
            if (sizeof($dupCode)>0) { 
                return json_encode(array("status"=>"failure","message"=>"Aready exits","div"=>"SubjectName"));    
            }
        }
        
        if (strlen(trim($_POST['UniversitySubjectCode']))==0) {
             return json_encode(array("status"=>"failure","message"=>"Please enter University Subject Code","div"=>"UniversitySubjectCode"));    
         } else {
            $dupCode = $mysql->select("select * from ".Tabels::SubjectNames." where UniversitySubjectCode='".trim($_POST['UniversitySubjectCode'])."' and md5(ID)<>'".$_POST['ID']."'");
            if (sizeof($dupCode)>0) {
                return json_encode(array("status"=>"failure","message"=>"Aready exits","div"=>"UniversitySubjectCode"));    
            }
        }
        
         if (strlen(trim($_POST['SubjectTypeID']))==0 || $_POST['SubjectTypeID']=="") {        
            return json_encode(array("status"=>"failure","message"=>"Please select Subject Type","div"=>"SubjectTypeID"));    
        }
        
        $SubjectType = $mysql->select("select * from ".Tabels::SubjectTypes." where md5(ID)='".$_POST['SubjectTypeID']."'");
        if (sizeof($SubjectType)==0) {
         return json_encode(array("status"=>"failure","message"=>"Invalid Subject Type","div"=>"SubjectTypeID"));       
        }
        
       $id= $mysql->execute("update ".Tabels::SubjectNames." set SubjectName ='".$_POST['SubjectName']."',
                                                              UniversitySubjectCode      ='".$_POST['UniversitySubjectCode']."',
                                                              SubjectTypeID      ='".$SubjectType[0]['ID']."',
                                                              SubjectTypeCode      ='".$SubjectType[0]['Code']."',
                                                              SubjectType      ='".$SubjectType[0]['SubjectType']."',
                                                              Remarks      ='".$_POST['Remarks']."',
                                                              Status     ='".$_POST['Status']."' where md5(ID)='".$_POST['ID']."'");
                                                          
       if ($id>0) {
        return json_encode(array("status"=>"success","message"=>"Updated successfully","div"=>""));
       } else {
           return json_encode(array("status"=>"failure","message"=>"unable to update","div"=>""));
       }
    }
     
    public static function remove() {
        global $mysql;
        $rows = $mysql->execute("delete from ".Tabels::SubjectNames." where md5(ID)='".$_POST['delID']."'");
        if ($rows>0) {
            return json_encode(array("status"=>"success","message"=>"Deleted sucessfully"));    
        }
    }


    public static function listAll() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,Code,
        md5(SubjectTypeID) as SubjectTypeID, SubjectTypeCode, SubjectType,
        UniversitySubjectCode,SubjectName,Remarks,Status,CreatedOn from ".Tabels::SubjectNames." ");
        return json_encode(array("status"=>"success","data"=>$data));
    } 
    
    public static function listAllActive() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,Code,
        md5(SubjectTypeID) as SubjectTypeID, SubjectTypeCode, SubjectType,
        UniversitySubjectCode,SubjectName,Remarks,Status,CreatedOn from ".Tabels::SubjectNames." where Status='1' ");
        return json_encode(array("status"=>"success","data"=>$data));
    }

    public static function getData() {
        global $mysql;
        $data = $mysql->select("select md5(ID) as ID,
        md5(SubjectTypeID) as SubjectTypeID, SubjectTypeCode, SubjectType,
        
        UniversitySubjectCode ,SubjectName,Remarks      ,Status     ,Code,CreatedOn from ".Tabels::SubjectNames." where md5(ID)='".$_GET['ID']."'");
        return json_encode(array("status"=>"success","data"=>$data));
    }
    
  
}
?>